// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : Account.cs
// Created   : 2019-04-26 10:47:40
// *********************************************************************

namespace D365.Constants
{
    /// <summary>OwnershipType: UserOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Business that represents a customer or potential customer. The company that is billed in business transactions.</remarks>
    public static class Account
    {
        public const string EntityName = "account";

        #region Attributes

        /// <summary>Type: Uniqueidentifier, RequiredLevel: SystemRequired</summary>
        /// <remarks>Unique identifier of the account.</remarks>
        public const string PrimaryKey = "accountid";
        /// <summary>Type: String, RequiredLevel: ApplicationRequired, MaxLength: 160, Format: Text</summary>
        /// <remarks>Type the company or business name.</remarks>
        public const string PrimaryName = "name";
        /// <summary>Type: Uniqueidentifier, RequiredLevel: None</summary>
        /// <remarks>Shows the ID of the stage.</remarks>
        public const string StageId = "stageid";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 1250, Format: Text</summary>
        /// <remarks>For internal use only.</remarks>
        public const string TraversedPath = "traversedpath";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 20, Format: Text</summary>
        /// <remarks>Type an ID number or code for the account to quickly search and identify the account in system views.</remarks>
        public const string AccountNumber = "accountnumber";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Account Rating, OptionSetType: Picklist, DefaultFormValue: 1</summary>
        /// <remarks>Select a rating to indicate the value of the customer account.</remarks>
        public const string AccountRatingCode = "accountratingcode";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: 0, MaxValue: 100000000000000, Precision: 2</summary>
        /// <remarks>For system use only.</remarks>
        public const string Aging30 = "aging30";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: -922337203685477, MaxValue: 922337203685477, Precision: 4, CalculationOf: aging30</summary>
        /// <remarks>The base currency equivalent of the aging 30 field.</remarks>
        public const string Aging30Base = "aging30_base";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: 0, MaxValue: 100000000000000, Precision: 2</summary>
        /// <remarks>For system use only.</remarks>
        public const string Aging60 = "aging60";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: -922337203685477, MaxValue: 922337203685477, Precision: 4, CalculationOf: aging60</summary>
        /// <remarks>The base currency equivalent of the aging 60 field.</remarks>
        public const string Aging60Base = "aging60_base";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: 0, MaxValue: 100000000000000, Precision: 2</summary>
        /// <remarks>For system use only.</remarks>
        public const string Aging90 = "aging90";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: -922337203685477, MaxValue: 922337203685477, Precision: 4, CalculationOf: aging90</summary>
        /// <remarks>The base currency equivalent of the aging 90 field.</remarks>
        public const string Aging90Base = "aging90_base";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: -922337203685477, MaxValue: 922337203685477, Precision: 4, CalculationOf: revenue</summary>
        /// <remarks>Shows the annual revenue converted to the system's default base currency. The calculations use the exchange rate specified in the Currencies area.</remarks>
        public const string RevenueBase = "revenue_base";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: 0, MaxValue: 100000000000000, Precision: 2</summary>
        /// <remarks>Type the annual revenue for the account, used as an indicator in financial performance analysis.</remarks>
        public const string Revenue = "revenue";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: account</summary>
        /// <remarks>Reference to an other account to be used for billing (only to be used if billing account differs)</remarks>
        public const string MsdynBillingAccount = "msdyn_billingaccount";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Business Type, OptionSetType: Picklist, DefaultFormValue: 1</summary>
        /// <remarks>Select the legal designation or other business type of the account for contracts or reporting purposes.</remarks>
        public const string BusinessTypeCode = "businesstypecode";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Category, OptionSetType: Picklist, DefaultFormValue: -1</summary>
        /// <remarks>Select a category to indicate whether the customer account is standard or preferred.</remarks>
        public const string AccountCategoryCode = "accountcategorycode";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Classification, OptionSetType: Picklist, DefaultFormValue: 1</summary>
        /// <remarks>Select a classification code to indicate the potential value of the customer account based on the projected return on investment, cooperation level, sales cycle length or other criteria.</remarks>
        public const string AccountClassificationCode = "accountclassificationcode";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: systemuser</summary>
        /// <remarks>Shows who created the record.</remarks>
        public const string CreatedBy = "createdby";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: systemuser</summary>
        /// <remarks>Shows who created the record on behalf of another user.</remarks>
        public const string CreatedOnBehalfBy = "createdonbehalfby";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: externalparty</summary>
        /// <remarks>Shows the external party who created the record.</remarks>
        public const string CreatedByExternalParty = "createdbyexternalparty";
        /// <summary>Type: DateTime, RequiredLevel: None, Format: DateAndTime, DateTimeBehavior: UserLocal</summary>
        /// <remarks>Shows the date and time when the record was created. The date and time are displayed in the time zone selected in Microsoft Dynamics 365 options.</remarks>
        public const string CreatedOn = "createdon";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: False</summary>
        /// <remarks>Select whether the credit for the account is on hold. This is a useful reference while addressing the invoice and accounting issues with the customer.</remarks>
        public const string CreditOnHold = "creditonhold";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: -922337203685477, MaxValue: 922337203685477, Precision: 4, CalculationOf: creditlimit</summary>
        /// <remarks>Shows the credit limit converted to the system's default base currency for reporting purposes.</remarks>
        public const string CreditLimitBase = "creditlimit_base";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: 0, MaxValue: 100000000000000, Precision: 2</summary>
        /// <remarks>Type the credit limit of the account. This is a useful reference when you address invoice and accounting issues with the customer.</remarks>
        public const string CreditLimit = "creditlimit";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: transactioncurrency</summary>
        /// <remarks>Choose the local currency for the record to make sure budgets are reported in the correct currency.</remarks>
        public const string TransactionCurrencyId = "transactioncurrencyid";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Customer Size, OptionSetType: Picklist, DefaultFormValue: 1</summary>
        /// <remarks>Select the size category or range of the account for segmentation and reporting purposes.</remarks>
        public const string CustomerSizeCode = "customersizecode";
        /// <summary>Type: Memo, RequiredLevel: None, MaxLength: 2000</summary>
        /// <remarks>Type additional information to describe the account, such as an excerpt from the company's website.</remarks>
        public const string Description = "description";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: False</summary>
        /// <remarks>Select whether the account allows bulk email sent through campaigns. If Do Not Allow is selected, the account can be added to marketing lists, but is excluded from email.</remarks>
        public const string DoNotBulkEMail = "donotbulkemail";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: False</summary>
        /// <remarks>Select whether the account allows bulk postal mail sent through marketing campaigns or quick campaigns. If Do Not Allow is selected, the account can be added to marketing lists, but will be excluded from the postal mail.</remarks>
        public const string DoNotBulkPostalMail = "donotbulkpostalmail";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: False</summary>
        /// <remarks>Select whether the account allows direct email sent from Microsoft Dynamics 365.</remarks>
        public const string DoNotEMail = "donotemail";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: False</summary>
        /// <remarks>Select whether the account allows faxes. If Do Not Allow is selected, the account will be excluded from fax activities distributed in marketing campaigns.</remarks>
        public const string DoNotFax = "donotfax";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: False</summary>
        /// <remarks>Select whether the account allows direct mail. If Do Not Allow is selected, the account will be excluded from letter activities distributed in marketing campaigns.</remarks>
        public const string DoNotPostalMail = "donotpostalmail";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: False</summary>
        /// <remarks>Select whether the account allows phone calls. If Do Not Allow is selected, the account will be excluded from phone call activities distributed in marketing campaigns.</remarks>
        public const string DoNotPhone = "donotphone";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 100, Format: Email</summary>
        /// <remarks>Type the primary email address for the account.</remarks>
        public const string EMailAddress1 = "emailaddress1";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 100, Format: Email</summary>
        /// <remarks>Type the secondary email address for the account.</remarks>
        public const string EMailAddress2 = "emailaddress2";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 100, Format: Email</summary>
        /// <remarks>Type an alternate email address for the account.</remarks>
        public const string EMailAddress3 = "emailaddress3";
        /// <summary>Type: Uniqueidentifier, RequiredLevel: None</summary>
        /// <remarks>For internal use only.</remarks>
        public const string EntityImageId = "entityimageid";
        /// <summary>Type: Decimal, RequiredLevel: None, MinValue: 0.0000000001, MaxValue: 100000000000, Precision: 10</summary>
        /// <remarks>Shows the conversion rate of the record's currency. The exchange rate is used to convert all money fields in the record from the local currency to the system's default currency.</remarks>
        public const string ExchangeRate = "exchangerate";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 100, Format: Text</summary>
        /// <remarks>External Account ID from other systems.</remarks>
        public const string MsdynExternalAccountId = "msdyn_externalaccountid";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 50, Format: Text</summary>
        /// <remarks>Type the fax number for the account.</remarks>
        public const string Fax = "fax";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: True</summary>
        /// <remarks>Information about whether to allow following email activity like opens, attachment views and link clicks for emails sent to the account.</remarks>
        public const string FollowEMail = "followemail";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 200, Format: Url</summary>
        /// <remarks>Type the URL for the account's FTP site to enable users to access data and share documents.</remarks>
        public const string FtpSiteURL = "ftpsiteurl";
        /// <summary>Type: Integer, RequiredLevel: None, MinValue: -2147483648, MaxValue: 2147483647</summary>
        /// <remarks>Unique identifier of the data import or data migration that created this record.</remarks>
        public const string ImportSequenceNumber = "importsequencenumber";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Industry, OptionSetType: Picklist, DefaultFormValue: -1</summary>
        /// <remarks>Select the account's primary industry for use in marketing segmentation and demographic analysis.</remarks>
        public const string IndustryCode = "industrycode";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: False</summary>
        public const string IsPrivate = "isprivate";
        /// <summary>Type: DateTime, RequiredLevel: None, Format: DateOnly, DateTimeBehavior: UserLocal</summary>
        /// <remarks>Shows the date when the account was last included in a marketing campaign or quick campaign.</remarks>
        public const string LastUsedInCampaign = "lastusedincampaign";
        /// <summary>Type: DateTime, RequiredLevel: None, Format: DateAndTime, DateTimeBehavior: UserLocal</summary>
        /// <remarks>Contains the date and time stamp of the last on hold time.</remarks>
        public const string LastOnHoldTime = "lastonholdtime";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: sla</summary>
        /// <remarks>Last SLA that was applied to this case. This field is for internal use only.</remarks>
        public const string SLAInvokedId = "slainvokedid";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 50, Format: Text</summary>
        /// <remarks>Type the main phone number for this account.</remarks>
        public const string TelePhone1 = "telephone1";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: -922337203685477, MaxValue: 922337203685477, Precision: 4, CalculationOf: marketcap</summary>
        /// <remarks>Shows the market capitalization converted to the system's default base currency.</remarks>
        public const string MarketCapBase = "marketcap_base";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: 0, MaxValue: 100000000000000, Precision: 2</summary>
        /// <remarks>Type the market capitalization of the account to identify the company's equity, used as an indicator in financial performance analysis.</remarks>
        public const string MarketCap = "marketcap";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: False</summary>
        /// <remarks>Whether is only for marketing</remarks>
        public const string MarketingOnly = "marketingonly";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: account</summary>
        /// <remarks>Shows the master account that the account was merged with.</remarks>
        public const string MasterId = "masterid";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: False</summary>
        /// <remarks>Shows whether the account has been merged with another account.</remarks>
        public const string Merged = "merged";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: systemuser</summary>
        /// <remarks>Shows who created the record on behalf of another user.</remarks>
        public const string ModifiedOnBehalfBy = "modifiedonbehalfby";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: externalparty</summary>
        /// <remarks>Shows the external party who modified the record.</remarks>
        public const string ModifiedByExternalParty = "modifiedbyexternalparty";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: systemuser</summary>
        /// <remarks>Shows who last updated the record.</remarks>
        public const string ModifiedBy = "modifiedby";
        /// <summary>Type: DateTime, RequiredLevel: None, Format: DateAndTime, DateTimeBehavior: UserLocal</summary>
        /// <remarks>Shows the date and time when the record was last updated. The date and time are displayed in the time zone selected in Microsoft Dynamics 365 options.</remarks>
        public const string ModifiedOn = "modifiedon";
        /// <summary>Type: Integer, RequiredLevel: None, MinValue: 0, MaxValue: 1000000000</summary>
        /// <remarks>Type the number of employees that work at the account for use in marketing segmentation and demographic analysis.</remarks>
        public const string NumberOfEmployees = "numberofemployees";
        /// <summary>Type: Integer, RequiredLevel: None, MinValue: -2147483648, MaxValue: 2147483647</summary>
        /// <remarks>Shows how long, in minutes, that the record was on hold.</remarks>
        public const string OnHoldTime = "onholdtime";
        /// <summary>Type: DateTime, RequiredLevel: None, Format: DateAndTime, DateTimeBehavior: UserLocal</summary>
        /// <remarks>Last Updated time of rollup field Open Deals.</remarks>
        public const string OpenDealsDate = "opendeals_date";
        /// <summary>Type: Integer, RequiredLevel: None, MinValue: -2147483648, MaxValue: 2147483647</summary>
        /// <remarks>Number of open opportunities against an account and its child accounts.</remarks>
        public const string OpenDeals = "opendeals";
        /// <summary>Type: Integer, RequiredLevel: None, MinValue: -2147483648, MaxValue: 2147483647</summary>
        /// <remarks>State of rollup field Open Deals.</remarks>
        public const string OpenDealsState = "opendeals_state";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: -922337203685477, MaxValue: 922337203685477, Precision: 2, CalculationOf: openrevenue</summary>
        /// <remarks>Value of the Open Revenue in base currency.</remarks>
        public const string OpenRevenueBase = "openrevenue_base";
        /// <summary>Type: DateTime, RequiredLevel: None, Format: DateAndTime, DateTimeBehavior: UserLocal</summary>
        /// <remarks>Last Updated time of rollup field Open Revenue.</remarks>
        public const string OpenRevenueDate = "openrevenue_date";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: -922337203685477, MaxValue: 922337203685477, Precision: 2</summary>
        /// <remarks>Sum of open revenue against an account and its child accounts.</remarks>
        public const string OpenRevenue = "openrevenue";
        /// <summary>Type: Integer, RequiredLevel: None, MinValue: -2147483648, MaxValue: 2147483647</summary>
        /// <remarks>State of rollup field Open Revenue.</remarks>
        public const string OpenRevenueState = "openrevenue_state";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: lead</summary>
        /// <remarks>Shows the lead that the account was created from if the account was created by converting a lead in Microsoft Dynamics 365. This is used to relate the account to data on the originating lead for use in reporting and analytics.</remarks>
        public const string OriginatingLeadId = "originatingleadid";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 50, Format: Text</summary>
        /// <remarks>Type a second phone number for this account.</remarks>
        public const string TelePhone2 = "telephone2";
        /// <summary>Type: Owner, RequiredLevel: SystemRequired, Targets: systemuser,team</summary>
        /// <remarks>Enter the user or team who is assigned to manage the record. This field is updated every time the record is assigned to a different user.</remarks>
        public const string OwnerId = "ownerid";
        /// <summary>Type: EntityName, RequiredLevel: SystemRequired</summary>
        public const string OwnerIdType = "owneridtype";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Ownership, OptionSetType: Picklist, DefaultFormValue: -1</summary>
        /// <remarks>Select the account's ownership structure, such as public or private.</remarks>
        public const string OwnerShipCode = "ownershipcode";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: businessunit</summary>
        /// <remarks>Shows the business unit that the record owner belongs to.</remarks>
        public const string OwningBusinessUnit = "owningbusinessunit";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: account</summary>
        /// <remarks>Choose the parent account associated with this account to show parent and child businesses in reporting and analytics.</remarks>
        public const string ParentAccountId = "parentaccountid";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: False</summary>
        /// <remarks>For system use only. Legacy Microsoft Dynamics CRM 3.0 workflow data.</remarks>
        public const string ParticipatesInWorkflow = "participatesinworkflow";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Payment Terms, OptionSetType: Picklist, DefaultFormValue: -1</summary>
        /// <remarks>Select the payment terms to indicate when the customer needs to pay the total amount.</remarks>
        public const string PaymentTermsCode = "paymenttermscode";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Preferred Day, OptionSetType: Picklist, DefaultFormValue: -1</summary>
        /// <remarks>Select the preferred day of the week for service appointments.</remarks>
        public const string PreferredAppointmentDayCode = "preferredappointmentdaycode";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: equipment</summary>
        /// <remarks>Choose the account's preferred service facility or equipment to make sure services are scheduled correctly for the customer.</remarks>
        public const string PreferredEquipmentId = "preferredequipmentid";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Preferred Method of Contact, OptionSetType: Picklist, DefaultFormValue: 1</summary>
        /// <remarks>Select the preferred method of contact.</remarks>
        public const string PreferredContactMethodCode = "preferredcontactmethodcode";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: bookableresource</summary>
        public const string MsdynPreferredResource = "msdyn_preferredresource";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: service</summary>
        /// <remarks>Choose the account's preferred service for reference when you schedule service activities.</remarks>
        public const string PreferredServiceId = "preferredserviceid";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Preferred Time, OptionSetType: Picklist, DefaultFormValue: -1</summary>
        /// <remarks>Select the preferred time of day for service appointments.</remarks>
        public const string PreferredAppointmentTimeCode = "preferredappointmenttimecode";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: systemuser</summary>
        /// <remarks>Choose the preferred service representative for reference when you schedule service activities for the account.</remarks>
        public const string PreferredSystemUserId = "preferredsystemuserid";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: contact</summary>
        /// <remarks>Choose the primary contact for the account to provide quick access to contact details.</remarks>
        public const string PrimaryContactId = "primarycontactid";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 200, Format: Text</summary>
        /// <remarks>Primary Satori ID for Account</remarks>
        public const string PrimarySatoriId = "primarysatoriid";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 128, Format: Text</summary>
        /// <remarks>Primary Twitter ID for Account</remarks>
        public const string PrimaryTwitterId = "primarytwitterid";
        /// <summary>Type: Uniqueidentifier, RequiredLevel: None</summary>
        /// <remarks>Shows the ID of the process.</remarks>
        public const string ProcessId = "processid";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: pricelevel</summary>
        /// <remarks>Choose the default price list associated with the account to make sure the correct product prices for this customer are applied in sales opportunities, quotes, and orders.</remarks>
        public const string DefaultPriceLevelId = "defaultpricelevelid";
        /// <summary>Type: DateTime, RequiredLevel: None, Format: DateOnly, DateTimeBehavior: UserLocal</summary>
        /// <remarks>Date and time that the record was migrated.</remarks>
        public const string OverriddenCreatedOn = "overriddencreatedon";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Relationship Type, OptionSetType: Picklist, DefaultFormValue: -1</summary>
        /// <remarks>Select the category that best describes the relationship between the account and your organization.</remarks>
        public const string CustomerTypeCode = "customertypecode";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: msdyn_taxcode</summary>
        /// <remarks>Default Sales Tax Code</remarks>
        public const string MsdynSalesTaxCode = "msdyn_salestaxcode";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: False</summary>
        /// <remarks>Select whether the account accepts marketing materials, such as brochures or catalogs.</remarks>
        public const string DoNotSendMM = "donotsendmm";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: territory</summary>
        /// <remarks>The Service Territory this account belongs to. This is used to optimize scheduling and routing</remarks>
        public const string MsdynServiceTerritory = "msdyn_serviceterritory";
        /// <summary>Type: Integer, RequiredLevel: None, MinValue: 0, MaxValue: 1000000000</summary>
        /// <remarks>Type the number of shares available to the public for the account. This number is used as an indicator in financial performance analysis.</remarks>
        public const string SharesOutstanding = "sharesoutstanding";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Shipping Method, OptionSetType: Picklist, DefaultFormValue: 1</summary>
        /// <remarks>Select a shipping method for deliveries sent to the account's address to designate the preferred carrier or other delivery option.</remarks>
        public const string ShippingMethodCode = "shippingmethodcode";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 20, Format: Text</summary>
        /// <remarks>Type the Standard Industrial Classification (SIC) code that indicates the account's primary industry of business, for use in marketing segmentation and demographic analysis.</remarks>
        public const string SIC = "sic";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: sla</summary>
        /// <remarks>Choose the service level agreement (SLA) that you want to apply to the Account record.</remarks>
        public const string SLAId = "slaid";
        /// <summary>Type: State, RequiredLevel: SystemRequired, DisplayName: Status, OptionSetType: State</summary>
        /// <remarks>Shows whether the account is active or inactive. Inactive accounts are read-only and can't be edited unless they are reactivated.</remarks>
        public const string StateCode = "statecode";
        /// <summary>Type: Status, RequiredLevel: None, DisplayName: Status Reason, OptionSetType: Status</summary>
        /// <remarks>Select the account's status.</remarks>
        public const string StatusCode = "statuscode";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 20, Format: Text</summary>
        /// <remarks>Type the stock exchange at which the account is listed to track their stock and financial performance of the company.</remarks>
        public const string StockExchange = "stockexchange";
        /// <summary>Type: Boolean, RequiredLevel: None, True: 1, False: 0, DefaultValue: False</summary>
        /// <remarks>Select whether the account is tax exempt.</remarks>
        public const string MsdynTaxExempt = "msdyn_taxexempt";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 20, Format: Text</summary>
        /// <remarks>Shows the government tax exempt number.</remarks>
        public const string MsdynTaxExemptNumber = "msdyn_taxexemptnumber";
        /// <summary>Type: Integer, RequiredLevel: None, MinValue: -2147483648, MaxValue: 2147483647</summary>
        /// <remarks>Number of users or conversations followed the record</remarks>
        public const string TeamsFollowed = "teamsfollowed";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 50, Format: Text</summary>
        /// <remarks>Type a third phone number for this account.</remarks>
        public const string TelePhone3 = "telephone3";
        /// <summary>Type: Lookup, RequiredLevel: None, Targets: territory</summary>
        /// <remarks>Choose the sales region or territory for the account to make sure the account is assigned to the correct representative and for use in segmentation and analysis.</remarks>
        public const string TerritoryId = "territoryid";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Territory Code, OptionSetType: Picklist, DefaultFormValue: 1</summary>
        /// <remarks>Select a region or territory for the account for use in segmentation and analysis.</remarks>
        public const string TerritoryCode = "territorycode";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 10, Format: TickerSymbol</summary>
        /// <remarks>Type the stock exchange symbol for the account to track financial performance of the company. You can click the code entered in this field to access the latest trading information from MSN Money.</remarks>
        public const string TickerSymbol = "tickersymbol";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 1250, Format: Text</summary>
        /// <remarks>Total time spent for emails (read and write) and meetings by me in relation to account record.</remarks>
        public const string TimeSpentByMeOnEMailAndMeetings = "timespentbymeonemailandmeetings";
        /// <summary>Type: Integer, RequiredLevel: None, MinValue: -1, MaxValue: 2147483647</summary>
        /// <remarks>For internal use only.</remarks>
        public const string TimeZoneRuleVersionNumber = "timezoneruleversionnumber";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: -922337203685477, MaxValue: 922337203685477, Precision: 2, CalculationOf: msdyn_travelcharge</summary>
        /// <remarks>Value of the Travel Charge in base currency.</remarks>
        public const string MsdynTravelchargeBase = "msdyn_travelcharge_base";
        /// <summary>Type: Money, RequiredLevel: None, MinValue: 0, MaxValue: 1000000000, Precision: 2</summary>
        /// <remarks>Enter the travel charge to include on work orders. This value will be multiplied by the travel charge type.</remarks>
        public const string MsdynTravelCharge = "msdyn_travelcharge";
        /// <summary>Type: Picklist, RequiredLevel: None, DisplayName: Travel Charge Type, OptionSetType: Picklist, DefaultFormValue: 690970003</summary>
        /// <remarks>Specify how travel is charged for this account.</remarks>
        public const string MsdynTravelChargeType = "msdyn_travelchargetype";
        /// <summary>Type: Integer, RequiredLevel: None, MinValue: -1, MaxValue: 2147483647</summary>
        /// <remarks>Time zone code that was in use when the record was created.</remarks>
        public const string UTCConversionTimeZoneCode = "utcconversiontimezonecode";
        /// <summary>Type: BigInt, RequiredLevel: None, MinValue: -9223372036854775808, MaxValue: 9223372036854775807</summary>
        /// <remarks>Version number of the account.</remarks>
        public const string VersionNumber = "versionnumber";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 200, Format: Url</summary>
        /// <remarks>Type the account's website URL to get quick details about the company profile.</remarks>
        public const string WebSiteURL = "websiteurl";
        /// <summary>Type: Memo, RequiredLevel: None, MaxLength: 4000</summary>
        /// <remarks>Shows the default instructions to show on new work orders.</remarks>
        public const string MsdynWorkOrderInstructions = "msdyn_workorderinstructions";
        /// <summary>Type: String, RequiredLevel: None, MaxLength: 160, Format: PhoneticGuide</summary>
        /// <remarks>Type the phonetic spelling of the company name, if specified in Japanese, to make sure the name is pronounced correctly in phone calls and other communications.</remarks>
        public const string YomiName = "yominame";

        #endregion Attributes

        #region Relationships

        /// <summary>Parent: "Lead" Child: "Account" Lookup: "OriginatingLeadId"</summary>
        public const string RelM1_AccountOriginatingLead = "account_originating_lead";
        /// <summary>Parent: "PriceLevel" Child: "Account" Lookup: "DefaultPriceLevelId"</summary>
        public const string RelM1_PriceLevelAccountS = "price_level_accounts";
        /// <summary>Parent: "Equipment" Child: "Account" Lookup: "PreferredEquipmentId"</summary>
        public const string RelM1_EquipmentAccountS = "equipment_accounts";
        /// <summary>Parent: "Service" Child: "Account" Lookup: "PreferredServiceId"</summary>
        public const string RelM1_ServiceAccountS = "service_accounts";
        /// <summary>Parent: "Territory" Child: "Account" Lookup: "TerritoryId"</summary>
        public const string RelM1_TerritoryAccountS = "territory_accounts";
        /// <summary>Parent: "BookableResource" Child: "Account" Lookup: "MsdynPreferredResource"</summary>
        public const string RelM1_MsdynBookableresourceAccountPreferredResource = "msdyn_bookableresource_account_PreferredResource";
        /// <summary>Parent: "MsdynTaxCode" Child: "Account" Lookup: "MsdynSalesTaxCode"</summary>
        public const string RelM1_MsdynMsdynTaxCodeAccountSalesTaxCode = "msdyn_msdyn_taxcode_account_SalesTaxCode";
        /// <summary>Parent: "Territory" Child: "Account" Lookup: "MsdynServiceTerritory"</summary>
        public const string RelM1_MsdynTerritoryAccountServiceTerritory = "msdyn_territory_account_ServiceTerritory";
        /// <summary>Parent: "Contact" Child: "Account" Lookup: "PrimaryContactId"</summary>
        public const string RelM1_AccountPrimaryContact = "account_primary_contact";
        /// <summary>Parent: "SystemUser" Child: "Account" Lookup: "PreferredSystemUserId"</summary>
        public const string RelM1_SystemUserAccountS = "system_user_accounts";
        /// <summary>Parent: "SystemUser" Child: "Account" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkAccountBaseModifiedBy = "lk_accountbase_modifiedby";
        /// <summary>Parent: "BusinessUnit" Child: "Account" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitAccountS = "business_unit_accounts";
        /// <summary>Parent: "TransactionCurrency" Child: "Account" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactioncurrencyAccount = "transactioncurrency_account";
        /// <summary>Parent: "SystemUser" Child: "Account" Lookup: ""</summary>
        public const string RelM1_UserAccountS = "user_accounts";
        /// <summary>Parent: "SystemUser" Child: "Account" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkAccountBaseCreatedOnBehalfBy = "lk_accountbase_createdonbehalfby";
        /// <summary>Parent: "ProcessStage" Child: "Account" Lookup: "StageId"</summary>
        public const string RelM1_ProcessstageAccount = "processstage_account";
        /// <summary>Parent: "SLA" Child: "Account" Lookup: "SLAId"</summary>
        public const string RelM1_ManualslaAccount = "manualsla_account";
        /// <summary>Parent: "SystemUser" Child: "Account" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkAccountBaseCreatedBy = "lk_accountbase_createdby";
        /// <summary>Parent: "SLA" Child: "Account" Lookup: "SLAInvokedId"</summary>
        public const string RelM1_SlaAccount = "sla_account";
        /// <summary>Parent: "SystemUser" Child: "Account" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkAccountBaseModifiedOnBehalfBy = "lk_accountbase_modifiedonbehalfby";
        /// <summary>Parent: "Team" Child: "Account" Lookup: ""</summary>
        public const string RelM1_TeamAccountS = "team_accounts";
        /// <summary>Parent: "Owner" Child: "Account" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerAccountS = "owner_accounts";
        /// <summary>Parent: "Account" Child: "Account" Lookup: "MsdynBillingAccount"</summary>
        public const string Rel1M_MsdynAccountAcCountBillingAcCount = "msdyn_account_account_BillingAccount";
        /// <summary>Parent: "Account" Child: "Account" Lookup: "MasterId"</summary>
        public const string Rel1M_AccountMasterAcCount = "account_master_account";
        /// <summary>Parent: "Account" Child: "Account" Lookup: "ParentAccountId"</summary>
        public const string Rel1M_AccountParentAcCount = "account_parent_account";
        /// <summary>Parent: "Account" Child: "Lead" Lookup: "CustomerId"</summary>
        public const string Rel1M_LeadCustomerAccountS = "lead_customer_accounts";
        /// <summary>Parent: "Account" Child: "Lead" Lookup: "ParentAccountId"</summary>
        public const string Rel1M_LeadParentAccount = "lead_parent_account";
        /// <summary>Parent: "Account" Child: "BookableResource" Lookup: "AccountId"</summary>
        public const string Rel1M_AccountBookableresourceAcCountId = "account_bookableresource_AccountId";
        /// <summary>Parent: "Account" Child: "BulkOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountBulkOperations = "account_BulkOperations";
        /// <summary>Parent: "Account" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountCampaignResponses = "account_CampaignResponses";
        /// <summary>Parent: "Account" Child: "BulkOperationLog" Lookup: "CreatedObjectId"</summary>
        public const string Rel1M_CreatedAccountBulkOperationLogs2 = "CreatedAccount_BulkOperationLogs2";
        /// <summary>Parent: "Account" Child: "BulkOperationLog" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SourceAccountBulkOperationLogs = "SourceAccount_BulkOperationLogs";
        /// <summary>Parent: "Account" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountIncidentResolutions = "account_IncidentResolutions";
        /// <summary>Parent: "Account" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountServiceAppointments = "Account_ServiceAppointments";
        /// <summary>Parent: "Account" Child: "ContractDetail" Lookup: "CustomerId"</summary>
        public const string Rel1M_ContractlineitemCustomerAccountS = "contractlineitem_customer_accounts";
        /// <summary>Parent: "Account" Child: "Contract" Lookup: "BillingCustomerId"</summary>
        public const string Rel1M_ContractBillingCustomerAccountS = "contract_billingcustomer_accounts";
        /// <summary>Parent: "Account" Child: "Contract" Lookup: "CustomerId"</summary>
        public const string Rel1M_ContractCustomerAccountS = "contract_customer_accounts";
        /// <summary>Parent: "Account" Child: "Incident" Lookup: "CustomerId"</summary>
        public const string Rel1M_IncidentCustomerAccountS = "incident_customer_accounts";
        /// <summary>Parent: "Account" Child: "Entitlement" Lookup: "AccountId"</summary>
        public const string Rel1M_AccountEntitlementAcCount = "account_entitlement_Account";
        /// <summary>Parent: "Account" Child: "Entitlement" Lookup: "CustomerId"</summary>
        public const string Rel1M_AccountEntitlementCustomer = "account_entitlement_Customer";
        /// <summary>Parent: "Account" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountOpportunityCloses = "account_OpportunityCloses";
        /// <summary>Parent: "Account" Child: "OrderClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountOrderCloses = "account_OrderCloses";
        /// <summary>Parent: "Account" Child: "QuoteClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountQuoteCloses = "account_QuoteCloses";
        /// <summary>Parent: "Account" Child: "Invoice" Lookup: "CustomerId"</summary>
        public const string Rel1M_InvoiceCustomerAccountS = "invoice_customer_accounts";
        /// <summary>Parent: "Account" Child: "Opportunity" Lookup: "CustomerId"</summary>
        public const string Rel1M_OpportunityCustomerAccountS = "opportunity_customer_accounts";
        /// <summary>Parent: "Account" Child: "SalesOrder" Lookup: "CustomerId"</summary>
        public const string Rel1M_OrderCustomerAccountS = "order_customer_accounts";
        /// <summary>Parent: "Account" Child: "Quote" Lookup: "CustomerId"</summary>
        public const string Rel1M_QuoteCustomerAccountS = "quote_customer_accounts";
        /// <summary>Parent: "Account" Child: "Opportunity" Lookup: "ParentAccountId"</summary>
        public const string Rel1M_OpportunityParentAccount = "opportunity_parent_account";
        /// <summary>Parent: "Account" Child: "MsdynPlaybookinstance" Lookup: "Regarding"</summary>
        public const string Rel1M_MsdynPlaybookinstanceAccount = "msdyn_playbookinstance_account";
        /// <summary>Parent: "Account" Child: "MsfpSurveyinvite" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountMsfpSurveyinvites = "account_msfp_surveyinvites";
        /// <summary>Parent: "Account" Child: "MsfpSurveyresponse" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountMsfpSurveyresponses = "account_msfp_surveyresponses";
        /// <summary>Parent: "Account" Child: "MsdynBookingalert" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountMsdynBookingalerts = "account_msdyn_bookingalerts";
        /// <summary>Parent: "Account" Child: "MsdynActual" Lookup: "MsdynAccountCustomer"</summary>
        public const string Rel1M_MsdynAccountMsdynActualAcCountCustomer = "msdyn_account_msdyn_actual_AccountCustomer";
        /// <summary>Parent: "Account" Child: "MsdynActual" Lookup: "MsdynAccountVendor"</summary>
        public const string Rel1M_MsdynAccountMsdynActualAcCountVendor = "msdyn_account_msdyn_actual_AccountVendor";
        /// <summary>Parent: "Account" Child: "MsdynApproval" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountMsdynApprovals = "account_msdyn_approvals";
        /// <summary>Parent: "Account" Child: "MsdynAccountPriceList" Lookup: "MsdynAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynAcCountPriceListAcCount = "msdyn_account_msdyn_accountpricelist_Account";
        /// <summary>Parent: "Account" Child: "MsdynEstimateline" Lookup: "MsdynAccountCustomer"</summary>
        public const string Rel1M_MsdynAccountMsdynEstimatelineAcCountCustomer = "msdyn_account_msdyn_estimateline_AccountCustomer";
        /// <summary>Parent: "Account" Child: "MsdynEstimateline" Lookup: "MsdynAccountVendor"</summary>
        public const string Rel1M_MsdynAccountMsdynEstimatelineAcCountVendor = "msdyn_account_msdyn_estimateline_AccountVendor";
        /// <summary>Parent: "Account" Child: "MsdynFact" Lookup: "MsdynAccountCustomer"</summary>
        public const string Rel1M_MsdynAccountMsdynFactAcCountCustomer = "msdyn_account_msdyn_fact_AccountCustomer";
        /// <summary>Parent: "Account" Child: "MsdynFact" Lookup: "MsdynAccountVendor"</summary>
        public const string Rel1M_MsdynAccountMsdynFactAcCountVendor = "msdyn_account_msdyn_fact_AccountVendor";
        /// <summary>Parent: "Account" Child: "MsdynInvoicelinetransaction" Lookup: "MsdynAccountCustomer"</summary>
        public const string Rel1M_MsdynAccountMsdynInvoicelinetransactionAcCountCustomer = "msdyn_account_msdyn_invoicelinetransaction_AccountCustomer";
        /// <summary>Parent: "Account" Child: "MsdynInvoicelinetransaction" Lookup: "MsdynAccountVendor"</summary>
        public const string Rel1M_MsdynAccountMsdynInvoicelinetransactionAcCountVendor = "msdyn_account_msdyn_invoicelinetransaction_AccountVendor";
        /// <summary>Parent: "Account" Child: "MsdynJournalline" Lookup: "MsdynAccountCustomer"</summary>
        public const string Rel1M_MsdynAccountMsdynJournallineAcCountCustomer = "msdyn_account_msdyn_journalline_AccountCustomer";
        /// <summary>Parent: "Account" Child: "MsdynJournalline" Lookup: "MsdynAccountVendor"</summary>
        public const string Rel1M_MsdynAccountMsdynJournallineAcCountVendor = "msdyn_account_msdyn_journalline_AccountVendor";
        /// <summary>Parent: "Account" Child: "MsdynOpportunitylinetransaction" Lookup: "MsdynAccountCustomer"</summary>
        public const string Rel1M_MsdynAccountMsdynOpportunitylinetransactionAcCountCustomer = "msdyn_account_msdyn_opportunitylinetransaction_AccountCustomer";
        /// <summary>Parent: "Account" Child: "MsdynOpportunitylinetransaction" Lookup: "MsdynAccountVendor"</summary>
        public const string Rel1M_MsdynAccountMsdynOpportunitylinetransactionAcCountVendor = "msdyn_account_msdyn_opportunitylinetransaction_AccountVendor";
        /// <summary>Parent: "Account" Child: "MsdynOrderlinetransaction" Lookup: "MsdynAccountCustomer"</summary>
        public const string Rel1M_MsdynAccountMsdynOrderlinetransactionAcCountCustomer = "msdyn_account_msdyn_orderlinetransaction_AccountCustomer";
        /// <summary>Parent: "Account" Child: "MsdynOrderlinetransaction" Lookup: "MsdynAccountVendor"</summary>
        public const string Rel1M_MsdynAccountMsdynOrderlinetransactionAcCountVendor = "msdyn_account_msdyn_orderlinetransaction_AccountVendor";
        /// <summary>Parent: "Account" Child: "MsdynProject" Lookup: "MsdynCustomer"</summary>
        public const string Rel1M_MsdynAccountMsdynProjectCustomer = "msdyn_account_msdyn_project_Customer";
        /// <summary>Parent: "Account" Child: "MsdynQuotelinetransaction" Lookup: "MsdynAccountCustomer"</summary>
        public const string Rel1M_MsdynAccountMsdynQuotelinetransactionAcCountCustomer = "msdyn_account_msdyn_quotelinetransaction_AccountCustomer";
        /// <summary>Parent: "Account" Child: "MsdynQuotelinetransaction" Lookup: "MsdynAccountVendor"</summary>
        public const string Rel1M_MsdynAccountMsdynQuotelinetransactionAcCountVendor = "msdyn_account_msdyn_quotelinetransaction_AccountVendor";
        /// <summary>Parent: "Account" Child: "MsdynActual" Lookup: "MsdynServiceAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynActualServiceAcCount = "msdyn_account_msdyn_actual_ServiceAccount";
        /// <summary>Parent: "Account" Child: "MsdynAgreement" Lookup: "MsdynBillingAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynAgreementBillingAcCount = "msdyn_account_msdyn_agreement_BillingAccount";
        /// <summary>Parent: "Account" Child: "MsdynAgreement" Lookup: "MsdynServiceAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynAgreementServiceAcCount = "msdyn_account_msdyn_agreement_ServiceAccount";
        /// <summary>Parent: "Account" Child: "MsdynCustomerAsset" Lookup: "MsdynAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynCustomerAssetAcCount = "msdyn_account_msdyn_customerasset_Account";
        /// <summary>Parent: "Account" Child: "MsdynEntitlementapplication" Lookup: "MsdynServiceAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynEntitlementapplicationServiceAcCount = "msdyn_account_msdyn_entitlementapplication_serviceaccount";
        /// <summary>Parent: "Account" Child: "MsdynPayment" Lookup: "MsdynAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynPaymentAcCount = "msdyn_account_msdyn_payment_Account";
        /// <summary>Parent: "Account" Child: "MsdynPurchaseorder" Lookup: "MsdynVendor"</summary>
        public const string Rel1M_MsdynAccountMsdynPurchaseorderVendor = "msdyn_account_msdyn_purchaseorder_Vendor";
        /// <summary>Parent: "Account" Child: "MsdynRequirementresourcepreference" Lookup: "MsdynAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynRequirementresourcepreferenceAcCount = "msdyn_account_msdyn_requirementresourcepreference_Account";
        /// <summary>Parent: "Account" Child: "MsdynRma" Lookup: "MsdynBillingAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynRmaBillingAcCount = "msdyn_account_msdyn_rma_BillingAccount";
        /// <summary>Parent: "Account" Child: "MsdynRma" Lookup: "MsdynServiceAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynRmaServiceAcCount = "msdyn_account_msdyn_rma_ServiceAccount";
        /// <summary>Parent: "Account" Child: "MsdynRmaproduct" Lookup: "MsdynChangeOwnerShip"</summary>
        public const string Rel1M_MsdynAccountMsdynRmaproductChangeOwnerShip = "msdyn_account_msdyn_rmaproduct_Changeownership";
        /// <summary>Parent: "Account" Child: "MsdynRmaproduct" Lookup: "MsdynReturntoVendor"</summary>
        public const string Rel1M_MsdynAccountMsdynRmaproductReturntoVendor = "msdyn_account_msdyn_rmaproduct_ReturntoVendor";
        /// <summary>Parent: "Account" Child: "MsdynRtv" Lookup: "MsdynVendor"</summary>
        public const string Rel1M_MsdynAccountMsdynRtvVendor = "msdyn_account_msdyn_rtv_Vendor";
        /// <summary>Parent: "Account" Child: "MsdynWorkorder" Lookup: "MsdynBillingAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynWorkorderBillingAcCount = "msdyn_account_msdyn_workorder_BillingAccount";
        /// <summary>Parent: "Account" Child: "MsdynWorkorder" Lookup: "MsdynServiceAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynWorkorderServiceAcCount = "msdyn_account_msdyn_workorder_ServiceAccount";
        /// <summary>Parent: "Account" Child: "MsdynWorkorderResourcerestriction" Lookup: "MsdynAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynWorkorderResourcerestrictionAcCount = "msdyn_account_msdyn_workorderresourcerestriction_Account";
        /// <summary>Parent: "Account" Child: "OpportunityProduct" Lookup: "MsdynServiceAccount"</summary>
        public const string Rel1M_MsdynAccountOpportunityproductServiceAcCount = "msdyn_account_opportunityproduct_ServiceAccount";
        /// <summary>Parent: "Account" Child: "Product" Lookup: "MsdynDefaultVendor"</summary>
        public const string Rel1M_MsdynAccountProductDefaultVendor = "msdyn_account_product_DefaultVendor";
        /// <summary>Parent: "Account" Child: "Quote" Lookup: "MsdynAccount"</summary>
        public const string Rel1M_MsdynAccountQuoteAcCount = "msdyn_account_quote_Account";
        /// <summary>Parent: "Account" Child: "QuoteDetail" Lookup: "MsdynServiceAccount"</summary>
        public const string Rel1M_MsdynAccountQuotedetailServiceAcCount = "msdyn_account_quotedetail_ServiceAccount";
        /// <summary>Parent: "Account" Child: "SalesOrder" Lookup: "MsdynAccount"</summary>
        public const string Rel1M_MsdynAccountSalesorderAcCount = "msdyn_account_salesorder_Account";
        /// <summary>Parent: "Account" Child: "MsdynIotdevice" Lookup: "MsdynAccount"</summary>
        public const string Rel1M_MsdynAccountMsdynIotdeviceAcCount = "msdyn_account_msdyn_iotdevice_Account";
        /// <summary>Parent: "Account" Child: "MsdynGeofence" Lookup: "MsdynAccount"</summary>
        public const string Rel1M_MsdynGeofenceAccount = "msdyn_geofence_account";
        /// <summary>Parent: "Account" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_AccountPrincipalobjectattributeaccess = "account_principalobjectattributeaccess";
        /// <summary>Parent: "Account" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountFaxes = "Account_Faxes";
        /// <summary>Parent: "Account" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string Rel1M_SlakpiinstanceAccount = "slakpiinstance_account";
        /// <summary>Parent: "Account" Child: "PostFollow" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountPostFollows = "account_PostFollows";
        /// <summary>Parent: "Account" Child: "PostRegarding" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountPostRegardings = "account_PostRegardings";
        /// <summary>Parent: "Account" Child: "Task" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountTasks = "Account_Tasks";
        /// <summary>Parent: "Account" Child: "Connection" Lookup: "Record1Id"</summary>
        public const string Rel1M_AccountConnections1 = "account_connections1";
        /// <summary>Parent: "Account" Child: "SocialActivity" Lookup: "PostAuthorAccount"</summary>
        public const string Rel1M_SocialActivityPostAuthorAccountAcCountS = "SocialActivity_PostAuthorAccount_accounts";
        /// <summary>Parent: "Account" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_AccountDuplicateBaseRecord = "Account_DuplicateBaseRecord";
        /// <summary>Parent: "Account" Child: "SocialActivity" Lookup: "PostAuthor"</summary>
        public const string Rel1M_SocialActivityPostAuthorAccountS = "SocialActivity_PostAuthor_accounts";
        /// <summary>Parent: "Account" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountSyncErrors = "Account_SyncErrors";
        /// <summary>Parent: "Account" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountMailBoxTrackingFolder = "Account_MailboxTrackingFolder";
        /// <summary>Parent: "Account" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountBulkDeleteFailures = "Account_BulkDeleteFailures";
        /// <summary>Parent: "Account" Child: "ActivityPointer" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountActivityPointers = "Account_ActivityPointers";
        /// <summary>Parent: "Account" Child: "EMail" Lookup: "SendersAccount"</summary>
        public const string Rel1M_AccountEMailSendersAcCount = "Account_Email_SendersAccount";
        /// <summary>Parent: "Account" Child: "Appointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountAppointments = "Account_Appointments";
        /// <summary>Parent: "Account" Child: "SocialProfile" Lookup: "CustomerId"</summary>
        public const string Rel1M_SocialprofileCustomerAccountS = "Socialprofile_customer_accounts";
        /// <summary>Parent: "Account" Child: "EMail" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountEMailS = "Account_Emails";
        /// <summary>Parent: "Account" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string Rel1M_AccountActivityParties = "account_activity_parties";
        /// <summary>Parent: "Account" Child: "PhoneCall" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountPhoneCalls = "Account_Phonecalls";
        /// <summary>Parent: "Account" Child: "SocialActivity" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountSocialActivities = "Account_SocialActivities";
        /// <summary>Parent: "Account" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_AccountDuplicateMatchingRecord = "Account_DuplicateMatchingRecord";
        /// <summary>Parent: "Account" Child: "ActionCard" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountActioncard = "account_actioncard";
        /// <summary>Parent: "Account" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountAsyncOperations = "Account_AsyncOperations";
        /// <summary>Parent: "Account" Child: "CustomerAddress" Lookup: "ParentId"</summary>
        public const string Rel1M_AccountCustomerAddress = "Account_CustomerAddress";
        /// <summary>Parent: "Account" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_AccountAnnotation = "Account_Annotation";
        /// <summary>Parent: "Account" Child: "Letter" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountLetters = "Account_Letters";
        /// <summary>Parent: "Account" Child: "RecurringAppointmentMaster" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountRecurringAppointmentMasters = "Account_RecurringAppointmentMasters";
        /// <summary>Parent: "Account" Child: "EMail" Lookup: "EMailSender"</summary>
        public const string Rel1M_AccountEMailEMailSender = "Account_Email_EmailSender";
        /// <summary>Parent: "Account" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountProcessSessions = "Account_ProcessSessions";
        /// <summary>Parent: "Account" Child: "Contact" Lookup: "ParentCustomerId"</summary>
        public const string Rel1M_ContactCustomerAccountS = "contact_customer_accounts";
        /// <summary>Parent: "Account" Child: "SharePointDocumentLocation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_AccountSharepointDocumentLocation = "Account_SharepointDocumentLocation";
        /// <summary>Parent: "Account" Child: "Connection" Lookup: "Record2Id"</summary>
        public const string Rel1M_AccountConnections2 = "account_connections2";

        #endregion Relationships

        #region OptionSets

        public enum AccountRatingCode_OptionSet
        {
            DefaultValue = 1
        }
        public enum BusinessTypeCode_OptionSet
        {
            DefaultValue = 1
        }
        public enum AccountCategoryCode_OptionSet
        {
            PreferredCustomer = 1,
            Standard = 2
        }
        public enum AccountClassificationCode_OptionSet
        {
            DefaultValue = 1
        }
        public enum CustomerSizeCode_OptionSet
        {
            DefaultValue = 1
        }
        public enum IndustryCode_OptionSet
        {
            AccountIng = 1,
            AgricultureandNonPetrolNaturalResourceExtraction = 2,
            BroadcastingPrintingandPublishing = 3,
            Brokers = 4,
            BuildingSupplyRetail = 5,
            BusinessServices = 6,
            Consulting = 7,
            ConsumerServices = 8,
            DesignDirectionandCreativeManagement = 9,
            DistributorsDispatchersandProcessors = 10,
            DoctorsOfficesandClinics = 11,
            DurableManufacturing = 12,
            EatingandDrinkingPlaces = 13,
            EntertainmentRetail = 14,
            EquipmentRentalandLeasing = 15,
            Financial = 16,
            FoodandTobaccoProcessing = 17,
            InboundCapitalIntensiveProcessing = 18,
            InboundRepairandServices = 19,
            Insurance = 20,
            LegalServices = 21,
            NonDurableMerchandiseRetail = 22,
            OutboundConsumerService = 23,
            PetrochemicalExtractionandDistribution = 24,
            ServiceRetail = 25,
            SIGAffiliations = 26,
            SocialServices = 27,
            SpecialOutboundTradeContractors = 28,
            SpecialtyRealty = 29,
            Transportation = 30,
            UtilityCreationandDistribution = 31,
            VehicleRetail = 32,
            Wholesale = 33
        }
        public enum OwnerIdType_OptionSet
        {
        }
        public enum OwnerShipCode_OptionSet
        {
            Public = 1,
            Private = 2,
            Subsidiary = 3,
            Other = 4
        }
        public enum PaymentTermsCode_OptionSet
        {
            Net30 = 1,
            _210Net30 = 2,
            Net45 = 3,
            Net60 = 4
        }
        public enum PreferredAppointmentDayCode_OptionSet
        {
            Sunday = 0,
            Monday = 1,
            Tuesday = 2,
            Wednesday = 3,
            Thursday = 4,
            Friday = 5,
            Saturday = 6
        }
        public enum PreferredContactMethodCode_OptionSet
        {
            Any = 1,
            EMail = 2,
            Phone = 3,
            Fax = 4,
            Mail = 5
        }
        public enum PreferredAppointmentTimeCode_OptionSet
        {
            Morning = 1,
            Afternoon = 2,
            Evening = 3
        }
        public enum CustomerTypeCode_OptionSet
        {
            Competitor = 1,
            Consultant = 2,
            Customer = 3,
            Investor = 4,
            Partner = 5,
            Influencer = 6,
            Press = 7,
            Prospect = 8,
            Reseller = 9,
            Supplier = 10,
            Vendor = 11,
            Other = 12
        }
        public enum ShippingMethodCode_OptionSet
        {
            DefaultValue = 1
        }
        public enum StateCode_OptionSet
        {
            Active = 0,
            Inactive = 1
        }
        public enum StatusCode_OptionSet
        {
            Active = 1,
            Inactive = 2
        }
        public enum TerritoryCode_OptionSet
        {
            DefaultValue = 1
        }
        public enum MsdynTravelChargeType_OptionSet
        {
            Hourly = 690970000,
            Mileage = 690970001,
            Fixed = 690970002,
            None = 690970003
        }

        #endregion OptionSets
    }
}
