// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : ActivityParty.cs
// Created   : 2019-04-26 10:47:40
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Activity Party, OwnershipType: None, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Person or group associated with an activity. An activity can have multiple activity parties.</remarks>
    public static class ActivityParty
    {
        public const string EntityName = "activityparty";

        #region Relationships

        /// <summary>Parent: "Lead" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_LeadActivityParties = "lead_activity_parties";
        /// <summary>Parent: "BulkOperation" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_BulkoperationActivityParties = "bulkoperation_activity_parties";
        /// <summary>Parent: "Campaign" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_CampaignActivityParties = "campaign_activity_parties";
        /// <summary>Parent: "CampaignActivity" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_CampaignactivityActivityParties = "campaignactivity_activity_parties";
        /// <summary>Parent: "CampaignActivity" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_CampaignactivityActivityparties = "campaignactivity_activityparties";
        /// <summary>Parent: "CampaignResponse" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_CampaignresponseActivityParties = "campaignresponse_activity_parties";
        /// <summary>Parent: "Contract" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_ContractActivityParties = "contract_activity_parties";
        /// <summary>Parent: "Entitlement" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_EntitlementActivityParties = "entitlement_ActivityParties";
        /// <summary>Parent: "Equipment" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_EquipmentActivityParties = "equipment_activity_parties";
        /// <summary>Parent: "Incident" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_IncidentActivityParties = "incident_activity_parties";
        /// <summary>Parent: "IncidentResolution" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_IncidentresolutionActivityParties = "incidentresolution_activity_parties";
        /// <summary>Parent: "ServiceAppointment" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_ServiceappointmentActivityParties = "serviceappointment_activity_parties";
        /// <summary>Parent: "ResourceSpec" Child: "ActivityParty" Lookup: "ResourceSpecId"</summary>
        public const string RelM1_ActivityPartyResourceSpec = "ActivityPartyResourceSpec";
        /// <summary>Parent: "Invoice" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_InvoiceActivityParties = "invoice_activity_parties";
        /// <summary>Parent: "Opportunity" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_OpportunityActivityParties = "opportunity_activity_parties";
        /// <summary>Parent: "OpportunityClose" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_OpportunitycloseActivityParties = "opportunityclose_activity_parties";
        /// <summary>Parent: "OrderClose" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_OrdercloseActivityParties = "orderclose_activity_parties";
        /// <summary>Parent: "Quote" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_QuoteActivityParties = "quote_activity_parties";
        /// <summary>Parent: "QuoteClose" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_QuotecloseActivityParties = "quoteclose_activity_parties";
        /// <summary>Parent: "SalesOrder" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_SalesorderActivityParties = "salesorder_activity_parties";
        /// <summary>Parent: "MsfpSurveyinvite" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_MsfpSurveyinviteActivityParties = "msfp_surveyinvite_activity_parties";
        /// <summary>Parent: "MsfpSurveyresponse" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_MsfpSurveyresponseActivityParties = "msfp_surveyresponse_activity_parties";
        /// <summary>Parent: "MsdynBookingalert" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_MsdynBookingalertActivityParties = "msdyn_bookingalert_activity_parties";
        /// <summary>Parent: "MsdynApproval" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_MsdynApprovalActivityParties = "msdyn_approval_activity_parties";
        /// <summary>Parent: "Account" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_AccountActivityParties = "account_activity_parties";
        /// <summary>Parent: "Letter" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_LetterActivityParties = "letter_activity_parties";
        /// <summary>Parent: "PhoneCall" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_PhoneCallActivityParties = "phonecall_activity_parties";
        /// <summary>Parent: "Task" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_TaskActivityParties = "task_activity_parties";
        /// <summary>Parent: "RecurringAppointmentMaster" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_RecurringappointmentmasterActivityParties = "recurringappointmentmaster_activity_parties";
        /// <summary>Parent: "Contact" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_ContactActivityParties = "contact_activity_parties";
        /// <summary>Parent: "SystemUser" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_SystemUserActivityParties = "system_user_activity_parties";
        /// <summary>Parent: "Appointment" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_AppointmentActivityParties = "appointment_activity_parties";
        /// <summary>Parent: "SocialActivity" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_SocialactivityActivityParties = "socialactivity_activity_parties";
        /// <summary>Parent: "Queue" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_QueueActivityParties = "queue_activity_parties";
        /// <summary>Parent: "KnowledgeArticle" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string RelM1_KnowledgearticleActivityParties = "knowledgearticle_activity_parties";
        /// <summary>Parent: "EMail" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_EMailActivityParties = "email_activity_parties";
        /// <summary>Parent: "Fax" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_FaxActivityParties = "fax_activity_parties";
        /// <summary>Parent: "ActivityPointer" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string RelM1_ActivitypointerActivityParties = "activitypointer_activity_parties";
        /// <summary>Parent: "ActivityParty" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ActivityPartySyncErrors = "ActivityParty_SyncErrors";

        #endregion Relationships
    }
}
