// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : BookableResource.cs
// Created   : 2019-04-26 10:47:41
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Bookable Resource, OwnershipType: UserOwned, IntroducedVersion: 8.1.0.0</summary>
    /// <remarks>Resource that has capacity which can be allocated to work.</remarks>
    public static class BookableResource
    {
        public const string EntityName = "bookableresource";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "BookableResource" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkBookableresourceCreatedBy = "lk_bookableresource_createdby";
        /// <summary>Parent: "SystemUser" Child: "BookableResource" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkBookableresourceCreatedOnBehalfBy = "lk_bookableresource_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResource" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkBookableresourceModifiedBy = "lk_bookableresource_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "BookableResource" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkBookableresourceModifiedOnBehalfBy = "lk_bookableresource_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResource" Lookup: ""</summary>
        public const string RelM1_UserBookableresource = "user_bookableresource";
        /// <summary>Parent: "Team" Child: "BookableResource" Lookup: ""</summary>
        public const string RelM1_TeamBookableresource = "team_bookableresource";
        /// <summary>Parent: "Owner" Child: "BookableResource" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerBookableresource = "owner_bookableresource";
        /// <summary>Parent: "BusinessUnit" Child: "BookableResource" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitBookableresource = "business_unit_bookableresource";
        /// <summary>Parent: "ProcessStage" Child: "BookableResource" Lookup: "StageId"</summary>
        public const string RelM1_ProcessstageBookableResource = "processstage_BookableResource";
        /// <summary>Parent: "Account" Child: "BookableResource" Lookup: "AccountId"</summary>
        public const string RelM1_AccountBookableresourceAcCountId = "account_bookableresource_AccountId";
        /// <summary>Parent: "Calendar" Child: "BookableResource" Lookup: "CalendarId"</summary>
        public const string RelM1_CalendarBookableresources = "calendar_bookableresources";
        /// <summary>Parent: "Contact" Child: "BookableResource" Lookup: "ContactId"</summary>
        public const string RelM1_ContactBookableresourceContactId = "contact_bookableresource_ContactId";
        /// <summary>Parent: "SystemUser" Child: "BookableResource" Lookup: "UserId"</summary>
        public const string RelM1_SystemUserBookableresourceUserId = "systemuser_bookableresource_UserId";
        /// <summary>Parent: "TransactionCurrency" Child: "BookableResource" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactionCurrencyBookableresource = "TransactionCurrency_bookableresource";
        /// <summary>Parent: "MsdynOrganizationalunit" Child: "BookableResource" Lookup: "MsdynOrganizationalunit"</summary>
        public const string RelM1_MsdynMsdynOrganizationalunitBookableresourceOrganizationalunit = "msdyn_msdyn_organizationalunit_bookableresource_organizationalunit";
        /// <summary>Parent: "MsdynWarehouse" Child: "BookableResource" Lookup: "MsdynWarehouse"</summary>
        public const string RelM1_MsdynMsdynWarehouseBookableresourceWarehouse = "msdyn_msdyn_warehouse_bookableresource_Warehouse";
        /// <summary>Parent: "BookableResource" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BookableResourceSyncErrors = "BookableResource_SyncErrors";
        /// <summary>Parent: "BookableResource" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_BookableresourceDuplicateMatchingRecord = "bookableresource_DuplicateMatchingRecord";
        /// <summary>Parent: "BookableResource" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_BookableresourceDuplicateBaseRecord = "bookableresource_DuplicateBaseRecord";
        /// <summary>Parent: "BookableResource" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BookableresourceAsyncOperations = "bookableresource_AsyncOperations";
        /// <summary>Parent: "BookableResource" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BookableresourceMailBoxTrackingFolders = "bookableresource_MailboxTrackingFolders";
        /// <summary>Parent: "BookableResource" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BookableresourceProcessSession = "bookableresource_ProcessSession";
        /// <summary>Parent: "BookableResource" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BookableresourceBulkDeleteFailures = "bookableresource_BulkDeleteFailures";
        /// <summary>Parent: "BookableResource" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_BookableresourcePrincipalObjectAttributeAccess = "bookableresource_PrincipalObjectAttributeAccess";
        /// <summary>Parent: "BookableResource" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_BookableresourceAnnotations = "bookableresource_Annotations";
        /// <summary>Parent: "BookableResource" Child: "BookableResourceBooking" Lookup: "Resource"</summary>
        public const string Rel1M_BookableresourceBookableresourcebookingResource = "bookableresource_bookableresourcebooking_Resource";
        /// <summary>Parent: "BookableResource" Child: "BookableResourceCategoryAssn" Lookup: "Resource"</summary>
        public const string Rel1M_BookableresourceBookableresourcecategoryassnResource = "bookableresource_bookableresourcecategoryassn_Resource";
        /// <summary>Parent: "BookableResource" Child: "BookableResourceCharacteristic" Lookup: "Resource"</summary>
        public const string Rel1M_BookableresourceBookableresourcecharacteristicResource = "bookableresource_bookableresourcecharacteristic_Resource";
        /// <summary>Parent: "BookableResource" Child: "BookableResourceGroup" Lookup: "ChildResource"</summary>
        public const string Rel1M_BookableresourceBookableresourcegroupChildResource = "bookableresource_bookableresourcegroup_ChildResource";
        /// <summary>Parent: "BookableResource" Child: "BookableResourceGroup" Lookup: "ParentResource"</summary>
        public const string Rel1M_BookableresourceBookableresourcegroupParentResource = "bookableresource_bookableresourcegroup_ParentResource";
        /// <summary>Parent: "BookableResource" Child: "BookableResourceBooking" Lookup: "MsdynResourceGroup"</summary>
        public const string Rel1M_MsdynBookableresourceBookableresourcebookingResourceGroup = "msdyn_bookableresource_bookableresourcebooking_ResourceGroup";
        /// <summary>Parent: "BookableResource" Child: "BookableResourceBookingHeader" Lookup: "MsdynBookableresourceId"</summary>
        public const string Rel1M_MsdynBookableresourceBookableresourcebookingheaderBookableresourceId = "msdyn_bookableresource_bookableresourcebookingheader_bookableresourceid";
        /// <summary>Parent: "BookableResource" Child: "MsdynActual" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynActualBookableresource = "msdyn_bookableresource_msdyn_actual_bookableresource";
        /// <summary>Parent: "BookableResource" Child: "MsdynBookableresourceassociation" Lookup: "MsdynResource1"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynBookableresourceassociationResource1 = "msdyn_bookableresource_msdyn_bookableresourceassociation_Resource1";
        /// <summary>Parent: "BookableResource" Child: "MsdynBookableresourceassociation" Lookup: "MsdynResource2"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynBookableresourceassociationResource2 = "msdyn_bookableresource_msdyn_bookableresourceassociation_Resource2";
        /// <summary>Parent: "BookableResource" Child: "MsdynRequirementresourcepreference" Lookup: "MsdynBookableResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynRequirementresourcepreferenceBookableResource = "msdyn_bookableresource_msdyn_requirementresourcepreference_BookableResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynResourceTerritory" Lookup: "MsdynResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynResourceTerritoryResource = "msdyn_bookableresource_msdyn_resourceterritory_Resource";
        /// <summary>Parent: "BookableResource" Child: "MsdynWorkhourtemplate" Lookup: "MsdynBookableresourceId"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynWorkhourtemplateBookableresourceId = "msdyn_bookableresource_msdyn_workhourtemplate_bookableresourceid";
        /// <summary>Parent: "BookableResource" Child: "MsdynDelegation" Lookup: "MsdynDelegationfrom"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynDelegationDelegationfrom = "msdyn_bookableresource_msdyn_delegation_delegationfrom";
        /// <summary>Parent: "BookableResource" Child: "MsdynDelegation" Lookup: "MsdynDelegationto"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynDelegationDelegationto = "msdyn_bookableresource_msdyn_delegation_delegationto";
        /// <summary>Parent: "BookableResource" Child: "MsdynEstimateline" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynEstimatelineBookableresource = "msdyn_bookableresource_msdyn_estimateline_bookableresource";
        /// <summary>Parent: "BookableResource" Child: "MsdynExpense" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynExpenseBookableresource = "msdyn_bookableresource_msdyn_expense_bookableresource";
        /// <summary>Parent: "BookableResource" Child: "MsdynFact" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynFactBookableresource = "msdyn_bookableresource_msdyn_fact_bookableresource";
        /// <summary>Parent: "BookableResource" Child: "MsdynFindworkevent" Lookup: "MsdynBookableResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynFindworkeventBookableResource = "msdyn_bookableresource_msdyn_findworkevent_BookableResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynInvoicelinetransaction" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynInvoicelinetransactionBookableresource = "msdyn_bookableresource_msdyn_invoicelinetransaction_bookableresource";
        /// <summary>Parent: "BookableResource" Child: "MsdynJournal" Lookup: "MsdynBookableResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynJournalBookableResource = "msdyn_bookableresource_msdyn_journal_BookableResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynJournalline" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynJournallineBookableresource = "msdyn_bookableresource_msdyn_journalline_bookableresource";
        /// <summary>Parent: "BookableResource" Child: "MsdynOpportunitylinetransaction" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynOpportunitylinetransactionBookableresource = "msdyn_bookableresource_msdyn_opportunitylinetransaction_bookableresource";
        /// <summary>Parent: "BookableResource" Child: "MsdynOrderlinetransaction" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynOrderlinetransactionBookableresource = "msdyn_bookableresource_msdyn_orderlinetransaction_bookableresource";
        /// <summary>Parent: "BookableResource" Child: "MsdynProjectapproval" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynProjectapprovalBookableresource = "msdyn_bookableresource_msdyn_projectapproval_bookableresource";
        /// <summary>Parent: "BookableResource" Child: "MsdynProjectapproval" Lookup: "MsdynSubmittedBy"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynProjectapprovalSubmittedBy = "msdyn_bookableresource_msdyn_projectapproval_SubmittedBy";
        /// <summary>Parent: "BookableResource" Child: "MsdynProjecttaskStatusUser" Lookup: "MsdynBookableResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynProjecttaskStatusUserBookableResource = "msdyn_bookableresource_msdyn_projecttaskstatususer_BookableResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynProjectteam" Lookup: "MsdynBookableresourceId"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynProjectteamBookableresourceId = "msdyn_bookableresource_msdyn_projectteam_bookableresourceid";
        /// <summary>Parent: "BookableResource" Child: "MsdynProjectteammembersignup" Lookup: "MsdynBookableResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynProjectteammembersignupBookableResource = "msdyn_bookableresource_msdyn_projectteammembersignup_BookableResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynQuotelinetransaction" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynQuotelinetransactionBookableresource = "msdyn_bookableresource_msdyn_quotelinetransaction_bookableresource";
        /// <summary>Parent: "BookableResource" Child: "MsdynResourceassignment" Lookup: "MsdynBookableresourceId"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynResourceassignmentBookableresourceId = "msdyn_bookableresource_msdyn_resourceassignment_bookableresourceid";
        /// <summary>Parent: "BookableResource" Child: "MsdynResourcecategorymarkupPricelevel" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynResourcecategorymarkupPricelevelBookableresource = "msdyn_bookableresource_msdyn_resourcecategorymarkuppricelevel_bookableresource";
        /// <summary>Parent: "BookableResource" Child: "MsdynResourcecategoryPricelevel" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynResourcecategoryPricelevelBookableresource = "msdyn_bookableresource_msdyn_resourcecategorypricelevel_bookableresource";
        /// <summary>Parent: "BookableResource" Child: "MsdynTimeentry" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynTimeentryBookableresource = "msdyn_bookableresource_msdyn_timeentry_bookableresource";
        /// <summary>Parent: "BookableResource" Child: "MsdynUserWorkhistory" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynUserWorkhistoryBookableresource = "msdyn_bookableresource_msdyn_userworkhistory_Bookableresource";
        /// <summary>Parent: "BookableResource" Child: "Account" Lookup: "MsdynPreferredResource"</summary>
        public const string Rel1M_MsdynBookableresourceAccountPreferredResource = "msdyn_bookableresource_account_PreferredResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynAgreementbookingdate" Lookup: "MsdynResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynAgreementbookingdateResource = "msdyn_bookableresource_msdyn_agreementbookingdate_Resource";
        /// <summary>Parent: "BookableResource" Child: "MsdynAgreementbookingsetup" Lookup: "MsdynPreferredResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynAgreementbookingsetupPreferredResource = "msdyn_bookableresource_msdyn_agreementbookingsetup_PreferredResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynInventoryadjustment" Lookup: "MsdynAdjustedByResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynInventoryadjustmentAdjustedByResource = "msdyn_bookableresource_msdyn_inventoryadjustment_AdjustedByResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynInventoryadjustment" Lookup: "MsdynRequestedByResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynInventoryadjustmentRequestedByResource = "msdyn_bookableresource_msdyn_inventoryadjustment_RequestedByResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynInventorytransfer" Lookup: "MsdynTransferredByResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynInventorytransferTransferredByResource = "msdyn_bookableresource_msdyn_inventorytransfer_TransferredByResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynPurchaseorder" Lookup: "MsdynRequestedByResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynPurchaseorderRequestedByResource = "msdyn_bookableresource_msdyn_purchaseorder_RequestedByResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynQuotebookingsetup" Lookup: "MsdynPreferredResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynQuotebookingsetupPreferredResource = "msdyn_bookableresource_msdyn_quotebookingsetup_PreferredResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynTimeoffrequest" Lookup: "MsdynResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynTimeoffrequestResource = "msdyn_bookableresource_msdyn_timeoffrequest_Resource";
        /// <summary>Parent: "BookableResource" Child: "MsdynWorkorder" Lookup: "MsdynPreferredResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynWorkorderPreferredResource = "msdyn_bookableresource_msdyn_workorder_PreferredResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynWorkorder" Lookup: "MsdynSupportContact"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynWorkorderSupportContact = "msdyn_bookableresource_msdyn_workorder_SupportContact";
        /// <summary>Parent: "BookableResource" Child: "MsdynWorkorderResourcerestriction" Lookup: "MsdynResource"</summary>
        public const string Rel1M_MsdynBookableresourceMsdynWorkorderResourcerestrictionResource = "msdyn_bookableresource_msdyn_workorderresourcerestriction_Resource";
        /// <summary>Parent: "BookableResource" Child: "MsdynGeofence" Lookup: "MsdynBookableresource"</summary>
        public const string Rel1M_MsdynGeofenceBookableresource = "msdyn_geofence_bookableresource";

        #endregion Relationships
    }
}
