// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : BookingStatus.cs
// Created   : 2019-04-26 10:47:42
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Booking Status, OwnershipType: UserOwned, IntroducedVersion: 8.1.0.0</summary>
    /// <remarks>Allows creation of multiple sub statuses mapped to a booking status option.</remarks>
    public static class BookingStatus
    {
        public const string EntityName = "bookingstatus";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "BookingStatus" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkBookingStatusCreatedBy = "lk_bookingstatus_createdby";
        /// <summary>Parent: "SystemUser" Child: "BookingStatus" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkBookingStatusCreatedOnBehalfBy = "lk_bookingstatus_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookingStatus" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkBookingStatusModifiedBy = "lk_bookingstatus_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "BookingStatus" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkBookingStatusModifiedOnBehalfBy = "lk_bookingstatus_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookingStatus" Lookup: ""</summary>
        public const string RelM1_UserBookingStatus = "user_bookingstatus";
        /// <summary>Parent: "Team" Child: "BookingStatus" Lookup: ""</summary>
        public const string RelM1_TeamBookingStatus = "team_bookingstatus";
        /// <summary>Parent: "Owner" Child: "BookingStatus" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerBookingStatus = "owner_bookingstatus";
        /// <summary>Parent: "BusinessUnit" Child: "BookingStatus" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitBookingStatus = "business_unit_bookingstatus";
        /// <summary>Parent: "TransactionCurrency" Child: "BookingStatus" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactionCurrencyBookingStatus = "TransactionCurrency_bookingstatus";
        /// <summary>Parent: "BookingStatus" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BookingStatusSyncErrors = "BookingStatus_SyncErrors";
        /// <summary>Parent: "BookingStatus" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_BookingStatusDuplicateMatchingRecord = "bookingstatus_DuplicateMatchingRecord";
        /// <summary>Parent: "BookingStatus" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_BookingStatusDuplicateBaseRecord = "bookingstatus_DuplicateBaseRecord";
        /// <summary>Parent: "BookingStatus" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BookingStatusAsyncOperations = "bookingstatus_AsyncOperations";
        /// <summary>Parent: "BookingStatus" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BookingStatusMailBoxTrackingFolders = "bookingstatus_MailboxTrackingFolders";
        /// <summary>Parent: "BookingStatus" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BookingStatusProcessSession = "bookingstatus_ProcessSession";
        /// <summary>Parent: "BookingStatus" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BookingStatusBulkDeleteFailures = "bookingstatus_BulkDeleteFailures";
        /// <summary>Parent: "BookingStatus" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_BookingStatusPrincipalObjectAttributeAccess = "bookingstatus_PrincipalObjectAttributeAccess";
        /// <summary>Parent: "BookingStatus" Child: "BookableResourceBooking" Lookup: "BookingStatus"</summary>
        public const string Rel1M_BookingStatusBookableresourcebookingBookingStatus = "bookingstatus_bookableresourcebooking_BookingStatus";
        /// <summary>Parent: "BookingStatus" Child: "BookableResourceBookingHeader" Lookup: "MsdynBookingStatusId"</summary>
        public const string Rel1M_MsdynBookingStatusBookableresourcebookingheaderBookingStatusId = "msdyn_bookingstatus_bookableresourcebookingheader_bookingstatusid";
        /// <summary>Parent: "BookingStatus" Child: "MsdynBookingsetupmetadata" Lookup: "MsdynDefaultBookingCanceledStatus"</summary>
        public const string Rel1M_MsdynBookingStatusMsdynBookingsetupmetadataDefaultBookingCanceledStatus = "msdyn_bookingstatus_msdyn_bookingsetupmetadata_DefaultBookingCanceledStatus";
        /// <summary>Parent: "BookingStatus" Child: "MsdynBookingsetupmetadata" Lookup: "MsdynDefaultBookingCommittedStatus"</summary>
        public const string Rel1M_MsdynBookingStatusMsdynBookingsetupmetadataDefaultBookingCommittedStatus = "msdyn_bookingstatus_msdyn_bookingsetupmetadata_DefaultBookingCommittedStatus";
        /// <summary>Parent: "BookingStatus" Child: "MsdynResourceassignment" Lookup: "MsdynBookingStatusId"</summary>
        public const string Rel1M_MsdynBookingStatusMsdynResourceassignmentBookingStatusId = "msdyn_bookingstatus_msdyn_resourceassignment_bookingstatusid";
        /// <summary>Parent: "BookingStatus" Child: "MsdynFieldservicesetting" Lookup: "MsdynDefaultCanceledBookingStatus"</summary>
        public const string Rel1M_MsdynBookingStatusMsdynFieldservicesettingDefaultCanceledBookingStatus = "msdyn_bookingstatus_msdyn_fieldservicesetting_DefaultCanceledBookingStatus";
        /// <summary>Parent: "BookingStatus" Child: "MsdynFieldservicesetting" Lookup: "MsdynDefaultScheduledBookingStatus"</summary>
        public const string Rel1M_MsdynBookingStatusMsdynFieldservicesettingDefaultScheduledBookingStatus = "msdyn_bookingstatus_msdyn_fieldservicesetting_DefaultScheduledBookingStatus";

        #endregion Relationships
    }
}
