// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : BusinessUnit.cs
// Created   : 2019-04-26 10:47:43
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Business Unit, OwnershipType: BusinessOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Business, division, or department in the Microsoft Dynamics 365 database.</remarks>
    public static class BusinessUnit
    {
        public const string EntityName = "businessunit";

        #region Relationships

        /// <summary>Parent: "MsdynWarehouse" Child: "BusinessUnit" Lookup: "MsdynWarehouse"</summary>
        public const string RelM1_MsdynMsdynWarehouseBusinessUnitWarehouse = "msdyn_msdyn_warehouse_businessunit_Warehouse";
        /// <summary>Parent: "TransactionCurrency" Child: "BusinessUnit" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactionCurrencyBusinessUnit = "TransactionCurrency_BusinessUnit";
        /// <summary>Parent: "SystemUser" Child: "BusinessUnit" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkBusinessUnitbaseCreatedBy = "lk_businessunitbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "BusinessUnit" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkBusinessUnitModifiedOnBehalfBy = "lk_businessunit_modifiedonbehalfby";
        /// <summary>Parent: "Organization" Child: "BusinessUnit" Lookup: "OrganizationId"</summary>
        public const string RelM1_OrganizationBusinessUnits = "organization_business_units";
        /// <summary>Parent: "SystemUser" Child: "BusinessUnit" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkBusinessUnitCreatedOnBehalfBy = "lk_businessunit_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BusinessUnit" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkBusinessUnitbaseModifiedBy = "lk_businessunitbase_modifiedby";
        /// <summary>Parent: "Calendar" Child: "BusinessUnit" Lookup: "CalendarId"</summary>
        public const string RelM1_BusinessUnitCalendar = "BusinessUnit_Calendar";
        /// <summary>Parent: "BusinessUnit" Child: "BusinessUnit" Lookup: "ParentBusinessUnitId"</summary>
        public const string Rel1M_BusinessUnitParentBusinessUnit = "business_unit_parent_business_unit";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynConnector" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynConnector = "business_unit_msdyn_connector";
        /// <summary>Parent: "BusinessUnit" Child: "Lead" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitLeads = "business_unit_leads";
        /// <summary>Parent: "BusinessUnit" Child: "DynamicPropertyInstance" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitDynamicproperyinstance = "business_unit_dynamicproperyinstance";
        /// <summary>Parent: "BusinessUnit" Child: "BookableResource" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitBookableresource = "business_unit_bookableresource";
        /// <summary>Parent: "BusinessUnit" Child: "BookableResourceBooking" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitBookableresourcebooking = "business_unit_bookableresourcebooking";
        /// <summary>Parent: "BusinessUnit" Child: "BookableResourceBookingHeader" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitBookableresourcebookingheader = "business_unit_bookableresourcebookingheader";
        /// <summary>Parent: "BusinessUnit" Child: "BookableResourceCategory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitBookableresourcecategory = "business_unit_bookableresourcecategory";
        /// <summary>Parent: "BusinessUnit" Child: "BookableResourceCategoryAssn" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitBookableresourcecategoryassn = "business_unit_bookableresourcecategoryassn";
        /// <summary>Parent: "BusinessUnit" Child: "BookableResourceCharacteristic" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitBookableresourcecharacteristic = "business_unit_bookableresourcecharacteristic";
        /// <summary>Parent: "BusinessUnit" Child: "BookableResourceGroup" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitBookableresourcegroup = "business_unit_bookableresourcegroup";
        /// <summary>Parent: "BusinessUnit" Child: "BookingStatus" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitBookingStatus = "business_unit_bookingstatus";
        /// <summary>Parent: "BusinessUnit" Child: "Characteristic" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitCharacteristic = "business_unit_characteristic";
        /// <summary>Parent: "BusinessUnit" Child: "RatingModel" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitRatingmodel = "business_unit_ratingmodel";
        /// <summary>Parent: "BusinessUnit" Child: "RatingValue" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitRatingvalue = "business_unit_ratingvalue";
        /// <summary>Parent: "BusinessUnit" Child: "BulkOperation" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitBulkOperationActivities = "business_unit_BulkOperation_activities";
        /// <summary>Parent: "BusinessUnit" Child: "Campaign" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitCampaigns = "BusinessUnit_Campaigns";
        /// <summary>Parent: "BusinessUnit" Child: "CampaignActivity" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitCampaignactivityActivities = "business_unit_campaignactivity_activities";
        /// <summary>Parent: "BusinessUnit" Child: "CampaignResponse" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitCampaignresponseActivities = "business_unit_campaignresponse_activities";
        /// <summary>Parent: "BusinessUnit" Child: "List" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitList = "business_unit_list";
        /// <summary>Parent: "BusinessUnit" Child: "ConstraintBasedGroup" Lookup: "BusinessUnitId"</summary>
        public const string Rel1M_BusinessUnitConstraintBasedGroups = "business_unit_constraint_based_groups";
        /// <summary>Parent: "BusinessUnit" Child: "Contract" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitServiceContracts = "business_unit_service_contracts";
        /// <summary>Parent: "BusinessUnit" Child: "Entitlement" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitEntitlement = "business_unit_entitlement";
        /// <summary>Parent: "BusinessUnit" Child: "Equipment" Lookup: "BusinessUnitId"</summary>
        public const string Rel1M_BusinessUnitEquipment = "business_unit_equipment";
        /// <summary>Parent: "BusinessUnit" Child: "Incident" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitIncidents = "business_unit_incidents";
        /// <summary>Parent: "BusinessUnit" Child: "IncidentResolution" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitIncidentResolutionActivities = "business_unit_incident_resolution_activities";
        /// <summary>Parent: "BusinessUnit" Child: "Resource" Lookup: "BusinessUnitId"</summary>
        public const string Rel1M_BusinessUnitResources = "business_unit_resources";
        /// <summary>Parent: "BusinessUnit" Child: "ResourceGroup" Lookup: "BusinessUnitId"</summary>
        public const string Rel1M_BusinessUnitResourceGroups = "business_unit_resource_groups";
        /// <summary>Parent: "BusinessUnit" Child: "ResourceSpec" Lookup: "BusinessUnitId"</summary>
        public const string Rel1M_BusinessUnitResourceSpecs = "business_unit_resource_specs";
        /// <summary>Parent: "BusinessUnit" Child: "ServiceAppointment" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitServiceAppointments = "business_unit_service_appointments";
        /// <summary>Parent: "BusinessUnit" Child: "EntitlementEntityAllocationTypeMapping" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitEntitlementEntityAllocationTypeMapping = "business_unit_entitlemententityallocationtypemapping";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynCallablecontext" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynCallablecontext = "business_unit_msdyn_callablecontext";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPlaybookactivity" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPlaybookactivity = "business_unit_msdyn_playbookactivity";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPlaybookactivityattribute" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPlaybookactivityattribute = "business_unit_msdyn_playbookactivityattribute";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPlaybookcategory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPlaybookcategory = "business_unit_msdyn_playbookcategory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPlaybookinstance" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPlaybookinstance = "business_unit_msdyn_playbookinstance";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPlaybooktemplate" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPlaybooktemplate = "business_unit_msdyn_playbooktemplate";
        /// <summary>Parent: "BusinessUnit" Child: "Invoice" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitInvoices = "business_unit_invoices";
        /// <summary>Parent: "BusinessUnit" Child: "Opportunity" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitOpportunities = "business_unit_opportunities";
        /// <summary>Parent: "BusinessUnit" Child: "OpportunityClose" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitOpportunityCloseActivities = "business_unit_opportunity_close_activities";
        /// <summary>Parent: "BusinessUnit" Child: "OrderClose" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitOrderCloseActivities = "business_unit_order_close_activities";
        /// <summary>Parent: "BusinessUnit" Child: "Quote" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitQuotes = "business_unit_quotes";
        /// <summary>Parent: "BusinessUnit" Child: "QuoteClose" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitQuoteCloseActivities = "business_unit_quote_close_activities";
        /// <summary>Parent: "BusinessUnit" Child: "SalesOrder" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitOrders = "business_unit_orders";
        /// <summary>Parent: "BusinessUnit" Child: "AdminsettingsEntity" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitAdminsettingsEntity = "business_unit_adminsettingsentity";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynForecastdefinition" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynForecastdefinition = "business_unit_msdyn_forecastdefinition";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynForecastinstance" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynForecastinstance = "business_unit_msdyn_forecastinstance";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynForecastrecurrence" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynForecastrecurrence = "business_unit_msdyn_forecastrecurrence";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRelationshipinsightsunifiedconfig" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRelationshipinsightsunifiedconfig = "business_unit_msdyn_relationshipinsightsunifiedconfig";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynSiconfig" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynSiconfig = "business_unit_msdyn_siconfig";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynUntrackedappointment" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynUntrackedappointment = "business_unit_msdyn_untrackedappointment";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynNotesanalysisconfig" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynNotesanalysisconfig = "business_unit_msdyn_notesanalysisconfig";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIcebreakersconfig" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIcebreakersconfig = "business_unit_msdyn_icebreakersconfig";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPostAlBum" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPostalBum = "business_unit_msdyn_postalbum";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWallsavedqueryUserSettings" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynWallsavedqueryUserSettings = "business_unit_msdyn_wallsavedqueryusersettings";
        /// <summary>Parent: "BusinessUnit" Child: "MsfpEMailTemplate" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsfpEMailTemplate = "business_unit_msfp_emailtemplate";
        /// <summary>Parent: "BusinessUnit" Child: "MsfpQuestion" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsfpQuestion = "business_unit_msfp_question";
        /// <summary>Parent: "BusinessUnit" Child: "MsfpQuestionresponse" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsfpQuestionresponse = "business_unit_msfp_questionresponse";
        /// <summary>Parent: "BusinessUnit" Child: "MsfpSurvey" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsfpSurvey = "business_unit_msfp_survey";
        /// <summary>Parent: "BusinessUnit" Child: "MsfpSurveyinvite" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_MsfpSurveyinviteBusinessUnitOwningBusinessUnit = "msfp_surveyinvite_businessunit_owningbusinessunit";
        /// <summary>Parent: "BusinessUnit" Child: "MsfpSurveyresponse" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_MsfpSurveyresponseBusinessUnitOwningBusinessUnit = "msfp_surveyresponse_businessunit_owningbusinessunit";
        /// <summary>Parent: "BusinessUnit" Child: "MsfpUnsubscribedrecipient" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsfpUnsubscribedrecipient = "business_unit_msfp_unsubscribedrecipient";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynActual" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynActual = "business_unit_msdyn_actual";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynBookableresourceassociation" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynBookableresourceassociation = "business_unit_msdyn_bookableresourceassociation";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynBookingalert" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_MsdynBookingalertBusinessUnitOwningBusinessUnit = "msdyn_bookingalert_businessunit_owningbusinessunit";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynBookingalertStatus" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynBookingalertStatus = "business_unit_msdyn_bookingalertstatus";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynBookingchange" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynBookingchange = "business_unit_msdyn_bookingchange";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynBookingrule" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynBookingrule = "business_unit_msdyn_bookingrule";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynBookingsetupmetadata" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynBookingsetupmetadata = "business_unit_msdyn_bookingsetupmetadata";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynBusinessClosure" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynBusinessClosure = "business_unit_msdyn_businessclosure";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynClientextension" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynClientextension = "business_unit_msdyn_clientextension";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynConfiguration" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynConfiguration = "business_unit_msdyn_configuration";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPriority" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPriority = "business_unit_msdyn_priority";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRequirementcharacteristic" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRequirementcharacteristic = "business_unit_msdyn_requirementcharacteristic";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRequirementgroup" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRequirementgroup = "business_unit_msdyn_requirementgroup";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRequirementorganizationunit" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRequirementorganizationunit = "business_unit_msdyn_requirementorganizationunit";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRequirementrelationship" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRequirementrelationship = "business_unit_msdyn_requirementrelationship";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRequirementresourcecategory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRequirementresourcecategory = "business_unit_msdyn_requirementresourcecategory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRequirementresourcepreference" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRequirementresourcepreference = "business_unit_msdyn_requirementresourcepreference";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRequirementStatus" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRequirementStatus = "business_unit_msdyn_requirementstatus";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynResourcerequirement" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynResourcerequirement = "business_unit_msdyn_resourcerequirement";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynResourcerequirementdetail" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynResourcerequirementdetail = "business_unit_msdyn_resourcerequirementdetail";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynResourceTerritory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynResourceTerritory = "business_unit_msdyn_resourceterritory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynScheduleboardsetting" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynScheduleboardsetting = "business_unit_msdyn_scheduleboardsetting";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynSystemUserSchedulersetting" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynSystemUserSchedulersetting = "business_unit_msdyn_systemuserschedulersetting";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynTimegroup" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynTimegroup = "business_unit_msdyn_timegroup";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynTimegroupdetail" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynTimegroupdetail = "business_unit_msdyn_timegroupdetail";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynTransactionorigin" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynTransactionorigin = "business_unit_msdyn_transactionorigin";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWorkhourtemplate" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynWorkhourtemplate = "business_unit_msdyn_workhourtemplate";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAccountPriceList" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAccountPriceList = "business_unit_msdyn_accountpricelist";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynApproval" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_MsdynApprovalBusinessUnitOwningBusinessUnit = "msdyn_approval_businessunit_owningbusinessunit";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynCharacteristicreqforteammember" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynCharacteristicreqforteammember = "business_unit_msdyn_characteristicreqforteammember";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynContactPriceList" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynContactPriceList = "business_unit_msdyn_contactpricelist";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynContractlinescheduleofvalue" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynContractlinescheduleofvalue = "business_unit_msdyn_contractlinescheduleofvalue";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynDataexport" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynDataexport = "business_unit_msdyn_dataexport";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynDelegation" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynDelegation = "business_unit_msdyn_delegation";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynDimension" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynDimension = "business_unit_msdyn_dimension";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynEstimate" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynEstimate = "business_unit_msdyn_estimate";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynEstimateline" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynEstimateline = "business_unit_msdyn_estimateline";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynExpense" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynExpense = "business_unit_msdyn_expense";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynExpensereceipt" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynExpensereceipt = "business_unit_msdyn_expensereceipt";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynFact" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynFact = "business_unit_msdyn_fact";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynFieldcomputation" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynFieldcomputation = "business_unit_msdyn_fieldcomputation";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynFindworkevent" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynFindworkevent = "business_unit_msdyn_findworkevent";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIntegrationjob" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIntegrationjob = "business_unit_msdyn_integrationjob";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIntegrationjobdetail" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIntegrationjobdetail = "business_unit_msdyn_integrationjobdetail";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynInvoicelinetransaction" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynInvoicelinetransaction = "business_unit_msdyn_invoicelinetransaction";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynJournal" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynJournal = "business_unit_msdyn_journal";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynJournalline" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynJournalline = "business_unit_msdyn_journalline";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOpportunitylineresourcecategory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOpportunitylineresourcecategory = "business_unit_msdyn_opportunitylineresourcecategory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOpportunitylinetransaction" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOpportunitylinetransaction = "business_unit_msdyn_opportunitylinetransaction";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOpportunitylinetransactioncategory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOpportunitylinetransactioncategory = "business_unit_msdyn_opportunitylinetransactioncategory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOpportunitylinetransactionclassificatio" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOpportunitylinetransactionclassificatio = "business_unit_msdyn_opportunitylinetransactionclassificatio";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOpportunityPriceList" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOpportunityPriceList = "business_unit_msdyn_opportunitypricelist";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOrderlineresourcecategory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOrderlineresourcecategory = "business_unit_msdyn_orderlineresourcecategory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOrderlinetransaction" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOrderlinetransaction = "business_unit_msdyn_orderlinetransaction";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOrderlinetransactioncategory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOrderlinetransactioncategory = "business_unit_msdyn_orderlinetransactioncategory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOrderlinetransactionclassification" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOrderlinetransactionclassification = "business_unit_msdyn_orderlinetransactionclassification";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOrderPriceList" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOrderPriceList = "business_unit_msdyn_orderpricelist";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynProject" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynProject = "business_unit_msdyn_project";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynProjectapproval" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynProjectapproval = "business_unit_msdyn_projectapproval";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynProjectPriceList" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynProjectPriceList = "business_unit_msdyn_projectpricelist";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynProjecttask" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynProjecttask = "business_unit_msdyn_projecttask";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynProjecttaskdependency" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynProjecttaskdependency = "business_unit_msdyn_projecttaskdependency";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynProjecttaskStatusUser" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynProjecttaskStatusUser = "business_unit_msdyn_projecttaskstatususer";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynProjectteam" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynProjectteam = "business_unit_msdyn_projectteam";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynProjecttransactioncategory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynProjecttransactioncategory = "business_unit_msdyn_projecttransactioncategory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuotelineanalyticsbreakdown" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuotelineanalyticsbreakdown = "business_unit_msdyn_quotelineanalyticsbreakdown";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuotelineresourcecategory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuotelineresourcecategory = "business_unit_msdyn_quotelineresourcecategory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuotelinescheduleofvalue" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuotelinescheduleofvalue = "business_unit_msdyn_quotelinescheduleofvalue";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuotelinetransaction" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuotelinetransaction = "business_unit_msdyn_quotelinetransaction";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuotelinetransactioncategory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuotelinetransactioncategory = "business_unit_msdyn_quotelinetransactioncategory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuotelinetransactionclassification" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuotelinetransactionclassification = "business_unit_msdyn_quotelinetransactionclassification";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuotePriceList" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuotePriceList = "business_unit_msdyn_quotepricelist";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynResourceassignment" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynResourceassignment = "business_unit_msdyn_resourceassignment";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynResourceassignmentdetail" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynResourceassignmentdetail = "business_unit_msdyn_resourceassignmentdetail";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynResourcerequest" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynResourcerequest = "business_unit_msdyn_resourcerequest";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRolecompetencyrequirement" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRolecompetencyrequirement = "business_unit_msdyn_rolecompetencyrequirement";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRoleutilization" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRoleutilization = "business_unit_msdyn_roleutilization";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynTimeentry" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynTimeentry = "business_unit_msdyn_timeentry";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynTimeoffcalendar" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynTimeoffcalendar = "business_unit_msdyn_timeoffcalendar";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynTransactionconnection" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynTransactionconnection = "business_unit_msdyn_transactionconnection";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynUserWorkhistory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynUserWorkhistory = "business_unit_msdyn_userworkhistory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAnalysiscomponent" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAnalysiscomponent = "business_unit_msdyn_analysiscomponent";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAnalysisjob" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAnalysisjob = "business_unit_msdyn_analysisjob";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAnalysisresult" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAnalysisresult = "business_unit_msdyn_analysisresult";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAnalysisresultdetail" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAnalysisresultdetail = "business_unit_msdyn_analysisresultdetail";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynSolutionhealthrule" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynSolutionhealthrule = "business_unit_msdyn_solutionhealthrule";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynSolutionhealthruleargument" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynSolutionhealthruleargument = "business_unit_msdyn_solutionhealthruleargument";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAgreement" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAgreement = "business_unit_msdyn_agreement";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAgreementbookingdate" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAgreementbookingdate = "business_unit_msdyn_agreementbookingdate";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAgreementbookingincident" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAgreementbookingincident = "business_unit_msdyn_agreementbookingincident";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAgreementbookingproduct" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAgreementbookingproduct = "business_unit_msdyn_agreementbookingproduct";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAgreementbookingservice" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAgreementbookingservice = "business_unit_msdyn_agreementbookingservice";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAgreementbookingservicetask" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAgreementbookingservicetask = "business_unit_msdyn_agreementbookingservicetask";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAgreementbookingsetup" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAgreementbookingsetup = "business_unit_msdyn_agreementbookingsetup";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAgreementinvoicedate" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAgreementinvoicedate = "business_unit_msdyn_agreementinvoicedate";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAgreementinvoiceproduct" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAgreementinvoiceproduct = "business_unit_msdyn_agreementinvoiceproduct";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAgreementinvoicesetup" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAgreementinvoicesetup = "business_unit_msdyn_agreementinvoicesetup";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynAgreementsubStatus" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynAgreementsubStatus = "business_unit_msdyn_agreementsubstatus";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynBookingjournal" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynBookingjournal = "business_unit_msdyn_bookingjournal";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynBookingtimestamp" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynBookingtimestamp = "business_unit_msdyn_bookingtimestamp";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynCustomerAsset" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynCustomerAsset = "business_unit_msdyn_customerasset";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynCustomerAssetcategory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynCustomerAssetcategory = "business_unit_msdyn_customerassetcategory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynEntitlementapplication" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynEntitlementapplication = "business_unit_msdyn_entitlementapplication";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynFieldservicesetting" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynFieldservicesetting = "business_unit_msdyn_fieldservicesetting";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynFieldserviceslaConfiguration" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynFieldserviceslaConfiguration = "business_unit_msdyn_fieldserviceslaconfiguration";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIncidentType" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIncidentType = "business_unit_msdyn_incidenttype";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIncidentTypeCharacteristic" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIncidentTypeCharacteristic = "business_unit_msdyn_incidenttypecharacteristic";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIncidentTypeProduct" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIncidentTypeProduct = "business_unit_msdyn_incidenttypeproduct";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIncidentTypeService" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIncidentTypeService = "business_unit_msdyn_incidenttypeservice";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIncidentTypeServicetask" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIncidentTypeServicetask = "business_unit_msdyn_incidenttypeservicetask";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIncidentTypeSsetup" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIncidentTypeSsetup = "business_unit_msdyn_incidenttypessetup";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIncidentTypeRequirementgroup" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIncidentTypeRequirementgroup = "business_unit_msdyn_incidenttype_requirementgroup";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynInventoryadjustment" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynInventoryadjustment = "business_unit_msdyn_inventoryadjustment";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynInventoryadjustmentproduct" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynInventoryadjustmentproduct = "business_unit_msdyn_inventoryadjustmentproduct";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynInventoryjournal" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynInventoryjournal = "business_unit_msdyn_inventoryjournal";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynInventorytransfer" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynInventorytransfer = "business_unit_msdyn_inventorytransfer";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOrderinvoicingdate" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOrderinvoicingdate = "business_unit_msdyn_orderinvoicingdate";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOrderinvoicingproduct" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOrderinvoicingproduct = "business_unit_msdyn_orderinvoicingproduct";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOrderinvoicingsetup" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOrderinvoicingsetup = "business_unit_msdyn_orderinvoicingsetup";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOrderinvoicingsetupdate" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynOrderinvoicingsetupdate = "business_unit_msdyn_orderinvoicingsetupdate";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPayment" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPayment = "business_unit_msdyn_payment";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPaymentdetail" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPaymentdetail = "business_unit_msdyn_paymentdetail";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPaymentMethod" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPaymentMethod = "business_unit_msdyn_paymentmethod";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPaymentterm" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPaymentterm = "business_unit_msdyn_paymentterm";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPostalCode" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPostalCode = "business_unit_msdyn_postalcode";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPurchaseorder" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPurchaseorder = "business_unit_msdyn_purchaseorder";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPurchaseorderbill" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPurchaseorderbill = "business_unit_msdyn_purchaseorderbill";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPurchaseorderproduct" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPurchaseorderproduct = "business_unit_msdyn_purchaseorderproduct";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPurchaseorderreceipt" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPurchaseorderreceipt = "business_unit_msdyn_purchaseorderreceipt";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPurchaseorderreceiptproduct" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPurchaseorderreceiptproduct = "business_unit_msdyn_purchaseorderreceiptproduct";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynPurchaseordersubStatus" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynPurchaseordersubStatus = "business_unit_msdyn_purchaseordersubstatus";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuotebookingincident" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuotebookingincident = "business_unit_msdyn_quotebookingincident";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuotebookingproduct" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuotebookingproduct = "business_unit_msdyn_quotebookingproduct";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuotebookingservice" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuotebookingservice = "business_unit_msdyn_quotebookingservice";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuotebookingservicetask" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuotebookingservicetask = "business_unit_msdyn_quotebookingservicetask";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuotebookingsetup" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuotebookingsetup = "business_unit_msdyn_quotebookingsetup";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuoteinvoicingproduct" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuoteinvoicingproduct = "business_unit_msdyn_quoteinvoicingproduct";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuoteinvoicingsetup" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynQuoteinvoicingsetup = "business_unit_msdyn_quoteinvoicingsetup";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynResourcepayType" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynResourcepayType = "business_unit_msdyn_resourcepaytype";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRma" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRma = "business_unit_msdyn_rma";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRmaproduct" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRmaproduct = "business_unit_msdyn_rmaproduct";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRmareceipt" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRmareceipt = "business_unit_msdyn_rmareceipt";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRmareceiptproduct" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRmareceiptproduct = "business_unit_msdyn_rmareceiptproduct";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRmasubStatus" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRmasubStatus = "business_unit_msdyn_rmasubstatus";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRtv" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRtv = "business_unit_msdyn_rtv";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRtvproduct" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRtvproduct = "business_unit_msdyn_rtvproduct";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynRtvsubStatus" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynRtvsubStatus = "business_unit_msdyn_rtvsubstatus";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynServicetaskType" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynServicetaskType = "business_unit_msdyn_servicetasktype";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynShipvia" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynShipvia = "business_unit_msdyn_shipvia";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynTaxCode" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynTaxCode = "business_unit_msdyn_taxcode";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynTaxCodeDetail" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynTaxCodeDetail = "business_unit_msdyn_taxcodedetail";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynTimeoffrequest" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynTimeoffrequest = "business_unit_msdyn_timeoffrequest";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWarehouse" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynWarehouse = "business_unit_msdyn_warehouse";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWorkorder" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynWorkorder = "business_unit_msdyn_workorder";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWorkorderCharacteristic" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynWorkorderCharacteristic = "business_unit_msdyn_workordercharacteristic";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWorkorderIncident" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynWorkorderIncident = "business_unit_msdyn_workorderincident";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWorkorderProduct" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynWorkorderProduct = "business_unit_msdyn_workorderproduct";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWorkorderResourcerestriction" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynWorkorderResourcerestriction = "business_unit_msdyn_workorderresourcerestriction";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWorkorderService" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynWorkorderService = "business_unit_msdyn_workorderservice";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWorkorderServicetask" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynWorkorderServicetask = "business_unit_msdyn_workorderservicetask";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWorkorderSubStatus" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynWorkorderSubStatus = "business_unit_msdyn_workordersubstatus";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWorkorderType" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynWorkorderType = "business_unit_msdyn_workordertype";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIotalert" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIotalert = "business_unit_msdyn_iotalert";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIotdevice" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIotdevice = "business_unit_msdyn_iotdevice";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIotdevicecategory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIotdevicecategory = "business_unit_msdyn_iotdevicecategory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIotdevicecommand" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIotdevicecommand = "business_unit_msdyn_iotdevicecommand";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIotdevicecommanddefinition" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIotdevicecommanddefinition = "business_unit_msdyn_iotdevicecommanddefinition";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIotdevicedatahistory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIotdevicedatahistory = "business_unit_msdyn_iotdevicedatahistory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIotdeviceproperty" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIotdeviceproperty = "business_unit_msdyn_iotdeviceproperty";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIotdeviceregistrationhistory" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIotdeviceregistrationhistory = "business_unit_msdyn_iotdeviceregistrationhistory";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIotpropertydefinition" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIotpropertydefinition = "business_unit_msdyn_iotpropertydefinition";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIotsettings" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynIotsettings = "business_unit_msdyn_iotsettings";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynEntityConfiguration" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynEntityConfiguration = "business_unit_msdyn_entityconfiguration";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynGeofence" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynGeofence = "business_unit_msdyn_geofence";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynGeofenceevent" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynGeofenceevent = "business_unit_msdyn_geofenceevent";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynGeofencingsettings" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMsdynGeofencingsettings = "business_unit_msdyn_geofencingsettings";
        /// <summary>Parent: "BusinessUnit" Child: "ExchangeSyncIdMapping" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitExchangeSyncidmapping = "business_unit_exchangesyncidmapping";
        /// <summary>Parent: "BusinessUnit" Child: "InteractionForEMail" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitInteractionforeMail = "business_unit_interactionforemail";
        /// <summary>Parent: "BusinessUnit" Child: "KnowledgeArticle" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitKnowledgearticle = "business_unit_knowledgearticle";
        /// <summary>Parent: "BusinessUnit" Child: "SharePointDocumentLocation" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitSharepointdocumentlocation = "business_unit_sharepointdocumentlocation";
        /// <summary>Parent: "BusinessUnit" Child: "Goal" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitGoal = "business_unit_goal";
        /// <summary>Parent: "BusinessUnit" Child: "MailBox" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMailBox = "business_unit_mailbox";
        /// <summary>Parent: "BusinessUnit" Child: "RecurrenceRule" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitRecurrencerule = "business_unit_recurrencerule";
        /// <summary>Parent: "BusinessUnit" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BusinessUnitAsyncOperations = "BusinessUnit_AsyncOperations";
        /// <summary>Parent: "BusinessUnit" Child: "ImportLog" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitImportLogs = "BusinessUnit_ImportLogs";
        /// <summary>Parent: "BusinessUnit" Child: "UserSettings" Lookup: "BusinessUnitId"</summary>
        public const string Rel1M_BusinessUnitUserSettings = "business_unit_user_settings";
        /// <summary>Parent: "BusinessUnit" Child: "SyncError" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitSyncError = "BusinessUnit_SyncError";
        /// <summary>Parent: "BusinessUnit" Child: "SharePointSite" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitSharepointsites = "business_unit_sharepointsites";
        /// <summary>Parent: "BusinessUnit" Child: "Feedback" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitFeedback = "business_unit_feedback";
        /// <summary>Parent: "BusinessUnit" Child: "Role" Lookup: "BusinessUnitId"</summary>
        public const string Rel1M_BusinessUnitRoles = "business_unit_roles";
        /// <summary>Parent: "BusinessUnit" Child: "PostRegarding" Lookup: "RegardingObjectOwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitPostRegarding = "business_unit_PostRegarding";
        /// <summary>Parent: "BusinessUnit" Child: "PostFollow" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitPostfollows = "business_unit_postfollows";
        /// <summary>Parent: "BusinessUnit" Child: "Team" Lookup: "BusinessUnitId"</summary>
        public const string Rel1M_BusinessUnitTeams = "business_unit_teams";
        /// <summary>Parent: "BusinessUnit" Child: "Queue" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitQueues2 = "business_unit_queues2";
        /// <summary>Parent: "BusinessUnit" Child: "GoalRollupQuery" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitGoalrollupquery = "business_unit_goalrollupquery";
        /// <summary>Parent: "BusinessUnit" Child: "UserQuery" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitUserQuery = "business_unit_userquery";
        /// <summary>Parent: "BusinessUnit" Child: "Import" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitImportS = "BusinessUnit_Imports";
        /// <summary>Parent: "BusinessUnit" Child: "ImportFile" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitImportFiles = "BusinessUnit_ImportFiles";
        /// <summary>Parent: "BusinessUnit" Child: "Letter" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitLetterActivities = "business_unit_letter_activities";
        /// <summary>Parent: "BusinessUnit" Child: "MailBoxTrackingFolder" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMailBoxtrackingfolder = "businessunit_mailboxtrackingfolder";
        /// <summary>Parent: "BusinessUnit" Child: "Queue" Lookup: "BusinessUnitId"</summary>
        public const string Rel1M_BusinessUnitQueues = "business_unit_queues";
        /// <summary>Parent: "BusinessUnit" Child: "Annotation" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitAnnotations = "business_unit_annotations";
        /// <summary>Parent: "BusinessUnit" Child: "CallbackRegistration" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitCallbackregistration = "businessunit_callbackregistration";
        /// <summary>Parent: "BusinessUnit" Child: "Workflow" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitWorkflow = "business_unit_workflow";
        /// <summary>Parent: "BusinessUnit" Child: "PersonalDocumentTemplate" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitPersonaldocumenttemplates = "business_unit_personaldocumenttemplates";
        /// <summary>Parent: "BusinessUnit" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_BusinessUnitPrincipalobjectattributeaccess = "businessunit_principalobjectattributeaccess";
        /// <summary>Parent: "BusinessUnit" Child: "EMailServerProfile" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitEMailServerprofile = "business_unit_emailserverprofile";
        /// <summary>Parent: "BusinessUnit" Child: "Template" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitTemplates = "business_unit_templates";
        /// <summary>Parent: "BusinessUnit" Child: "Contact" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitContactS = "business_unit_contacts";
        /// <summary>Parent: "BusinessUnit" Child: "BulkDeleteOperation" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BulkDeleteOperationBusinessUnit = "BulkDeleteOperation_BusinessUnit";
        /// <summary>Parent: "BusinessUnit" Child: "Task" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitTaskActivities = "business_unit_task_activities";
        /// <summary>Parent: "BusinessUnit" Child: "ActionCard" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitActioncards = "business_unit_actioncards";
        /// <summary>Parent: "BusinessUnit" Child: "AsyncOperation" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitAsyncoperation = "business_unit_asyncoperation";
        /// <summary>Parent: "BusinessUnit" Child: "MailMergeTemplate" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitMailMergetemplates = "business_unit_mailmergetemplates";
        /// <summary>Parent: "BusinessUnit" Child: "CanvasApp" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitCanvasapp = "businessunit_canvasapp";
        /// <summary>Parent: "BusinessUnit" Child: "UserForm" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitUserForm = "business_unit_userform";
        /// <summary>Parent: "BusinessUnit" Child: "Category" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitCategory = "business_unit_category";
        /// <summary>Parent: "BusinessUnit" Child: "Connection" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitConnections = "business_unit_connections";
        /// <summary>Parent: "BusinessUnit" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BusinessUnitSyncErrors = "BusinessUnit_SyncErrors";
        /// <summary>Parent: "BusinessUnit" Child: "WorkflowLog" Lookup: ""</summary>
        public const string Rel1M_BusinessUnitWorkflowlogs = "business_unit_workflowlogs";
        /// <summary>Parent: "BusinessUnit" Child: "PhoneCall" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitPhoneCallActivities = "business_unit_phone_call_activities";
        /// <summary>Parent: "BusinessUnit" Child: "Fax" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitFaxActivities = "business_unit_fax_activities";
        /// <summary>Parent: "BusinessUnit" Child: "Appointment" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitAppointmentActivities = "business_unit_appointment_activities";
        /// <summary>Parent: "BusinessUnit" Child: "DuplicateRule" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitDuplicateRules = "BusinessUnit_DuplicateRules";
        /// <summary>Parent: "BusinessUnit" Child: "EMail" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitEMailActivities = "business_unit_email_activities";
        /// <summary>Parent: "BusinessUnit" Child: "SocialActivity" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitSocialactivity = "business_unit_socialactivity";
        /// <summary>Parent: "BusinessUnit" Child: "ImportData" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitImportData = "BusinessUnit_ImportData";
        /// <summary>Parent: "BusinessUnit" Child: "Report" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitReports = "business_unit_reports";
        /// <summary>Parent: "BusinessUnit" Child: "Calendar" Lookup: "BusinessUnitId"</summary>
        public const string Rel1M_BusinessUnitCalendars = "business_unit_calendars";
        /// <summary>Parent: "BusinessUnit" Child: "ImportMap" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitImportMaps = "BusinessUnit_ImportMaps";
        /// <summary>Parent: "BusinessUnit" Child: "SLAKPIInstance" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitSlakpiinstance = "business_unit_slakpiinstance";
        /// <summary>Parent: "BusinessUnit" Child: "RecurringAppointmentMaster" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitRecurringappointmentmasterActivities = "business_unit_recurringappointmentmaster_activities";
        /// <summary>Parent: "BusinessUnit" Child: "SLA" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitSlabase = "business_unit_slabase";
        /// <summary>Parent: "BusinessUnit" Child: "UserQueryVisualization" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitUserQueryvisualizations = "business_unit_userqueryvisualizations";
        /// <summary>Parent: "BusinessUnit" Child: "SystemUser" Lookup: "BusinessUnitId"</summary>
        public const string Rel1M_BusinessUnitSystemUserS = "business_unit_system_users";
        /// <summary>Parent: "BusinessUnit" Child: "SocialProfile" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitSocialprofiles = "business_unit_socialprofiles";
        /// <summary>Parent: "BusinessUnit" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BusinessUnitBulkDeleteFailures = "BusinessUnit_BulkDeleteFailures";
        /// <summary>Parent: "BusinessUnit" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_BusinessUnitProcessSessions = "BusinessUnit_ProcessSessions";
        /// <summary>Parent: "BusinessUnit" Child: "Account" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitAccountS = "business_unit_accounts";
        /// <summary>Parent: "BusinessUnit" Child: "ProcessSession" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_OwningBusinessUnitProcesssessions = "Owning_businessunit_processsessions";
        /// <summary>Parent: "BusinessUnit" Child: "ActivityPointer" Lookup: "OwningBusinessUnit"</summary>
        public const string Rel1M_BusinessUnitActivitypointer = "business_unit_activitypointer";

        #endregion Relationships
    }
}
