// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : Campaign.cs
// Created   : 2019-04-26 10:47:43
// *********************************************************************

namespace D365.Constants
{
    /// <summary>OwnershipType: UserOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Container for campaign activities and responses, sales literature, products, and lists to create, plan, execute, and track the results of a specific marketing campaign through its life.</remarks>
    public static class Campaign
    {
        public const string EntityName = "campaign";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "Campaign" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkCampaignCreatedBy = "lk_campaign_createdby";
        /// <summary>Parent: "SystemUser" Child: "Campaign" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkCampaignCreatedOnBehalfBy = "lk_campaign_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Campaign" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkCampaignModifiedBy = "lk_campaign_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Campaign" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkCampaignModifiedOnBehalfBy = "lk_campaign_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Campaign" Lookup: ""</summary>
        public const string RelM1_SystemUserCampaigns = "SystemUser_Campaigns";
        /// <summary>Parent: "Team" Child: "Campaign" Lookup: ""</summary>
        public const string RelM1_TeamCampaigns = "team_Campaigns";
        /// <summary>Parent: "Owner" Child: "Campaign" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerCampaigns = "owner_campaigns";
        /// <summary>Parent: "BusinessUnit" Child: "Campaign" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitCampaigns = "BusinessUnit_Campaigns";
        /// <summary>Parent: "ProcessStage" Child: "Campaign" Lookup: "StageId"</summary>
        public const string RelM1_ProcessstageCampaigns = "processstage_campaigns";
        /// <summary>Parent: "TransactionCurrency" Child: "Campaign" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactioncurrencyCampaign = "transactioncurrency_campaign";
        /// <summary>Parent: "PriceLevel" Child: "Campaign" Lookup: "PriceListId"</summary>
        public const string RelM1_PriceListCampaigns = "PriceList_Campaigns";
        /// <summary>Parent: "Campaign" Child: "ActivityPointer" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignActivityPointers = "Campaign_ActivityPointers";
        /// <summary>Parent: "Campaign" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignSyncErrors = "Campaign_SyncErrors";
        /// <summary>Parent: "Campaign" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string Rel1M_CampaignActivityParties = "campaign_activity_parties";
        /// <summary>Parent: "Campaign" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_CampaignDuplicateMatchingRecord = "Campaign_DuplicateMatchingRecord";
        /// <summary>Parent: "Campaign" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_CampaignDuplicateBaseRecord = "Campaign_DuplicateBaseRecord";
        /// <summary>Parent: "Campaign" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignAsyncOperations = "Campaign_AsyncOperations";
        /// <summary>Parent: "Campaign" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignMailBoxTrackingFolder = "Campaign_MailboxTrackingFolder";
        /// <summary>Parent: "Campaign" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignProcessSessions = "Campaign_ProcessSessions";
        /// <summary>Parent: "Campaign" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignBulkDeleteFailures = "Campaign_BulkDeleteFailures";
        /// <summary>Parent: "Campaign" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_CampaignPrincipalobjectattributeaccess = "campaign_principalobjectattributeaccess";
        /// <summary>Parent: "Campaign" Child: "Appointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignAppointments = "Campaign_Appointments";
        /// <summary>Parent: "Campaign" Child: "EMail" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignEMailS = "Campaign_Emails";
        /// <summary>Parent: "Campaign" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignFaxes = "Campaign_Faxes";
        /// <summary>Parent: "Campaign" Child: "Letter" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignLetters = "Campaign_Letters";
        /// <summary>Parent: "Campaign" Child: "PhoneCall" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignPhoneCalls = "Campaign_Phonecalls";
        /// <summary>Parent: "Campaign" Child: "Task" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignTasks = "Campaign_Tasks";
        /// <summary>Parent: "Campaign" Child: "RecurringAppointmentMaster" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignRecurringAppointmentMasters = "Campaign_RecurringAppointmentMasters";
        /// <summary>Parent: "Campaign" Child: "SocialActivity" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignSocialActivities = "campaign_SocialActivities";
        /// <summary>Parent: "Campaign" Child: "Connection" Lookup: "Record1Id"</summary>
        public const string Rel1M_CampaignConnections1 = "campaign_connections1";
        /// <summary>Parent: "Campaign" Child: "Connection" Lookup: "Record2Id"</summary>
        public const string Rel1M_CampaignConnections2 = "campaign_connections2";
        /// <summary>Parent: "Campaign" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_CampaignAnnotation = "Campaign_Annotation";
        /// <summary>Parent: "Campaign" Child: "CampaignActivity" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignCampaignActivities = "Campaign_CampaignActivities";
        /// <summary>Parent: "Campaign" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignCampaignResponses = "Campaign_CampaignResponses";
        /// <summary>Parent: "Campaign" Child: "Lead" Lookup: "CampaignId"</summary>
        public const string Rel1M_CampaignLeads = "campaign_leads";
        /// <summary>Parent: "Campaign" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignIncidentResolutions = "campaign_IncidentResolutions";
        /// <summary>Parent: "Campaign" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignServiceAppointments = "Campaign_ServiceAppointments";
        /// <summary>Parent: "Campaign" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignOpportunityCloses = "campaign_OpportunityCloses";
        /// <summary>Parent: "Campaign" Child: "OrderClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignOrderCloses = "campaign_OrderCloses";
        /// <summary>Parent: "Campaign" Child: "QuoteClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignQuoteCloses = "campaign_QuoteCloses";
        /// <summary>Parent: "Campaign" Child: "Opportunity" Lookup: "CampaignId"</summary>
        public const string Rel1M_CampaignOpportunities = "campaign_opportunities";
        /// <summary>Parent: "Campaign" Child: "SalesOrder" Lookup: "CampaignId"</summary>
        public const string Rel1M_CampaignOrders = "campaign_orders";
        /// <summary>Parent: "Campaign" Child: "Quote" Lookup: "CampaignId"</summary>
        public const string Rel1M_CampaignQuotes = "campaign_quotes";
        /// <summary>Parent: "Campaign" Child: "MsfpSurveyinvite" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignMsfpSurveyinvites = "campaign_msfp_surveyinvites";
        /// <summary>Parent: "Campaign" Child: "MsfpSurveyresponse" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignMsfpSurveyresponses = "campaign_msfp_surveyresponses";
        /// <summary>Parent: "Campaign" Child: "MsdynBookingalert" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignMsdynBookingalerts = "campaign_msdyn_bookingalerts";
        /// <summary>Parent: "Campaign" Child: "MsdynApproval" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignMsdynApprovals = "campaign_msdyn_approvals";

        #endregion Relationships
    }
}
