// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : CampaignResponse.cs
// Created   : 2019-04-26 10:47:43
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Campaign Response, OwnershipType: UserOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Response from an existing or a potential new customer for a campaign.</remarks>
    public static class CampaignResponse
    {
        public const string EntityName = "campaignresponse";

        #region Relationships

        /// <summary>Parent: "Lead" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_LeadCampaignResponses = "lead_CampaignResponses";
        /// <summary>Parent: "BookableResourceBooking" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BookableresourcebookingCampaignResponses = "bookableresourcebooking_CampaignResponses";
        /// <summary>Parent: "BookableResourceBookingHeader" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BookableresourcebookingheaderCampaignResponses = "bookableresourcebookingheader_CampaignResponses";
        /// <summary>Parent: "Campaign" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_CampaignCampaignResponses = "Campaign_CampaignResponses";
        /// <summary>Parent: "CampaignActivity" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_CampaignactivityCampaignResponses = "campaignactivity_CampaignResponses";
        /// <summary>Parent: "InteractionForEMail" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_InteractionforeMailCampaignResponses = "interactionforemail_CampaignResponses";
        /// <summary>Parent: "KnowledgeBaseRecord" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_KnowledgebaserecordCampaignResponses = "knowledgebaserecord_CampaignResponses";
        /// <summary>Parent: "Account" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_AccountCampaignResponses = "account_CampaignResponses";
        /// <summary>Parent: "SystemUser" Child: "CampaignResponse" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkCampaignresponseCreatedBy = "lk_campaignresponse_createdby";
        /// <summary>Parent: "Contact" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_ContactCampaignResponses = "contact_CampaignResponses";
        /// <summary>Parent: "MailBox" Child: "CampaignResponse" Lookup: "SenderMailBoxId"</summary>
        public const string RelM1_CampaignresponseMailBoxSenderMailBoxId = "campaignresponse_mailbox_sendermailboxid";
        /// <summary>Parent: "TransactionCurrency" Child: "CampaignResponse" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactionCurrencyCampaignResponse = "TransactionCurrency_CampaignResponse";
        /// <summary>Parent: "Owner" Child: "CampaignResponse" Lookup: "OwnerId"</summary>
        public const string RelM1_CampaignresponseOwnerOwnerId = "campaignresponse_owner_ownerid";
        /// <summary>Parent: "SystemUser" Child: "CampaignResponse" Lookup: ""</summary>
        public const string RelM1_UserCampaignresponse = "user_campaignresponse";
        /// <summary>Parent: "SLA" Child: "CampaignResponse" Lookup: "SLAId"</summary>
        public const string RelM1_CampaignresponseSlaSlaId = "campaignresponse_sla_slaid";
        /// <summary>Parent: "BusinessUnit" Child: "CampaignResponse" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitCampaignresponseActivities = "business_unit_campaignresponse_activities";
        /// <summary>Parent: "KnowledgeArticle" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_KnowledgearticleCampaignResponses = "knowledgearticle_CampaignResponses";
        /// <summary>Parent: "SystemUser" Child: "CampaignResponse" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkCampaignresponseModifiedOnBehalfBy = "lk_campaignresponse_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CampaignResponse" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkCampaignresponseCreatedOnBehalfBy = "lk_campaignresponse_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CampaignResponse" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkCampaignresponseModifiedBy = "lk_campaignresponse_modifiedby";
        /// <summary>Parent: "Team" Child: "CampaignResponse" Lookup: ""</summary>
        public const string RelM1_TeamCampaignresponse = "team_campaignresponse";
        /// <summary>Parent: "SLA" Child: "CampaignResponse" Lookup: "SLAInvokedId"</summary>
        public const string RelM1_CampaignresponseSlaSlaInvokedId = "campaignresponse_sla_slainvokedid";
        /// <summary>Parent: "ActivityPointer" Child: "CampaignResponse" Lookup: "ActivityId"</summary>
        public const string RelM1_ActivityPointerCampaignresponse = "activity_pointer_campaignresponse";
        /// <summary>Parent: "ProcessStage" Child: "CampaignResponse" Lookup: "StageId"</summary>
        public const string RelM1_ProcessstageCampaignresponses = "processstage_campaignresponses";
        /// <summary>Parent: "ActivityPointer" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_ActivityCampaignresponse = "activity_campaignresponse";
        /// <summary>Parent: "Appointment" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_AppointmentCampaignresponse = "appointment_campaignresponse";
        /// <summary>Parent: "BulkOperation" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BulkOperationCampaignResponse = "BulkOperation_CampaignResponse";
        /// <summary>Parent: "EMail" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_EMailCampaignresponse = "email_campaignresponse";
        /// <summary>Parent: "Fax" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_FaxCampaignresponse = "fax_campaignresponse";
        /// <summary>Parent: "Letter" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_LetterCampaignresponse = "letter_campaignresponse";
        /// <summary>Parent: "PhoneCall" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_PhoneCallCampaignresponse = "phonecall_campaignresponse";
        /// <summary>Parent: "RecurringAppointmentMaster" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_RecurringappointmentmasterCampaignresponse = "recurringappointmentmaster_campaignresponse";
        /// <summary>Parent: "IncidentResolution" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_CampaignResponseIncidentResolutions = "CampaignResponse_IncidentResolutions";
        /// <summary>Parent: "ServiceAppointment" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_CampaignResponseServiceAppointments = "CampaignResponse_ServiceAppointments";
        /// <summary>Parent: "OpportunityClose" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_CampaignResponseOpportunityCloses = "CampaignResponse_OpportunityCloses";
        /// <summary>Parent: "OrderClose" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_CampaignResponseOrderCloses = "CampaignResponse_OrderCloses";
        /// <summary>Parent: "QuoteClose" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_CampaignResponseQuoteCloses = "CampaignResponse_QuoteCloses";
        /// <summary>Parent: "MsfpSurveyinvite" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_CampaignResponseMsfpSurveyinvites = "CampaignResponse_msfp_surveyinvites";
        /// <summary>Parent: "MsfpSurveyresponse" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_CampaignResponseMsfpSurveyresponses = "CampaignResponse_msfp_surveyresponses";
        /// <summary>Parent: "MsdynBookingalert" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_CampaignResponseMsdynBookingalerts = "CampaignResponse_msdyn_bookingalerts";
        /// <summary>Parent: "MsdynApproval" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string RelM1_CampaignResponseMsdynApprovals = "CampaignResponse_msdyn_approvals";
        /// <summary>Parent: "CampaignResponse" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string Rel1M_CampaignresponseActivityParties = "campaignresponse_activity_parties";
        /// <summary>Parent: "CampaignResponse" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignResponseSyncErrors = "CampaignResponse_SyncErrors";
        /// <summary>Parent: "CampaignResponse" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_CampaignResponseDuplicateMatchingRecord = "CampaignResponse_DuplicateMatchingRecord";
        /// <summary>Parent: "CampaignResponse" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_CampaignResponseDuplicateBaseRecord = "CampaignResponse_DuplicateBaseRecord";
        /// <summary>Parent: "CampaignResponse" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignResponseAsyncOperations = "CampaignResponse_AsyncOperations";
        /// <summary>Parent: "CampaignResponse" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignresponseMailBoxTrackingFolders = "campaignresponse_MailboxTrackingFolders";
        /// <summary>Parent: "CampaignResponse" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignResponseProcessSessions = "CampaignResponse_ProcessSessions";
        /// <summary>Parent: "CampaignResponse" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_CampaignResponseBulkDeleteFailures = "CampaignResponse_BulkDeleteFailures";
        /// <summary>Parent: "CampaignResponse" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_CampaignresponsePrincipalobjectattributeaccess = "campaignresponse_principalobjectattributeaccess";
        /// <summary>Parent: "CampaignResponse" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string Rel1M_CampaignResponseQueueItem = "CampaignResponse_QueueItem";
        /// <summary>Parent: "CampaignResponse" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_CampaignResponseAnnotation = "CampaignResponse_Annotation";
        /// <summary>Parent: "CampaignResponse" Child: "Lead" Lookup: "RelatedObjectId"</summary>
        public const string Rel1M_CampaignResponseLead = "CampaignResponse_Lead";

        #endregion Relationships
    }
}
