// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : CaseResolution.cs
// Created   : 2019-04-26 10:47:43
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Case Resolution, OwnershipType: UserOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Special type of activity that includes description of the resolution, billing status, and the duration of the case.</remarks>
    public static class IncidentResolution
    {
        public const string EntityName = "incidentresolution";

        #region Relationships

        /// <summary>Parent: "Lead" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_LeadIncidentResolutions = "lead_IncidentResolutions";
        /// <summary>Parent: "BookableResourceBooking" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BookableresourcebookingIncidentResolutions = "bookableresourcebooking_IncidentResolutions";
        /// <summary>Parent: "BookableResourceBookingHeader" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BookableresourcebookingheaderIncidentResolutions = "bookableresourcebookingheader_IncidentResolutions";
        /// <summary>Parent: "BulkOperation" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BulkoperationIncidentResolutions = "bulkoperation_IncidentResolutions";
        /// <summary>Parent: "Campaign" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_CampaignIncidentResolutions = "campaign_IncidentResolutions";
        /// <summary>Parent: "CampaignActivity" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_CampaignactivityIncidentResolutions = "campaignactivity_IncidentResolutions";
        /// <summary>Parent: "Entitlement" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_EntitlementIncidentResolutions = "entitlement_IncidentResolutions";
        /// <summary>Parent: "EntitlementTemplate" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_EntitlementtemplateIncidentResolutions = "entitlementtemplate_IncidentResolutions";
        /// <summary>Parent: "InteractionForEMail" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_InteractionforeMailIncidentResolutions = "interactionforemail_IncidentResolutions";
        /// <summary>Parent: "KnowledgeBaseRecord" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_KnowledgebaserecordIncidentResolutions = "knowledgebaserecord_IncidentResolutions";
        /// <summary>Parent: "Account" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_AccountIncidentResolutions = "account_IncidentResolutions";
        /// <summary>Parent: "SystemUser" Child: "IncidentResolution" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkIncidentresolutionCreatedBy = "lk_incidentresolution_createdby";
        /// <summary>Parent: "MailBox" Child: "IncidentResolution" Lookup: "SenderMailBoxId"</summary>
        public const string RelM1_IncidentresolutionMailBoxSenderMailBoxId = "incidentresolution_mailbox_sendermailboxid";
        /// <summary>Parent: "TransactionCurrency" Child: "IncidentResolution" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_IncidentresolutionTransactioncurrencyTransactioncurrencyId = "incidentresolution_transactioncurrency_transactioncurrencyid";
        /// <summary>Parent: "Owner" Child: "IncidentResolution" Lookup: "OwnerId"</summary>
        public const string RelM1_IncidentresolutionOwnerOwnerId = "incidentresolution_owner_ownerid";
        /// <summary>Parent: "SystemUser" Child: "IncidentResolution" Lookup: ""</summary>
        public const string RelM1_UserIncidentresolution = "user_incidentresolution";
        /// <summary>Parent: "SLA" Child: "IncidentResolution" Lookup: "SLAId"</summary>
        public const string RelM1_IncidentresolutionSlaSlaId = "incidentresolution_sla_slaid";
        /// <summary>Parent: "BusinessUnit" Child: "IncidentResolution" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitIncidentResolutionActivities = "business_unit_incident_resolution_activities";
        /// <summary>Parent: "KnowledgeArticle" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_KnowledgearticleIncidentResolutions = "knowledgearticle_IncidentResolutions";
        /// <summary>Parent: "SystemUser" Child: "IncidentResolution" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkIncidentresolutionModifiedOnBehalfBy = "lk_incidentresolution_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "IncidentResolution" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkIncidentresolutionCreatedOnBehalfBy = "lk_incidentresolution_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "IncidentResolution" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkIncidentresolutionModifiedBy = "lk_incidentresolution_modifiedby";
        /// <summary>Parent: "Team" Child: "IncidentResolution" Lookup: ""</summary>
        public const string RelM1_TeamIncidentresolution = "team_incidentresolution";
        /// <summary>Parent: "SLA" Child: "IncidentResolution" Lookup: "SLAInvokedId"</summary>
        public const string RelM1_IncidentresolutionSlaSlaInvokedId = "incidentresolution_sla_slainvokedid";
        /// <summary>Parent: "ActivityPointer" Child: "IncidentResolution" Lookup: "ActivityId"</summary>
        public const string RelM1_ActivityPointerIncidentResolution = "activity_pointer_incident_resolution";
        /// <summary>Parent: "Incident" Child: "IncidentResolution" Lookup: "IncidentId"</summary>
        public const string RelM1_IncidentIncidentResolutions = "Incident_IncidentResolutions";
        /// <summary>Parent: "Service" Child: "IncidentResolution" Lookup: "ServiceId"</summary>
        public const string RelM1_ServiceIncidentresolutions = "service_incidentresolutions";
        /// <summary>Parent: "IncidentResolution" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string Rel1M_IncidentresolutionActivityParties = "incidentresolution_activity_parties";
        /// <summary>Parent: "IncidentResolution" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string Rel1M_CampaignResponseIncidentResolutions = "CampaignResponse_IncidentResolutions";
        /// <summary>Parent: "IncidentResolution" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_IncidentResolutionSyncErrors = "IncidentResolution_SyncErrors";
        /// <summary>Parent: "IncidentResolution" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_IncidentResolutionAsyncOperations = "IncidentResolution_AsyncOperations";
        /// <summary>Parent: "IncidentResolution" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_IncidentresolutionMailBoxTrackingFolders = "incidentresolution_MailboxTrackingFolders";
        /// <summary>Parent: "IncidentResolution" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_IncidentResolutionBulkDeleteFailures = "IncidentResolution_BulkDeleteFailures";
        /// <summary>Parent: "IncidentResolution" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_IncidentresolutionPrincipalObjectAttributeAccesses = "incidentresolution_PrincipalObjectAttributeAccesses";
        /// <summary>Parent: "IncidentResolution" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_IncidentResolutionAnnotation = "IncidentResolution_Annotation";

        #endregion Relationships
    }
}
