// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : Contact.cs
// Created   : 2019-04-26 10:47:44
// *********************************************************************

namespace D365.Constants
{
    /// <summary>OwnershipType: UserOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Person with whom a business unit has a relationship, such as customer, supplier, and colleague.</remarks>
    public static class Contact
    {
        public const string EntityName = "contact";

        #region Relationships

        /// <summary>Parent: "Lead" Child: "Contact" Lookup: "OriginatingLeadId"</summary>
        public const string RelM1_ContactOriginatingLead = "contact_originating_lead";
        /// <summary>Parent: "PriceLevel" Child: "Contact" Lookup: "DefaultPriceLevelId"</summary>
        public const string RelM1_PriceLevelContactS = "price_level_contacts";
        /// <summary>Parent: "Equipment" Child: "Contact" Lookup: "PreferredEquipmentId"</summary>
        public const string RelM1_EquipmentContactS = "equipment_contacts";
        /// <summary>Parent: "Service" Child: "Contact" Lookup: "PreferredServiceId"</summary>
        public const string RelM1_ServiceContactS = "service_contacts";
        /// <summary>Parent: "TransactionCurrency" Child: "Contact" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactioncurrencyContact = "transactioncurrency_contact";
        /// <summary>Parent: "SystemUser" Child: "Contact" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkContactBaseCreatedBy = "lk_contactbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Contact" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkContactCreatedOnBehalfBy = "lk_contact_createdonbehalfby";
        /// <summary>Parent: "Team" Child: "Contact" Lookup: ""</summary>
        public const string RelM1_TeamContactS = "team_contacts";
        /// <summary>Parent: "SLA" Child: "Contact" Lookup: "SLAId"</summary>
        public const string RelM1_ManualslaContact = "manualsla_contact";
        /// <summary>Parent: "SystemUser" Child: "Contact" Lookup: "PreferredSystemUserId"</summary>
        public const string RelM1_SystemUserContactS = "system_user_contacts";
        /// <summary>Parent: "SystemUser" Child: "Contact" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkContactBaseModifiedBy = "lk_contactbase_modifiedby";
        /// <summary>Parent: "Owner" Child: "Contact" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerContactS = "owner_contacts";
        /// <summary>Parent: "SLA" Child: "Contact" Lookup: "SLAInvokedId"</summary>
        public const string RelM1_SlaContact = "sla_contact";
        /// <summary>Parent: "Account" Child: "Contact" Lookup: "ParentCustomerId"</summary>
        public const string RelM1_ContactCustomerAccountS = "contact_customer_accounts";
        /// <summary>Parent: "SystemUser" Child: "Contact" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkContactModifiedOnBehalfBy = "lk_contact_modifiedonbehalfby";
        /// <summary>Parent: "ProcessStage" Child: "Contact" Lookup: "StageId"</summary>
        public const string RelM1_ProcessstageContact = "processstage_contact";
        /// <summary>Parent: "SystemUser" Child: "Contact" Lookup: ""</summary>
        public const string RelM1_ContactOwningUser = "contact_owning_user";
        /// <summary>Parent: "BusinessUnit" Child: "Contact" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitContactS = "business_unit_contacts";
        /// <summary>Parent: "Contact" Child: "Contact" Lookup: "MasterId"</summary>
        public const string Rel1M_ContactMasterContact = "contact_master_contact";
        /// <summary>Parent: "Contact" Child: "Contact" Lookup: "ParentCustomerId"</summary>
        public const string Rel1M_ContactCustomerContactS = "contact_customer_contacts";
        /// <summary>Parent: "Contact" Child: "Lead" Lookup: "CustomerId"</summary>
        public const string Rel1M_LeadCustomerContactS = "lead_customer_contacts";
        /// <summary>Parent: "Contact" Child: "Lead" Lookup: "ParentContactId"</summary>
        public const string Rel1M_LeadParentContact = "lead_parent_contact";
        /// <summary>Parent: "Contact" Child: "BookableResource" Lookup: "ContactId"</summary>
        public const string Rel1M_ContactBookableresourceContactId = "contact_bookableresource_ContactId";
        /// <summary>Parent: "Contact" Child: "BulkOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactBulkOperations = "contact_BulkOperations";
        /// <summary>Parent: "Contact" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactCampaignResponses = "contact_CampaignResponses";
        /// <summary>Parent: "Contact" Child: "BulkOperationLog" Lookup: "CreatedObjectId"</summary>
        public const string Rel1M_CreatedContactBulkOperationLogs = "CreatedContact_BulkOperationLogs";
        /// <summary>Parent: "Contact" Child: "BulkOperationLog" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SourceContactBulkOperationLogs = "SourceContact_BulkOperationLogs";
        /// <summary>Parent: "Contact" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactServiceAppointments = "Contact_ServiceAppointments";
        /// <summary>Parent: "Contact" Child: "Incident" Lookup: "ResponsibleContactId"</summary>
        public const string Rel1M_ContactAsResponsibleContact = "contact_as_responsible_contact";
        /// <summary>Parent: "Contact" Child: "ContractDetail" Lookup: "CustomerId"</summary>
        public const string Rel1M_ContractlineitemCustomerContactS = "contractlineitem_customer_contacts";
        /// <summary>Parent: "Contact" Child: "Contract" Lookup: "BillingCustomerId"</summary>
        public const string Rel1M_ContractBillingCustomerContactS = "contract_billingcustomer_contacts";
        /// <summary>Parent: "Contact" Child: "Contract" Lookup: "CustomerId"</summary>
        public const string Rel1M_ContractCustomerContactS = "contract_customer_contacts";
        /// <summary>Parent: "Contact" Child: "Incident" Lookup: "CustomerId"</summary>
        public const string Rel1M_IncidentCustomerContactS = "incident_customer_contacts";
        /// <summary>Parent: "Contact" Child: "Incident" Lookup: "PrimaryContactId"</summary>
        public const string Rel1M_ContactAsPrimaryContact = "contact_as_primary_contact";
        /// <summary>Parent: "Contact" Child: "Entitlement" Lookup: "ContactId"</summary>
        public const string Rel1M_ContactEntitlementContactId = "contact_entitlement_ContactId";
        /// <summary>Parent: "Contact" Child: "Entitlement" Lookup: "CustomerId"</summary>
        public const string Rel1M_ContactEntitlementCustomer = "contact_entitlement_Customer";
        /// <summary>Parent: "Contact" Child: "Invoice" Lookup: "CustomerId"</summary>
        public const string Rel1M_InvoiceCustomerContactS = "invoice_customer_contacts";
        /// <summary>Parent: "Contact" Child: "Opportunity" Lookup: "CustomerId"</summary>
        public const string Rel1M_OpportunityCustomerContactS = "opportunity_customer_contacts";
        /// <summary>Parent: "Contact" Child: "SalesOrder" Lookup: "CustomerId"</summary>
        public const string Rel1M_OrderCustomerContactS = "order_customer_contacts";
        /// <summary>Parent: "Contact" Child: "Quote" Lookup: "CustomerId"</summary>
        public const string Rel1M_QuoteCustomerContactS = "quote_customer_contacts";
        /// <summary>Parent: "Contact" Child: "Opportunity" Lookup: "ParentContactId"</summary>
        public const string Rel1M_OpportunityParentContact = "opportunity_parent_contact";
        /// <summary>Parent: "Contact" Child: "MsdynPlaybookinstance" Lookup: "Regarding"</summary>
        public const string Rel1M_MsdynPlaybookinstanceContact = "msdyn_playbookinstance_contact";
        /// <summary>Parent: "Contact" Child: "MsfpSurveyinvite" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactMsfpSurveyinvites = "contact_msfp_surveyinvites";
        /// <summary>Parent: "Contact" Child: "MsfpSurveyresponse" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactMsfpSurveyresponses = "contact_msfp_surveyresponses";
        /// <summary>Parent: "Contact" Child: "MsdynBookingalert" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactMsdynBookingalerts = "contact_msdyn_bookingalerts";
        /// <summary>Parent: "Contact" Child: "MsdynActual" Lookup: "MsdynContactCustomer"</summary>
        public const string Rel1M_MsdynContactMsdynActualContactCustomer = "msdyn_contact_msdyn_actual_ContactCustomer";
        /// <summary>Parent: "Contact" Child: "MsdynActual" Lookup: "MsdynContactVendor"</summary>
        public const string Rel1M_MsdynContactMsdynActualContactVendor = "msdyn_contact_msdyn_actual_ContactVendor";
        /// <summary>Parent: "Contact" Child: "MsdynApproval" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactMsdynApprovals = "contact_msdyn_approvals";
        /// <summary>Parent: "Contact" Child: "MsdynContactPriceList" Lookup: "MsdynContact"</summary>
        public const string Rel1M_MsdynContactMsdynContactPriceListContact = "msdyn_contact_msdyn_contactpricelist_Contact";
        /// <summary>Parent: "Contact" Child: "MsdynEstimateline" Lookup: "MsdynContactCustomer"</summary>
        public const string Rel1M_MsdynContactMsdynEstimatelineContactCustomer = "msdyn_contact_msdyn_estimateline_ContactCustomer";
        /// <summary>Parent: "Contact" Child: "MsdynEstimateline" Lookup: "MsdynContactVendor"</summary>
        public const string Rel1M_MsdynContactMsdynEstimatelineContactVendor = "msdyn_contact_msdyn_estimateline_ContactVendor";
        /// <summary>Parent: "Contact" Child: "MsdynFact" Lookup: "MsdynContactCustomer"</summary>
        public const string Rel1M_MsdynContactMsdynFactContactCustomer = "msdyn_contact_msdyn_fact_ContactCustomer";
        /// <summary>Parent: "Contact" Child: "MsdynFact" Lookup: "MsdynContactVendor"</summary>
        public const string Rel1M_MsdynContactMsdynFactContactVendor = "msdyn_contact_msdyn_fact_ContactVendor";
        /// <summary>Parent: "Contact" Child: "MsdynInvoicelinetransaction" Lookup: "MsdynContactCustomer"</summary>
        public const string Rel1M_MsdynContactMsdynInvoicelinetransactionContactCustomer = "msdyn_contact_msdyn_invoicelinetransaction_ContactCustomer";
        /// <summary>Parent: "Contact" Child: "MsdynInvoicelinetransaction" Lookup: "MsdynContactVendor"</summary>
        public const string Rel1M_MsdynContactMsdynInvoicelinetransactionContactVendor = "msdyn_contact_msdyn_invoicelinetransaction_ContactVendor";
        /// <summary>Parent: "Contact" Child: "MsdynJournalline" Lookup: "MsdynContactCustomer"</summary>
        public const string Rel1M_MsdynContactMsdynJournallineContactCustomer = "msdyn_contact_msdyn_journalline_ContactCustomer";
        /// <summary>Parent: "Contact" Child: "MsdynJournalline" Lookup: "MsdynContactVendor"</summary>
        public const string Rel1M_MsdynContactMsdynJournallineContactVendor = "msdyn_contact_msdyn_journalline_ContactVendor";
        /// <summary>Parent: "Contact" Child: "MsdynOpportunitylinetransaction" Lookup: "MsdynContactCustomer"</summary>
        public const string Rel1M_MsdynContactMsdynOpportunitylinetransactionContactCustomer = "msdyn_contact_msdyn_opportunitylinetransaction_ContactCustomer";
        /// <summary>Parent: "Contact" Child: "MsdynOpportunitylinetransaction" Lookup: "MsdynContactVendor"</summary>
        public const string Rel1M_MsdynContactMsdynOpportunitylinetransactionContactVendor = "msdyn_contact_msdyn_opportunitylinetransaction_ContactVendor";
        /// <summary>Parent: "Contact" Child: "MsdynOrderlinetransaction" Lookup: "MsdynContactCustomer"</summary>
        public const string Rel1M_MsdynContactMsdynOrderlinetransactionContactCustomer = "msdyn_contact_msdyn_orderlinetransaction_ContactCustomer";
        /// <summary>Parent: "Contact" Child: "MsdynOrderlinetransaction" Lookup: "MsdynContactVendor"</summary>
        public const string Rel1M_MsdynContactMsdynOrderlinetransactionContactVendor = "msdyn_contact_msdyn_orderlinetransaction_ContactVendor";
        /// <summary>Parent: "Contact" Child: "MsdynQuotelinetransaction" Lookup: "MsdynContactCustomer"</summary>
        public const string Rel1M_MsdynContactMsdynQuotelinetransactionContactCustomer = "msdyn_contact_msdyn_quotelinetransaction_ContactCustomer";
        /// <summary>Parent: "Contact" Child: "MsdynQuotelinetransaction" Lookup: "MsdynContactVendor"</summary>
        public const string Rel1M_MsdynContactMsdynQuotelinetransactionContactVendor = "msdyn_contact_msdyn_quotelinetransaction_ContactVendor";
        /// <summary>Parent: "Contact" Child: "MsdynRma" Lookup: "MsdynRequestedByContact"</summary>
        public const string Rel1M_MsdynContactMsdynRmaRequestedByContact = "msdyn_contact_msdyn_rma_RequestedByContact";
        /// <summary>Parent: "Contact" Child: "MsdynRtv" Lookup: "MsdynVendorContact"</summary>
        public const string Rel1M_MsdynContactMsdynRtvVendorContact = "msdyn_contact_msdyn_rtv_VendorContact";
        /// <summary>Parent: "Contact" Child: "MsdynWorkorder" Lookup: "MsdynReportedByContact"</summary>
        public const string Rel1M_MsdynContactMsdynWorkorderReportedByContact = "msdyn_contact_msdyn_workorder_ReportedByContact";
        /// <summary>Parent: "Contact" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_ContactPrincipalobjectattributeaccess = "contact_principalobjectattributeaccess";
        /// <summary>Parent: "Contact" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string Rel1M_SlakpiinstanceContact = "slakpiinstance_contact";
        /// <summary>Parent: "Contact" Child: "SocialActivity" Lookup: "PostAuthorAccount"</summary>
        public const string Rel1M_SocialactivityPostauthorAccountContactS = "socialactivity_postauthoraccount_contacts";
        /// <summary>Parent: "Contact" Child: "EMail" Lookup: "EMailSender"</summary>
        public const string Rel1M_ContactEMailEMailSender = "Contact_Email_EmailSender";
        /// <summary>Parent: "Contact" Child: "Task" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactTasks = "Contact_Tasks";
        /// <summary>Parent: "Contact" Child: "PostFollow" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactPostFollows = "contact_PostFollows";
        /// <summary>Parent: "Contact" Child: "PostRegarding" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactPostRegardings = "contact_PostRegardings";
        /// <summary>Parent: "Contact" Child: "RecurringAppointmentMaster" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactRecurringAppointmentMasters = "Contact_RecurringAppointmentMasters";
        /// <summary>Parent: "Contact" Child: "Feedback" Lookup: "CreatedByContact"</summary>
        public const string Rel1M_LkContactFeedbackCreatedBy = "lk_contact_feedback_createdby";
        /// <summary>Parent: "Contact" Child: "ActionCard" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactActioncard = "contact_actioncard";
        /// <summary>Parent: "Contact" Child: "Connection" Lookup: "Record2Id"</summary>
        public const string Rel1M_ContactConnections2 = "contact_connections2";
        /// <summary>Parent: "Contact" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactBulkDeleteFailures = "Contact_BulkDeleteFailures";
        /// <summary>Parent: "Contact" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string Rel1M_ContactActivityParties = "contact_activity_parties";
        /// <summary>Parent: "Contact" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_ContactDuplicateBaseRecord = "Contact_DuplicateBaseRecord";
        /// <summary>Parent: "Contact" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_ContactAnnotation = "Contact_Annotation";
        /// <summary>Parent: "Contact" Child: "SocialActivity" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactSocialActivities = "Contact_SocialActivities";
        /// <summary>Parent: "Contact" Child: "ActivityPointer" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactActivityPointers = "Contact_ActivityPointers";
        /// <summary>Parent: "Contact" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactMailBoxTrackingFolder = "Contact_MailboxTrackingFolder";
        /// <summary>Parent: "Contact" Child: "Account" Lookup: "PrimaryContactId"</summary>
        public const string Rel1M_AccountPrimaryContact = "account_primary_contact";
        /// <summary>Parent: "Contact" Child: "SocialProfile" Lookup: "CustomerId"</summary>
        public const string Rel1M_SocialprofileCustomerContactS = "Socialprofile_customer_contacts";
        /// <summary>Parent: "Contact" Child: "SocialActivity" Lookup: "PostAuthor"</summary>
        public const string Rel1M_SocialactivityPostauthorContactS = "socialactivity_postauthor_contacts";
        /// <summary>Parent: "Contact" Child: "Feedback" Lookup: "CreatedOnBehalfByContact"</summary>
        public const string Rel1M_LkContactFeedbackCreatedOnBehalfBy = "lk_contact_feedback_createdonbehalfby";
        /// <summary>Parent: "Contact" Child: "EMail" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactEMailS = "Contact_Emails";
        /// <summary>Parent: "Contact" Child: "Appointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactAppointments = "Contact_Appointments";
        /// <summary>Parent: "Contact" Child: "Feedback" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactFeedback = "Contact_Feedback";
        /// <summary>Parent: "Contact" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactProcessSessions = "Contact_ProcessSessions";
        /// <summary>Parent: "Contact" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactAsyncOperations = "Contact_AsyncOperations";
        /// <summary>Parent: "Contact" Child: "Connection" Lookup: "Record1Id"</summary>
        public const string Rel1M_ContactConnections1 = "contact_connections1";
        /// <summary>Parent: "Contact" Child: "CustomerAddress" Lookup: "ParentId"</summary>
        public const string Rel1M_ContactCustomerAddress = "Contact_CustomerAddress";
        /// <summary>Parent: "Contact" Child: "PhoneCall" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactPhoneCalls = "Contact_Phonecalls";
        /// <summary>Parent: "Contact" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactSyncErrors = "Contact_SyncErrors";
        /// <summary>Parent: "Contact" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_ContactDuplicateMatchingRecord = "Contact_DuplicateMatchingRecord";
        /// <summary>Parent: "Contact" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactFaxes = "Contact_Faxes";
        /// <summary>Parent: "Contact" Child: "Letter" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContactLetters = "Contact_Letters";

        #endregion Relationships
    }
}
