// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : Contract.cs
// Created   : 2019-04-26 10:47:44
// *********************************************************************

namespace D365.Constants
{
    /// <summary>OwnershipType: UserOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Agreement to provide customer service during a specified amount of time or number of cases.</remarks>
    public static class Contract
    {
        public const string EntityName = "contract";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "Contract" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkContractbaseCreatedBy = "lk_contractbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Contract" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkContractCreatedOnBehalfBy = "lk_contract_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Contract" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkContractbaseModifiedBy = "lk_contractbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Contract" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkContractModifiedOnBehalfBy = "lk_contract_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Contract" Lookup: ""</summary>
        public const string RelM1_SystemUserServiceContracts = "system_user_service_contracts";
        /// <summary>Parent: "Team" Child: "Contract" Lookup: ""</summary>
        public const string RelM1_TeamServiceContracts = "team_service_contracts";
        /// <summary>Parent: "Owner" Child: "Contract" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerContracts = "owner_contracts";
        /// <summary>Parent: "BusinessUnit" Child: "Contract" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitServiceContracts = "business_unit_service_contracts";
        /// <summary>Parent: "TransactionCurrency" Child: "Contract" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactioncurrencyContract = "transactioncurrency_contract";
        /// <summary>Parent: "Account" Child: "Contract" Lookup: "BillingCustomerId"</summary>
        public const string RelM1_ContractBillingCustomerAccountS = "contract_billingcustomer_accounts";
        /// <summary>Parent: "Account" Child: "Contract" Lookup: "CustomerId"</summary>
        public const string RelM1_ContractCustomerAccountS = "contract_customer_accounts";
        /// <summary>Parent: "Contact" Child: "Contract" Lookup: "BillingCustomerId"</summary>
        public const string RelM1_ContractBillingCustomerContactS = "contract_billingcustomer_contacts";
        /// <summary>Parent: "Contact" Child: "Contract" Lookup: "CustomerId"</summary>
        public const string RelM1_ContractCustomerContactS = "contract_customer_contacts";
        /// <summary>Parent: "ContractTemplate" Child: "Contract" Lookup: "ContractTemplateId"</summary>
        public const string RelM1_ContractTemplateContracts = "contract_template_contracts";
        /// <summary>Parent: "CustomerAddress" Child: "Contract" Lookup: "BillToAddress"</summary>
        public const string RelM1_CustomerAddressContractsAsBillingAddress = "customer_address_contracts_as_billing_address";
        /// <summary>Parent: "CustomerAddress" Child: "Contract" Lookup: "ServiceAddress"</summary>
        public const string RelM1_CustomerAddressContractsAsServiceAddress = "customer_address_contracts_as_service_address";
        /// <summary>Parent: "Contract" Child: "Contract" Lookup: "OriginatingContract"</summary>
        public const string Rel1M_ContractOriginatingContract = "contract_originating_contract";
        /// <summary>Parent: "Contract" Child: "ActivityPointer" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractActivityPointers = "Contract_ActivityPointers";
        /// <summary>Parent: "Contract" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractSyncErrors = "Contract_SyncErrors";
        /// <summary>Parent: "Contract" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string Rel1M_ContractActivityParties = "contract_activity_parties";
        /// <summary>Parent: "Contract" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_ContractDuplicateMatchingRecord = "Contract_DuplicateMatchingRecord";
        /// <summary>Parent: "Contract" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_ContractDuplicateBaseRecord = "Contract_DuplicateBaseRecord";
        /// <summary>Parent: "Contract" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractAsyncOperations = "Contract_AsyncOperations";
        /// <summary>Parent: "Contract" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractMailBoxTrackingFolder = "Contract_MailboxTrackingFolder";
        /// <summary>Parent: "Contract" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractProcessSessions = "Contract_ProcessSessions";
        /// <summary>Parent: "Contract" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractBulkDeleteFailures = "Contract_BulkDeleteFailures";
        /// <summary>Parent: "Contract" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_ContractPrincipalobjectattributeaccess = "contract_principalobjectattributeaccess";
        /// <summary>Parent: "Contract" Child: "Appointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractAppointments = "Contract_Appointments";
        /// <summary>Parent: "Contract" Child: "EMail" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractEMailS = "Contract_Emails";
        /// <summary>Parent: "Contract" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractFaxes = "Contract_Faxes";
        /// <summary>Parent: "Contract" Child: "Letter" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractLetters = "Contract_Letters";
        /// <summary>Parent: "Contract" Child: "PhoneCall" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractPhoneCalls = "Contract_Phonecalls";
        /// <summary>Parent: "Contract" Child: "Task" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractTasks = "Contract_Tasks";
        /// <summary>Parent: "Contract" Child: "RecurringAppointmentMaster" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractRecurringAppointmentMasters = "Contract_RecurringAppointmentMasters";
        /// <summary>Parent: "Contract" Child: "SocialActivity" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractSocialActivities = "Contract_SocialActivities";
        /// <summary>Parent: "Contract" Child: "Connection" Lookup: "Record1Id"</summary>
        public const string Rel1M_ContractConnections1 = "contract_connections1";
        /// <summary>Parent: "Contract" Child: "Connection" Lookup: "Record2Id"</summary>
        public const string Rel1M_ContractConnections2 = "contract_connections2";
        /// <summary>Parent: "Contract" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_ContractAnnotation = "Contract_Annotation";
        /// <summary>Parent: "Contract" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractServiceAppointments = "Contract_ServiceAppointments";
        /// <summary>Parent: "Contract" Child: "Incident" Lookup: "ContractId"</summary>
        public const string Rel1M_ContractCases = "contract_cases";
        /// <summary>Parent: "Contract" Child: "ContractDetail" Lookup: "ContractId"</summary>
        public const string Rel1M_ContractLineItems = "contract_line_items";
        /// <summary>Parent: "Contract" Child: "MsfpSurveyinvite" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractMsfpSurveyinvites = "contract_msfp_surveyinvites";
        /// <summary>Parent: "Contract" Child: "MsfpSurveyresponse" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractMsfpSurveyresponses = "contract_msfp_surveyresponses";
        /// <summary>Parent: "Contract" Child: "MsdynBookingalert" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractMsdynBookingalerts = "contract_msdyn_bookingalerts";
        /// <summary>Parent: "Contract" Child: "MsdynApproval" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ContractMsdynApprovals = "contract_msdyn_approvals";

        #endregion Relationships
    }
}
