// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : EntitlementTemplate.cs
// Created   : 2019-04-26 10:47:46
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Entitlement Template, OwnershipType: OrganizationOwned, IntroducedVersion: 6.1.0.0</summary>
    /// <remarks>Contains predefined customer support terms that can be used to created entitlements for customers.</remarks>
    public static class EntitlementTemplate
    {
        public const string EntityName = "entitlementtemplate";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "EntitlementTemplate" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkEntitlementtemplateCreatedBy = "lk_entitlementtemplate_createdby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementTemplate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkEntitlementtemplateCreatedOnBehalfBy = "lk_entitlementtemplate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementTemplate" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkEntitlementtemplateModifiedBy = "lk_entitlementtemplate_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementTemplate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkEntitlementtemplateModifiedOnBehalfBy = "lk_entitlementtemplate_modifiedonbehalfby";
        /// <summary>Parent: "Organization" Child: "EntitlementTemplate" Lookup: "OrganizationId"</summary>
        public const string RelM1_EntitlementtemplateOrganization = "entitlementtemplate_organization";
        /// <summary>Parent: "SLA" Child: "EntitlementTemplate" Lookup: "SLAId"</summary>
        public const string RelM1_SlaEntitlementtemplate = "sla_entitlementtemplate";
        /// <summary>Parent: "TransactionCurrency" Child: "EntitlementTemplate" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactionCurrencyEntitlementtemplate = "TransactionCurrency_entitlementtemplate";
        /// <summary>Parent: "EntitlementTemplate" Child: "ActivityPointer" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateActivityPointers = "entitlementtemplate_ActivityPointers";
        /// <summary>Parent: "EntitlementTemplate" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementTemplateSyncErrors = "EntitlementTemplate_SyncErrors";
        /// <summary>Parent: "EntitlementTemplate" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateAsyncOperations = "entitlementtemplate_AsyncOperations";
        /// <summary>Parent: "EntitlementTemplate" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementTemplateMailBoxTrackingFolder = "EntitlementTemplate_MailboxTrackingFolder";
        /// <summary>Parent: "EntitlementTemplate" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateProcessSession = "entitlementtemplate_ProcessSession";
        /// <summary>Parent: "EntitlementTemplate" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateBulkDeleteFailures = "entitlementtemplate_BulkDeleteFailures";
        /// <summary>Parent: "EntitlementTemplate" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_EntitlementtemplatePrincipalObjectAttributeAccesses = "entitlementtemplate_PrincipalObjectAttributeAccesses";
        /// <summary>Parent: "EntitlementTemplate" Child: "Appointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateAppointments = "entitlementtemplate_Appointments";
        /// <summary>Parent: "EntitlementTemplate" Child: "EMail" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateEMailS = "entitlementtemplate_Emails";
        /// <summary>Parent: "EntitlementTemplate" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateFaxes = "entitlementtemplate_Faxes";
        /// <summary>Parent: "EntitlementTemplate" Child: "Letter" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateLetters = "entitlementtemplate_Letters";
        /// <summary>Parent: "EntitlementTemplate" Child: "PhoneCall" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplatePhoneCalls = "entitlementtemplate_PhoneCalls";
        /// <summary>Parent: "EntitlementTemplate" Child: "Task" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateTasks = "entitlementtemplate_Tasks";
        /// <summary>Parent: "EntitlementTemplate" Child: "RecurringAppointmentMaster" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateRecurringAppointmentMasters = "entitlementtemplate_RecurringAppointmentMasters";
        /// <summary>Parent: "EntitlementTemplate" Child: "SocialActivity" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateSocialActivities = "entitlementtemplate_SocialActivities";
        /// <summary>Parent: "EntitlementTemplate" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_EntitlementtemplateAnnotations = "entitlementtemplate_Annotations";
        /// <summary>Parent: "EntitlementTemplate" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateIncidentResolutions = "entitlementtemplate_IncidentResolutions";
        /// <summary>Parent: "EntitlementTemplate" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateServiceAppointments = "entitlementtemplate_ServiceAppointments";
        /// <summary>Parent: "EntitlementTemplate" Child: "Entitlement" Lookup: "EntitlementTemplateId"</summary>
        public const string Rel1M_EntitlementtemplateidRelationShip = "entitlementtemplateid_RelationShip";
        /// <summary>Parent: "EntitlementTemplate" Child: "EntitlementTemplateChannel" Lookup: "EntitlementTemplateId"</summary>
        public const string Rel1M_EntitlementtemplateEntitlementchannelEntitlementtemplateId = "entitlementtemplate_entitlementchannel_entitlementtemplateid";
        /// <summary>Parent: "EntitlementTemplate" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_EntitlementtemplateDuplicateMatchingRecord = "entitlementtemplate_DuplicateMatchingRecord";
        /// <summary>Parent: "EntitlementTemplate" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_EntitlementtemplateDuplicateBaseRecord = "entitlementtemplate_DuplicateBaseRecord";
        /// <summary>Parent: "EntitlementTemplate" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateOpportunityCloses = "entitlementtemplate_OpportunityCloses";
        /// <summary>Parent: "EntitlementTemplate" Child: "OrderClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateOrderCloses = "entitlementtemplate_OrderCloses";
        /// <summary>Parent: "EntitlementTemplate" Child: "QuoteClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateQuoteCloses = "entitlementtemplate_QuoteCloses";
        /// <summary>Parent: "EntitlementTemplate" Child: "MsfpSurveyinvite" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateMsfpSurveyinvites = "entitlementtemplate_msfp_surveyinvites";
        /// <summary>Parent: "EntitlementTemplate" Child: "MsfpSurveyresponse" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateMsfpSurveyresponses = "entitlementtemplate_msfp_surveyresponses";
        /// <summary>Parent: "EntitlementTemplate" Child: "MsdynBookingalert" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateMsdynBookingalerts = "entitlementtemplate_msdyn_bookingalerts";
        /// <summary>Parent: "EntitlementTemplate" Child: "MsdynApproval" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_EntitlementtemplateMsdynApprovals = "entitlementtemplate_msdyn_approvals";

        #endregion Relationships
    }
}
