// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : Fax.cs
// Created   : 2019-04-26 10:47:46
// *********************************************************************

namespace D365.Constants
{
    /// <summary>OwnershipType: UserOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Activity that tracks call outcome and number of pages for a fax and optionally stores an electronic copy of the document.</remarks>
    public static class Fax
    {
        public const string EntityName = "fax";

        #region Relationships

        /// <summary>Parent: "BusinessUnit" Child: "Fax" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitFaxActivities = "business_unit_fax_activities";
        /// <summary>Parent: "Lead" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_LeadFaxes = "Lead_Faxes";
        /// <summary>Parent: "BookableResourceBooking" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BookableresourcebookingFaxes = "bookableresourcebooking_Faxes";
        /// <summary>Parent: "BookableResourceBookingHeader" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BookableresourcebookingheaderFaxes = "bookableresourcebookingheader_Faxes";
        /// <summary>Parent: "BulkOperation" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BulkOperationFaxes = "BulkOperation_Faxes";
        /// <summary>Parent: "Campaign" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_CampaignFaxes = "Campaign_Faxes";
        /// <summary>Parent: "CampaignActivity" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_CampaignActivityFaxes = "CampaignActivity_Faxes";
        /// <summary>Parent: "Contract" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_ContractFaxes = "Contract_Faxes";
        /// <summary>Parent: "Entitlement" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_EntitlementFaxes = "entitlement_Faxes";
        /// <summary>Parent: "EntitlementTemplate" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_EntitlementtemplateFaxes = "entitlementtemplate_Faxes";
        /// <summary>Parent: "Incident" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_IncidentFaxes = "Incident_Faxes";
        /// <summary>Parent: "Site" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_SiteFaxes = "site_Faxes";
        /// <summary>Parent: "Service" Child: "Fax" Lookup: "ServiceId"</summary>
        public const string RelM1_ServiceFaxes = "service_faxes";
        /// <summary>Parent: "MsdynPlaybookinstance" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPlaybookinstanceFaxes = "msdyn_playbookinstance_Faxes";
        /// <summary>Parent: "Invoice" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_InvoiceFaxes = "Invoice_Faxes";
        /// <summary>Parent: "Opportunity" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_OpportunityFaxes = "Opportunity_Faxes";
        /// <summary>Parent: "Quote" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_QuoteFaxes = "Quote_Faxes";
        /// <summary>Parent: "SalesOrder" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_SalesOrderFaxes = "SalesOrder_Faxes";
        /// <summary>Parent: "MsdynPostAlBum" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPostalBumFaxes = "msdyn_postalbum_Faxes";
        /// <summary>Parent: "MsdynBookingalertStatus" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynBookingalertStatusFaxes = "msdyn_bookingalertstatus_Faxes";
        /// <summary>Parent: "MsdynBookingrule" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynBookingruleFaxes = "msdyn_bookingrule_Faxes";
        /// <summary>Parent: "MsdynResourceTerritory" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynResourceTerritoryFaxes = "msdyn_resourceterritory_Faxes";
        /// <summary>Parent: "MsdynSystemUserSchedulersetting" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynSystemUserSchedulersettingFaxes = "msdyn_systemuserschedulersetting_Faxes";
        /// <summary>Parent: "MsdynTimegroup" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynTimegroupFaxes = "msdyn_timegroup_Faxes";
        /// <summary>Parent: "MsdynTimegroupdetail" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynTimegroupdetailFaxes = "msdyn_timegroupdetail_Faxes";
        /// <summary>Parent: "MsdynProcessnotes" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynProcessnotesFaxes = "msdyn_processnotes_Faxes";
        /// <summary>Parent: "MsdynProjectteam" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynProjectteamFaxes = "msdyn_projectteam_Faxes";
        /// <summary>Parent: "MsdynAgreement" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementFaxes = "msdyn_agreement_Faxes";
        /// <summary>Parent: "MsdynAgreementbookingdate" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingdateFaxes = "msdyn_agreementbookingdate_Faxes";
        /// <summary>Parent: "MsdynAgreementbookingincident" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingincidentFaxes = "msdyn_agreementbookingincident_Faxes";
        /// <summary>Parent: "MsdynAgreementbookingproduct" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingproductFaxes = "msdyn_agreementbookingproduct_Faxes";
        /// <summary>Parent: "MsdynAgreementbookingservice" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingserviceFaxes = "msdyn_agreementbookingservice_Faxes";
        /// <summary>Parent: "MsdynAgreementbookingservicetask" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingservicetaskFaxes = "msdyn_agreementbookingservicetask_Faxes";
        /// <summary>Parent: "MsdynAgreementbookingsetup" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingsetupFaxes = "msdyn_agreementbookingsetup_Faxes";
        /// <summary>Parent: "MsdynAgreementinvoicedate" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementinvoicedateFaxes = "msdyn_agreementinvoicedate_Faxes";
        /// <summary>Parent: "MsdynAgreementinvoiceproduct" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementinvoiceproductFaxes = "msdyn_agreementinvoiceproduct_Faxes";
        /// <summary>Parent: "MsdynAgreementinvoicesetup" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementinvoicesetupFaxes = "msdyn_agreementinvoicesetup_Faxes";
        /// <summary>Parent: "MsdynBookingtimestamp" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynBookingtimestampFaxes = "msdyn_bookingtimestamp_Faxes";
        /// <summary>Parent: "MsdynCustomerAsset" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynCustomerAssetFaxes = "msdyn_customerasset_Faxes";
        /// <summary>Parent: "MsdynFieldservicesetting" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynFieldservicesettingFaxes = "msdyn_fieldservicesetting_Faxes";
        /// <summary>Parent: "MsdynIncidentTypeCharacteristic" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynIncidentTypeCharacteristicFaxes = "msdyn_incidenttypecharacteristic_Faxes";
        /// <summary>Parent: "MsdynIncidentTypeProduct" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynIncidentTypeProductFaxes = "msdyn_incidenttypeproduct_Faxes";
        /// <summary>Parent: "MsdynIncidentTypeService" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynIncidentTypeServiceFaxes = "msdyn_incidenttypeservice_Faxes";
        /// <summary>Parent: "MsdynInventoryadjustment" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynInventoryadjustmentFaxes = "msdyn_inventoryadjustment_Faxes";
        /// <summary>Parent: "MsdynInventoryadjustmentproduct" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynInventoryadjustmentproductFaxes = "msdyn_inventoryadjustmentproduct_Faxes";
        /// <summary>Parent: "MsdynInventoryjournal" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynInventoryjournalFaxes = "msdyn_inventoryjournal_Faxes";
        /// <summary>Parent: "MsdynInventorytransfer" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynInventorytransferFaxes = "msdyn_inventorytransfer_Faxes";
        /// <summary>Parent: "MsdynPayment" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPaymentFaxes = "msdyn_payment_Faxes";
        /// <summary>Parent: "MsdynPaymentdetail" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPaymentdetailFaxes = "msdyn_paymentdetail_Faxes";
        /// <summary>Parent: "MsdynPaymentMethod" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPaymentMethodFaxes = "msdyn_paymentmethod_Faxes";
        /// <summary>Parent: "MsdynPaymentterm" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPaymenttermFaxes = "msdyn_paymentterm_Faxes";
        /// <summary>Parent: "MsdynPostalCode" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPostalCodeFaxes = "msdyn_postalcode_Faxes";
        /// <summary>Parent: "MsdynProductinventory" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynProductinventoryFaxes = "msdyn_productinventory_Faxes";
        /// <summary>Parent: "MsdynPurchaseorder" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPurchaseorderFaxes = "msdyn_purchaseorder_Faxes";
        /// <summary>Parent: "MsdynPurchaseorderbill" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPurchaseorderbillFaxes = "msdyn_purchaseorderbill_Faxes";
        /// <summary>Parent: "MsdynPurchaseorderproduct" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPurchaseorderproductFaxes = "msdyn_purchaseorderproduct_Faxes";
        /// <summary>Parent: "MsdynPurchaseorderreceipt" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPurchaseorderreceiptFaxes = "msdyn_purchaseorderreceipt_Faxes";
        /// <summary>Parent: "MsdynPurchaseorderreceiptproduct" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPurchaseorderreceiptproductFaxes = "msdyn_purchaseorderreceiptproduct_Faxes";
        /// <summary>Parent: "MsdynPurchaseordersubStatus" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPurchaseordersubStatusFaxes = "msdyn_purchaseordersubstatus_Faxes";
        /// <summary>Parent: "MsdynQuotebookingincident" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynQuotebookingincidentFaxes = "msdyn_quotebookingincident_Faxes";
        /// <summary>Parent: "MsdynQuotebookingproduct" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynQuotebookingproductFaxes = "msdyn_quotebookingproduct_Faxes";
        /// <summary>Parent: "MsdynQuotebookingservice" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynQuotebookingserviceFaxes = "msdyn_quotebookingservice_Faxes";
        /// <summary>Parent: "MsdynQuotebookingservicetask" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynQuotebookingservicetaskFaxes = "msdyn_quotebookingservicetask_Faxes";
        /// <summary>Parent: "MsdynRma" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRmaFaxes = "msdyn_rma_Faxes";
        /// <summary>Parent: "MsdynRmaproduct" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRmaproductFaxes = "msdyn_rmaproduct_Faxes";
        /// <summary>Parent: "MsdynRmareceipt" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRmareceiptFaxes = "msdyn_rmareceipt_Faxes";
        /// <summary>Parent: "MsdynRmareceiptproduct" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRmareceiptproductFaxes = "msdyn_rmareceiptproduct_Faxes";
        /// <summary>Parent: "MsdynRmasubStatus" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRmasubStatusFaxes = "msdyn_rmasubstatus_Faxes";
        /// <summary>Parent: "MsdynRtv" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRtvFaxes = "msdyn_rtv_Faxes";
        /// <summary>Parent: "MsdynRtvproduct" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRtvproductFaxes = "msdyn_rtvproduct_Faxes";
        /// <summary>Parent: "MsdynRtvsubStatus" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRtvsubStatusFaxes = "msdyn_rtvsubstatus_Faxes";
        /// <summary>Parent: "MsdynShipvia" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynShipviaFaxes = "msdyn_shipvia_Faxes";
        /// <summary>Parent: "MsdynTimeoffrequest" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynTimeoffrequestFaxes = "msdyn_timeoffrequest_Faxes";
        /// <summary>Parent: "MsdynWarehouse" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWarehouseFaxes = "msdyn_warehouse_Faxes";
        /// <summary>Parent: "MsdynWorkorder" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderFaxes = "msdyn_workorder_Faxes";
        /// <summary>Parent: "MsdynWorkorderCharacteristic" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderCharacteristicFaxes = "msdyn_workordercharacteristic_Faxes";
        /// <summary>Parent: "MsdynWorkorderIncident" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderIncidentFaxes = "msdyn_workorderincident_Faxes";
        /// <summary>Parent: "MsdynWorkorderProduct" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderProductFaxes = "msdyn_workorderproduct_Faxes";
        /// <summary>Parent: "MsdynWorkorderResourcerestriction" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderResourcerestrictionFaxes = "msdyn_workorderresourcerestriction_Faxes";
        /// <summary>Parent: "MsdynWorkorderService" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderServiceFaxes = "msdyn_workorderservice_Faxes";
        /// <summary>Parent: "MsdynWorkorderServicetask" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderServicetaskFaxes = "msdyn_workorderservicetask_Faxes";
        /// <summary>Parent: "KnowledgeBaseRecord" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_KnowledgeBaseRecordFaxes = "KnowledgeBaseRecord_Faxes";
        /// <summary>Parent: "KnowledgeArticle" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_KnowledgeArticleFaxes = "KnowledgeArticle_Faxes";
        /// <summary>Parent: "SLA" Child: "Fax" Lookup: "SLAId"</summary>
        public const string RelM1_ManualslaFax = "manualsla_fax";
        /// <summary>Parent: "SLA" Child: "Fax" Lookup: "SLAInvokedId"</summary>
        public const string RelM1_SlaFax = "sla_fax";
        /// <summary>Parent: "ActivityPointer" Child: "Fax" Lookup: "ActivityId"</summary>
        public const string RelM1_ActivityPointerFax = "activity_pointer_fax";
        /// <summary>Parent: "ProcessStage" Child: "Fax" Lookup: "StageId"</summary>
        public const string RelM1_ProcessstageFaxes = "processstage_faxes";
        /// <summary>Parent: "SystemUser" Child: "Fax" Lookup: ""</summary>
        public const string RelM1_UserFax = "user_fax";
        /// <summary>Parent: "Account" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_AccountFaxes = "Account_Faxes";
        /// <summary>Parent: "SystemUser" Child: "Fax" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkFaxCreatedOnBehalfBy = "lk_fax_createdonbehalfby";
        /// <summary>Parent: "Team" Child: "Fax" Lookup: ""</summary>
        public const string RelM1_TeamFax = "team_fax";
        /// <summary>Parent: "SystemUser" Child: "Fax" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkFaxCreatedBy = "lk_fax_createdby";
        /// <summary>Parent: "TransactionCurrency" Child: "Fax" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactionCurrencyFax = "TransactionCurrency_Fax";
        /// <summary>Parent: "SystemUser" Child: "Fax" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkFaxModifiedBy = "lk_fax_modifiedby";
        /// <summary>Parent: "Contact" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_ContactFaxes = "Contact_Faxes";
        /// <summary>Parent: "SystemUser" Child: "Fax" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkFaxModifiedOnBehalfBy = "lk_fax_modifiedonbehalfby";
        /// <summary>Parent: "Fax" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string Rel1M_FaxCampaignresponse = "fax_campaignresponse";
        /// <summary>Parent: "Fax" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_FaxPrincipalobjectattributeaccess = "fax_principalobjectattributeaccess";
        /// <summary>Parent: "Fax" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_FaxAsyncOperations = "Fax_AsyncOperations";
        /// <summary>Parent: "Fax" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string Rel1M_SlakpiinstanceFax = "slakpiinstance_fax";
        /// <summary>Parent: "Fax" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_FaxDuplicateBaseRecord = "Fax_DuplicateBaseRecord";
        /// <summary>Parent: "Fax" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_FaxBulkDeleteFailures = "Fax_BulkDeleteFailures";
        /// <summary>Parent: "Fax" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string Rel1M_FaxActivityParties = "fax_activity_parties";
        /// <summary>Parent: "Fax" Child: "Connection" Lookup: "Record2Id"</summary>
        public const string Rel1M_FaxConnections2 = "fax_connections2";
        /// <summary>Parent: "Fax" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_FaxSyncErrors = "Fax_SyncErrors";
        /// <summary>Parent: "Fax" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_FaxDuplicateMatchingRecord = "Fax_DuplicateMatchingRecord";
        /// <summary>Parent: "Fax" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_FaxAnnotation = "Fax_Annotation";
        /// <summary>Parent: "Fax" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_FaxProcessSessions = "Fax_ProcessSessions";
        /// <summary>Parent: "Fax" Child: "Connection" Lookup: "Record1Id"</summary>
        public const string Rel1M_FaxConnections1 = "fax_connections1";
        /// <summary>Parent: "Fax" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string Rel1M_FaxQueueItem = "Fax_QueueItem";
        /// <summary>Parent: "Fax" Child: "ActionCard" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_FaxActioncard = "fax_actioncard";

        #endregion Relationships
    }
}
