// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : IncidentType.cs
// Created   : 2019-04-26 10:47:47
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Incident Type, OwnershipType: UserOwned, IntroducedVersion: 3.1.0.3</summary>
    /// <remarks>Incident types define the various types of incidents (issues) that a customer could report, on which work orders are based.</remarks>
    public static class MsdynIncidentType
    {
        public const string EntityName = "msdyn_incidenttype";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentType" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkMsdynIncidentTypeCreatedBy = "lk_msdyn_incidenttype_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentType" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkMsdynIncidentTypeCreatedOnBehalfBy = "lk_msdyn_incidenttype_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentType" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkMsdynIncidentTypeModifiedBy = "lk_msdyn_incidenttype_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentType" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkMsdynIncidentTypeModifiedOnBehalfBy = "lk_msdyn_incidenttype_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentType" Lookup: ""</summary>
        public const string RelM1_UserMsdynIncidentType = "user_msdyn_incidenttype";
        /// <summary>Parent: "Team" Child: "MsdynIncidentType" Lookup: ""</summary>
        public const string RelM1_TeamMsdynIncidentType = "team_msdyn_incidenttype";
        /// <summary>Parent: "Owner" Child: "MsdynIncidentType" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerMsdynIncidentType = "owner_msdyn_incidenttype";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynIncidentType" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitMsdynIncidentType = "business_unit_msdyn_incidenttype";
        /// <summary>Parent: "MsdynWorkorderType" Child: "MsdynIncidentType" Lookup: "MsdynDefaultWorkOrderType"</summary>
        public const string RelM1_MsdynMsdynWorkorderTypeMsdynIncidentTypeDefaultWorkOrderType = "msdyn_msdyn_workordertype_msdyn_incidenttype_DefaultWorkOrderType";
        /// <summary>Parent: "MsdynIncidentType" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynIncidentTypeSyncErrors = "msdyn_incidenttype_SyncErrors";
        /// <summary>Parent: "MsdynIncidentType" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_MsdynIncidentTypeDuplicateMatchingRecord = "msdyn_incidenttype_DuplicateMatchingRecord";
        /// <summary>Parent: "MsdynIncidentType" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_MsdynIncidentTypeDuplicateBaseRecord = "msdyn_incidenttype_DuplicateBaseRecord";
        /// <summary>Parent: "MsdynIncidentType" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynIncidentTypeAsyncOperations = "msdyn_incidenttype_AsyncOperations";
        /// <summary>Parent: "MsdynIncidentType" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynIncidentTypeMailBoxTrackingFolders = "msdyn_incidenttype_MailboxTrackingFolders";
        /// <summary>Parent: "MsdynIncidentType" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynIncidentTypeProcessSession = "msdyn_incidenttype_ProcessSession";
        /// <summary>Parent: "MsdynIncidentType" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynIncidentTypeBulkDeleteFailures = "msdyn_incidenttype_BulkDeleteFailures";
        /// <summary>Parent: "MsdynIncidentType" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_MsdynIncidentTypePrincipalObjectAttributeAccesses = "msdyn_incidenttype_PrincipalObjectAttributeAccesses";
        /// <summary>Parent: "MsdynIncidentType" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_MsdynIncidentTypeAnnotations = "msdyn_incidenttype_Annotations";
        /// <summary>Parent: "MsdynIncidentType" Child: "MsdynIncidentTypeRequirementgroup" Lookup: "MsdynIncidentTypeId"</summary>
        public const string Rel1M_MsdynIncidentTypeRequirementgroupIncident = "msdyn_incidenttype_requirementgroup_incident";
        /// <summary>Parent: "MsdynIncidentType" Child: "Incident" Lookup: "MsdynIncidentType"</summary>
        public const string Rel1M_MsdynMsdynIncidentTypeIncidentIncidentType = "msdyn_msdyn_incidenttype_incident_IncidentType";
        /// <summary>Parent: "MsdynIncidentType" Child: "MsdynActual" Lookup: "MsdynIncidentType"</summary>
        public const string Rel1M_MsdynMsdynIncidentTypeMsdynActualIncidentType = "msdyn_msdyn_incidenttype_msdyn_actual_IncidentType";
        /// <summary>Parent: "MsdynIncidentType" Child: "MsdynAgreementbookingincident" Lookup: "MsdynIncidentType"</summary>
        public const string Rel1M_MsdynMsdynIncidentTypeMsdynAgreementbookingincidentIncidentType = "msdyn_msdyn_incidenttype_msdyn_agreementbookingincident_IncidentType";
        /// <summary>Parent: "MsdynIncidentType" Child: "MsdynEntitlementapplication" Lookup: "MsdynIncidentType"</summary>
        public const string Rel1M_MsdynMsdynIncidentTypeMsdynEntitlementapplicationIncidentType = "msdyn_msdyn_incidenttype_msdyn_entitlementapplication_incidenttype";
        /// <summary>Parent: "MsdynIncidentType" Child: "MsdynIncidentTypeCharacteristic" Lookup: "MsdynIncidentType"</summary>
        public const string Rel1M_MsdynMsdynIncidentTypeMsdynIncidentTypeCharacteristicIncidentType = "msdyn_msdyn_incidenttype_msdyn_incidenttypecharacteristic_IncidentType";
        /// <summary>Parent: "MsdynIncidentType" Child: "MsdynIncidentTypeProduct" Lookup: "MsdynIncidentType"</summary>
        public const string Rel1M_MsdynMsdynIncidentTypeMsdynIncidentTypeProductIncidentType = "msdyn_msdyn_incidenttype_msdyn_incidenttypeproduct_IncidentType";
        /// <summary>Parent: "MsdynIncidentType" Child: "MsdynIncidentTypeService" Lookup: "MsdynIncidentType"</summary>
        public const string Rel1M_MsdynMsdynIncidentTypeMsdynIncidentTypeServiceIncidentType = "msdyn_msdyn_incidenttype_msdyn_incidenttypeservice_IncidentType";
        /// <summary>Parent: "MsdynIncidentType" Child: "MsdynIncidentTypeServicetask" Lookup: "MsdynIncidentType"</summary>
        public const string Rel1M_MsdynMsdynIncidentTypeMsdynIncidentTypeServicetaskIncidentType = "msdyn_msdyn_incidenttype_msdyn_incidenttypeservicetask_IncidentType";
        /// <summary>Parent: "MsdynIncidentType" Child: "MsdynQuotebookingincident" Lookup: "MsdynIncidentType"</summary>
        public const string Rel1M_MsdynMsdynIncidentTypeMsdynQuotebookingincidentIncidentType = "msdyn_msdyn_incidenttype_msdyn_quotebookingincident_IncidentType";
        /// <summary>Parent: "MsdynIncidentType" Child: "MsdynWorkorder" Lookup: "MsdynPrimaryIncidentType"</summary>
        public const string Rel1M_MsdynMsdynIncidentTypeMsdynWorkorderPrimaryIncidentType = "msdyn_msdyn_incidenttype_msdyn_workorder_PrimaryIncidentType";
        /// <summary>Parent: "MsdynIncidentType" Child: "MsdynWorkorderIncident" Lookup: "MsdynIncidentType"</summary>
        public const string Rel1M_MsdynMsdynIncidentTypeMsdynWorkorderIncidentIncidentType = "msdyn_msdyn_incidenttype_msdyn_workorderincident_IncidentType";

        #endregion Relationships
    }
}
