// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : Lead.cs
// Created   : 2019-04-26 10:47:48
// *********************************************************************

namespace D365.Constants
{
    /// <summary>OwnershipType: UserOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Prospect or potential sales opportunity. Leads are converted into accounts, contacts, or opportunities when they are qualified. Otherwise, they are deleted or archived.</remarks>
    public static class Lead
    {
        public const string EntityName = "lead";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "Lead" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkLeadbaseCreatedBy = "lk_leadbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Lead" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkLeadCreatedOnBehalfBy = "lk_lead_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Lead" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkLeadbaseModifiedBy = "lk_leadbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Lead" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkLeadModifiedOnBehalfBy = "lk_lead_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Lead" Lookup: ""</summary>
        public const string RelM1_LeadOwningUser = "lead_owning_user";
        /// <summary>Parent: "Team" Child: "Lead" Lookup: ""</summary>
        public const string RelM1_LeadOwningTeam = "lead_owning_team";
        /// <summary>Parent: "Owner" Child: "Lead" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerLeads = "owner_leads";
        /// <summary>Parent: "BusinessUnit" Child: "Lead" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitLeads = "business_unit_leads";
        /// <summary>Parent: "ProcessStage" Child: "Lead" Lookup: "StageId"</summary>
        public const string RelM1_ProcessstageLead = "processstage_lead";
        /// <summary>Parent: "TransactionCurrency" Child: "Lead" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactioncurrencyLead = "transactioncurrency_lead";
        /// <summary>Parent: "Account" Child: "Lead" Lookup: "CustomerId"</summary>
        public const string RelM1_LeadCustomerAccountS = "lead_customer_accounts";
        /// <summary>Parent: "Contact" Child: "Lead" Lookup: "CustomerId"</summary>
        public const string RelM1_LeadCustomerContactS = "lead_customer_contacts";
        /// <summary>Parent: "SLA" Child: "Lead" Lookup: "SLAId"</summary>
        public const string RelM1_ManualslaLead = "manualsla_lead";
        /// <summary>Parent: "SLA" Child: "Lead" Lookup: "SLAInvokedId"</summary>
        public const string RelM1_SlaLead = "sla_lead";
        /// <summary>Parent: "Account" Child: "Lead" Lookup: "ParentAccountId"</summary>
        public const string RelM1_LeadParentAccount = "lead_parent_account";
        /// <summary>Parent: "Contact" Child: "Lead" Lookup: "ParentContactId"</summary>
        public const string RelM1_LeadParentContact = "lead_parent_contact";
        /// <summary>Parent: "Campaign" Child: "Lead" Lookup: "CampaignId"</summary>
        public const string RelM1_CampaignLeads = "campaign_leads";
        /// <summary>Parent: "CampaignResponse" Child: "Lead" Lookup: "RelatedObjectId"</summary>
        public const string RelM1_CampaignResponseLead = "CampaignResponse_Lead";
        /// <summary>Parent: "Incident" Child: "Lead" Lookup: "OriginatingCaseId"</summary>
        public const string RelM1_OriginatingCaseLead = "OriginatingCase_Lead";
        /// <summary>Parent: "Opportunity" Child: "Lead" Lookup: "QualifyingOpportunityId"</summary>
        public const string RelM1_LeadQualifyingOpportunity = "lead_qualifying_opportunity";
        /// <summary>Parent: "Lead" Child: "Lead" Lookup: "MasterId"</summary>
        public const string Rel1M_LeadMasterLead = "lead_master_lead";
        /// <summary>Parent: "Lead" Child: "ActivityPointer" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadActivityPointers = "Lead_ActivityPointers";
        /// <summary>Parent: "Lead" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadSyncErrors = "Lead_SyncErrors";
        /// <summary>Parent: "Lead" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string Rel1M_LeadActivityParties = "lead_activity_parties";
        /// <summary>Parent: "Lead" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_LeadDuplicateMatchingRecord = "Lead_DuplicateMatchingRecord";
        /// <summary>Parent: "Lead" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_LeadDuplicateBaseRecord = "Lead_DuplicateBaseRecord";
        /// <summary>Parent: "Lead" Child: "SharePointDocumentLocation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadSharepointDocumentLocation = "Lead_SharepointDocumentLocation";
        /// <summary>Parent: "Lead" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadAsyncOperations = "Lead_AsyncOperations";
        /// <summary>Parent: "Lead" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadMailBoxTrackingFolder = "Lead_MailboxTrackingFolder";
        /// <summary>Parent: "Lead" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadProcessSessions = "Lead_ProcessSessions";
        /// <summary>Parent: "Lead" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadBulkDeleteFailures = "Lead_BulkDeleteFailures";
        /// <summary>Parent: "Lead" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_LeadPrincipalobjectattributeaccess = "lead_principalobjectattributeaccess";
        /// <summary>Parent: "Lead" Child: "Appointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadAppointments = "Lead_Appointments";
        /// <summary>Parent: "Lead" Child: "EMail" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadEMailS = "Lead_Emails";
        /// <summary>Parent: "Lead" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadFaxes = "Lead_Faxes";
        /// <summary>Parent: "Lead" Child: "Letter" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadLetters = "Lead_Letters";
        /// <summary>Parent: "Lead" Child: "PhoneCall" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadPhoneCalls = "Lead_Phonecalls";
        /// <summary>Parent: "Lead" Child: "Task" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadTasks = "Lead_Tasks";
        /// <summary>Parent: "Lead" Child: "RecurringAppointmentMaster" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadRecurringAppointmentMasters = "Lead_RecurringAppointmentMasters";
        /// <summary>Parent: "Lead" Child: "SocialActivity" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadSocialActivities = "Lead_SocialActivities";
        /// <summary>Parent: "Lead" Child: "Connection" Lookup: "Record1Id"</summary>
        public const string Rel1M_LeadConnections1 = "lead_connections1";
        /// <summary>Parent: "Lead" Child: "Connection" Lookup: "Record2Id"</summary>
        public const string Rel1M_LeadConnections2 = "lead_connections2";
        /// <summary>Parent: "Lead" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_LeadAnnotation = "Lead_Annotation";
        /// <summary>Parent: "Lead" Child: "ActionCard" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadActioncard = "Lead_actioncard";
        /// <summary>Parent: "Lead" Child: "EMail" Lookup: "EMailSender"</summary>
        public const string Rel1M_LeadEMailEMailSender = "Lead_Email_EmailSender";
        /// <summary>Parent: "Lead" Child: "LeadAddress" Lookup: "ParentId"</summary>
        public const string Rel1M_LeadAddressEs = "lead_addresses";
        /// <summary>Parent: "Lead" Child: "PostFollow" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadPostFollows = "lead_PostFollows";
        /// <summary>Parent: "Lead" Child: "PostRegarding" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadPostRegardings = "lead_PostRegardings";
        /// <summary>Parent: "Lead" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string Rel1M_SlakpiinstanceLead = "slakpiinstance_lead";
        /// <summary>Parent: "Lead" Child: "Account" Lookup: "OriginatingLeadId"</summary>
        public const string Rel1M_AccountOriginatingLead = "account_originating_lead";
        /// <summary>Parent: "Lead" Child: "Contact" Lookup: "OriginatingLeadId"</summary>
        public const string Rel1M_ContactOriginatingLead = "contact_originating_lead";
        /// <summary>Parent: "Lead" Child: "BulkOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadBulkOperations = "lead_BulkOperations";
        /// <summary>Parent: "Lead" Child: "CampaignResponse" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadCampaignResponses = "lead_CampaignResponses";
        /// <summary>Parent: "Lead" Child: "BulkOperationLog" Lookup: "CreatedObjectId"</summary>
        public const string Rel1M_CreatedLeadBulkOperationLogs = "CreatedLead_BulkOperationLogs";
        /// <summary>Parent: "Lead" Child: "BulkOperationLog" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SourceLeadBulkOperationLogs = "SourceLead_BulkOperationLogs";
        /// <summary>Parent: "Lead" Child: "IncidentResolution" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadIncidentResolutions = "lead_IncidentResolutions";
        /// <summary>Parent: "Lead" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadServiceAppointments = "Lead_ServiceAppointments";
        /// <summary>Parent: "Lead" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadOpportunityCloses = "lead_OpportunityCloses";
        /// <summary>Parent: "Lead" Child: "OrderClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadOrderCloses = "lead_OrderCloses";
        /// <summary>Parent: "Lead" Child: "QuoteClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadQuoteCloses = "lead_QuoteCloses";
        /// <summary>Parent: "Lead" Child: "Opportunity" Lookup: "OriginatingLeadId"</summary>
        public const string Rel1M_OpportunityOriginatingLead = "opportunity_originating_lead";
        /// <summary>Parent: "Lead" Child: "LeadToOpportunitySalesProcess" Lookup: "LeadId"</summary>
        public const string Rel1M_LkLeadtoopportunitysalesprocessLeadId = "lk_leadtoopportunitysalesprocess_leadid";
        /// <summary>Parent: "Lead" Child: "MsdynPlaybookinstance" Lookup: "Regarding"</summary>
        public const string Rel1M_MsdynPlaybookinstanceLead = "msdyn_playbookinstance_lead";
        /// <summary>Parent: "Lead" Child: "MsfpSurveyinvite" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadMsfpSurveyinvites = "lead_msfp_surveyinvites";
        /// <summary>Parent: "Lead" Child: "MsfpSurveyresponse" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadMsfpSurveyresponses = "lead_msfp_surveyresponses";
        /// <summary>Parent: "Lead" Child: "MsdynBookingalert" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadMsdynBookingalerts = "lead_msdyn_bookingalerts";
        /// <summary>Parent: "Lead" Child: "MsdynApproval" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_LeadMsdynApprovals = "lead_msdyn_approvals";

        #endregion Relationships
    }
}
