// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : Opportunity.cs
// Created   : 2019-04-26 10:47:50
// *********************************************************************

namespace D365.Constants
{
    /// <summary>OwnershipType: UserOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Potential revenue-generating event, or sale to an account, which needs to be tracked through a sales process to completion.</remarks>
    public static class Opportunity
    {
        public const string EntityName = "opportunity";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "Opportunity" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkOpportunitybaseCreatedBy = "lk_opportunitybase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Opportunity" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkOpportunityCreatedOnBehalfBy = "lk_opportunity_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Opportunity" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkOpportunitybaseModifiedBy = "lk_opportunitybase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Opportunity" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkOpportunityModifiedOnBehalfBy = "lk_opportunity_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Opportunity" Lookup: ""</summary>
        public const string RelM1_OpportunityOwningUser = "opportunity_owning_user";
        /// <summary>Parent: "Team" Child: "Opportunity" Lookup: ""</summary>
        public const string RelM1_TeamOpportunities = "team_opportunities";
        /// <summary>Parent: "Owner" Child: "Opportunity" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerOpportunitys = "owner_opportunitys";
        /// <summary>Parent: "BusinessUnit" Child: "Opportunity" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitOpportunities = "business_unit_opportunities";
        /// <summary>Parent: "ProcessStage" Child: "Opportunity" Lookup: "StageId"</summary>
        public const string RelM1_ProcessstageOpportunity = "processstage_opportunity";
        /// <summary>Parent: "TransactionCurrency" Child: "Opportunity" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactioncurrencyOpportunity = "transactioncurrency_opportunity";
        /// <summary>Parent: "Account" Child: "Opportunity" Lookup: "CustomerId"</summary>
        public const string RelM1_OpportunityCustomerAccountS = "opportunity_customer_accounts";
        /// <summary>Parent: "Contact" Child: "Opportunity" Lookup: "CustomerId"</summary>
        public const string RelM1_OpportunityCustomerContactS = "opportunity_customer_contacts";
        /// <summary>Parent: "Lead" Child: "Opportunity" Lookup: "OriginatingLeadId"</summary>
        public const string RelM1_OpportunityOriginatingLead = "opportunity_originating_lead";
        /// <summary>Parent: "Account" Child: "Opportunity" Lookup: "ParentAccountId"</summary>
        public const string RelM1_OpportunityParentAccount = "opportunity_parent_account";
        /// <summary>Parent: "Contact" Child: "Opportunity" Lookup: "ParentContactId"</summary>
        public const string RelM1_OpportunityParentContact = "opportunity_parent_contact";
        /// <summary>Parent: "PriceLevel" Child: "Opportunity" Lookup: "PriceLevelId"</summary>
        public const string RelM1_PriceLevelOpportunties = "price_level_opportunties";
        /// <summary>Parent: "SLA" Child: "Opportunity" Lookup: "SLAId"</summary>
        public const string RelM1_ManualslaOpportunity = "manualsla_opportunity";
        /// <summary>Parent: "SLA" Child: "Opportunity" Lookup: "SLAInvokedId"</summary>
        public const string RelM1_SlaOpportunity = "sla_opportunity";
        /// <summary>Parent: "Campaign" Child: "Opportunity" Lookup: "CampaignId"</summary>
        public const string RelM1_CampaignOpportunities = "campaign_opportunities";
        /// <summary>Parent: "SystemUser" Child: "Opportunity" Lookup: "MsdynAccountManagerId"</summary>
        public const string RelM1_MsdynAccountManagerOpportunity = "msdyn_accountmanager_opportunity";
        /// <summary>Parent: "MsdynOrganizationalunit" Child: "Opportunity" Lookup: "MsdynContractOrganizationalUnitId"</summary>
        public const string RelM1_MsdynOrganizationalunitOpportunity = "msdyn_organizationalunit_opportunity";
        /// <summary>Parent: "MsdynWorkorderType" Child: "Opportunity" Lookup: "MsdynWorkOrderType"</summary>
        public const string RelM1_MsdynMsdynWorkorderTypeOpportunityWorkOrderType = "msdyn_msdyn_workordertype_opportunity_WorkOrderType";
        /// <summary>Parent: "Opportunity" Child: "ActivityPointer" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityActivityPointers = "Opportunity_ActivityPointers";
        /// <summary>Parent: "Opportunity" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunitySyncErrors = "Opportunity_SyncErrors";
        /// <summary>Parent: "Opportunity" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string Rel1M_OpportunityActivityParties = "opportunity_activity_parties";
        /// <summary>Parent: "Opportunity" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_OpportunityDuplicateMatchingRecord = "Opportunity_DuplicateMatchingRecord";
        /// <summary>Parent: "Opportunity" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_OpportunityDuplicateBaseRecord = "Opportunity_DuplicateBaseRecord";
        /// <summary>Parent: "Opportunity" Child: "SharePointDocumentLocation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunitySharepointDocumentLocation = "Opportunity_SharepointDocumentLocation";
        /// <summary>Parent: "Opportunity" Child: "Team" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityTeams = "opportunity_Teams";
        /// <summary>Parent: "Opportunity" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityAsyncOperations = "Opportunity_AsyncOperations";
        /// <summary>Parent: "Opportunity" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityMailBoxTrackingFolder = "Opportunity_MailboxTrackingFolder";
        /// <summary>Parent: "Opportunity" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityProcessSessions = "Opportunity_ProcessSessions";
        /// <summary>Parent: "Opportunity" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityBulkDeleteFailures = "Opportunity_BulkDeleteFailures";
        /// <summary>Parent: "Opportunity" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_OpportunityPrincipalobjectattributeaccess = "opportunity_principalobjectattributeaccess";
        /// <summary>Parent: "Opportunity" Child: "Appointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityAppointments = "Opportunity_Appointments";
        /// <summary>Parent: "Opportunity" Child: "EMail" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityEMailS = "Opportunity_Emails";
        /// <summary>Parent: "Opportunity" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityFaxes = "Opportunity_Faxes";
        /// <summary>Parent: "Opportunity" Child: "Letter" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityLetters = "Opportunity_Letters";
        /// <summary>Parent: "Opportunity" Child: "PhoneCall" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityPhoneCalls = "Opportunity_Phonecalls";
        /// <summary>Parent: "Opportunity" Child: "Task" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityTasks = "Opportunity_Tasks";
        /// <summary>Parent: "Opportunity" Child: "RecurringAppointmentMaster" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityRecurringAppointmentMasters = "Opportunity_RecurringAppointmentMasters";
        /// <summary>Parent: "Opportunity" Child: "SocialActivity" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunitySocialActivities = "Opportunity_SocialActivities";
        /// <summary>Parent: "Opportunity" Child: "Connection" Lookup: "Record1Id"</summary>
        public const string Rel1M_OpportunityConnections1 = "opportunity_connections1";
        /// <summary>Parent: "Opportunity" Child: "Connection" Lookup: "Record2Id"</summary>
        public const string Rel1M_OpportunityConnections2 = "opportunity_connections2";
        /// <summary>Parent: "Opportunity" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_OpportunityAnnotation = "Opportunity_Annotation";
        /// <summary>Parent: "Opportunity" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityServiceAppointments = "Opportunity_ServiceAppointments";
        /// <summary>Parent: "Opportunity" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityOpportunityCloses = "opportunity_OpportunityCloses";
        /// <summary>Parent: "Opportunity" Child: "OrderClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityOrderCloses = "opportunity_OrderCloses";
        /// <summary>Parent: "Opportunity" Child: "QuoteClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityQuoteCloses = "opportunity_QuoteCloses";
        /// <summary>Parent: "Opportunity" Child: "ActionCard" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityActioncard = "opportunity_actioncard";
        /// <summary>Parent: "Opportunity" Child: "LeadToOpportunitySalesProcess" Lookup: "OpportunityId"</summary>
        public const string Rel1M_LkLeadtoopportunitysalesprocessOpportunityId = "lk_leadtoopportunitysalesprocess_opportunityid";
        /// <summary>Parent: "Opportunity" Child: "PostFollow" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityPostFollows = "opportunity_PostFollows";
        /// <summary>Parent: "Opportunity" Child: "Invoice" Lookup: "OpportunityId"</summary>
        public const string Rel1M_OpportunityInvoices = "opportunity_invoices";
        /// <summary>Parent: "Opportunity" Child: "OpportunityClose" Lookup: "OpportunityId"</summary>
        public const string Rel1M_OpportunityOpportunityClose = "Opportunity_OpportunityClose";
        /// <summary>Parent: "Opportunity" Child: "PostRegarding" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityPostRegardings = "opportunity_PostRegardings";
        /// <summary>Parent: "Opportunity" Child: "Quote" Lookup: "OpportunityId"</summary>
        public const string Rel1M_OpportunityQuotes = "opportunity_quotes";
        /// <summary>Parent: "Opportunity" Child: "SalesOrder" Lookup: "OpportunityId"</summary>
        public const string Rel1M_OpportunitySalesOrders = "opportunity_sales_orders";
        /// <summary>Parent: "Opportunity" Child: "OpportunityProduct" Lookup: "OpportunityId"</summary>
        public const string Rel1M_ProductOpportunities = "product_opportunities";
        /// <summary>Parent: "Opportunity" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string Rel1M_SlakpiinstanceOpportunity = "slakpiinstance_opportunity";
        /// <summary>Parent: "Opportunity" Child: "Lead" Lookup: "QualifyingOpportunityId"</summary>
        public const string Rel1M_LeadQualifyingOpportunity = "lead_qualifying_opportunity";
        /// <summary>Parent: "Opportunity" Child: "OpportunitySalesProcess" Lookup: "OpportunityId"</summary>
        public const string Rel1M_LkOpportunitysalesprocessOpportunityId = "lk_opportunitysalesprocess_opportunityid";
        /// <summary>Parent: "Opportunity" Child: "MsdynPlaybookinstance" Lookup: "Regarding"</summary>
        public const string Rel1M_MsdynPlaybookinstanceOpportunity = "msdyn_playbookinstance_opportunity";
        /// <summary>Parent: "Opportunity" Child: "BulkOperationLog" Lookup: "CreatedObjectId"</summary>
        public const string Rel1M_CreatedOpportunityBulkOperationLogs = "CreatedOpportunity_BulkOperationLogs";
        /// <summary>Parent: "Opportunity" Child: "MsfpSurveyinvite" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityMsfpSurveyinvites = "opportunity_msfp_surveyinvites";
        /// <summary>Parent: "Opportunity" Child: "MsfpSurveyresponse" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityMsfpSurveyresponses = "opportunity_msfp_surveyresponses";
        /// <summary>Parent: "Opportunity" Child: "MsdynBookingalert" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityMsdynBookingalerts = "opportunity_msdyn_bookingalerts";
        /// <summary>Parent: "Opportunity" Child: "MsdynApproval" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityMsdynApprovals = "opportunity_msdyn_approvals";
        /// <summary>Parent: "Opportunity" Child: "MsdynOpportunityPriceList" Lookup: "MsdynOpportunity"</summary>
        public const string Rel1M_MsdynOpportunityMsdynOpportunityPriceListOpportunity = "msdyn_opportunity_msdyn_opportunitypricelist_Opportunity";
        /// <summary>Parent: "Opportunity" Child: "MsdynWorkorder" Lookup: "MsdynOpportunityId"</summary>
        public const string Rel1M_MsdynOpportunityMsdynWorkorder = "msdyn_opportunity_msdyn_workorder";

        #endregion Relationships
    }
}
