// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : OpportunityClose.cs
// Created   : 2019-04-26 10:47:50
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Opportunity Close, OwnershipType: UserOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Activity that is created automatically when an opportunity is closed, containing information such as the description of the closing and actual revenue.</remarks>
    public static class OpportunityClose
    {
        public const string EntityName = "opportunityclose";

        #region Relationships

        /// <summary>Parent: "Lead" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_LeadOpportunityCloses = "lead_OpportunityCloses";
        /// <summary>Parent: "BookableResourceBooking" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BookableresourcebookingOpportunityCloses = "bookableresourcebooking_OpportunityCloses";
        /// <summary>Parent: "BookableResourceBookingHeader" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BookableresourcebookingheaderOpportunityCloses = "bookableresourcebookingheader_OpportunityCloses";
        /// <summary>Parent: "BulkOperation" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BulkoperationOpportunityCloses = "bulkoperation_OpportunityCloses";
        /// <summary>Parent: "Campaign" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_CampaignOpportunityCloses = "campaign_OpportunityCloses";
        /// <summary>Parent: "CampaignActivity" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_CampaignactivityOpportunityCloses = "campaignactivity_OpportunityCloses";
        /// <summary>Parent: "Entitlement" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_EntitlementOpportunityCloses = "entitlement_OpportunityCloses";
        /// <summary>Parent: "EntitlementTemplate" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_EntitlementtemplateOpportunityCloses = "entitlementtemplate_OpportunityCloses";
        /// <summary>Parent: "Incident" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_IncidentOpportunityCloses = "incident_OpportunityCloses";
        /// <summary>Parent: "Site" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_SiteOpportunityCloses = "site_OpportunityCloses";
        /// <summary>Parent: "Service" Child: "OpportunityClose" Lookup: "ServiceId"</summary>
        public const string RelM1_ServiceOpportunityclose = "service_opportunityclose";
        /// <summary>Parent: "MsdynPlaybookinstance" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPlaybookinstanceOpportunityCloses = "msdyn_playbookinstance_OpportunityCloses";
        /// <summary>Parent: "Opportunity" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_OpportunityOpportunityCloses = "opportunity_OpportunityCloses";
        /// <summary>Parent: "InteractionForEMail" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_InteractionforeMailOpportunityCloses = "interactionforemail_OpportunityCloses";
        /// <summary>Parent: "KnowledgeBaseRecord" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_KnowledgebaserecordOpportunityCloses = "knowledgebaserecord_OpportunityCloses";
        /// <summary>Parent: "Account" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_AccountOpportunityCloses = "account_OpportunityCloses";
        /// <summary>Parent: "SystemUser" Child: "OpportunityClose" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkOpportunitycloseCreatedBy = "lk_opportunityclose_createdby";
        /// <summary>Parent: "MailBox" Child: "OpportunityClose" Lookup: "SenderMailBoxId"</summary>
        public const string RelM1_OpportunitycloseMailBoxSenderMailBoxId = "opportunityclose_mailbox_sendermailboxid";
        /// <summary>Parent: "TransactionCurrency" Child: "OpportunityClose" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactioncurrencyOpportunityclose = "transactioncurrency_opportunityclose";
        /// <summary>Parent: "Owner" Child: "OpportunityClose" Lookup: "OwnerId"</summary>
        public const string RelM1_OpportunitycloseOwnerOwnerId = "opportunityclose_owner_ownerid";
        /// <summary>Parent: "SystemUser" Child: "OpportunityClose" Lookup: ""</summary>
        public const string RelM1_UserOpportunityclose = "user_opportunityclose";
        /// <summary>Parent: "SLA" Child: "OpportunityClose" Lookup: "SLAId"</summary>
        public const string RelM1_OpportunitycloseSlaSlaId = "opportunityclose_sla_slaid";
        /// <summary>Parent: "BusinessUnit" Child: "OpportunityClose" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitOpportunityCloseActivities = "business_unit_opportunity_close_activities";
        /// <summary>Parent: "KnowledgeArticle" Child: "OpportunityClose" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_KnowledgearticleOpportunityCloses = "knowledgearticle_OpportunityCloses";
        /// <summary>Parent: "SystemUser" Child: "OpportunityClose" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkOpportunitycloseModifiedOnBehalfBy = "lk_opportunityclose_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "OpportunityClose" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkOpportunitycloseCreatedOnBehalfBy = "lk_opportunityclose_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "OpportunityClose" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkOpportunitycloseModifiedBy = "lk_opportunityclose_modifiedby";
        /// <summary>Parent: "Team" Child: "OpportunityClose" Lookup: ""</summary>
        public const string RelM1_TeamOpportunityclose = "team_opportunityclose";
        /// <summary>Parent: "SLA" Child: "OpportunityClose" Lookup: "SLAInvokedId"</summary>
        public const string RelM1_OpportunitycloseSlaSlaInvokedId = "opportunityclose_sla_slainvokedid";
        /// <summary>Parent: "ActivityPointer" Child: "OpportunityClose" Lookup: "ActivityId"</summary>
        public const string RelM1_ActivityPointerOpportunityClose = "activity_pointer_opportunity_close";
        /// <summary>Parent: "Opportunity" Child: "OpportunityClose" Lookup: "OpportunityId"</summary>
        public const string RelM1_OpportunityOpportunityClose = "Opportunity_OpportunityClose";
        /// <summary>Parent: "Competitor" Child: "OpportunityClose" Lookup: "CompetitorId"</summary>
        public const string RelM1_CompetitorOpportunityActivities = "competitor_opportunity_activities";
        /// <summary>Parent: "OpportunityClose" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string Rel1M_OpportunitycloseActivityParties = "opportunityclose_activity_parties";
        /// <summary>Parent: "OpportunityClose" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string Rel1M_CampaignResponseOpportunityCloses = "CampaignResponse_OpportunityCloses";
        /// <summary>Parent: "OpportunityClose" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityCloseSyncErrors = "OpportunityClose_SyncErrors";
        /// <summary>Parent: "OpportunityClose" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityCloseAsyncOperations = "OpportunityClose_AsyncOperations";
        /// <summary>Parent: "OpportunityClose" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunitycloseMailBoxTrackingFolders = "opportunityclose_MailboxTrackingFolders";
        /// <summary>Parent: "OpportunityClose" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OpportunityCloseBulkDeleteFailures = "OpportunityClose_BulkDeleteFailures";
        /// <summary>Parent: "OpportunityClose" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_OpportunityclosePrincipalObjectAttributeAccesses = "opportunityclose_PrincipalObjectAttributeAccesses";
        /// <summary>Parent: "OpportunityClose" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_OpportunityCloseAnnotation = "OpportunityClose_Annotation";

        #endregion Relationships
    }
}
