// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : Organization.cs
// Created   : 2019-04-26 10:47:50
// *********************************************************************

namespace D365.Constants
{
    /// <summary>OwnershipType: OrganizationOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Top level of the Microsoft Dynamics 365 business hierarchy. The organization can be a specific business, holding company, or corporation.</remarks>
    public static class Organization
    {
        public const string EntityName = "organization";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "Organization" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkOrganizationbaseModifiedBy = "lk_organizationbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Organization" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkOrganizationCreatedOnBehalfBy = "lk_organization_createdonbehalfby";
        /// <summary>Parent: "EMailServerProfile" Child: "Organization" Lookup: "DefaultEMailServerProfileId"</summary>
        public const string RelM1_EMailServerProfileOrganization = "EmailServerProfile_Organization";
        /// <summary>Parent: "MobileOfflineProfile" Child: "Organization" Lookup: "DefaultMobileOfflineProfileId"</summary>
        public const string RelM1_DefaultMobileOfflineProfileOrganization = "DefaultMobileOfflineProfile_Organization";
        /// <summary>Parent: "SystemUser" Child: "Organization" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkOrganizationbaseCreatedBy = "lk_organizationbase_createdby";
        /// <summary>Parent: "TransactionCurrency" Child: "Organization" Lookup: "BaseCurrencyId"</summary>
        public const string RelM1_BasecurrencyOrganization = "basecurrency_organization";
        /// <summary>Parent: "SystemUser" Child: "Organization" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkOrganizationModifiedOnBehalfBy = "lk_organization_modifiedonbehalfby";
        /// <summary>Parent: "Calendar" Child: "Organization" Lookup: "BusinessClosureCalendarId"</summary>
        public const string RelM1_CalendarOrganization = "calendar_organization";
        /// <summary>Parent: "Template" Child: "Organization" Lookup: "AcknowledgementTemplateId"</summary>
        public const string RelM1_TemplateOrganization = "Template_Organization";
        /// <summary>Parent: "Organization" Child: "Territory" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationTerritories = "organization_territories";
        /// <summary>Parent: "Organization" Child: "DynamicProperty" Lookup: "OrganizationId"</summary>
        public const string Rel1M_DynamicpropertyOrganization = "dynamicproperty_organization";
        /// <summary>Parent: "Organization" Child: "DynamicPropertyAssociation" Lookup: "OrganizationId"</summary>
        public const string Rel1M_DynamicPropertyAssociationOrganization = "DynamicPropertyAssociation_organization";
        /// <summary>Parent: "Organization" Child: "DynamicPropertyOptionSetItem" Lookup: "OrganizationId"</summary>
        public const string Rel1M_DynamicPropertyOptionSetItemOrganization = "DynamicPropertyOptionSetItem_organization";
        /// <summary>Parent: "Organization" Child: "PriceLevel" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationPriceLevelS = "organization_price_levels";
        /// <summary>Parent: "Organization" Child: "Product" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationProducts = "organization_products";
        /// <summary>Parent: "Organization" Child: "ProductAssociation" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationProductAssociation = "organization_ProductAssociation";
        /// <summary>Parent: "Organization" Child: "ProductSubstitute" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationProductSubstitute = "organization_ProductSubstitute";
        /// <summary>Parent: "Organization" Child: "UoMSchedule" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationUofSchedules = "organization_uof_schedules";
        /// <summary>Parent: "Organization" Child: "MsdynDatabaseVersion" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynDatabaseVersion = "organization_msdyn_databaseversion";
        /// <summary>Parent: "Organization" Child: "MsdynUpgraderun" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynUpgraderun = "organization_msdyn_upgraderun";
        /// <summary>Parent: "Organization" Child: "MsdynUpgradeStep" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynUpgradeStep = "organization_msdyn_upgradestep";
        /// <summary>Parent: "Organization" Child: "MsdynUpgradeVersion" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynUpgradeVersion = "organization_msdyn_upgradeversion";
        /// <summary>Parent: "Organization" Child: "ContractTemplate" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationContractTemplates = "organization_contract_templates";
        /// <summary>Parent: "Organization" Child: "EntitlementTemplate" Lookup: "OrganizationId"</summary>
        public const string Rel1M_EntitlementtemplateOrganization = "entitlementtemplate_organization";
        /// <summary>Parent: "Organization" Child: "PhoneToCaseProcess" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationPhoneTocaseprocess = "organization_phonetocaseprocess";
        /// <summary>Parent: "Organization" Child: "Service" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationServices = "organization_services";
        /// <summary>Parent: "Organization" Child: "Site" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSites = "organization_sites";
        /// <summary>Parent: "Organization" Child: "ConstraintBasedGroup" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationConstraintBasedGroups = "organization_constraint_based_groups";
        /// <summary>Parent: "Organization" Child: "Equipment" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationEquipment = "organization_equipment";
        /// <summary>Parent: "Organization" Child: "Resource" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationResources = "organization_resources";
        /// <summary>Parent: "Organization" Child: "ResourceGroup" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationResourceGroups = "organization_resource_groups";
        /// <summary>Parent: "Organization" Child: "ResourceSpec" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationResourceSpecs = "organization_resource_specs";
        /// <summary>Parent: "Organization" Child: "EntitlementChannel" Lookup: "OrganizationId"</summary>
        public const string Rel1M_EntitlementchannelOrganization = "entitlementchannel_organization";
        /// <summary>Parent: "Organization" Child: "EntitlementTemplateChannel" Lookup: "OrganizationId"</summary>
        public const string Rel1M_EntitlementtemplatechannelOrganization = "entitlementtemplatechannel_organization";
        /// <summary>Parent: "Organization" Child: "DisCountType" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationDisCountTypeS = "organization_discount_types";
        /// <summary>Parent: "Organization" Child: "LeadToOpportunitySalesProcess" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationLeadtoopportunitysalesprocess = "organization_leadtoopportunitysalesprocess";
        /// <summary>Parent: "Organization" Child: "OpportunitySalesProcess" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationOpportunitysalesprocess = "organization_opportunitysalesprocess";
        /// <summary>Parent: "Organization" Child: "SalesLiterature" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSalesLiterature = "organization_sales_literature";
        /// <summary>Parent: "Organization" Child: "Competitor" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationCompetitors = "organization_competitors";
        /// <summary>Parent: "Organization" Child: "MsdynPostConfig" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynPostconfig = "organization_msdyn_postconfig";
        /// <summary>Parent: "Organization" Child: "MsdynPostRuleConfig" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynPostruleconfig = "organization_msdyn_postruleconfig";
        /// <summary>Parent: "Organization" Child: "MsdynWallsavedquery" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynWallsavedquery = "organization_msdyn_wallsavedquery";
        /// <summary>Parent: "Organization" Child: "MsdynOrganizationalunit" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynOrganizationalunit = "organization_msdyn_organizationalunit";
        /// <summary>Parent: "Organization" Child: "MsdynSchedulingparameter" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynSchedulingparameter = "organization_msdyn_schedulingparameter";
        /// <summary>Parent: "Organization" Child: "MsdynBatchjob" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynBatchjob = "organization_msdyn_batchjob";
        /// <summary>Parent: "Organization" Child: "MsdynBpf665e73aa18c247d886bfc50499c73b82" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynBpf665e73aa18c247d886bfc50499c73b82 = "organization_msdyn_bpf_665e73aa18c247d886bfc50499c73b82";
        /// <summary>Parent: "Organization" Child: "MsdynBpfD8f9dc7f099f44db9d641dd81fbd470d" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynBpfD8f9dc7f099f44db9d641dd81fbd470d = "organization_msdyn_bpf_d8f9dc7f099f44db9d641dd81fbd470d";
        /// <summary>Parent: "Organization" Child: "MsdynContractlineinvoiceschedule" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynContractlineinvoiceschedule = "organization_msdyn_contractlineinvoiceschedule";
        /// <summary>Parent: "Organization" Child: "MsdynDimensionfieldName" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynDimensionfieldName = "organization_msdyn_dimensionfieldname";
        /// <summary>Parent: "Organization" Child: "MsdynExpensecategory" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynExpensecategory = "organization_msdyn_expensecategory";
        /// <summary>Parent: "Organization" Child: "MsdynInvoicefrequency" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynInvoicefrequency = "organization_msdyn_invoicefrequency";
        /// <summary>Parent: "Organization" Child: "MsdynInvoicefrequencydetail" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynInvoicefrequencydetail = "organization_msdyn_invoicefrequencydetail";
        /// <summary>Parent: "Organization" Child: "MsdynMlresultcache" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynMlresultcache = "organization_msdyn_mlresultcache";
        /// <summary>Parent: "Organization" Child: "MsdynProcessnotes" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynProcessnotes = "organization_msdyn_processnotes";
        /// <summary>Parent: "Organization" Child: "MsdynProjectparameter" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynProjectparameter = "organization_msdyn_projectparameter";
        /// <summary>Parent: "Organization" Child: "MsdynProjectparameterPriceList" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynProjectparameterPriceList = "organization_msdyn_projectparameterpricelist";
        /// <summary>Parent: "Organization" Child: "MsdynProjectteammembersignup" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynProjectteammembersignup = "organization_msdyn_projectteammembersignup";
        /// <summary>Parent: "Organization" Child: "MsdynQuotelineinvoiceschedule" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynQuotelineinvoiceschedule = "organization_msdyn_quotelineinvoiceschedule";
        /// <summary>Parent: "Organization" Child: "MsdynResourcecategorymarkupPricelevel" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynResourcecategorymarkupPricelevel = "organization_msdyn_resourcecategorymarkuppricelevel";
        /// <summary>Parent: "Organization" Child: "MsdynResourcecategoryPricelevel" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynResourcecategoryPricelevel = "organization_msdyn_resourcecategorypricelevel";
        /// <summary>Parent: "Organization" Child: "MsdynTransactioncategory" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynTransactioncategory = "organization_msdyn_transactioncategory";
        /// <summary>Parent: "Organization" Child: "MsdynTransactioncategoryclassification" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynTransactioncategoryclassification = "organization_msdyn_transactioncategoryclassification";
        /// <summary>Parent: "Organization" Child: "MsdynTransactioncategoryhierarchyelement" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynTransactioncategoryhierarchyelement = "organization_msdyn_transactioncategoryhierarchyelement";
        /// <summary>Parent: "Organization" Child: "MsdynTransactioncategoryPricelevel" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynTransactioncategoryPricelevel = "organization_msdyn_transactioncategorypricelevel";
        /// <summary>Parent: "Organization" Child: "MsdynTransactionType" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynTransactionType = "organization_msdyn_transactiontype";
        /// <summary>Parent: "Organization" Child: "Msdyn3dmodel" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdyn3dmodel = "organization_msdyn_3dmodel";
        /// <summary>Parent: "Organization" Child: "MsdynSolutionhealthruleset" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynSolutionhealthruleset = "organization_msdyn_solutionhealthruleset";
        /// <summary>Parent: "Organization" Child: "MsdynBpf2c5fe86acc8b414b8322ae571000c799" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynBpf2c5fe86acc8b414b8322ae571000c799 = "organization_msdyn_bpf_2c5fe86acc8b414b8322ae571000c799";
        /// <summary>Parent: "Organization" Child: "MsdynBpf989e9b1857e24af18787d5143b67523b" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynBpf989e9b1857e24af18787d5143b67523b = "organization_msdyn_bpf_989e9b1857e24af18787d5143b67523b";
        /// <summary>Parent: "Organization" Child: "MsdynBpfBaa0a411a239410cb8bded8b5fdd88e3" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynBpfBaa0a411a239410cb8bded8b5fdd88e3 = "organization_msdyn_bpf_baa0a411a239410cb8bded8b5fdd88e3";
        /// <summary>Parent: "Organization" Child: "MsdynBpfD3d97bac8c294105840e99e37a9d1c39" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynBpfD3d97bac8c294105840e99e37a9d1c39 = "organization_msdyn_bpf_d3d97bac8c294105840e99e37a9d1c39";
        /// <summary>Parent: "Organization" Child: "MsdynFieldservicePriceListitem" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynFieldservicePriceListitem = "organization_msdyn_fieldservicepricelistitem";
        /// <summary>Parent: "Organization" Child: "MsdynFieldserviceSystemJob" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynFieldserviceSystemJob = "organization_msdyn_fieldservicesystemjob";
        /// <summary>Parent: "Organization" Child: "MsdynProductinventory" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynProductinventory = "organization_msdyn_productinventory";
        /// <summary>Parent: "Organization" Child: "MsdynUniqueNumber" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynUniqueNumber = "organization_msdyn_uniquenumber";
        /// <summary>Parent: "Organization" Child: "MsdynWorkorderDetailsGenerationqueue" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynWorkorderDetailsGenerationqueue = "organization_msdyn_workorderdetailsgenerationqueue";
        /// <summary>Parent: "Organization" Child: "MsdynBpf477c16f59170487b8b4dc895c5dcd09b" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynBpf477c16f59170487b8b4dc895c5dcd09b = "organization_msdyn_bpf_477c16f59170487b8b4dc895c5dcd09b";
        /// <summary>Parent: "Organization" Child: "MsdynsmMarketingSitemap" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynsmMarketingSitemap = "organization_msdynsm_marketingsitemap";
        /// <summary>Parent: "Organization" Child: "MsdynsmSalessitemap" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynsmSalessitemap = "organization_msdynsm_salessitemap";
        /// <summary>Parent: "Organization" Child: "MsdynsmServicessitemap" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynsmServicessitemap = "organization_msdynsm_servicessitemap";
        /// <summary>Parent: "Organization" Child: "MsdynsmSettingssitemap" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMsdynsmSettingssitemap = "organization_msdynsm_settingssitemap";
        /// <summary>Parent: "Organization" Child: "PrincipalObjectAttributeAccess" Lookup: "OrganizationId"</summary>
        public const string Rel1M_LkPrincipalobjectattributeaccessOrganizationId = "lk_principalobjectattributeaccess_organizationid";
        /// <summary>Parent: "Organization" Child: "Theme" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationTheme = "organization_theme";
        /// <summary>Parent: "Organization" Child: "UserMapping" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationUserMapping = "organization_UserMapping";
        /// <summary>Parent: "Organization" Child: "Metric" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMetric = "organization_metric";
        /// <summary>Parent: "Organization" Child: "Position" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationPosition = "organization_position";
        /// <summary>Parent: "Organization" Child: "OfficeGraphDocument" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationOfficegraphdocument = "organization_officegraphdocument";
        /// <summary>Parent: "Organization" Child: "RecommendedDocument" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationRecommendeddocument = "organization_recommendeddocument";
        /// <summary>Parent: "Organization" Child: "KnowledgeBaseRecord" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationKnowledgeBaseRecord = "organization_KnowledgeBaseRecord";
        /// <summary>Parent: "Organization" Child: "TranslationProcess" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationTranslationprocess = "organization_translationprocess";
        /// <summary>Parent: "Organization" Child: "NavigationSetting" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationNavigationsetting = "organization_navigationsetting";
        /// <summary>Parent: "Organization" Child: "PluginType" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationPluginType = "organization_plugintype";
        /// <summary>Parent: "Organization" Child: "BusinessUnitNewsArticle" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationBusinessUnitNewsArticles = "organization_business_unit_news_articles";
        /// <summary>Parent: "Organization" Child: "SavedQueryVisualization" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSavedQueryVisualizations = "organization_saved_query_visualizations";
        /// <summary>Parent: "Organization" Child: "CustomControlResource" Lookup: "OrganizationId"</summary>
        public const string Rel1M_CustomcontrolresourceOrganization = "customcontrolresource_organization";
        /// <summary>Parent: "Organization" Child: "Post" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationPost = "organization_post";
        /// <summary>Parent: "Organization" Child: "PostComment" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationPostComment = "organization_PostComment";
        /// <summary>Parent: "Organization" Child: "PostLike" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationPostlike = "organization_postlike";
        /// <summary>Parent: "Organization" Child: "ImportJob" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationImportJob = "organization_importjob";
        /// <summary>Parent: "Organization" Child: "Queue" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationQueues = "organization_queues";
        /// <summary>Parent: "Organization" Child: "SdkMessageProcessingStepImage" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSdkMessageProcessingStepImage = "organization_sdkmessageprocessingstepimage";
        /// <summary>Parent: "Organization" Child: "PluginTypeStatistic" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationPluginTypeStatistic = "organization_plugintypestatistic";
        /// <summary>Parent: "Organization" Child: "MobileOfflineProfileItemAssociation" Lookup: "OrganizationId"</summary>
        public const string Rel1M_MobileOfflineProfileItemAssociationOrganization = "MobileOfflineProfileItemAssociation_organization";
        /// <summary>Parent: "Organization" Child: "AppModule" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationAppmodule = "organization_appmodule";
        /// <summary>Parent: "Organization" Child: "KbArticle" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationKbArticles = "organization_kb_articles";
        /// <summary>Parent: "Organization" Child: "SystemForm" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSystemForms = "organization_systemforms";
        /// <summary>Parent: "Organization" Child: "SimilarityRule" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSimilarityrule = "organization_similarityrule";
        /// <summary>Parent: "Organization" Child: "AppConfig" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationAppconfig = "organization_appconfig";
        /// <summary>Parent: "Organization" Child: "ConnectionRole" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationConnectionRoles = "organization_connection_roles";
        /// <summary>Parent: "Organization" Child: "CustomControl" Lookup: "OrganizationId"</summary>
        public const string Rel1M_CustomcontrolOrganization = "customcontrol_organization";
        /// <summary>Parent: "Organization" Child: "Subject" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSubjects = "organization_subjects";
        /// <summary>Parent: "Organization" Child: "Calendar" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationCalendars = "organization_calendars";
        /// <summary>Parent: "Organization" Child: "Publisher" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationPublisher = "organization_publisher";
        /// <summary>Parent: "Organization" Child: "QueueItem" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationQueueitems = "organization_queueitems";
        /// <summary>Parent: "Organization" Child: "WebWizard" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationWebwizard = "organization_webwizard";
        /// <summary>Parent: "Organization" Child: "Team" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationTeams = "organization_teams";
        /// <summary>Parent: "Organization" Child: "EntityDataProvider" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationEntityDataprovider = "organization_entitydataprovider";
        /// <summary>Parent: "Organization" Child: "WebResource" Lookup: "OrganizationId"</summary>
        public const string Rel1M_WebresourceOrganization = "webresource_organization";
        /// <summary>Parent: "Organization" Child: "MobileOfflineProfile" Lookup: "OrganizationId"</summary>
        public const string Rel1M_MobileOfflineProfileOrganization = "MobileOfflineProfile_organization";
        /// <summary>Parent: "Organization" Child: "TransactionCurrency" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationTransactioncurrencies = "organization_transactioncurrencies";
        /// <summary>Parent: "Organization" Child: "ExpiredProcess" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationExpiredprocess = "organization_expiredprocess";
        /// <summary>Parent: "Organization" Child: "MailBox" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMailBox = "organization_mailbox";
        /// <summary>Parent: "Organization" Child: "DataPerformance" Lookup: "OrganizationId"</summary>
        public const string Rel1M_LkDataperformanceOrganizationId = "lk_dataperformance_organizationid";
        /// <summary>Parent: "Organization" Child: "MobileOfflineProfileItem" Lookup: "OrganizationId"</summary>
        public const string Rel1M_MobileOfflineProfileItemOrganization = "MobileOfflineProfileItem_organization";
        /// <summary>Parent: "Organization" Child: "DisplayString" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationCustomDisplaystrings = "organization_custom_displaystrings";
        /// <summary>Parent: "Organization" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OrganizationSyncErrors = "Organization_SyncErrors";
        /// <summary>Parent: "Organization" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OrganizationAsyncOperations = "Organization_AsyncOperations";
        /// <summary>Parent: "Organization" Child: "CustomControlDefaultConfig" Lookup: "OrganizationId"</summary>
        public const string Rel1M_CustomcontroldefaultconfigOrganization = "customcontroldefaultconfig_organization";
        /// <summary>Parent: "Organization" Child: "SiteMap" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSitemap = "organization_sitemap";
        /// <summary>Parent: "Organization" Child: "MailBoxTrackingFolder" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationMailBoxTrackingFolder = "Organization_MailboxTrackingFolder";
        /// <summary>Parent: "Organization" Child: "EMailServerProfile" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationEMailServerprofile = "organization_emailserverprofile";
        /// <summary>Parent: "Organization" Child: "PluginAssembly" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationPluginAssembly = "organization_pluginassembly";
        /// <summary>Parent: "Organization" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_OrganizationBulkDeleteFailures = "Organization_BulkDeleteFailures";
        /// <summary>Parent: "Organization" Child: "FieldSecurityProfile" Lookup: "OrganizationId"</summary>
        public const string Rel1M_LkFieldsecurityprofileOrganizationId = "lk_fieldsecurityprofile_organizationid";
        /// <summary>Parent: "Organization" Child: "SdkMessageFilter" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSdkMessageFilter = "organization_sdkmessagefilter";
        /// <summary>Parent: "Organization" Child: "KbArticleTemplate" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationKbArticleTemplates = "organization_kb_article_templates";
        /// <summary>Parent: "Organization" Child: "Role" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationRoles = "organization_roles";
        /// <summary>Parent: "Organization" Child: "SdkMessageProcessingStepSecureConfig" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSdkMessageProcessingStepSecureConfig = "organization_sdkmessageprocessingstepsecureconfig";
        /// <summary>Parent: "Organization" Child: "ACIViewMapper" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationAciviewmapper = "organization_aciviewmapper";
        /// <summary>Parent: "Organization" Child: "SystemUser" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSystemUserS = "organization_system_users";
        /// <summary>Parent: "Organization" Child: "LanguageLocale" Lookup: "OrganizationId"</summary>
        public const string Rel1M_LanguagelocaleOrganization = "languagelocale_organization";
        /// <summary>Parent: "Organization" Child: "BusinessUnit" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationBusinessUnits = "organization_business_units";
        /// <summary>Parent: "Organization" Child: "NewProcess" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationNewprocess = "organization_newprocess";
        /// <summary>Parent: "Organization" Child: "SdkMessageProcessingStep" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSdkMessageProcessingStep = "organization_sdkmessageprocessingstep";
        /// <summary>Parent: "Organization" Child: "AppConfigInstance" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationAppconfiginstance = "organization_appconfiginstance";
        /// <summary>Parent: "Organization" Child: "DocumentTemplate" Lookup: "OrganizationId"</summary>
        public const string Rel1M_LkDocumenttemplatebaseOrganization = "lk_documenttemplatebase_organization";
        /// <summary>Parent: "Organization" Child: "ServiceEndpoint" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationServiceendpoint = "organization_serviceendpoint";
        /// <summary>Parent: "Organization" Child: "SdkMessage" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSdkMessage = "organization_sdkmessage";
        /// <summary>Parent: "Organization" Child: "AppConfigMaster" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationAppconfigmaster = "organization_appconfigmaster";
        /// <summary>Parent: "Organization" Child: "SavedQuery" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSavedQueries = "organization_saved_queries";
        /// <summary>Parent: "Organization" Child: "TraceLog" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationTraceLog = "organization_tracelog";
        /// <summary>Parent: "Organization" Child: "Solution" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationSolution = "organization_solution";
        /// <summary>Parent: "Organization" Child: "ComplexControl" Lookup: "OrganizationId"</summary>
        public const string Rel1M_OrganizationComplexcontrols = "organization_complexcontrols";

        #endregion Relationships
    }
}
