// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : Process.cs
// Created   : 2019-04-26 10:47:51
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Process, OwnershipType: UserOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Set of logical rules that define the steps necessary to automate a specific business process, task, or set of actions to be performed.</remarks>
    public static class Workflow
    {
        public const string EntityName = "workflow";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "Workflow" Lookup: "ModifiedBy"</summary>
        public const string RelM1_WorkflowModifiedBy = "workflow_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Workflow" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_WorkflowCreatedOnBehalfBy = "workflow_createdonbehalfby";
        /// <summary>Parent: "BusinessUnit" Child: "Workflow" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitWorkflow = "business_unit_workflow";
        /// <summary>Parent: "Owner" Child: "Workflow" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerWorkflows = "owner_workflows";
        /// <summary>Parent: "SystemUser" Child: "Workflow" Lookup: ""</summary>
        public const string RelM1_SystemUserWorkflow = "system_user_workflow";
        /// <summary>Parent: "Team" Child: "Workflow" Lookup: ""</summary>
        public const string RelM1_TeamWorkflow = "team_workflow";
        /// <summary>Parent: "SystemUser" Child: "Workflow" Lookup: "CreatedBy"</summary>
        public const string RelM1_WorkflowCreatedBy = "workflow_createdby";
        /// <summary>Parent: "SystemUser" Child: "Workflow" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_WorkflowModifiedOnBehalfBy = "workflow_modifiedonbehalfby";
        /// <summary>Parent: "Workflow" Child: "Workflow" Lookup: "ActiveWorkflowId"</summary>
        public const string Rel1M_WorkflowActiveWorkflow = "workflow_active_workflow";
        /// <summary>Parent: "Workflow" Child: "Workflow" Lookup: "ParentWorkflowId"</summary>
        public const string Rel1M_WorkflowParentWorkflow = "workflow_parent_workflow";
        /// <summary>Parent: "Workflow" Child: "PhoneToCaseProcess" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkPhoneTocaseprocessProcessId = "lk_phonetocaseprocess_processid";
        /// <summary>Parent: "Workflow" Child: "LeadToOpportunitySalesProcess" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkLeadtoopportunitysalesprocessProcessId = "lk_leadtoopportunitysalesprocess_processid";
        /// <summary>Parent: "Workflow" Child: "OpportunitySalesProcess" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkOpportunitysalesprocessProcessId = "lk_opportunitysalesprocess_processid";
        /// <summary>Parent: "Workflow" Child: "MsdynBpf665e73aa18c247d886bfc50499c73b82" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkMsdynBpf665e73aa18c247d886bfc50499c73b82ProcessId = "lk_msdyn_bpf_665e73aa18c247d886bfc50499c73b82_processid";
        /// <summary>Parent: "Workflow" Child: "MsdynBpfD8f9dc7f099f44db9d641dd81fbd470d" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkMsdynBpfD8f9dc7f099f44db9d641dd81fbd470dProcessId = "lk_msdyn_bpf_d8f9dc7f099f44db9d641dd81fbd470d_processid";
        /// <summary>Parent: "Workflow" Child: "MsdynSolutionhealthrule" Lookup: "MsdynWorkflow"</summary>
        public const string Rel1M_MsdynWorkflowMsdynSolutionhealthruleWorkflow = "msdyn_workflow_msdyn_solutionhealthrule_Workflow";
        /// <summary>Parent: "Workflow" Child: "MsdynSolutionhealthrule" Lookup: "MsdynResolutionAction"</summary>
        public const string Rel1M_MsdynWorkflowMsdynSolutionhealthruleResolutionaction = "msdyn_workflow_msdyn_solutionhealthrule_resolutionaction";
        /// <summary>Parent: "Workflow" Child: "MsdynBpf2c5fe86acc8b414b8322ae571000c799" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkMsdynBpf2c5fe86acc8b414b8322ae571000c799ProcessId = "lk_msdyn_bpf_2c5fe86acc8b414b8322ae571000c799_processid";
        /// <summary>Parent: "Workflow" Child: "MsdynBpf989e9b1857e24af18787d5143b67523b" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkMsdynBpf989e9b1857e24af18787d5143b67523bProcessId = "lk_msdyn_bpf_989e9b1857e24af18787d5143b67523b_processid";
        /// <summary>Parent: "Workflow" Child: "MsdynBpfBaa0a411a239410cb8bded8b5fdd88e3" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkMsdynBpfBaa0a411a239410cb8bded8b5fdd88e3ProcessId = "lk_msdyn_bpf_baa0a411a239410cb8bded8b5fdd88e3_processid";
        /// <summary>Parent: "Workflow" Child: "MsdynBpfD3d97bac8c294105840e99e37a9d1c39" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkMsdynBpfD3d97bac8c294105840e99e37a9d1c39ProcessId = "lk_msdyn_bpf_d3d97bac8c294105840e99e37a9d1c39_processid";
        /// <summary>Parent: "Workflow" Child: "MsdynBpf477c16f59170487b8b4dc895c5dcd09b" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkMsdynBpf477c16f59170487b8b4dc895c5dcd09bProcessId = "lk_msdyn_bpf_477c16f59170487b8b4dc895c5dcd09b_processid";
        /// <summary>Parent: "Workflow" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_WorkflowAnnotation = "Workflow_Annotation";
        /// <summary>Parent: "Workflow" Child: "ProcessStage" Lookup: "ProcessId"</summary>
        public const string Rel1M_ProcessProcessstage = "process_processstage";
        /// <summary>Parent: "Workflow" Child: "AsyncOperation" Lookup: "WorkflowActivationId"</summary>
        public const string Rel1M_LkAsyncoperationWorkflowactivationId = "lk_asyncoperation_workflowactivationid";
        /// <summary>Parent: "Workflow" Child: "ProcessTrigger" Lookup: "ProcessId"</summary>
        public const string Rel1M_ProcessProcesstrigger = "process_processtrigger";
        /// <summary>Parent: "Workflow" Child: "ExpiredProcess" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkExpiredprocessProcessId = "lk_expiredprocess_processid";
        /// <summary>Parent: "Workflow" Child: "SLAItem" Lookup: "WorkflowId"</summary>
        public const string Rel1M_SlaitembaseWorkflowId = "slaitembase_workflowid";
        /// <summary>Parent: "Workflow" Child: "SLA" Lookup: "WorkflowId"</summary>
        public const string Rel1M_SlabaseWorkflowId = "slabase_workflowid";
        /// <summary>Parent: "Workflow" Child: "ProcessSession" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkProcesssessionProcessId = "lk_processsession_processid";
        /// <summary>Parent: "Workflow" Child: "TranslationProcess" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkTranslationprocessProcessId = "lk_translationprocess_processid";
        /// <summary>Parent: "Workflow" Child: "NewProcess" Lookup: "ProcessId"</summary>
        public const string Rel1M_LkNewprocessProcessId = "lk_newprocess_processid";
        /// <summary>Parent: "Workflow" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_WorkflowSyncErrors = "Workflow_SyncErrors";

        #endregion Relationships
    }
}
