// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : ProjectContractLineTransactionClassification.cs
// Created   : 2019-04-26 10:47:53
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Project Contract Line Transaction Classification, OwnershipType: UserOwned, IntroducedVersion: 1.0.0.1</summary>
    /// <remarks>List of transaction classification heads, which are four broad cost categories of time, expense, material, and fee, that will be considered as costs when computing the profit of a project contract line.</remarks>
    public static class MsdynOrderlinetransactionclassification
    {
        public const string EntityName = "msdyn_orderlinetransactionclassification";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactionclassification" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkMsdynOrderlinetransactionclassificationCreatedBy = "lk_msdyn_orderlinetransactionclassification_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactionclassification" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkMsdynOrderlinetransactionclassificationCreatedOnBehalfBy = "lk_msdyn_orderlinetransactionclassification_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactionclassification" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkMsdynOrderlinetransactionclassificationModifiedBy = "lk_msdyn_orderlinetransactionclassification_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactionclassification" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkMsdynOrderlinetransactionclassificationModifiedOnBehalfBy = "lk_msdyn_orderlinetransactionclassification_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactionclassification" Lookup: ""</summary>
        public const string RelM1_UserMsdynOrderlinetransactionclassification = "user_msdyn_orderlinetransactionclassification";
        /// <summary>Parent: "Team" Child: "MsdynOrderlinetransactionclassification" Lookup: ""</summary>
        public const string RelM1_TeamMsdynOrderlinetransactionclassification = "team_msdyn_orderlinetransactionclassification";
        /// <summary>Parent: "Owner" Child: "MsdynOrderlinetransactionclassification" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerMsdynOrderlinetransactionclassification = "owner_msdyn_orderlinetransactionclassification";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynOrderlinetransactionclassification" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitMsdynOrderlinetransactionclassification = "business_unit_msdyn_orderlinetransactionclassification";
        /// <summary>Parent: "SalesOrderDetail" Child: "MsdynOrderlinetransactionclassification" Lookup: "MsdynContractLineId"</summary>
        public const string RelM1_MsdynSalesorderdetailMsdynOrderlinetransclas = "msdyn_salesorderdetail_msdyn_orderlinetransclas";
        /// <summary>Parent: "MsdynOrderlinetransactionclassification" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynOrderlinetransactionclassificationSyncErrors = "msdyn_orderlinetransactionclassification_SyncErrors";
        /// <summary>Parent: "MsdynOrderlinetransactionclassification" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_MsdynOrderlinetransactionclassificationDuplicateMatchingRecord = "msdyn_orderlinetransactionclassification_DuplicateMatchingRecord";
        /// <summary>Parent: "MsdynOrderlinetransactionclassification" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_MsdynOrderlinetransactionclassificationDuplicateBaseRecord = "msdyn_orderlinetransactionclassification_DuplicateBaseRecord";
        /// <summary>Parent: "MsdynOrderlinetransactionclassification" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynOrderlinetransactionclassificationAsyncOperations = "msdyn_orderlinetransactionclassification_AsyncOperations";
        /// <summary>Parent: "MsdynOrderlinetransactionclassification" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynOrderlinetransactionclassificationMailBoxTrackingFolders = "msdyn_orderlinetransactionclassification_MailboxTrackingFolders";
        /// <summary>Parent: "MsdynOrderlinetransactionclassification" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynOrderlinetransactionclassificationProcessSession = "msdyn_orderlinetransactionclassification_ProcessSession";
        /// <summary>Parent: "MsdynOrderlinetransactionclassification" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynOrderlinetransactionclassificationBulkDeleteFailures = "msdyn_orderlinetransactionclassification_BulkDeleteFailures";
        /// <summary>Parent: "MsdynOrderlinetransactionclassification" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_MsdynOrderlinetransactionclassificationPrincipalObjectAttributeAccesses = "msdyn_orderlinetransactionclassification_PrincipalObjectAttributeAccesses";
        /// <summary>Parent: "MsdynOrderlinetransactionclassification" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_MsdynOrderlinetransactionclassificationAnnotations = "msdyn_orderlinetransactionclassification_Annotations";
        /// <summary>Parent: "MsdynOrderlinetransactionclassification" Child: "MsdynOrderlineresourcecategory" Lookup: "MsdynContractLineTransactionClassification"</summary>
        public const string Rel1M_MsdynOrderlinetransactionclassificationMsdynOrderlineresourcecategoryContractLineTransactionCla = "msdyn_orderlinetransactionclassification_msdyn_orderlineresourcecategory_ContractLineTransactionCla";
        /// <summary>Parent: "MsdynOrderlinetransactionclassification" Child: "MsdynOrderlinetransactioncategory" Lookup: "MsdynContractLineTransactionClassification"</summary>
        public const string Rel1M_MsdynOrderlinetransactionclassificationMsdynOrderlinetransactioncategoryContractLineTransaction = "msdyn_orderlinetransactionclassification_msdyn_orderlinetransactioncategory_ContractLineTransaction";

        #endregion Relationships
    }
}
