// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : QueueItem.cs
// Created   : 2019-04-26 10:47:54
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Queue Item, OwnershipType: None, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>A specific item in a queue, such as a case record or an activity record.</remarks>
    public static class QueueItem
    {
        public const string EntityName = "queueitem";

        #region Relationships

        /// <summary>Parent: "CampaignActivity" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_CampaignActivityQueueItem = "CampaignActivity_QueueItem";
        /// <summary>Parent: "CampaignResponse" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_CampaignResponseQueueItem = "CampaignResponse_QueueItem";
        /// <summary>Parent: "BulkOperation" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_BulkOperationQueueItem = "BulkOperation_QueueItem";
        /// <summary>Parent: "Incident" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_IncidentQueueItem = "Incident_QueueItem";
        /// <summary>Parent: "ServiceAppointment" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_ServiceAppointmentQueueItem = "ServiceAppointment_QueueItem";
        /// <summary>Parent: "MsfpSurveyinvite" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsfpSurveyinviteQueueItems = "msfp_surveyinvite_QueueItems";
        /// <summary>Parent: "MsfpSurveyresponse" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsfpSurveyresponseQueueItems = "msfp_surveyresponse_QueueItems";
        /// <summary>Parent: "MsdynBookingalert" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynBookingalertQueueItems = "msdyn_bookingalert_QueueItems";
        /// <summary>Parent: "MsdynTimegroup" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynTimegroupQueueItems = "msdyn_timegroup_QueueItems";
        /// <summary>Parent: "MsdynTimegroupdetail" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynTimegroupdetailQueueItems = "msdyn_timegroupdetail_QueueItems";
        /// <summary>Parent: "MsdynApproval" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynApprovalQueueItems = "msdyn_approval_QueueItems";
        /// <summary>Parent: "MsdynProject" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynProjectQueueItems = "msdyn_project_QueueItems";
        /// <summary>Parent: "MsdynProjecttask" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynProjecttaskQueueItems = "msdyn_projecttask_QueueItems";
        /// <summary>Parent: "MsdynResourcerequest" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynResourcerequestQueueItems = "msdyn_resourcerequest_QueueItems";
        /// <summary>Parent: "MsdynAgreementbookingdate" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingdateQueueItems = "msdyn_agreementbookingdate_QueueItems";
        /// <summary>Parent: "MsdynAgreementbookingsetup" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingsetupQueueItems = "msdyn_agreementbookingsetup_QueueItems";
        /// <summary>Parent: "MsdynAgreementinvoicedate" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynAgreementinvoicedateQueueItems = "msdyn_agreementinvoicedate_QueueItems";
        /// <summary>Parent: "MsdynAgreementinvoicesetup" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynAgreementinvoicesetupQueueItems = "msdyn_agreementinvoicesetup_QueueItems";
        /// <summary>Parent: "MsdynInventoryadjustment" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynInventoryadjustmentQueueItems = "msdyn_inventoryadjustment_QueueItems";
        /// <summary>Parent: "MsdynInventorytransfer" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynInventorytransferQueueItems = "msdyn_inventorytransfer_QueueItems";
        /// <summary>Parent: "MsdynWorkorder" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynWorkorderQueueItems = "msdyn_workorder_QueueItems";
        /// <summary>Parent: "MsdynWorkorderIncident" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynWorkorderIncidentQueueItems = "msdyn_workorderincident_QueueItems";
        /// <summary>Parent: "MsdynWorkorderService" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynWorkorderServiceQueueItems = "msdyn_workorderservice_QueueItems";
        /// <summary>Parent: "MsdynWorkorderServicetask" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynWorkorderServicetaskQueueItems = "msdyn_workorderservicetask_QueueItems";
        /// <summary>Parent: "MsdynIotalert" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_MsdynIotalertQueueItems = "msdyn_iotalert_QueueItems";
        /// <summary>Parent: "KnowledgeArticle" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_KnowledgearticleQueueItems = "knowledgearticle_QueueItems";
        /// <summary>Parent: "SystemUser" Child: "QueueItem" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkQueueitemCreatedOnBehalfBy = "lk_queueitem_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "QueueItem" Lookup: "WorkerId"</summary>
        public const string RelM1_LkQueueitembaseWorkerId = "lk_queueitembase_workerid";
        /// <summary>Parent: "ActivityPointer" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_ActivityPointerQueueItem = "ActivityPointer_QueueItem";
        /// <summary>Parent: "Queue" Child: "QueueItem" Lookup: "QueueId"</summary>
        public const string RelM1_QueueEntries = "queue_entries";
        /// <summary>Parent: "SystemUser" Child: "QueueItem" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkQueueitembaseCreatedBy = "lk_queueitembase_createdby";
        /// <summary>Parent: "Organization" Child: "QueueItem" Lookup: "OrganizationId"</summary>
        public const string RelM1_OrganizationQueueitems = "organization_queueitems";
        /// <summary>Parent: "TransactionCurrency" Child: "QueueItem" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactionCurrencyQueueItem = "TransactionCurrency_QueueItem";
        /// <summary>Parent: "Appointment" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_AppointmentQueueItem = "Appointment_QueueItem";
        /// <summary>Parent: "Fax" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_FaxQueueItem = "Fax_QueueItem";
        /// <summary>Parent: "Team" Child: "QueueItem" Lookup: "WorkerId"</summary>
        public const string RelM1_TeamQueueitembaseWorkerId = "team_queueitembase_workerid";
        /// <summary>Parent: "EMail" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_EMailQueueItem = "Email_QueueItem";
        /// <summary>Parent: "SocialActivity" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_SocialActivityQueueItem = "SocialActivity_QueueItem";
        /// <summary>Parent: "SystemUser" Child: "QueueItem" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkQueueitemModifiedOnBehalfBy = "lk_queueitem_modifiedonbehalfby";
        /// <summary>Parent: "PhoneCall" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_PhoneCallQueueItem = "PhoneCall_QueueItem";
        /// <summary>Parent: "Task" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_TaskQueueItem = "Task_QueueItem";
        /// <summary>Parent: "RecurringAppointmentMaster" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_RecurringAppointmentMasterQueueItem = "RecurringAppointmentMaster_QueueItem";
        /// <summary>Parent: "Letter" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string RelM1_LetterQueueItem = "Letter_QueueItem";
        /// <summary>Parent: "SystemUser" Child: "QueueItem" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkQueueitembaseModifiedBy = "lk_queueitembase_modifiedby";
        /// <summary>Parent: "QueueItem" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QueueItemAsyncOperations = "QueueItem_AsyncOperations";
        /// <summary>Parent: "QueueItem" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QueueItemSyncErrors = "QueueItem_SyncErrors";
        /// <summary>Parent: "QueueItem" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QueueItemBulkDeleteFailures = "QueueItem_BulkDeleteFailures";
        /// <summary>Parent: "QueueItem" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_QueueitemPrincipalobjectattributeaccess = "queueitem_principalobjectattributeaccess";
        /// <summary>Parent: "QueueItem" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QueueItemProcessSessions = "QueueItem_ProcessSessions";

        #endregion Relationships
    }
}
