// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : Quote.cs
// Created   : 2019-04-26 10:47:54
// *********************************************************************

namespace D365.Constants
{
    /// <summary>OwnershipType: UserOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Formal offer for products and/or services, proposed at specific prices and related payment terms, which is sent to a prospective customer.</remarks>
    public static class Quote
    {
        public const string EntityName = "quote";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "Quote" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkQuotebaseCreatedBy = "lk_quotebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Quote" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkQuoteCreatedOnBehalfBy = "lk_quote_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Quote" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkQuotebaseModifiedBy = "lk_quotebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Quote" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkQuoteModifiedOnBehalfBy = "lk_quote_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Quote" Lookup: ""</summary>
        public const string RelM1_SystemUserQuotes = "system_user_quotes";
        /// <summary>Parent: "Team" Child: "Quote" Lookup: ""</summary>
        public const string RelM1_TeamQuotes = "team_quotes";
        /// <summary>Parent: "Owner" Child: "Quote" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerQuotes = "owner_quotes";
        /// <summary>Parent: "BusinessUnit" Child: "Quote" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitQuotes = "business_unit_quotes";
        /// <summary>Parent: "ProcessStage" Child: "Quote" Lookup: "StageId"</summary>
        public const string RelM1_ProcessstageQuotes = "processstage_quotes";
        /// <summary>Parent: "TransactionCurrency" Child: "Quote" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactioncurrencyQuote = "transactioncurrency_quote";
        /// <summary>Parent: "Account" Child: "Quote" Lookup: "CustomerId"</summary>
        public const string RelM1_QuoteCustomerAccountS = "quote_customer_accounts";
        /// <summary>Parent: "Contact" Child: "Quote" Lookup: "CustomerId"</summary>
        public const string RelM1_QuoteCustomerContactS = "quote_customer_contacts";
        /// <summary>Parent: "Opportunity" Child: "Quote" Lookup: "OpportunityId"</summary>
        public const string RelM1_OpportunityQuotes = "opportunity_quotes";
        /// <summary>Parent: "PriceLevel" Child: "Quote" Lookup: "PriceLevelId"</summary>
        public const string RelM1_PriceLevelQuotes = "price_level_quotes";
        /// <summary>Parent: "SLA" Child: "Quote" Lookup: "SLAId"</summary>
        public const string RelM1_ManualslaQuote = "manualsla_quote";
        /// <summary>Parent: "SLA" Child: "Quote" Lookup: "SLAInvokedId"</summary>
        public const string RelM1_SlaQuote = "sla_quote";
        /// <summary>Parent: "Campaign" Child: "Quote" Lookup: "CampaignId"</summary>
        public const string RelM1_CampaignQuotes = "campaign_quotes";
        /// <summary>Parent: "SystemUser" Child: "Quote" Lookup: "MsdynAccountManagerId"</summary>
        public const string RelM1_MsdynAccountManagerQuote = "msdyn_accountmanager_quote";
        /// <summary>Parent: "MsdynOrganizationalunit" Child: "Quote" Lookup: "MsdynContractOrganizationalUnitId"</summary>
        public const string RelM1_MsdynOrganizationalunitQuote = "msdyn_organizationalunit_quote";
        /// <summary>Parent: "Account" Child: "Quote" Lookup: "MsdynAccount"</summary>
        public const string RelM1_MsdynAccountQuoteAcCount = "msdyn_account_quote_Account";
        /// <summary>Parent: "Quote" Child: "ActivityPointer" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteActivityPointers = "Quote_ActivityPointers";
        /// <summary>Parent: "Quote" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteSyncErrors = "Quote_SyncErrors";
        /// <summary>Parent: "Quote" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string Rel1M_QuoteActivityParties = "quote_activity_parties";
        /// <summary>Parent: "Quote" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_QuoteDuplicateMatchingRecord = "Quote_DuplicateMatchingRecord";
        /// <summary>Parent: "Quote" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_QuoteDuplicateBaseRecord = "Quote_DuplicateBaseRecord";
        /// <summary>Parent: "Quote" Child: "SharePointDocumentLocation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteSharepointDocumentLocation = "Quote_SharepointDocumentLocation";
        /// <summary>Parent: "Quote" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteAsyncOperations = "Quote_AsyncOperations";
        /// <summary>Parent: "Quote" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteMailBoxTrackingFolder = "Quote_MailboxTrackingFolder";
        /// <summary>Parent: "Quote" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteProcessSessions = "Quote_ProcessSessions";
        /// <summary>Parent: "Quote" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteBulkDeleteFailures = "Quote_BulkDeleteFailures";
        /// <summary>Parent: "Quote" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_QuotePrincipalobjectattributeaccess = "quote_principalobjectattributeaccess";
        /// <summary>Parent: "Quote" Child: "Appointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteAppointments = "Quote_Appointments";
        /// <summary>Parent: "Quote" Child: "EMail" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteEMailS = "Quote_Emails";
        /// <summary>Parent: "Quote" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteFaxes = "Quote_Faxes";
        /// <summary>Parent: "Quote" Child: "Letter" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteLetters = "Quote_Letters";
        /// <summary>Parent: "Quote" Child: "PhoneCall" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuotePhoneCalls = "Quote_Phonecalls";
        /// <summary>Parent: "Quote" Child: "Task" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteTasks = "Quote_Tasks";
        /// <summary>Parent: "Quote" Child: "RecurringAppointmentMaster" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteRecurringAppointmentMasters = "Quote_RecurringAppointmentMasters";
        /// <summary>Parent: "Quote" Child: "SocialActivity" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteSocialActivities = "Quote_SocialActivities";
        /// <summary>Parent: "Quote" Child: "Connection" Lookup: "Record1Id"</summary>
        public const string Rel1M_QuoteConnections1 = "quote_connections1";
        /// <summary>Parent: "Quote" Child: "Connection" Lookup: "Record2Id"</summary>
        public const string Rel1M_QuoteConnections2 = "quote_connections2";
        /// <summary>Parent: "Quote" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_QuoteAnnotation = "Quote_Annotation";
        /// <summary>Parent: "Quote" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteServiceAppointments = "Quote_ServiceAppointments";
        /// <summary>Parent: "Quote" Child: "QuoteClose" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteQuoteCloses = "quote_QuoteCloses";
        /// <summary>Parent: "Quote" Child: "OpportunitySalesProcess" Lookup: "QuoteId"</summary>
        public const string Rel1M_LkOpportunitysalesprocessQuoteId = "lk_opportunitysalesprocess_quoteid";
        /// <summary>Parent: "Quote" Child: "QuoteDetail" Lookup: "QuoteId"</summary>
        public const string Rel1M_QuoteDetails = "quote_details";
        /// <summary>Parent: "Quote" Child: "SalesOrder" Lookup: "QuoteId"</summary>
        public const string Rel1M_QuoteOrders = "quote_orders";
        /// <summary>Parent: "Quote" Child: "QuoteClose" Lookup: "QuoteId"</summary>
        public const string Rel1M_QuoteQuoteClose = "Quote_QuoteClose";
        /// <summary>Parent: "Quote" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string Rel1M_SlakpiinstanceQuote = "slakpiinstance_quote";
        /// <summary>Parent: "Quote" Child: "MsdynPlaybookinstance" Lookup: "Regarding"</summary>
        public const string Rel1M_MsdynPlaybookinstanceQuote = "msdyn_playbookinstance_quote";
        /// <summary>Parent: "Quote" Child: "MsfpSurveyinvite" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteMsfpSurveyinvites = "quote_msfp_surveyinvites";
        /// <summary>Parent: "Quote" Child: "MsfpSurveyresponse" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteMsfpSurveyresponses = "quote_msfp_surveyresponses";
        /// <summary>Parent: "Quote" Child: "MsdynBookingalert" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteMsdynBookingalerts = "quote_msdyn_bookingalerts";
        /// <summary>Parent: "Quote" Child: "MsdynApproval" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_QuoteMsdynApprovals = "quote_msdyn_approvals";
        /// <summary>Parent: "Quote" Child: "OpportunitySalesProcess" Lookup: "BpfQuoteId"</summary>
        public const string Rel1M_BpfQuoteOpportunitySalesProcess = "bpf_quote_OpportunitySalesProcess";
        /// <summary>Parent: "Quote" Child: "MsdynQuotelineanalyticsbreakdown" Lookup: "MsdynQuote"</summary>
        public const string Rel1M_MsdynQuoteMsdynQuotelineanalyticsbreakdownQuote = "msdyn_quote_msdyn_quotelineanalyticsbreakdown_Quote";
        /// <summary>Parent: "Quote" Child: "MsdynQuotelinetransaction" Lookup: "MsdynQuoteId"</summary>
        public const string Rel1M_MsdynQuoteMsdynQuotelinetransaction = "msdyn_quote_msdyn_quotelinetransaction";
        /// <summary>Parent: "Quote" Child: "MsdynQuotePriceList" Lookup: "MsdynQuote"</summary>
        public const string Rel1M_MsdynQuoteMsdynQuotePriceListQuote = "msdyn_quote_msdyn_quotepricelist_Quote";
        /// <summary>Parent: "Quote" Child: "MsdynQuotebookingincident" Lookup: "MsdynQuote"</summary>
        public const string Rel1M_MsdynQuoteMsdynQuotebookingincidentQuote = "msdyn_quote_msdyn_quotebookingincident_Quote";
        /// <summary>Parent: "Quote" Child: "MsdynQuotebookingproduct" Lookup: "MsdynQuote"</summary>
        public const string Rel1M_MsdynQuoteMsdynQuotebookingproductQuote = "msdyn_quote_msdyn_quotebookingproduct_Quote";
        /// <summary>Parent: "Quote" Child: "MsdynQuotebookingservice" Lookup: "MsdynQuote"</summary>
        public const string Rel1M_MsdynQuoteMsdynQuotebookingserviceQuote = "msdyn_quote_msdyn_quotebookingservice_Quote";
        /// <summary>Parent: "Quote" Child: "MsdynQuotebookingservicetask" Lookup: "MsdynQuote"</summary>
        public const string Rel1M_MsdynQuoteMsdynQuotebookingservicetaskQuote = "msdyn_quote_msdyn_quotebookingservicetask_Quote";
        /// <summary>Parent: "Quote" Child: "MsdynQuotebookingsetup" Lookup: "MsdynQuote"</summary>
        public const string Rel1M_MsdynQuoteMsdynQuotebookingsetupQuote = "msdyn_quote_msdyn_quotebookingsetup_Quote";
        /// <summary>Parent: "Quote" Child: "MsdynQuoteinvoicingsetup" Lookup: "MsdynQuote"</summary>
        public const string Rel1M_MsdynQuoteMsdynQuoteinvoicingsetupQuote = "msdyn_quote_msdyn_quoteinvoicingsetup_Quote";

        #endregion Relationships
    }
}
