// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : QuoteLineTransactionClassification.cs
// Created   : 2019-04-26 10:47:54
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Quote Line Transaction Classification, OwnershipType: UserOwned, IntroducedVersion: 1.0.0.1</summary>
    /// <remarks>List of transaction classification heads, the four broad cost classifications of time, expense, material, and fee, that will be considered as costs when computing the profit of a quote line.</remarks>
    public static class MsdynQuotelinetransactionclassification
    {
        public const string EntityName = "msdyn_quotelinetransactionclassification";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactionclassification" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkMsdynQuotelinetransactionclassificationCreatedBy = "lk_msdyn_quotelinetransactionclassification_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactionclassification" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkMsdynQuotelinetransactionclassificationCreatedOnBehalfBy = "lk_msdyn_quotelinetransactionclassification_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactionclassification" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkMsdynQuotelinetransactionclassificationModifiedBy = "lk_msdyn_quotelinetransactionclassification_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactionclassification" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkMsdynQuotelinetransactionclassificationModifiedOnBehalfBy = "lk_msdyn_quotelinetransactionclassification_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactionclassification" Lookup: ""</summary>
        public const string RelM1_UserMsdynQuotelinetransactionclassification = "user_msdyn_quotelinetransactionclassification";
        /// <summary>Parent: "Team" Child: "MsdynQuotelinetransactionclassification" Lookup: ""</summary>
        public const string RelM1_TeamMsdynQuotelinetransactionclassification = "team_msdyn_quotelinetransactionclassification";
        /// <summary>Parent: "Owner" Child: "MsdynQuotelinetransactionclassification" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerMsdynQuotelinetransactionclassification = "owner_msdyn_quotelinetransactionclassification";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynQuotelinetransactionclassification" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitMsdynQuotelinetransactionclassification = "business_unit_msdyn_quotelinetransactionclassification";
        /// <summary>Parent: "QuoteDetail" Child: "MsdynQuotelinetransactionclassification" Lookup: "MsdynQuoteLineId"</summary>
        public const string RelM1_MsdynQuotedetailMsdynQuotelinetransactioncla = "msdyn_quotedetail_msdyn_quotelinetransactioncla";
        /// <summary>Parent: "MsdynQuotelinetransactionclassification" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynQuotelinetransactionclassificationSyncErrors = "msdyn_quotelinetransactionclassification_SyncErrors";
        /// <summary>Parent: "MsdynQuotelinetransactionclassification" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_MsdynQuotelinetransactionclassificationDuplicateMatchingRecord = "msdyn_quotelinetransactionclassification_DuplicateMatchingRecord";
        /// <summary>Parent: "MsdynQuotelinetransactionclassification" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_MsdynQuotelinetransactionclassificationDuplicateBaseRecord = "msdyn_quotelinetransactionclassification_DuplicateBaseRecord";
        /// <summary>Parent: "MsdynQuotelinetransactionclassification" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynQuotelinetransactionclassificationAsyncOperations = "msdyn_quotelinetransactionclassification_AsyncOperations";
        /// <summary>Parent: "MsdynQuotelinetransactionclassification" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynQuotelinetransactionclassificationMailBoxTrackingFolders = "msdyn_quotelinetransactionclassification_MailboxTrackingFolders";
        /// <summary>Parent: "MsdynQuotelinetransactionclassification" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynQuotelinetransactionclassificationProcessSession = "msdyn_quotelinetransactionclassification_ProcessSession";
        /// <summary>Parent: "MsdynQuotelinetransactionclassification" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynQuotelinetransactionclassificationBulkDeleteFailures = "msdyn_quotelinetransactionclassification_BulkDeleteFailures";
        /// <summary>Parent: "MsdynQuotelinetransactionclassification" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_MsdynQuotelinetransactionclassificationPrincipalObjectAttributeAccesses = "msdyn_quotelinetransactionclassification_PrincipalObjectAttributeAccesses";
        /// <summary>Parent: "MsdynQuotelinetransactionclassification" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_MsdynQuotelinetransactionclassificationAnnotations = "msdyn_quotelinetransactionclassification_Annotations";
        /// <summary>Parent: "MsdynQuotelinetransactionclassification" Child: "MsdynQuotelineresourcecategory" Lookup: "MsdynQuoteLineTransactionClassification"</summary>
        public const string Rel1M_MsdynQuotelinetransactionclassificationMsdynQuotelineresourcecategoryQuoteLineTransactionClass = "msdyn_quotelinetransactionclassification_msdyn_quotelineresourcecategory_QuoteLineTransactionClass";
        /// <summary>Parent: "MsdynQuotelinetransactionclassification" Child: "MsdynQuotelinetransactioncategory" Lookup: "MsdynQuoteLineTransactionClassification"</summary>
        public const string Rel1M_MsdynQuotelinetransactionclassificationMsdynQuotelinetransactioncategoryQuoteLineTransactionCla = "msdyn_quotelinetransactionclassification_msdyn_quotelinetransactioncategory_QuoteLineTransactionCla";

        #endregion Relationships
    }
}
