// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : ResourceSpecification.cs
// Created   : 2019-04-26 10:47:55
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Resource Specification, OwnershipType: BusinessOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Selection rule that allows the scheduling engine to select a number of resources from a pool of resources. The rules can be associated with a service.</remarks>
    public static class ResourceSpec
    {
        public const string EntityName = "resourcespec";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "ResourceSpec" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkResourcespecCreatedBy = "lk_resourcespec_createdby";
        /// <summary>Parent: "SystemUser" Child: "ResourceSpec" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkResourcespecCreatedOnBehalfBy = "lk_resourcespec_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ResourceSpec" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkResourcespecModifiedBy = "lk_resourcespec_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ResourceSpec" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkResourcespecModifiedOnBehalfBy = "lk_resourcespec_modifiedonbehalfby";
        /// <summary>Parent: "BusinessUnit" Child: "ResourceSpec" Lookup: "BusinessUnitId"</summary>
        public const string RelM1_BusinessUnitResourceSpecs = "business_unit_resource_specs";
        /// <summary>Parent: "ConstraintBasedGroup" Child: "ResourceSpec" Lookup: "GroupObjectId"</summary>
        public const string RelM1_ConstraintBasedGroupResourceSpecs = "constraint_based_group_resource_specs";
        /// <summary>Parent: "Organization" Child: "ResourceSpec" Lookup: "OrganizationId"</summary>
        public const string RelM1_OrganizationResourceSpecs = "organization_resource_specs";
        /// <summary>Parent: "Team" Child: "ResourceSpec" Lookup: "GroupObjectId"</summary>
        public const string RelM1_TeamResourceSpecs = "team_resource_specs";
        /// <summary>Parent: "ResourceSpec" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ResourcespecSyncErrors = "resourcespec_SyncErrors";
        /// <summary>Parent: "ResourceSpec" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ResourceSpecAsyncOperations = "ResourceSpec_AsyncOperations";
        /// <summary>Parent: "ResourceSpec" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ResourcespecMailBoxTrackingFolders = "resourcespec_MailboxTrackingFolders";
        /// <summary>Parent: "ResourceSpec" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ResourceSpecBulkDeleteFailures = "ResourceSpec_BulkDeleteFailures";
        /// <summary>Parent: "ResourceSpec" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_ResourcespecPrincipalObjectAttributeAccesses = "resourcespec_PrincipalObjectAttributeAccesses";
        /// <summary>Parent: "ResourceSpec" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_ResourceSpecAnnotation = "ResourceSpec_Annotation";
        /// <summary>Parent: "ResourceSpec" Child: "ActivityParty" Lookup: "ResourceSpecId"</summary>
        public const string Rel1M_ActivityPartyResourceSpec = "ActivityPartyResourceSpec";
        /// <summary>Parent: "ResourceSpec" Child: "Resource" Lookup: "ResourceId"</summary>
        public const string Rel1M_ResourcespecResources = "resourcespec_resources";
        /// <summary>Parent: "ResourceSpec" Child: "Service" Lookup: "ResourceSpecId"</summary>
        public const string Rel1M_ResourceSpecServices = "resource_spec_services";

        #endregion Relationships
    }
}
