// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : SLA.cs
// Created   : 2019-04-26 10:47:56
// *********************************************************************

namespace D365.Constants
{
    /// <summary>OwnershipType: UserOwned, IntroducedVersion: 6.1.0.0</summary>
    /// <remarks>Contains information about the tracked service-level KPIs for cases that belong to different customers.</remarks>
    public static class SLA
    {
        public const string EntityName = "sla";

        #region Relationships

        /// <summary>Parent: "Workflow" Child: "SLA" Lookup: "WorkflowId"</summary>
        public const string RelM1_SlabaseWorkflowId = "slabase_workflowid";
        /// <summary>Parent: "Owner" Child: "SLA" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerSlas = "owner_slas";
        /// <summary>Parent: "SystemUser" Child: "SLA" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkSlabaseModifiedOnBehalfBy = "lk_slabase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SLA" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkSlabaseCreatedOnBehalfBy = "lk_slabase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SLA" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkSlabaseCreatedBy = "lk_slabase_createdby";
        /// <summary>Parent: "Team" Child: "SLA" Lookup: ""</summary>
        public const string RelM1_TeamSlaBase = "team_slaBase";
        /// <summary>Parent: "TransactionCurrency" Child: "SLA" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactionCurrencySLA = "TransactionCurrency_SLA";
        /// <summary>Parent: "SystemUser" Child: "SLA" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkSlabaseModifiedBy = "lk_slabase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SLA" Lookup: ""</summary>
        public const string RelM1_UserSlabase = "user_slabase";
        /// <summary>Parent: "BusinessUnit" Child: "SLA" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitSlabase = "business_unit_slabase";
        /// <summary>Parent: "Calendar" Child: "SLA" Lookup: "BusinessHoursId"</summary>
        public const string RelM1_SlabaseBusinessHoursId = "slabase_businesshoursid";
        /// <summary>Parent: "SLA" Child: "Lead" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaLead = "manualsla_lead";
        /// <summary>Parent: "SLA" Child: "Lead" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaLead = "sla_lead";
        /// <summary>Parent: "SLA" Child: "BulkOperation" Lookup: "SLAId"</summary>
        public const string Rel1M_BulkoperationSlaSlaId = "bulkoperation_sla_slaid";
        /// <summary>Parent: "SLA" Child: "BulkOperation" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_BulkoperationSlaSlaInvokedId = "bulkoperation_sla_slainvokedid";
        /// <summary>Parent: "SLA" Child: "CampaignActivity" Lookup: "SLAId"</summary>
        public const string Rel1M_CampaignactivitySlaSlaId = "campaignactivity_sla_slaid";
        /// <summary>Parent: "SLA" Child: "CampaignActivity" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_CampaignactivitySlaSlaInvokedId = "campaignactivity_sla_slainvokedid";
        /// <summary>Parent: "SLA" Child: "CampaignResponse" Lookup: "SLAId"</summary>
        public const string Rel1M_CampaignresponseSlaSlaId = "campaignresponse_sla_slaid";
        /// <summary>Parent: "SLA" Child: "CampaignResponse" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_CampaignresponseSlaSlaInvokedId = "campaignresponse_sla_slainvokedid";
        /// <summary>Parent: "SLA" Child: "Incident" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaCases = "manualsla_cases";
        /// <summary>Parent: "SLA" Child: "Incident" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaCases = "sla_cases";
        /// <summary>Parent: "SLA" Child: "IncidentResolution" Lookup: "SLAId"</summary>
        public const string Rel1M_IncidentresolutionSlaSlaId = "incidentresolution_sla_slaid";
        /// <summary>Parent: "SLA" Child: "IncidentResolution" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_IncidentresolutionSlaSlaInvokedId = "incidentresolution_sla_slainvokedid";
        /// <summary>Parent: "SLA" Child: "ServiceAppointment" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaServiceappointment = "manualsla_serviceappointment";
        /// <summary>Parent: "SLA" Child: "ServiceAppointment" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaServiceappointment = "sla_serviceappointment";
        /// <summary>Parent: "SLA" Child: "Entitlement" Lookup: "SLAId"</summary>
        public const string Rel1M_SlaEntitlement = "sla_entitlement";
        /// <summary>Parent: "SLA" Child: "EntitlementTemplate" Lookup: "SLAId"</summary>
        public const string Rel1M_SlaEntitlementtemplate = "sla_entitlementtemplate";
        /// <summary>Parent: "SLA" Child: "OpportunityClose" Lookup: "SLAId"</summary>
        public const string Rel1M_OpportunitycloseSlaSlaId = "opportunityclose_sla_slaid";
        /// <summary>Parent: "SLA" Child: "OpportunityClose" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_OpportunitycloseSlaSlaInvokedId = "opportunityclose_sla_slainvokedid";
        /// <summary>Parent: "SLA" Child: "OrderClose" Lookup: "SLAId"</summary>
        public const string Rel1M_OrdercloseSlaSlaId = "orderclose_sla_slaid";
        /// <summary>Parent: "SLA" Child: "OrderClose" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_OrdercloseSlaSlaInvokedId = "orderclose_sla_slainvokedid";
        /// <summary>Parent: "SLA" Child: "QuoteClose" Lookup: "SLAId"</summary>
        public const string Rel1M_QuotecloseSlaSlaId = "quoteclose_sla_slaid";
        /// <summary>Parent: "SLA" Child: "QuoteClose" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_QuotecloseSlaSlaInvokedId = "quoteclose_sla_slainvokedid";
        /// <summary>Parent: "SLA" Child: "Invoice" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaInvoice = "sla_invoice";
        /// <summary>Parent: "SLA" Child: "SalesOrder" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaSalesorder = "manualsla_salesorder";
        /// <summary>Parent: "SLA" Child: "SalesOrder" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaSalesorder = "sla_salesorder";
        /// <summary>Parent: "SLA" Child: "Quote" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaQuote = "manualsla_quote";
        /// <summary>Parent: "SLA" Child: "Quote" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaQuote = "sla_quote";
        /// <summary>Parent: "SLA" Child: "Opportunity" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaOpportunity = "manualsla_opportunity";
        /// <summary>Parent: "SLA" Child: "Opportunity" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaOpportunity = "sla_opportunity";
        /// <summary>Parent: "SLA" Child: "Invoice" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaInvoice = "manualsla_invoice";
        /// <summary>Parent: "SLA" Child: "MsfpSurveyinvite" Lookup: "SLAId"</summary>
        public const string Rel1M_MsfpSurveyinviteSlaSlaId = "msfp_surveyinvite_sla_slaid";
        /// <summary>Parent: "SLA" Child: "MsfpSurveyinvite" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_MsfpSurveyinviteSlaSlaInvokedId = "msfp_surveyinvite_sla_slainvokedid";
        /// <summary>Parent: "SLA" Child: "MsfpSurveyresponse" Lookup: "SLAId"</summary>
        public const string Rel1M_MsfpSurveyresponseSlaSlaId = "msfp_surveyresponse_sla_slaid";
        /// <summary>Parent: "SLA" Child: "MsfpSurveyresponse" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_MsfpSurveyresponseSlaSlaInvokedId = "msfp_surveyresponse_sla_slainvokedid";
        /// <summary>Parent: "SLA" Child: "MsdynBookingalert" Lookup: "SLAId"</summary>
        public const string Rel1M_MsdynBookingalertSlaSlaId = "msdyn_bookingalert_sla_slaid";
        /// <summary>Parent: "SLA" Child: "MsdynBookingalert" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_MsdynBookingalertSlaSlaInvokedId = "msdyn_bookingalert_sla_slainvokedid";
        /// <summary>Parent: "SLA" Child: "MsdynApproval" Lookup: "SLAId"</summary>
        public const string Rel1M_MsdynApprovalSlaSlaId = "msdyn_approval_sla_slaid";
        /// <summary>Parent: "SLA" Child: "MsdynApproval" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_MsdynApprovalSlaSlaInvokedId = "msdyn_approval_sla_slainvokedid";
        /// <summary>Parent: "SLA" Child: "SocialActivity" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaSocialactivity = "sla_socialactivity";
        /// <summary>Parent: "SLA" Child: "Contact" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaContact = "manualsla_contact";
        /// <summary>Parent: "SLA" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SlabaseBulkDeleteFailures = "slabase_BulkDeleteFailures";
        /// <summary>Parent: "SLA" Child: "Fax" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaFax = "manualsla_fax";
        /// <summary>Parent: "SLA" Child: "ActivityPointer" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaActivitypointer = "manualsla_activitypointer";
        /// <summary>Parent: "SLA" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SlabaseAsyncOperations = "slabase_AsyncOperations";
        /// <summary>Parent: "SLA" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_SlaAnnotation = "sla_Annotation";
        /// <summary>Parent: "SLA" Child: "Task" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaTask = "sla_task";
        /// <summary>Parent: "SLA" Child: "ActivityPointer" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaActivitypointer = "sla_activitypointer";
        /// <summary>Parent: "SLA" Child: "Task" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaTask = "manualsla_task";
        /// <summary>Parent: "SLA" Child: "Account" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaAccount = "manualsla_account";
        /// <summary>Parent: "SLA" Child: "Letter" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaLetter = "sla_letter";
        /// <summary>Parent: "SLA" Child: "PhoneCall" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaPhoneCall = "manualsla_phonecall";
        /// <summary>Parent: "SLA" Child: "EMail" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaEMail = "sla_email";
        /// <summary>Parent: "SLA" Child: "Appointment" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaAppointment = "sla_appointment";
        /// <summary>Parent: "SLA" Child: "SLAItem" Lookup: "SLAId"</summary>
        public const string Rel1M_SlaSlaitemSlaId = "sla_slaitem_slaId";
        /// <summary>Parent: "SLA" Child: "Account" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaAccount = "sla_account";
        /// <summary>Parent: "SLA" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SLASyncErrors = "SLA_SyncErrors";
        /// <summary>Parent: "SLA" Child: "Letter" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaLetter = "manualsla_letter";
        /// <summary>Parent: "SLA" Child: "Appointment" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaAppointment = "manualsla_appointment";
        /// <summary>Parent: "SLA" Child: "SocialActivity" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaSocialactivity = "manualsla_socialactivity";
        /// <summary>Parent: "SLA" Child: "Fax" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaFax = "sla_fax";
        /// <summary>Parent: "SLA" Child: "Contact" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaContact = "sla_contact";
        /// <summary>Parent: "SLA" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SlabaseProcessSessions = "slabase_ProcessSessions";
        /// <summary>Parent: "SLA" Child: "PhoneCall" Lookup: "SLAInvokedId"</summary>
        public const string Rel1M_SlaPhoneCall = "sla_phonecall";
        /// <summary>Parent: "SLA" Child: "EMail" Lookup: "SLAId"</summary>
        public const string Rel1M_ManualslaEMail = "manualsla_email";

        #endregion Relationships
    }
}
