// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : SLAKPIInstance.cs
// Created   : 2019-04-26 10:47:56
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: SLA KPI Instance, OwnershipType: UserOwned, IntroducedVersion: 7.0.0.0</summary>
    /// <remarks>Service level agreement (SLA) key performance indicator (KPI) instance that is tracked for an individual case</remarks>
    public static class SLAKPIInstance
    {
        public const string EntityName = "slakpiinstance";

        #region Relationships

        /// <summary>Parent: "Lead" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceLead = "slakpiinstance_lead";
        /// <summary>Parent: "Incident" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceIncident = "slakpiinstance_incident";
        /// <summary>Parent: "ServiceAppointment" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceServiceappointment = "slakpiinstance_serviceappointment";
        /// <summary>Parent: "Invoice" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceInvoice = "slakpiinstance_invoice";
        /// <summary>Parent: "Opportunity" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceOpportunity = "slakpiinstance_opportunity";
        /// <summary>Parent: "Quote" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceQuote = "slakpiinstance_quote";
        /// <summary>Parent: "SalesOrder" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceSalesorder = "slakpiinstance_salesorder";
        /// <summary>Parent: "ActivityPointer" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceActivitypointer = "slakpiinstance_activitypointer";
        /// <summary>Parent: "Owner" Child: "SLAKPIInstance" Lookup: "OwnerId"</summary>
        public const string RelM1_SlakpiinstanceOwner = "slakpiinstance_owner";
        /// <summary>Parent: "EMail" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceEMail = "slakpiinstance_email";
        /// <summary>Parent: "Fax" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceFax = "slakpiinstance_fax";
        /// <summary>Parent: "SystemUser" Child: "SLAKPIInstance" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkSlakpiinstancebaseCreatedOnBehalfBy = "lk_slakpiinstancebase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SLAKPIInstance" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkSlakpiinstancebaseModifiedOnBehalfBy = "lk_slakpiinstancebase_modifiedonbehalfby";
        /// <summary>Parent: "Account" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceAccount = "slakpiinstance_account";
        /// <summary>Parent: "Letter" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceLetter = "slakpiinstance_letter";
        /// <summary>Parent: "PhoneCall" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstancePhoneCall = "slakpiinstance_phonecall";
        /// <summary>Parent: "BusinessUnit" Child: "SLAKPIInstance" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitSlakpiinstance = "business_unit_slakpiinstance";
        /// <summary>Parent: "SocialActivity" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceSocialactivity = "slakpiinstance_socialactivity";
        /// <summary>Parent: "Task" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceTask = "slakpiinstance_task";
        /// <summary>Parent: "SystemUser" Child: "SLAKPIInstance" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkSlakpiinstancebaseModifiedBy = "lk_slakpiinstancebase_modifiedby";
        /// <summary>Parent: "TransactionCurrency" Child: "SLAKPIInstance" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactionCurrencySlakpiinstance = "TransactionCurrency_slakpiinstance";
        /// <summary>Parent: "Contact" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceContact = "slakpiinstance_contact";
        /// <summary>Parent: "SystemUser" Child: "SLAKPIInstance" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkSlakpiinstancebaseCreatedBy = "lk_slakpiinstancebase_createdby";
        /// <summary>Parent: "Appointment" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string RelM1_SlakpiinstanceAppointment = "slakpiinstance_appointment";
        /// <summary>Parent: "SLAKPIInstance" Child: "Incident" Lookup: "FirstResponseByKPIId"</summary>
        public const string Rel1M_SlakpiinstanceIncidentFirstResponsebykpi = "slakpiinstance_incident_firstresponsebykpi";
        /// <summary>Parent: "SLAKPIInstance" Child: "Incident" Lookup: "ResolveByKPIId"</summary>
        public const string Rel1M_SlakpiinstanceIncidentResolvebykpi = "slakpiinstance_incident_resolvebykpi";
        /// <summary>Parent: "SLAKPIInstance" Child: "MsdynWorkorder" Lookup: "MsdynWorkorderArrivaltimekpiId"</summary>
        public const string Rel1M_MsdynSlakpiinstanceMsdynWorkorderArrivalTimekpi = "msdyn_slakpiinstance_msdyn_workorder_arrival_timekpi";
        /// <summary>Parent: "SLAKPIInstance" Child: "MsdynWorkorder" Lookup: "MsdynWorkorderResolutionkpiId"</summary>
        public const string Rel1M_MsdynSlakpiinstanceMsdynWorkorderResolutionkpiId = "msdyn_slakpiinstance_msdyn_workorder_resolutionkpiid";
        /// <summary>Parent: "SLAKPIInstance" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SLAKPIInstanceSyncErrors = "SLAKPIInstance_SyncErrors";

        #endregion Relationships
    }
}
