// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : ServiceActivity.cs
// Created   : 2019-04-26 10:47:56
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Service Activity, OwnershipType: UserOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Activity offered by the organization to satisfy its customer's needs. Each service activity includes date, time, duration, and required resources.</remarks>
    public static class ServiceAppointment
    {
        public const string EntityName = "serviceappointment";

        #region Relationships

        /// <summary>Parent: "Lead" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_LeadServiceAppointments = "Lead_ServiceAppointments";
        /// <summary>Parent: "BookableResourceBooking" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BookableresourcebookingServiceAppointments = "bookableresourcebooking_ServiceAppointments";
        /// <summary>Parent: "BookableResourceBookingHeader" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BookableresourcebookingheaderServiceAppointments = "bookableresourcebookingheader_ServiceAppointments";
        /// <summary>Parent: "BulkOperation" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_BulkoperationServiceAppointments = "bulkoperation_ServiceAppointments";
        /// <summary>Parent: "Campaign" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_CampaignServiceAppointments = "Campaign_ServiceAppointments";
        /// <summary>Parent: "CampaignActivity" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_CampaignactivityServiceAppointments = "campaignactivity_ServiceAppointments";
        /// <summary>Parent: "Contract" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_ContractServiceAppointments = "Contract_ServiceAppointments";
        /// <summary>Parent: "Entitlement" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_EntitlementServiceAppointments = "entitlement_ServiceAppointments";
        /// <summary>Parent: "EntitlementTemplate" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_EntitlementtemplateServiceAppointments = "entitlementtemplate_ServiceAppointments";
        /// <summary>Parent: "Incident" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_IncidentServiceAppointments = "Incident_ServiceAppointments";
        /// <summary>Parent: "InteractionForEMail" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_InteractionforeMailServiceAppointments = "interactionforemail_ServiceAppointments";
        /// <summary>Parent: "KnowledgeBaseRecord" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_KnowledgeBaseRecordServiceAppointments = "KnowledgeBaseRecord_ServiceAppointments";
        /// <summary>Parent: "Account" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_AccountServiceAppointments = "Account_ServiceAppointments";
        /// <summary>Parent: "SystemUser" Child: "ServiceAppointment" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkServiceappointmentCreatedBy = "lk_serviceappointment_createdby";
        /// <summary>Parent: "Contact" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_ContactServiceAppointments = "Contact_ServiceAppointments";
        /// <summary>Parent: "MailBox" Child: "ServiceAppointment" Lookup: "SenderMailBoxId"</summary>
        public const string RelM1_ServiceappointmentMailBoxSenderMailBoxId = "serviceappointment_mailbox_sendermailboxid";
        /// <summary>Parent: "TransactionCurrency" Child: "ServiceAppointment" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactionCurrencyServiceAppointment = "TransactionCurrency_ServiceAppointment";
        /// <summary>Parent: "Owner" Child: "ServiceAppointment" Lookup: "OwnerId"</summary>
        public const string RelM1_ServiceappointmentOwnerOwnerId = "serviceappointment_owner_ownerid";
        /// <summary>Parent: "SystemUser" Child: "ServiceAppointment" Lookup: ""</summary>
        public const string RelM1_SystemUserServiceAppointments = "system_user_service_appointments";
        /// <summary>Parent: "SLA" Child: "ServiceAppointment" Lookup: "SLAId"</summary>
        public const string RelM1_ManualslaServiceappointment = "manualsla_serviceappointment";
        /// <summary>Parent: "BusinessUnit" Child: "ServiceAppointment" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitServiceAppointments = "business_unit_service_appointments";
        /// <summary>Parent: "KnowledgeArticle" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_KnowledgeArticleServiceAppointments = "KnowledgeArticle_ServiceAppointments";
        /// <summary>Parent: "SystemUser" Child: "ServiceAppointment" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkServiceappointmentModifiedOnBehalfBy = "lk_serviceappointment_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ServiceAppointment" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkServiceappointmentCreatedOnBehalfBy = "lk_serviceappointment_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ServiceAppointment" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkServiceappointmentModifiedBy = "lk_serviceappointment_modifiedby";
        /// <summary>Parent: "Team" Child: "ServiceAppointment" Lookup: ""</summary>
        public const string RelM1_TeamServiceAppointments = "team_service_appointments";
        /// <summary>Parent: "SLA" Child: "ServiceAppointment" Lookup: "SLAInvokedId"</summary>
        public const string RelM1_SlaServiceappointment = "sla_serviceappointment";
        /// <summary>Parent: "ActivityPointer" Child: "ServiceAppointment" Lookup: "ActivityId"</summary>
        public const string RelM1_ActivityPointerServiceAppointment = "activity_pointer_service_appointment";
        /// <summary>Parent: "Site" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_SiteServiceAppointments = "site_ServiceAppointments";
        /// <summary>Parent: "Service" Child: "ServiceAppointment" Lookup: "ServiceId"</summary>
        public const string RelM1_ServiceServiceAppointments = "service_service_appointments";
        /// <summary>Parent: "Site" Child: "ServiceAppointment" Lookup: "SiteId"</summary>
        public const string RelM1_SiteServiceAppointments = "site_service_appointments";
        /// <summary>Parent: "MsdynPlaybookinstance" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPlaybookinstanceServiceAppointments = "msdyn_playbookinstance_ServiceAppointments";
        /// <summary>Parent: "Invoice" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_InvoiceServiceAppointments = "Invoice_ServiceAppointments";
        /// <summary>Parent: "Opportunity" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_OpportunityServiceAppointments = "Opportunity_ServiceAppointments";
        /// <summary>Parent: "Quote" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_QuoteServiceAppointments = "Quote_ServiceAppointments";
        /// <summary>Parent: "SalesOrder" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_SalesOrderServiceAppointments = "SalesOrder_ServiceAppointments";
        /// <summary>Parent: "MsdynPostAlBum" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPostalBumServiceAppointments = "msdyn_postalbum_ServiceAppointments";
        /// <summary>Parent: "MsdynBookingalertStatus" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynBookingalertStatusServiceAppointments = "msdyn_bookingalertstatus_ServiceAppointments";
        /// <summary>Parent: "MsdynBookingrule" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynBookingruleServiceAppointments = "msdyn_bookingrule_ServiceAppointments";
        /// <summary>Parent: "MsdynResourceTerritory" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynResourceTerritoryServiceAppointments = "msdyn_resourceterritory_ServiceAppointments";
        /// <summary>Parent: "MsdynSystemUserSchedulersetting" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynSystemUserSchedulersettingServiceAppointments = "msdyn_systemuserschedulersetting_ServiceAppointments";
        /// <summary>Parent: "MsdynTimegroup" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynTimegroupServiceAppointments = "msdyn_timegroup_ServiceAppointments";
        /// <summary>Parent: "MsdynTimegroupdetail" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynTimegroupdetailServiceAppointments = "msdyn_timegroupdetail_ServiceAppointments";
        /// <summary>Parent: "MsdynProcessnotes" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynProcessnotesServiceAppointments = "msdyn_processnotes_ServiceAppointments";
        /// <summary>Parent: "MsdynProjectteam" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynProjectteamServiceAppointments = "msdyn_projectteam_ServiceAppointments";
        /// <summary>Parent: "MsdynAgreement" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementServiceAppointments = "msdyn_agreement_ServiceAppointments";
        /// <summary>Parent: "MsdynAgreementbookingdate" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingdateServiceAppointments = "msdyn_agreementbookingdate_ServiceAppointments";
        /// <summary>Parent: "MsdynAgreementbookingincident" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingincidentServiceAppointments = "msdyn_agreementbookingincident_ServiceAppointments";
        /// <summary>Parent: "MsdynAgreementbookingproduct" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingproductServiceAppointments = "msdyn_agreementbookingproduct_ServiceAppointments";
        /// <summary>Parent: "MsdynAgreementbookingservice" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingserviceServiceAppointments = "msdyn_agreementbookingservice_ServiceAppointments";
        /// <summary>Parent: "MsdynAgreementbookingservicetask" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingservicetaskServiceAppointments = "msdyn_agreementbookingservicetask_ServiceAppointments";
        /// <summary>Parent: "MsdynAgreementbookingsetup" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementbookingsetupServiceAppointments = "msdyn_agreementbookingsetup_ServiceAppointments";
        /// <summary>Parent: "MsdynAgreementinvoicedate" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementinvoicedateServiceAppointments = "msdyn_agreementinvoicedate_ServiceAppointments";
        /// <summary>Parent: "MsdynAgreementinvoiceproduct" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementinvoiceproductServiceAppointments = "msdyn_agreementinvoiceproduct_ServiceAppointments";
        /// <summary>Parent: "MsdynAgreementinvoicesetup" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynAgreementinvoicesetupServiceAppointments = "msdyn_agreementinvoicesetup_ServiceAppointments";
        /// <summary>Parent: "MsdynBookingtimestamp" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynBookingtimestampServiceAppointments = "msdyn_bookingtimestamp_ServiceAppointments";
        /// <summary>Parent: "MsdynCustomerAsset" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynCustomerAssetServiceAppointments = "msdyn_customerasset_ServiceAppointments";
        /// <summary>Parent: "MsdynFieldservicesetting" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynFieldservicesettingServiceAppointments = "msdyn_fieldservicesetting_ServiceAppointments";
        /// <summary>Parent: "MsdynIncidentTypeCharacteristic" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynIncidentTypeCharacteristicServiceAppointments = "msdyn_incidenttypecharacteristic_ServiceAppointments";
        /// <summary>Parent: "MsdynIncidentTypeProduct" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynIncidentTypeProductServiceAppointments = "msdyn_incidenttypeproduct_ServiceAppointments";
        /// <summary>Parent: "MsdynIncidentTypeService" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynIncidentTypeServiceServiceAppointments = "msdyn_incidenttypeservice_ServiceAppointments";
        /// <summary>Parent: "MsdynInventoryadjustment" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynInventoryadjustmentServiceAppointments = "msdyn_inventoryadjustment_ServiceAppointments";
        /// <summary>Parent: "MsdynInventoryadjustmentproduct" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynInventoryadjustmentproductServiceAppointments = "msdyn_inventoryadjustmentproduct_ServiceAppointments";
        /// <summary>Parent: "MsdynInventoryjournal" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynInventoryjournalServiceAppointments = "msdyn_inventoryjournal_ServiceAppointments";
        /// <summary>Parent: "MsdynInventorytransfer" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynInventorytransferServiceAppointments = "msdyn_inventorytransfer_ServiceAppointments";
        /// <summary>Parent: "MsdynPayment" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPaymentServiceAppointments = "msdyn_payment_ServiceAppointments";
        /// <summary>Parent: "MsdynPaymentdetail" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPaymentdetailServiceAppointments = "msdyn_paymentdetail_ServiceAppointments";
        /// <summary>Parent: "MsdynPaymentMethod" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPaymentMethodServiceAppointments = "msdyn_paymentmethod_ServiceAppointments";
        /// <summary>Parent: "MsdynPaymentterm" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPaymenttermServiceAppointments = "msdyn_paymentterm_ServiceAppointments";
        /// <summary>Parent: "MsdynPostalCode" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPostalCodeServiceAppointments = "msdyn_postalcode_ServiceAppointments";
        /// <summary>Parent: "MsdynProductinventory" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynProductinventoryServiceAppointments = "msdyn_productinventory_ServiceAppointments";
        /// <summary>Parent: "MsdynPurchaseorder" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPurchaseorderServiceAppointments = "msdyn_purchaseorder_ServiceAppointments";
        /// <summary>Parent: "MsdynPurchaseorderbill" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPurchaseorderbillServiceAppointments = "msdyn_purchaseorderbill_ServiceAppointments";
        /// <summary>Parent: "MsdynPurchaseorderproduct" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPurchaseorderproductServiceAppointments = "msdyn_purchaseorderproduct_ServiceAppointments";
        /// <summary>Parent: "MsdynPurchaseorderreceipt" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPurchaseorderreceiptServiceAppointments = "msdyn_purchaseorderreceipt_ServiceAppointments";
        /// <summary>Parent: "MsdynPurchaseorderreceiptproduct" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPurchaseorderreceiptproductServiceAppointments = "msdyn_purchaseorderreceiptproduct_ServiceAppointments";
        /// <summary>Parent: "MsdynPurchaseordersubStatus" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynPurchaseordersubStatusServiceAppointments = "msdyn_purchaseordersubstatus_ServiceAppointments";
        /// <summary>Parent: "MsdynQuotebookingincident" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynQuotebookingincidentServiceAppointments = "msdyn_quotebookingincident_ServiceAppointments";
        /// <summary>Parent: "MsdynQuotebookingproduct" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynQuotebookingproductServiceAppointments = "msdyn_quotebookingproduct_ServiceAppointments";
        /// <summary>Parent: "MsdynQuotebookingservice" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynQuotebookingserviceServiceAppointments = "msdyn_quotebookingservice_ServiceAppointments";
        /// <summary>Parent: "MsdynQuotebookingservicetask" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynQuotebookingservicetaskServiceAppointments = "msdyn_quotebookingservicetask_ServiceAppointments";
        /// <summary>Parent: "MsdynRma" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRmaServiceAppointments = "msdyn_rma_ServiceAppointments";
        /// <summary>Parent: "MsdynRmaproduct" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRmaproductServiceAppointments = "msdyn_rmaproduct_ServiceAppointments";
        /// <summary>Parent: "MsdynRmareceipt" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRmareceiptServiceAppointments = "msdyn_rmareceipt_ServiceAppointments";
        /// <summary>Parent: "MsdynRmareceiptproduct" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRmareceiptproductServiceAppointments = "msdyn_rmareceiptproduct_ServiceAppointments";
        /// <summary>Parent: "MsdynRmasubStatus" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRmasubStatusServiceAppointments = "msdyn_rmasubstatus_ServiceAppointments";
        /// <summary>Parent: "MsdynRtv" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRtvServiceAppointments = "msdyn_rtv_ServiceAppointments";
        /// <summary>Parent: "MsdynRtvproduct" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRtvproductServiceAppointments = "msdyn_rtvproduct_ServiceAppointments";
        /// <summary>Parent: "MsdynRtvsubStatus" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynRtvsubStatusServiceAppointments = "msdyn_rtvsubstatus_ServiceAppointments";
        /// <summary>Parent: "MsdynShipvia" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynShipviaServiceAppointments = "msdyn_shipvia_ServiceAppointments";
        /// <summary>Parent: "MsdynTimeoffrequest" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynTimeoffrequestServiceAppointments = "msdyn_timeoffrequest_ServiceAppointments";
        /// <summary>Parent: "MsdynWarehouse" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWarehouseServiceAppointments = "msdyn_warehouse_ServiceAppointments";
        /// <summary>Parent: "MsdynWorkorder" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderServiceAppointments = "msdyn_workorder_ServiceAppointments";
        /// <summary>Parent: "MsdynWorkorderCharacteristic" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderCharacteristicServiceAppointments = "msdyn_workordercharacteristic_ServiceAppointments";
        /// <summary>Parent: "MsdynWorkorderIncident" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderIncidentServiceAppointments = "msdyn_workorderincident_ServiceAppointments";
        /// <summary>Parent: "MsdynWorkorderProduct" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderProductServiceAppointments = "msdyn_workorderproduct_ServiceAppointments";
        /// <summary>Parent: "MsdynWorkorderResourcerestriction" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderResourcerestrictionServiceAppointments = "msdyn_workorderresourcerestriction_ServiceAppointments";
        /// <summary>Parent: "MsdynWorkorderService" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderServiceServiceAppointments = "msdyn_workorderservice_ServiceAppointments";
        /// <summary>Parent: "MsdynWorkorderServicetask" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string RelM1_MsdynWorkorderServicetaskServiceAppointments = "msdyn_workorderservicetask_ServiceAppointments";
        /// <summary>Parent: "ServiceAppointment" Child: "ActivityParty" Lookup: "ActivityId"</summary>
        public const string Rel1M_ServiceappointmentActivityParties = "serviceappointment_activity_parties";
        /// <summary>Parent: "ServiceAppointment" Child: "CampaignResponse" Lookup: "OriginatingActivityId"</summary>
        public const string Rel1M_CampaignResponseServiceAppointments = "CampaignResponse_ServiceAppointments";
        /// <summary>Parent: "ServiceAppointment" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ServiceAppointmentSyncErrors = "ServiceAppointment_SyncErrors";
        /// <summary>Parent: "ServiceAppointment" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ServiceAppointmentAsyncOperations = "ServiceAppointment_AsyncOperations";
        /// <summary>Parent: "ServiceAppointment" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ServiceappointmentMailBoxTrackingFolders = "serviceappointment_MailboxTrackingFolders";
        /// <summary>Parent: "ServiceAppointment" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ServiceAppointmentProcessSessions = "ServiceAppointment_ProcessSessions";
        /// <summary>Parent: "ServiceAppointment" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ServiceAppointmentBulkDeleteFailures = "ServiceAppointment_BulkDeleteFailures";
        /// <summary>Parent: "ServiceAppointment" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_ServiceappointmentPrincipalobjectattributeaccess = "serviceappointment_principalobjectattributeaccess";
        /// <summary>Parent: "ServiceAppointment" Child: "Connection" Lookup: "Record1Id"</summary>
        public const string Rel1M_ServiceappointmentConnections1 = "serviceappointment_connections1";
        /// <summary>Parent: "ServiceAppointment" Child: "Connection" Lookup: "Record2Id"</summary>
        public const string Rel1M_ServiceappointmentConnections2 = "serviceappointment_connections2";
        /// <summary>Parent: "ServiceAppointment" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string Rel1M_ServiceAppointmentQueueItem = "ServiceAppointment_QueueItem";
        /// <summary>Parent: "ServiceAppointment" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_ServiceAppointmentAnnotation = "ServiceAppointment_Annotation";
        /// <summary>Parent: "ServiceAppointment" Child: "ActionCard" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_ServiceappointmentActioncard = "serviceappointment_actioncard";
        /// <summary>Parent: "ServiceAppointment" Child: "SLAKPIInstance" Lookup: "Regarding"</summary>
        public const string Rel1M_SlakpiinstanceServiceappointment = "slakpiinstance_serviceappointment";

        #endregion Relationships
    }
}
