// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : SocialProfile.cs
// Created   : 2019-04-26 10:47:57
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Social Profile, OwnershipType: UserOwned, IntroducedVersion: 6.1.0.0</summary>
    /// <remarks>This entity is used to store social profile information of its associated account and contacts on different social channels.</remarks>
    public static class SocialProfile
    {
        public const string EntityName = "socialprofile";

        #region Relationships

        /// <summary>Parent: "TransactionCurrency" Child: "SocialProfile" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactioncurrencySocialProfile = "transactioncurrency_SocialProfile";
        /// <summary>Parent: "BusinessUnit" Child: "SocialProfile" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitSocialprofiles = "business_unit_socialprofiles";
        /// <summary>Parent: "Contact" Child: "SocialProfile" Lookup: "CustomerId"</summary>
        public const string RelM1_SocialprofileCustomerContactS = "Socialprofile_customer_contacts";
        /// <summary>Parent: "SystemUser" Child: "SocialProfile" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkSocialProfileCreatedOnBehalfBy = "lk_SocialProfile_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SocialProfile" Lookup: ""</summary>
        public const string RelM1_SocialProfileOwningUser = "socialProfile_owning_user";
        /// <summary>Parent: "SystemUser" Child: "SocialProfile" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkSocialProfileModifiedOnBehalfBy = "lk_SocialProfile_modifiedonbehalfby";
        /// <summary>Parent: "Owner" Child: "SocialProfile" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerSocialProfile = "owner_SocialProfile";
        /// <summary>Parent: "Account" Child: "SocialProfile" Lookup: "CustomerId"</summary>
        public const string RelM1_SocialprofileCustomerAccountS = "Socialprofile_customer_accounts";
        /// <summary>Parent: "SocialProfile" Child: "Incident" Lookup: "SocialProfileId"</summary>
        public const string Rel1M_SocialprofileCases = "socialprofile_cases";
        /// <summary>Parent: "SocialProfile" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SocialProfileProcessSessions = "SocialProfile_ProcessSessions";
        /// <summary>Parent: "SocialProfile" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_SocialProfileDuplicateBaseRecord = "SocialProfile_DuplicateBaseRecord";
        /// <summary>Parent: "SocialProfile" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_SocialProfileDuplicateMatchingRecord = "SocialProfile_DuplicateMatchingRecord";
        /// <summary>Parent: "SocialProfile" Child: "SocialActivity" Lookup: "PostFromProfileId"</summary>
        public const string Rel1M_SocialprofileSocialActivities = "Socialprofile_SocialActivities";
        /// <summary>Parent: "SocialProfile" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_SocialprofilePrincipalobjectattributeaccess = "socialprofile_principalobjectattributeaccess";
        /// <summary>Parent: "SocialProfile" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SocialProfileSyncErrors = "SocialProfile_SyncErrors";
        /// <summary>Parent: "SocialProfile" Child: "Connection" Lookup: "Record2Id"</summary>
        public const string Rel1M_SocialprofileConnections2 = "socialprofile_connections2";
        /// <summary>Parent: "SocialProfile" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SocialProfileAsyncOperations = "SocialProfile_AsyncOperations";
        /// <summary>Parent: "SocialProfile" Child: "Connection" Lookup: "Record1Id"</summary>
        public const string Rel1M_SocialprofileConnections1 = "socialprofile_connections1";

        #endregion Relationships
    }
}
