// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : TaxCode.cs
// Created   : 2019-04-26 10:47:58
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Tax Code, OwnershipType: UserOwned, IntroducedVersion: 3.1.0.3</summary>
    /// <remarks>Store tax related information. Each tax code could contain multiple child tax codes, and in that case the tax rate will be determined by the total tax of all children.</remarks>
    public static class MsdynTaxCode
    {
        public const string EntityName = "msdyn_taxcode";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCode" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkMsdynTaxCodeCreatedBy = "lk_msdyn_taxcode_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCode" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkMsdynTaxCodeCreatedOnBehalfBy = "lk_msdyn_taxcode_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCode" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkMsdynTaxCodeModifiedBy = "lk_msdyn_taxcode_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCode" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkMsdynTaxCodeModifiedOnBehalfBy = "lk_msdyn_taxcode_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCode" Lookup: ""</summary>
        public const string RelM1_UserMsdynTaxCode = "user_msdyn_taxcode";
        /// <summary>Parent: "Team" Child: "MsdynTaxCode" Lookup: ""</summary>
        public const string RelM1_TeamMsdynTaxCode = "team_msdyn_taxcode";
        /// <summary>Parent: "Owner" Child: "MsdynTaxCode" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerMsdynTaxCode = "owner_msdyn_taxcode";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynTaxCode" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitMsdynTaxCode = "business_unit_msdyn_taxcode";
        /// <summary>Parent: "MsdynTaxCode" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynTaxCodeSyncErrors = "msdyn_taxcode_SyncErrors";
        /// <summary>Parent: "MsdynTaxCode" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_MsdynTaxCodeDuplicateMatchingRecord = "msdyn_taxcode_DuplicateMatchingRecord";
        /// <summary>Parent: "MsdynTaxCode" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_MsdynTaxCodeDuplicateBaseRecord = "msdyn_taxcode_DuplicateBaseRecord";
        /// <summary>Parent: "MsdynTaxCode" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynTaxCodeAsyncOperations = "msdyn_taxcode_AsyncOperations";
        /// <summary>Parent: "MsdynTaxCode" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynTaxCodeMailBoxTrackingFolders = "msdyn_taxcode_MailboxTrackingFolders";
        /// <summary>Parent: "MsdynTaxCode" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynTaxCodeProcessSession = "msdyn_taxcode_ProcessSession";
        /// <summary>Parent: "MsdynTaxCode" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynTaxCodeBulkDeleteFailures = "msdyn_taxcode_BulkDeleteFailures";
        /// <summary>Parent: "MsdynTaxCode" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_MsdynTaxCodePrincipalObjectAttributeAccesses = "msdyn_taxcode_PrincipalObjectAttributeAccesses";
        /// <summary>Parent: "MsdynTaxCode" Child: "Connection" Lookup: "Record1Id"</summary>
        public const string Rel1M_MsdynTaxCodeConnections1 = "msdyn_taxcode_connections1";
        /// <summary>Parent: "MsdynTaxCode" Child: "Connection" Lookup: "Record2Id"</summary>
        public const string Rel1M_MsdynTaxCodeConnections2 = "msdyn_taxcode_connections2";
        /// <summary>Parent: "MsdynTaxCode" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_MsdynTaxCodeAnnotations = "msdyn_taxcode_Annotations";
        /// <summary>Parent: "MsdynTaxCode" Child: "Account" Lookup: "MsdynSalesTaxCode"</summary>
        public const string Rel1M_MsdynMsdynTaxCodeAccountSalesTaxCode = "msdyn_msdyn_taxcode_account_SalesTaxCode";
        /// <summary>Parent: "MsdynTaxCode" Child: "MsdynActual" Lookup: "MsdynTaxCode"</summary>
        public const string Rel1M_MsdynMsdynTaxCodeMsdynActualTaxCode = "msdyn_msdyn_taxcode_msdyn_actual_TaxCode";
        /// <summary>Parent: "MsdynTaxCode" Child: "MsdynAgreement" Lookup: "MsdynSalesTaxCode"</summary>
        public const string Rel1M_MsdynMsdynTaxCodeMsdynAgreementSalesTaxCode = "msdyn_msdyn_taxcode_msdyn_agreement_SalesTaxCode";
        /// <summary>Parent: "MsdynTaxCode" Child: "MsdynPurchaseorderbill" Lookup: "MsdynTaxCode"</summary>
        public const string Rel1M_MsdynMsdynTaxCodeMsdynPurchaseorderbillTaxCode = "msdyn_msdyn_taxcode_msdyn_purchaseorderbill_TaxCode";
        /// <summary>Parent: "MsdynTaxCode" Child: "MsdynRma" Lookup: "MsdynTaxCode"</summary>
        public const string Rel1M_MsdynMsdynTaxCodeMsdynRmaTaxCode = "msdyn_msdyn_taxcode_msdyn_rma_TaxCode";
        /// <summary>Parent: "MsdynTaxCode" Child: "MsdynRtv" Lookup: "MsdynTaxCode"</summary>
        public const string Rel1M_MsdynMsdynTaxCodeMsdynRtvTaxCode = "msdyn_msdyn_taxcode_msdyn_rtv_TaxCode";
        /// <summary>Parent: "MsdynTaxCode" Child: "MsdynTaxCodeDetail" Lookup: "MsdynParentTaxCode"</summary>
        public const string Rel1M_MsdynMsdynTaxCodeMsdynTaxCodeDetailParentTaxCode = "msdyn_msdyn_taxcode_msdyn_taxcodedetail_ParentTaxCode";
        /// <summary>Parent: "MsdynTaxCode" Child: "MsdynTaxCodeDetail" Lookup: "MsdynTaxCode"</summary>
        public const string Rel1M_MsdynMsdynTaxCodeMsdynTaxCodeDetailTaxCode = "msdyn_msdyn_taxcode_msdyn_taxcodedetail_TaxCode";
        /// <summary>Parent: "MsdynTaxCode" Child: "MsdynWorkorder" Lookup: "MsdynTaxCode"</summary>
        public const string Rel1M_MsdynMsdynTaxCodeMsdynWorkorderTaxCode = "msdyn_msdyn_taxcode_msdyn_workorder_TaxCode";
        /// <summary>Parent: "MsdynTaxCode" Child: "QuoteDetail" Lookup: "MsdynSalesTaxCode"</summary>
        public const string Rel1M_MsdynMsdynTaxCodeQuotedetailSalesTaxCode = "msdyn_msdyn_taxcode_quotedetail_SalesTaxCode";

        #endregion Relationships
    }
}
