// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : WorkOrder.cs
// Created   : 2019-04-26 10:48:02
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Work Order, OwnershipType: UserOwned, IntroducedVersion: 3.1.0.3</summary>
    /// <remarks>Work orders store all information about the job performed for an account. Stores incident details, resource, expenses, tasks, communications, billing and more</remarks>
    public static class MsdynWorkorder
    {
        public const string EntityName = "msdyn_workorder";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorder" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkMsdynWorkorderCreatedBy = "lk_msdyn_workorder_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorder" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkMsdynWorkorderCreatedOnBehalfBy = "lk_msdyn_workorder_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorder" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkMsdynWorkorderModifiedBy = "lk_msdyn_workorder_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorder" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkMsdynWorkorderModifiedOnBehalfBy = "lk_msdyn_workorder_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorder" Lookup: ""</summary>
        public const string RelM1_UserMsdynWorkorder = "user_msdyn_workorder";
        /// <summary>Parent: "Team" Child: "MsdynWorkorder" Lookup: ""</summary>
        public const string RelM1_TeamMsdynWorkorder = "team_msdyn_workorder";
        /// <summary>Parent: "Owner" Child: "MsdynWorkorder" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerMsdynWorkorder = "owner_msdyn_workorder";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWorkorder" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitMsdynWorkorder = "business_unit_msdyn_workorder";
        /// <summary>Parent: "ProcessStage" Child: "MsdynWorkorder" Lookup: "StageId"</summary>
        public const string RelM1_ProcessstageMsdynWorkorder = "processstage_msdyn_workorder";
        /// <summary>Parent: "TransactionCurrency" Child: "MsdynWorkorder" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactionCurrencyMsdynWorkorder = "TransactionCurrency_msdyn_workorder";
        /// <summary>Parent: "Account" Child: "MsdynWorkorder" Lookup: "MsdynBillingAccount"</summary>
        public const string RelM1_MsdynAccountMsdynWorkorderBillingAcCount = "msdyn_account_msdyn_workorder_BillingAccount";
        /// <summary>Parent: "Account" Child: "MsdynWorkorder" Lookup: "MsdynServiceAccount"</summary>
        public const string RelM1_MsdynAccountMsdynWorkorderServiceAcCount = "msdyn_account_msdyn_workorder_ServiceAccount";
        /// <summary>Parent: "BookableResource" Child: "MsdynWorkorder" Lookup: "MsdynPreferredResource"</summary>
        public const string RelM1_MsdynBookableresourceMsdynWorkorderPreferredResource = "msdyn_bookableresource_msdyn_workorder_PreferredResource";
        /// <summary>Parent: "BookableResource" Child: "MsdynWorkorder" Lookup: "MsdynSupportContact"</summary>
        public const string RelM1_MsdynBookableresourceMsdynWorkorderSupportContact = "msdyn_bookableresource_msdyn_workorder_SupportContact";
        /// <summary>Parent: "Contact" Child: "MsdynWorkorder" Lookup: "MsdynReportedByContact"</summary>
        public const string RelM1_MsdynContactMsdynWorkorderReportedByContact = "msdyn_contact_msdyn_workorder_ReportedByContact";
        /// <summary>Parent: "Incident" Child: "MsdynWorkorder" Lookup: "MsdynServiceRequest"</summary>
        public const string RelM1_MsdynIncidentMsdynWorkorderServiceRequest = "msdyn_incident_msdyn_workorder_ServiceRequest";
        /// <summary>Parent: "MsdynAgreement" Child: "MsdynWorkorder" Lookup: "MsdynAgreement"</summary>
        public const string RelM1_MsdynMsdynAgreementMsdynWorkorderAgreement = "msdyn_msdyn_agreement_msdyn_workorder_Agreement";
        /// <summary>Parent: "MsdynCustomerAsset" Child: "MsdynWorkorder" Lookup: "MsdynCustomerAsset"</summary>
        public const string RelM1_MsdynMsdynCustomerAssetMsdynWorkorderCustomerAsset = "msdyn_msdyn_customerasset_msdyn_workorder_CustomerAsset";
        /// <summary>Parent: "MsdynIncidentType" Child: "MsdynWorkorder" Lookup: "MsdynPrimaryIncidentType"</summary>
        public const string RelM1_MsdynMsdynIncidentTypeMsdynWorkorderPrimaryIncidentType = "msdyn_msdyn_incidenttype_msdyn_workorder_PrimaryIncidentType";
        /// <summary>Parent: "MsdynPriority" Child: "MsdynWorkorder" Lookup: "MsdynPriority"</summary>
        public const string RelM1_MsdynMsdynPriorityMsdynWorkorderPriority = "msdyn_msdyn_priority_msdyn_workorder_Priority";
        /// <summary>Parent: "MsdynTaxCode" Child: "MsdynWorkorder" Lookup: "MsdynTaxCode"</summary>
        public const string RelM1_MsdynMsdynTaxCodeMsdynWorkorderTaxCode = "msdyn_msdyn_taxcode_msdyn_workorder_TaxCode";
        /// <summary>Parent: "MsdynTimegroup" Child: "MsdynWorkorder" Lookup: "MsdynTimeGroup"</summary>
        public const string RelM1_MsdynMsdynTimegroupMsdynWorkorderTimeGroup = "msdyn_msdyn_timegroup_msdyn_workorder_TimeGroup";
        /// <summary>Parent: "MsdynTimegroupdetail" Child: "MsdynWorkorder" Lookup: "MsdynTimeGroupDetailSElected"</summary>
        public const string RelM1_MsdynMsdynTimegroupdetailMsdynWorkorderTimeGroupDetailSElected = "msdyn_msdyn_timegroupdetail_msdyn_workorder_TimeGroupDetailSelected";
        /// <summary>Parent: "MsdynWorkorderSubStatus" Child: "MsdynWorkorder" Lookup: "MsdynSubStatus"</summary>
        public const string RelM1_MsdynMsdynWorkorderSubStatusMsdynWorkorderStatus = "msdyn_msdyn_workordersubstatus_msdyn_workorder_Status";
        /// <summary>Parent: "MsdynWorkorderType" Child: "MsdynWorkorder" Lookup: "MsdynWorkOrderType"</summary>
        public const string RelM1_MsdynMsdynWorkorderTypeMsdynWorkorderWorkOrderType = "msdyn_msdyn_workordertype_msdyn_workorder_WorkOrderType";
        /// <summary>Parent: "Opportunity" Child: "MsdynWorkorder" Lookup: "MsdynOpportunityId"</summary>
        public const string RelM1_MsdynOpportunityMsdynWorkorder = "msdyn_opportunity_msdyn_workorder";
        /// <summary>Parent: "PriceLevel" Child: "MsdynWorkorder" Lookup: "MsdynPriceList"</summary>
        public const string RelM1_MsdynPricelevelMsdynWorkorderPriceList = "msdyn_pricelevel_msdyn_workorder_PriceList";
        /// <summary>Parent: "SLAKPIInstance" Child: "MsdynWorkorder" Lookup: "MsdynWorkorderArrivaltimekpiId"</summary>
        public const string RelM1_MsdynSlakpiinstanceMsdynWorkorderArrivalTimekpi = "msdyn_slakpiinstance_msdyn_workorder_arrival_timekpi";
        /// <summary>Parent: "SLAKPIInstance" Child: "MsdynWorkorder" Lookup: "MsdynWorkorderResolutionkpiId"</summary>
        public const string RelM1_MsdynSlakpiinstanceMsdynWorkorderResolutionkpiId = "msdyn_slakpiinstance_msdyn_workorder_resolutionkpiid";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorder" Lookup: "MsdynClosedBy"</summary>
        public const string RelM1_MsdynSystemUserMsdynWorkorderClosedBy = "msdyn_systemuser_msdyn_workorder_ClosedBy";
        /// <summary>Parent: "Territory" Child: "MsdynWorkorder" Lookup: "MsdynServiceTerritory"</summary>
        public const string RelM1_MsdynTerritoryMsdynWorkorderServiceTerritory = "msdyn_territory_msdyn_workorder_ServiceTerritory";
        /// <summary>Parent: "MsdynIotalert" Child: "MsdynWorkorder" Lookup: "MsdynIoTAlert"</summary>
        public const string RelM1_MsdynMsdynIotalertMsdynWorkorderIoTAlert = "msdyn_msdyn_iotalert_msdyn_workorder_IoTAlert";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynWorkorder" Lookup: "MsdynParentWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynWorkorderParentWorkOrder = "msdyn_msdyn_workorder_msdyn_workorder_ParentWorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "ActivityPointer" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderActivityPointers = "msdyn_workorder_ActivityPointers";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynBookingalert" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderMsdynBookingalerts = "msdyn_workorder_msdyn_bookingalerts";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsfpSurveyresponse" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderMsfpSurveyresponses = "msdyn_workorder_msfp_surveyresponses";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynApproval" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderMsdynApprovals = "msdyn_workorder_msdyn_approvals";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsfpSurveyinvite" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderMsfpSurveyinvites = "msdyn_workorder_msfp_surveyinvites";
        /// <summary>Parent: "MsdynWorkorder" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderSyncErrors = "msdyn_workorder_SyncErrors";
        /// <summary>Parent: "MsdynWorkorder" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_MsdynWorkorderDuplicateMatchingRecord = "msdyn_workorder_DuplicateMatchingRecord";
        /// <summary>Parent: "MsdynWorkorder" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_MsdynWorkorderDuplicateBaseRecord = "msdyn_workorder_DuplicateBaseRecord";
        /// <summary>Parent: "MsdynWorkorder" Child: "SharePointDocumentLocation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderSharePointDocumentLocations = "msdyn_workorder_SharePointDocumentLocations";
        /// <summary>Parent: "MsdynWorkorder" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderAsyncOperations = "msdyn_workorder_AsyncOperations";
        /// <summary>Parent: "MsdynWorkorder" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderMailBoxTrackingFolders = "msdyn_workorder_MailboxTrackingFolders";
        /// <summary>Parent: "MsdynWorkorder" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderProcessSession = "msdyn_workorder_ProcessSession";
        /// <summary>Parent: "MsdynWorkorder" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderBulkDeleteFailures = "msdyn_workorder_BulkDeleteFailures";
        /// <summary>Parent: "MsdynWorkorder" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_MsdynWorkorderPrincipalObjectAttributeAccesses = "msdyn_workorder_PrincipalObjectAttributeAccesses";
        /// <summary>Parent: "MsdynWorkorder" Child: "Appointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderAppointments = "msdyn_workorder_Appointments";
        /// <summary>Parent: "MsdynWorkorder" Child: "EMail" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderEMailS = "msdyn_workorder_Emails";
        /// <summary>Parent: "MsdynWorkorder" Child: "Fax" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderFaxes = "msdyn_workorder_Faxes";
        /// <summary>Parent: "MsdynWorkorder" Child: "Letter" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderLetters = "msdyn_workorder_Letters";
        /// <summary>Parent: "MsdynWorkorder" Child: "PhoneCall" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderPhoneCalls = "msdyn_workorder_PhoneCalls";
        /// <summary>Parent: "MsdynWorkorder" Child: "Task" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderTasks = "msdyn_workorder_Tasks";
        /// <summary>Parent: "MsdynWorkorder" Child: "RecurringAppointmentMaster" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderRecurringAppointmentMasters = "msdyn_workorder_RecurringAppointmentMasters";
        /// <summary>Parent: "MsdynWorkorder" Child: "SocialActivity" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderSocialActivities = "msdyn_workorder_SocialActivities";
        /// <summary>Parent: "MsdynWorkorder" Child: "Connection" Lookup: "Record1Id"</summary>
        public const string Rel1M_MsdynWorkorderConnections1 = "msdyn_workorder_connections1";
        /// <summary>Parent: "MsdynWorkorder" Child: "Connection" Lookup: "Record2Id"</summary>
        public const string Rel1M_MsdynWorkorderConnections2 = "msdyn_workorder_connections2";
        /// <summary>Parent: "MsdynWorkorder" Child: "QueueItem" Lookup: "ObjectId"</summary>
        public const string Rel1M_MsdynWorkorderQueueItems = "msdyn_workorder_QueueItems";
        /// <summary>Parent: "MsdynWorkorder" Child: "Annotation" Lookup: "ObjectId"</summary>
        public const string Rel1M_MsdynWorkorderAnnotations = "msdyn_workorder_Annotations";
        /// <summary>Parent: "MsdynWorkorder" Child: "ServiceAppointment" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderServiceAppointments = "msdyn_workorder_ServiceAppointments";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynBpf989e9b1857e24af18787d5143b67523b" Lookup: "BpfMsdynWorkorderId"</summary>
        public const string Rel1M_BpfMsdynWorkorderMsdynBpf989e9b1857e24af18787d5143b67523b = "bpf_msdyn_workorder_msdyn_bpf_989e9b1857e24af18787d5143b67523b";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynBpfD3d97bac8c294105840e99e37a9d1c39" Lookup: "BpfMsdynWorkorderId"</summary>
        public const string Rel1M_BpfMsdynWorkorderMsdynBpfD3d97bac8c294105840e99e37a9d1c39 = "bpf_msdyn_workorder_msdyn_bpf_d3d97bac8c294105840e99e37a9d1c39";
        /// <summary>Parent: "MsdynWorkorder" Child: "BookableResourceBooking" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderBookableresourcebookingWorkOrder = "msdyn_msdyn_workorder_bookableresourcebooking_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "InvoiceDetail" Lookup: "MsdynWorkOrderId"</summary>
        public const string Rel1M_MsdynMsdynWorkorderInvoicedetail = "msdyn_msdyn_workorder_invoicedetail";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynActual" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynActualWorkOrder = "msdyn_msdyn_workorder_msdyn_actual_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynAgreementbookingdate" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynAgreementbookingdateWorkOrder = "msdyn_msdyn_workorder_msdyn_agreementbookingdate_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynInventoryjournal" Lookup: "MsdynAllocatedToWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynInventoryjournalAllocatedToWorkOrder = "msdyn_msdyn_workorder_msdyn_inventoryjournal_AllocatedToWorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynPayment" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynPaymentWorkOrder = "msdyn_msdyn_workorder_msdyn_payment_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynPaymentdetail" Lookup: "MsdynWorkorder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynPaymentdetailWorkorder = "msdyn_msdyn_workorder_msdyn_paymentdetail_Workorder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynPurchaseorder" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynPurchaseorderWorkOrder = "msdyn_msdyn_workorder_msdyn_purchaseorder_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynPurchaseorderproduct" Lookup: "MsdynAssociateToWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynPurchaseorderproductAssociateToWorkOrder = "msdyn_msdyn_workorder_msdyn_purchaseorderproduct_AssociateToWorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynPurchaseorderreceiptproduct" Lookup: "MsdynAssociateToWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynPurchaseorderreceiptproductAssociateToWorkOrder = "msdyn_msdyn_workorder_msdyn_purchaseorderreceiptproduct_AssociateToWorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynRequirementcharacteristic" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynRequirementcharacteristicWorkOrder = "msdyn_msdyn_workorder_msdyn_requirementcharacteristic_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynRequirementresourcepreference" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynRequirementresourcepreferenceWorkOrder = "msdyn_msdyn_workorder_msdyn_requirementresourcepreference_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynResourcerequirement" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynResourcerequirementWorkOrder = "msdyn_msdyn_workorder_msdyn_resourcerequirement_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynRma" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynRmaWorkOrder = "msdyn_msdyn_workorder_msdyn_rma_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynRtv" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynRtvWorkOrder = "msdyn_msdyn_workorder_msdyn_rtv_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynRtvproduct" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynRtvproductWorkOrder = "msdyn_msdyn_workorder_msdyn_rtvproduct_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynWorkorderCharacteristic" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynWorkorderCharacteristicWorkOrder = "msdyn_msdyn_workorder_msdyn_workordercharacteristic_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynWorkorderIncident" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynWorkorderIncidentWorkOrder = "msdyn_msdyn_workorder_msdyn_workorderincident_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynWorkorderProduct" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynWorkorderProductWorkOrder = "msdyn_msdyn_workorder_msdyn_workorderproduct_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynWorkorderResourcerestriction" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynWorkorderResourcerestrictionWorkOrder = "msdyn_msdyn_workorder_msdyn_workorderresourcerestriction_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynWorkorderService" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynWorkorderServiceWorkOrder = "msdyn_msdyn_workorder_msdyn_workorderservice_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynWorkorderServicetask" Lookup: "MsdynWorkOrder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynWorkorderServicetaskWorkOrder = "msdyn_msdyn_workorder_msdyn_workorderservicetask_WorkOrder";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynBpf477c16f59170487b8b4dc895c5dcd09b" Lookup: "BpfMsdynWorkorderId"</summary>
        public const string Rel1M_BpfMsdynWorkorderMsdynBpf477c16f59170487b8b4dc895c5dcd09b = "bpf_msdyn_workorder_msdyn_bpf_477c16f59170487b8b4dc895c5dcd09b";
        /// <summary>Parent: "MsdynWorkorder" Child: "MsdynIotalert" Lookup: "MsdynWorkorder"</summary>
        public const string Rel1M_MsdynMsdynWorkorderMsdynIotalertWorkorder = "msdyn_msdyn_workorder_msdyn_iotalert_Workorder";

        #endregion Relationships
    }
}
