// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : WorkOrderType.cs
// Created   : 2019-04-26 10:48:03
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: Work Order Type, OwnershipType: UserOwned, IntroducedVersion: 3.1.0.3</summary>
    /// <remarks>Create different work order types to reflect the different types of work that your company offers. Work Order types are used to control various settings on a work order.</remarks>
    public static class MsdynWorkorderType
    {
        public const string EntityName = "msdyn_workordertype";

        #region Relationships

        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderType" Lookup: "CreatedBy"</summary>
        public const string RelM1_LkMsdynWorkorderTypeCreatedBy = "lk_msdyn_workordertype_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderType" Lookup: "CreatedOnBehalfBy"</summary>
        public const string RelM1_LkMsdynWorkorderTypeCreatedOnBehalfBy = "lk_msdyn_workordertype_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderType" Lookup: "ModifiedBy"</summary>
        public const string RelM1_LkMsdynWorkorderTypeModifiedBy = "lk_msdyn_workordertype_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderType" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string RelM1_LkMsdynWorkorderTypeModifiedOnBehalfBy = "lk_msdyn_workordertype_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderType" Lookup: ""</summary>
        public const string RelM1_UserMsdynWorkorderType = "user_msdyn_workordertype";
        /// <summary>Parent: "Team" Child: "MsdynWorkorderType" Lookup: ""</summary>
        public const string RelM1_TeamMsdynWorkorderType = "team_msdyn_workordertype";
        /// <summary>Parent: "Owner" Child: "MsdynWorkorderType" Lookup: "OwnerId"</summary>
        public const string RelM1_OwnerMsdynWorkorderType = "owner_msdyn_workordertype";
        /// <summary>Parent: "BusinessUnit" Child: "MsdynWorkorderType" Lookup: "OwningBusinessUnit"</summary>
        public const string RelM1_BusinessUnitMsdynWorkorderType = "business_unit_msdyn_workordertype";
        /// <summary>Parent: "PriceLevel" Child: "MsdynWorkorderType" Lookup: "MsdynPriceList"</summary>
        public const string RelM1_MsdynPricelevelMsdynWorkorderTypePriceList = "msdyn_pricelevel_msdyn_workordertype_PriceList";
        /// <summary>Parent: "MsdynWorkorderType" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderTypeSyncErrors = "msdyn_workordertype_SyncErrors";
        /// <summary>Parent: "MsdynWorkorderType" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_MsdynWorkorderTypeDuplicateMatchingRecord = "msdyn_workordertype_DuplicateMatchingRecord";
        /// <summary>Parent: "MsdynWorkorderType" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_MsdynWorkorderTypeDuplicateBaseRecord = "msdyn_workordertype_DuplicateBaseRecord";
        /// <summary>Parent: "MsdynWorkorderType" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderTypeAsyncOperations = "msdyn_workordertype_AsyncOperations";
        /// <summary>Parent: "MsdynWorkorderType" Child: "MailBoxTrackingFolder" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderTypeMailBoxTrackingFolders = "msdyn_workordertype_MailboxTrackingFolders";
        /// <summary>Parent: "MsdynWorkorderType" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderTypeProcessSession = "msdyn_workordertype_ProcessSession";
        /// <summary>Parent: "MsdynWorkorderType" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MsdynWorkorderTypeBulkDeleteFailures = "msdyn_workordertype_BulkDeleteFailures";
        /// <summary>Parent: "MsdynWorkorderType" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_MsdynWorkorderTypePrincipalObjectAttributeAccesses = "msdyn_workordertype_PrincipalObjectAttributeAccesses";
        /// <summary>Parent: "MsdynWorkorderType" Child: "MsdynActual" Lookup: "MsdynWorkOrderType"</summary>
        public const string Rel1M_MsdynMsdynWorkorderTypeMsdynActualWorkOrderType = "msdyn_msdyn_workordertype_msdyn_actual_WorkOrderType";
        /// <summary>Parent: "MsdynWorkorderType" Child: "MsdynAgreementbookingsetup" Lookup: "MsdynWorkOrderType"</summary>
        public const string Rel1M_MsdynMsdynWorkorderTypeMsdynAgreementbookingsetupWorkOrderType = "msdyn_msdyn_workordertype_msdyn_agreementbookingsetup_WorkOrderType";
        /// <summary>Parent: "MsdynWorkorderType" Child: "MsdynIncidentType" Lookup: "MsdynDefaultWorkOrderType"</summary>
        public const string Rel1M_MsdynMsdynWorkorderTypeMsdynIncidentTypeDefaultWorkOrderType = "msdyn_msdyn_workordertype_msdyn_incidenttype_DefaultWorkOrderType";
        /// <summary>Parent: "MsdynWorkorderType" Child: "MsdynQuotebookingsetup" Lookup: "MsdynWorkorderType"</summary>
        public const string Rel1M_MsdynMsdynWorkorderTypeMsdynQuotebookingsetupWorkOrderType = "msdyn_msdyn_workordertype_msdyn_quotebookingsetup_WorkOrderType";
        /// <summary>Parent: "MsdynWorkorderType" Child: "MsdynWorkorder" Lookup: "MsdynWorkOrderType"</summary>
        public const string Rel1M_MsdynMsdynWorkorderTypeMsdynWorkorderWorkOrderType = "msdyn_msdyn_workordertype_msdyn_workorder_WorkOrderType";
        /// <summary>Parent: "MsdynWorkorderType" Child: "Opportunity" Lookup: "MsdynWorkOrderType"</summary>
        public const string Rel1M_MsdynMsdynWorkorderTypeOpportunityWorkOrderType = "msdyn_msdyn_workordertype_opportunity_WorkOrderType";

        #endregion Relationships
    }
}
