// *********************************************************************
// Created by: Latebound Constant Generator 1.2018.9.2 for XrmToolBox
// Author    : Jonas Rapp http://twitter.com/rappen
// Repo      : https://github.com/rappen/LateboundConstantGenerator
// Source Org: https://-----.crm.dynamics.com/
// Filename  : User.cs
// Created   : 2019-04-26 10:48:02
// *********************************************************************

namespace D365.Constants
{
    /// <summary>DisplayName: User, OwnershipType: BusinessOwned, IntroducedVersion: 5.0.0.0</summary>
    /// <remarks>Person with access to the Microsoft CRM system and who owns objects in the Microsoft CRM database.</remarks>
    public static class SystemUser
    {
        public const string EntityName = "systemuser";

        #region Relationships

        /// <summary>Parent: "Territory" Child: "SystemUser" Lookup: "TerritoryId"</summary>
        public const string RelM1_TerritorySystemUserS = "territory_system_users";
        /// <summary>Parent: "Site" Child: "SystemUser" Lookup: "SiteId"</summary>
        public const string RelM1_SiteSystemUserS = "site_system_users";
        /// <summary>Parent: "MailBox" Child: "SystemUser" Lookup: "DefaultMailBox"</summary>
        public const string RelM1_SystemUserDefaultMailBoxMailBox = "systemuser_defaultmailbox_mailbox";
        /// <summary>Parent: "Position" Child: "SystemUser" Lookup: "PositionId"</summary>
        public const string RelM1_PositionUserS = "position_users";
        /// <summary>Parent: "Calendar" Child: "SystemUser" Lookup: "CalendarId"</summary>
        public const string RelM1_CalendarSystemUserS = "calendar_system_users";
        /// <summary>Parent: "BusinessUnit" Child: "SystemUser" Lookup: "BusinessUnitId"</summary>
        public const string RelM1_BusinessUnitSystemUserS = "business_unit_system_users";
        /// <summary>Parent: "MobileOfflineProfile" Child: "SystemUser" Lookup: "MobileOfflineProfileId"</summary>
        public const string RelM1_MobileOfflineProfileSystemUser = "MobileOfflineProfile_SystemUser";
        /// <summary>Parent: "TransactionCurrency" Child: "SystemUser" Lookup: "TransactionCurrencyId"</summary>
        public const string RelM1_TransactionCurrencySystemUser = "TransactionCurrency_SystemUser";
        /// <summary>Parent: "Organization" Child: "SystemUser" Lookup: "OrganizationId"</summary>
        public const string RelM1_OrganizationSystemUserS = "organization_system_users";
        /// <summary>Parent: "Queue" Child: "SystemUser" Lookup: "QueueId"</summary>
        public const string RelM1_QueueSystemUser = "queue_system_user";
        /// <summary>Parent: "ProcessStage" Child: "SystemUser" Lookup: "StageId"</summary>
        public const string RelM1_ProcessstageSystemUserS = "processstage_systemusers";
        /// <summary>Parent: "SystemUser" Child: "SystemUser" Lookup: "ParentSystemUserId"</summary>
        public const string Rel1M_UserParentUser = "user_parent_user";
        /// <summary>Parent: "SystemUser" Child: "SystemUser" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSystemUserBaseModifiedBy = "lk_systemuserbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SystemUser" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSystemUserModifiedOnBehalfBy = "lk_systemuser_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SystemUser" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSystemUserBaseCreatedBy = "lk_systemuserbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "SystemUser" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSystemUserCreatedOnBehalfBy = "lk_systemuser_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AppModule" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkAppmoduleModifiedBy = "lk_appmodule_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Territory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkTerritoryBaseCreatedBy = "lk_territorybase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Territory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkTerritoryCreatedOnBehalfBy = "lk_territory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Territory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkTerritoryBaseModifiedBy = "lk_territorybase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Territory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkTerritoryModifiedOnBehalfBy = "lk_territory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Territory" Lookup: "ManagerId"</summary>
        public const string Rel1M_SystemUserTerritories = "system_user_territories";
        /// <summary>Parent: "SystemUser" Child: "MsdynConnector" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynConnectorCreatedBy = "lk_msdyn_connector_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynConnector" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynConnectorCreatedOnBehalfBy = "lk_msdyn_connector_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynConnector" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynConnectorModifiedBy = "lk_msdyn_connector_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynConnector" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynConnectorModifiedOnBehalfBy = "lk_msdyn_connector_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynConnector" Lookup: ""</summary>
        public const string Rel1M_UserMsdynConnector = "user_msdyn_connector";
        /// <summary>Parent: "SystemUser" Child: "LeadAddress" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkLeadAddressBaseCreatedBy = "lk_leadaddressbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "LeadAddress" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkLeadAddressCreatedOnBehalfBy = "lk_leadaddress_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "LeadAddress" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkLeadAddressBaseModifiedBy = "lk_leadaddressbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "LeadAddress" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkLeadAddressModifiedOnBehalfBy = "lk_leadaddress_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Lead" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkLeadbaseCreatedBy = "lk_leadbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Lead" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkLeadCreatedOnBehalfBy = "lk_lead_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Lead" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkLeadbaseModifiedBy = "lk_leadbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Lead" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkLeadModifiedOnBehalfBy = "lk_lead_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Lead" Lookup: ""</summary>
        public const string Rel1M_LeadOwningUser = "lead_owning_user";
        /// <summary>Parent: "SystemUser" Child: "DynamicProperty" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkDynamicPropertyCreatedBy = "lk_DynamicProperty_createdby";
        /// <summary>Parent: "SystemUser" Child: "DynamicProperty" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkDynamicPropertyCreatedOnBehalfBy = "lk_DynamicProperty_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DynamicProperty" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkDynamicPropertyModifiedBy = "lk_DynamicProperty_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "DynamicProperty" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkDynamicPropertyModifiedOnBehalfBy = "lk_DynamicProperty_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DynamicPropertyAssociation" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkDynamicPropertyAssociationattributeCreatedBy = "lk_DynamicPropertyAssociationattribute_createdby";
        /// <summary>Parent: "SystemUser" Child: "DynamicPropertyAssociation" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkDynamicPropertyAssociationattributeCreatedOnBehalfBy = "lk_DynamicPropertyAssociationattribute_CreatedOnBehalfBy";
        /// <summary>Parent: "SystemUser" Child: "DynamicPropertyAssociation" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkDynamicPropertyAssociationattributeModifiedBy = "lk_DynamicPropertyAssociationattribute_ModifiedBy";
        /// <summary>Parent: "SystemUser" Child: "DynamicPropertyAssociation" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkDynamicPropertyAssociationattributeModifiedOnBehalfBy = "lk_DynamicPropertyAssociationattribute_ModifiedOnBehalfBy";
        /// <summary>Parent: "SystemUser" Child: "DynamicPropertyInstance" Lookup: "CreatedBy"</summary>
        public const string Rel1M_DynamicpropertyinsatanceCreatedBy = "Dynamicpropertyinsatance_createdby";
        /// <summary>Parent: "SystemUser" Child: "DynamicPropertyInstance" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkDynamicpropertyinsatanceattributeCreatedOnBehalfBy = "lk_Dynamicpropertyinsatanceattribute_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DynamicPropertyInstance" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkDynamicpropertyinsatanceattributeModifiedBy = "lk_Dynamicpropertyinsatanceattribute_ModifiedBy";
        /// <summary>Parent: "SystemUser" Child: "DynamicPropertyInstance" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkDynamicpropertyinsatanceattributeModifiedOnBehalfBy = "lk_Dynamicpropertyinsatanceattribute_ModifiedOnBehalfBy";
        /// <summary>Parent: "SystemUser" Child: "DynamicPropertyOptionSetItem" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkDynamicPropertyOptionSetItemCreatedBy = "lk_DynamicPropertyOptionSetItem_createdby";
        /// <summary>Parent: "SystemUser" Child: "DynamicPropertyOptionSetItem" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkDynamicPropertyOptionSetItemCreatedOnBehalfBy = "lk_DynamicPropertyOptionSetItem_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DynamicPropertyOptionSetItem" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkDynamicPropertyOptionSetItemModifiedBy = "lk_DynamicPropertyOptionSetItem_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "DynamicPropertyOptionSetItem" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkDynamicPropertyOptionSetItemModifiedOnBehalfBy = "lk_DynamicPropertyOptionSetItem_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PriceLevel" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkPricelevelBaseCreatedBy = "lk_pricelevelbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "PriceLevel" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPricelevelCreatedOnBehalfBy = "lk_pricelevel_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PriceLevel" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkPricelevelBaseModifiedBy = "lk_pricelevelbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "PriceLevel" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkPricelevelModifiedOnBehalfBy = "lk_pricelevel_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Product" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkProductbaseCreatedBy = "lk_productbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Product" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkProductCreatedOnBehalfBy = "lk_product_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Product" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkProductbaseModifiedBy = "lk_productbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Product" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkProductModifiedOnBehalfBy = "lk_product_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ProductAssociation" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkProductAssociateCreatedBy = "lk_ProductAssociate_createdby";
        /// <summary>Parent: "SystemUser" Child: "ProductAssociation" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkProductAssociationCreatedOnBehalfBy = "lk_ProductAssociation_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ProductAssociation" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkProductAssociationModifiedBy = "lk_ProductAssociation_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ProductAssociation" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkProductAssociationModifiedOnBehalfBy = "lk_ProductAssociation_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ProductPriceLevel" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkProductPricelevelBaseCreatedBy = "lk_productpricelevelbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "ProductPriceLevel" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkProductPricelevelCreatedOnBehalfBy = "lk_productpricelevel_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ProductPriceLevel" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkProductPricelevelBaseModifiedBy = "lk_productpricelevelbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ProductPriceLevel" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkProductPricelevelModifiedOnBehalfBy = "lk_productpricelevel_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ProductSubstitute" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkProductSubstituteCreatedBy = "lk_ProductSubstitute_createdby";
        /// <summary>Parent: "SystemUser" Child: "ProductSubstitute" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkProductSubstituteCreatedOnBehalfBy = "lk_ProductSubstitute_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ProductSubstitute" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkProductSubstituteModifiedBy = "lk_ProductSubstitute_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ProductSubstitute" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkProductSubstituteModifiedOnBehalfBy = "lk_ProductSubstitute_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "UoM" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkUombaseCreatedBy = "lk_uombase_createdby";
        /// <summary>Parent: "SystemUser" Child: "UoM" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkUomCreatedOnBehalfBy = "lk_uom_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "UoM" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkUombaseModifiedBy = "lk_uombase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "UoM" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkUomModifiedOnBehalfBy = "lk_uom_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "UoMSchedule" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkUomschedulebaseCreatedBy = "lk_uomschedulebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "UoMSchedule" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkUomscheduleCreatedOnBehalfBy = "lk_uomschedule_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "UoMSchedule" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkUomschedulebaseModifiedBy = "lk_uomschedulebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "UoMSchedule" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkUomscheduleModifiedOnBehalfBy = "lk_uomschedule_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DynamicPropertyInstance" Lookup: "DynamicPropertyInstanceId"</summary>
        public const string Rel1M_OwningUserDynamicpropertyinsatance = "OwningUser_Dynamicpropertyinsatance";
        /// <summary>Parent: "SystemUser" Child: "BookableResource" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkBookableresourceCreatedBy = "lk_bookableresource_createdby";
        /// <summary>Parent: "SystemUser" Child: "BookableResource" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourceCreatedOnBehalfBy = "lk_bookableresource_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResource" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkBookableresourceModifiedBy = "lk_bookableresource_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "BookableResource" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourceModifiedOnBehalfBy = "lk_bookableresource_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResource" Lookup: ""</summary>
        public const string Rel1M_UserBookableresource = "user_bookableresource";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceBooking" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkBookableresourcebookingCreatedBy = "lk_bookableresourcebooking_createdby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceBooking" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourcebookingCreatedOnBehalfBy = "lk_bookableresourcebooking_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceBooking" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkBookableresourcebookingModifiedBy = "lk_bookableresourcebooking_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceBooking" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourcebookingModifiedOnBehalfBy = "lk_bookableresourcebooking_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceBooking" Lookup: ""</summary>
        public const string Rel1M_UserBookableresourcebooking = "user_bookableresourcebooking";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceBookingHeader" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkBookableresourcebookingheaderCreatedBy = "lk_bookableresourcebookingheader_createdby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceBookingHeader" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourcebookingheaderCreatedOnBehalfBy = "lk_bookableresourcebookingheader_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceBookingHeader" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkBookableresourcebookingheaderModifiedBy = "lk_bookableresourcebookingheader_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceBookingHeader" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourcebookingheaderModifiedOnBehalfBy = "lk_bookableresourcebookingheader_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceBookingHeader" Lookup: ""</summary>
        public const string Rel1M_UserBookableresourcebookingheader = "user_bookableresourcebookingheader";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkBookableresourcecategoryCreatedBy = "lk_bookableresourcecategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourcecategoryCreatedOnBehalfBy = "lk_bookableresourcecategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkBookableresourcecategoryModifiedBy = "lk_bookableresourcecategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourcecategoryModifiedOnBehalfBy = "lk_bookableresourcecategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCategory" Lookup: ""</summary>
        public const string Rel1M_UserBookableresourcecategory = "user_bookableresourcecategory";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCategoryAssn" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkBookableresourcecategoryassnCreatedBy = "lk_bookableresourcecategoryassn_createdby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCategoryAssn" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourcecategoryassnCreatedOnBehalfBy = "lk_bookableresourcecategoryassn_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCategoryAssn" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkBookableresourcecategoryassnModifiedBy = "lk_bookableresourcecategoryassn_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCategoryAssn" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourcecategoryassnModifiedOnBehalfBy = "lk_bookableresourcecategoryassn_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCategoryAssn" Lookup: ""</summary>
        public const string Rel1M_UserBookableresourcecategoryassn = "user_bookableresourcecategoryassn";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCharacteristic" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkBookableresourcecharacteristicCreatedBy = "lk_bookableresourcecharacteristic_createdby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCharacteristic" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourcecharacteristicCreatedOnBehalfBy = "lk_bookableresourcecharacteristic_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCharacteristic" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkBookableresourcecharacteristicModifiedBy = "lk_bookableresourcecharacteristic_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCharacteristic" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourcecharacteristicModifiedOnBehalfBy = "lk_bookableresourcecharacteristic_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceCharacteristic" Lookup: ""</summary>
        public const string Rel1M_UserBookableresourcecharacteristic = "user_bookableresourcecharacteristic";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceGroup" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkBookableresourcegroupCreatedBy = "lk_bookableresourcegroup_createdby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceGroup" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourcegroupCreatedOnBehalfBy = "lk_bookableresourcegroup_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceGroup" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkBookableresourcegroupModifiedBy = "lk_bookableresourcegroup_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceGroup" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkBookableresourcegroupModifiedOnBehalfBy = "lk_bookableresourcegroup_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookableResourceGroup" Lookup: ""</summary>
        public const string Rel1M_UserBookableresourcegroup = "user_bookableresourcegroup";
        /// <summary>Parent: "SystemUser" Child: "BookingStatus" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkBookingStatusCreatedBy = "lk_bookingstatus_createdby";
        /// <summary>Parent: "SystemUser" Child: "BookingStatus" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkBookingStatusCreatedOnBehalfBy = "lk_bookingstatus_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookingStatus" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkBookingStatusModifiedBy = "lk_bookingstatus_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "BookingStatus" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkBookingStatusModifiedOnBehalfBy = "lk_bookingstatus_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BookingStatus" Lookup: ""</summary>
        public const string Rel1M_UserBookingStatus = "user_bookingstatus";
        /// <summary>Parent: "SystemUser" Child: "Characteristic" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCharacteristicCreatedBy = "lk_characteristic_createdby";
        /// <summary>Parent: "SystemUser" Child: "Characteristic" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCharacteristicCreatedOnBehalfBy = "lk_characteristic_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Characteristic" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCharacteristicModifiedBy = "lk_characteristic_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Characteristic" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCharacteristicModifiedOnBehalfBy = "lk_characteristic_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Characteristic" Lookup: ""</summary>
        public const string Rel1M_UserCharacteristic = "user_characteristic";
        /// <summary>Parent: "SystemUser" Child: "RatingModel" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkRatingmodelCreatedBy = "lk_ratingmodel_createdby";
        /// <summary>Parent: "SystemUser" Child: "RatingModel" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkRatingmodelCreatedOnBehalfBy = "lk_ratingmodel_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "RatingModel" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkRatingmodelModifiedBy = "lk_ratingmodel_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "RatingModel" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkRatingmodelModifiedOnBehalfBy = "lk_ratingmodel_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "RatingModel" Lookup: ""</summary>
        public const string Rel1M_UserRatingmodel = "user_ratingmodel";
        /// <summary>Parent: "SystemUser" Child: "RatingValue" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkRatingvalueCreatedBy = "lk_ratingvalue_createdby";
        /// <summary>Parent: "SystemUser" Child: "RatingValue" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkRatingvalueCreatedOnBehalfBy = "lk_ratingvalue_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "RatingValue" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkRatingvalueModifiedBy = "lk_ratingvalue_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "RatingValue" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkRatingvalueModifiedOnBehalfBy = "lk_ratingvalue_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "RatingValue" Lookup: ""</summary>
        public const string Rel1M_UserRatingvalue = "user_ratingvalue";
        /// <summary>Parent: "SystemUser" Child: "BookableResource" Lookup: "UserId"</summary>
        public const string Rel1M_SystemUserBookableresourceUserId = "systemuser_bookableresource_UserId";
        /// <summary>Parent: "SystemUser" Child: "BulkOperation" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkBulkOperationCreatedBy = "lk_BulkOperation_createdby";
        /// <summary>Parent: "SystemUser" Child: "BulkOperation" Lookup: ""</summary>
        public const string Rel1M_UserBulkOperation = "user_BulkOperation";
        /// <summary>Parent: "SystemUser" Child: "BulkOperation" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkBulkOperationModifiedOnBehalfBy = "lk_BulkOperation_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BulkOperation" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkBulkOperationCreatedOnBehalfBy = "lk_BulkOperation_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BulkOperation" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkBulkOperationModifiedBy = "lk_BulkOperation_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "BulkOperationLog" Lookup: ""</summary>
        public const string Rel1M_UserBulkoperationlog = "user_bulkoperationlog";
        /// <summary>Parent: "SystemUser" Child: "Campaign" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCampaignCreatedBy = "lk_campaign_createdby";
        /// <summary>Parent: "SystemUser" Child: "Campaign" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCampaignCreatedOnBehalfBy = "lk_campaign_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Campaign" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCampaignModifiedBy = "lk_campaign_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Campaign" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCampaignModifiedOnBehalfBy = "lk_campaign_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Campaign" Lookup: ""</summary>
        public const string Rel1M_SystemUserCampaigns = "SystemUser_Campaigns";
        /// <summary>Parent: "SystemUser" Child: "CampaignActivity" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCampaignactivityCreatedBy = "lk_campaignactivity_createdby";
        /// <summary>Parent: "SystemUser" Child: "CampaignActivity" Lookup: ""</summary>
        public const string Rel1M_UserCampaignactivity = "user_campaignactivity";
        /// <summary>Parent: "SystemUser" Child: "CampaignActivity" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCampaignactivityModifiedOnBehalfBy = "lk_campaignactivity_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CampaignActivity" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCampaignactivityCreatedOnBehalfBy = "lk_campaignactivity_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CampaignActivity" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCampaignactivityModifiedBy = "lk_campaignactivity_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "CampaignResponse" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCampaignresponseCreatedBy = "lk_campaignresponse_createdby";
        /// <summary>Parent: "SystemUser" Child: "CampaignResponse" Lookup: ""</summary>
        public const string Rel1M_UserCampaignresponse = "user_campaignresponse";
        /// <summary>Parent: "SystemUser" Child: "CampaignResponse" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCampaignresponseModifiedOnBehalfBy = "lk_campaignresponse_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CampaignResponse" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCampaignresponseCreatedOnBehalfBy = "lk_campaignresponse_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CampaignResponse" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCampaignresponseModifiedBy = "lk_campaignresponse_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "List" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkListCreatedBy = "lk_list_createdby";
        /// <summary>Parent: "SystemUser" Child: "List" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkListCreatedOnBehalfBy = "lk_list_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "List" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkListModifiedBy = "lk_list_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "List" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkListModifiedOnBehalfBy = "lk_list_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "List" Lookup: ""</summary>
        public const string Rel1M_UserList = "user_list";
        /// <summary>Parent: "SystemUser" Child: "ListMember" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkListmemberCreatedBy = "lk_listmember_createdby";
        /// <summary>Parent: "SystemUser" Child: "ListMember" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkListmemberCreatedOnBehalfBy = "lk_listmember_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ListMember" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkListmemberModifiedBy = "lk_listmember_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ListMember" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkListmemberModifiedOnBehalfBy = "lk_listmember_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDatabaseVersion" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynDatabaseVersionCreatedBy = "lk_msdyn_databaseversion_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDatabaseVersion" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynDatabaseVersionCreatedOnBehalfBy = "lk_msdyn_databaseversion_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDatabaseVersion" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynDatabaseVersionModifiedBy = "lk_msdyn_databaseversion_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDatabaseVersion" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynDatabaseVersionModifiedOnBehalfBy = "lk_msdyn_databaseversion_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUpgraderun" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynUpgraderunCreatedBy = "lk_msdyn_upgraderun_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUpgraderun" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynUpgraderunCreatedOnBehalfBy = "lk_msdyn_upgraderun_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUpgraderun" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynUpgraderunModifiedBy = "lk_msdyn_upgraderun_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUpgraderun" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynUpgraderunModifiedOnBehalfBy = "lk_msdyn_upgraderun_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUpgradeStep" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynUpgradeStepCreatedBy = "lk_msdyn_upgradestep_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUpgradeStep" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynUpgradeStepCreatedOnBehalfBy = "lk_msdyn_upgradestep_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUpgradeStep" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynUpgradeStepModifiedBy = "lk_msdyn_upgradestep_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUpgradeStep" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynUpgradeStepModifiedOnBehalfBy = "lk_msdyn_upgradestep_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUpgradeVersion" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynUpgradeVersionCreatedBy = "lk_msdyn_upgradeversion_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUpgradeVersion" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynUpgradeVersionCreatedOnBehalfBy = "lk_msdyn_upgradeversion_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUpgradeVersion" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynUpgradeVersionModifiedBy = "lk_msdyn_upgradeversion_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUpgradeVersion" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynUpgradeVersionModifiedOnBehalfBy = "lk_msdyn_upgradeversion_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ConstraintBasedGroup" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkConstraintbasedgroupCreatedBy = "lk_constraintbasedgroup_createdby";
        /// <summary>Parent: "SystemUser" Child: "ConstraintBasedGroup" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkConstraintbasedgroupCreatedOnBehalfBy = "lk_constraintbasedgroup_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ConstraintBasedGroup" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkConstraintbasedgroupModifiedBy = "lk_constraintbasedgroup_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ConstraintBasedGroup" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkConstraintbasedgroupModifiedOnBehalfBy = "lk_constraintbasedgroup_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Contract" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkContractbaseCreatedBy = "lk_contractbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Contract" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkContractCreatedOnBehalfBy = "lk_contract_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Contract" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkContractbaseModifiedBy = "lk_contractbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Contract" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkContractModifiedOnBehalfBy = "lk_contract_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Contract" Lookup: ""</summary>
        public const string Rel1M_SystemUserServiceContracts = "system_user_service_contracts";
        /// <summary>Parent: "SystemUser" Child: "ContractDetail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkContractdetailbaseCreatedBy = "lk_contractdetailbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "ContractDetail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkContractdetailCreatedOnBehalfBy = "lk_contractdetail_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ContractDetail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkContractdetailbaseModifiedBy = "lk_contractdetailbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ContractDetail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkContractdetailModifiedOnBehalfBy = "lk_contractdetail_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ContractDetail" Lookup: ""</summary>
        public const string Rel1M_UserContractdetail = "user_contractdetail";
        /// <summary>Parent: "SystemUser" Child: "ContractTemplate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkContracttemplatebaseCreatedBy = "lk_contracttemplatebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "ContractTemplate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkContracttemplateCreatedOnBehalfBy = "lk_contracttemplate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ContractTemplate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkContracttemplatebaseModifiedBy = "lk_contracttemplatebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ContractTemplate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkContracttemplateModifiedOnBehalfBy = "lk_contracttemplate_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Entitlement" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkEntitlementCreatedBy = "lk_entitlement_createdby";
        /// <summary>Parent: "SystemUser" Child: "Entitlement" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkEntitlementCreatedOnBehalfBy = "lk_entitlement_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Entitlement" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkEntitlementModifiedBy = "lk_entitlement_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Entitlement" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkEntitlementModifiedOnBehalfBy = "lk_entitlement_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Entitlement" Lookup: ""</summary>
        public const string Rel1M_UserEntitlement = "user_entitlement";
        /// <summary>Parent: "SystemUser" Child: "EntitlementChannel" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkEntitlementchannelCreatedBy = "lk_entitlementchannel_createdby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementChannel" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkEntitlementchannelCreatedOnBehalfBy = "lk_entitlementchannel_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementChannel" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkEntitlementchannelModifiedBy = "lk_entitlementchannel_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementChannel" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkEntitlementchannelModifiedOnBehalfBy = "lk_entitlementchannel_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementChannel" Lookup: ""</summary>
        public const string Rel1M_UserEntitlementchannel = "user_entitlementchannel";
        /// <summary>Parent: "SystemUser" Child: "EntitlementTemplate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkEntitlementtemplateCreatedBy = "lk_entitlementtemplate_createdby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementTemplate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkEntitlementtemplateCreatedOnBehalfBy = "lk_entitlementtemplate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementTemplate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkEntitlementtemplateModifiedBy = "lk_entitlementtemplate_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementTemplate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkEntitlementtemplateModifiedOnBehalfBy = "lk_entitlementtemplate_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementTemplateChannel" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkEntitlementtemplatechannelCreatedBy = "lk_entitlementtemplatechannel_createdby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementTemplateChannel" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkEntitlementtemplatechannelCreatedOnBehalfBy = "lk_entitlementtemplatechannel_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementTemplateChannel" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkEntitlementtemplatechannelModifiedBy = "lk_entitlementtemplatechannel_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementTemplateChannel" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkEntitlementtemplatechannelModifiedOnBehalfBy = "lk_entitlementtemplatechannel_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Equipment" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkEquipmentCreatedBy = "lk_equipment_createdby";
        /// <summary>Parent: "SystemUser" Child: "Equipment" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkEquipmentCreatedOnBehalfBy = "lk_equipment_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Equipment" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkEquipmentModifiedBy = "lk_equipment_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Equipment" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkEquipmentModifiedOnBehalfBy = "lk_equipment_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Incident" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkIncidentbaseCreatedBy = "lk_incidentbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Incident" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkIncidentbaseCreatedOnBehalfBy = "lk_incidentbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Incident" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkIncidentbaseModifiedBy = "lk_incidentbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Incident" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkIncidentbaseModifiedOnBehalfBy = "lk_incidentbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Incident" Lookup: ""</summary>
        public const string Rel1M_SystemUserIncidents = "system_user_incidents";
        /// <summary>Parent: "SystemUser" Child: "IncidentResolution" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkIncidentresolutionCreatedBy = "lk_incidentresolution_createdby";
        /// <summary>Parent: "SystemUser" Child: "IncidentResolution" Lookup: ""</summary>
        public const string Rel1M_UserIncidentresolution = "user_incidentresolution";
        /// <summary>Parent: "SystemUser" Child: "IncidentResolution" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkIncidentresolutionModifiedOnBehalfBy = "lk_incidentresolution_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "IncidentResolution" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkIncidentresolutionCreatedOnBehalfBy = "lk_incidentresolution_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "IncidentResolution" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkIncidentresolutionModifiedBy = "lk_incidentresolution_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticleIncident" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkKnowledgearticleincidentCreatedBy = "lk_knowledgearticleincident_createdby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticleIncident" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkKnowledgearticleincidentCreatedOnBehalfBy = "lk_knowledgearticleincident_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticleIncident" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkKnowledgearticleincidentModifiedBy = "lk_knowledgearticleincident_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticleIncident" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkKnowledgearticleincidentModifiedOnBehalfBy = "lk_knowledgearticleincident_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticleIncident" Lookup: ""</summary>
        public const string Rel1M_UserKnowledgearticleincident = "user_knowledgearticleincident";
        /// <summary>Parent: "SystemUser" Child: "PhoneToCaseProcess" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkPhoneTocaseprocessCreatedBy = "lk_phonetocaseprocess_createdby";
        /// <summary>Parent: "SystemUser" Child: "PhoneToCaseProcess" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPhoneTocaseprocessCreatedOnBehalfBy = "lk_phonetocaseprocess_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PhoneToCaseProcess" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkPhoneTocaseprocessModifiedBy = "lk_phonetocaseprocess_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "PhoneToCaseProcess" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkPhoneTocaseprocessModifiedOnBehalfBy = "lk_phonetocaseprocess_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ResourceSpec" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkResourcespecCreatedBy = "lk_resourcespec_createdby";
        /// <summary>Parent: "SystemUser" Child: "ResourceSpec" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkResourcespecCreatedOnBehalfBy = "lk_resourcespec_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ResourceSpec" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkResourcespecModifiedBy = "lk_resourcespec_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ResourceSpec" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkResourcespecModifiedOnBehalfBy = "lk_resourcespec_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Service" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkServiceCreatedBy = "lk_service_createdby";
        /// <summary>Parent: "SystemUser" Child: "Service" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkServiceCreatedOnBehalfBy = "lk_service_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Service" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkServiceModifiedBy = "lk_service_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Service" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkServiceModifiedOnBehalfBy = "lk_service_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ServiceAppointment" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkServiceappointmentCreatedBy = "lk_serviceappointment_createdby";
        /// <summary>Parent: "SystemUser" Child: "ServiceAppointment" Lookup: ""</summary>
        public const string Rel1M_SystemUserServiceAppointments = "system_user_service_appointments";
        /// <summary>Parent: "SystemUser" Child: "ServiceAppointment" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkServiceappointmentModifiedOnBehalfBy = "lk_serviceappointment_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ServiceAppointment" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkServiceappointmentCreatedOnBehalfBy = "lk_serviceappointment_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ServiceAppointment" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkServiceappointmentModifiedBy = "lk_serviceappointment_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Site" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSitebaseCreatedBy = "lk_sitebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Site" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSiteCreatedOnBehalfBy = "lk_site_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Site" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSitebaseModifiedBy = "lk_sitebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Site" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSiteModifiedOnBehalfBy = "lk_site_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ConstraintBasedGroup" Lookup: "BusinessUnitId"</summary>
        public const string Rel1M_ConstraintbasedgroupSystemUser = "constraintbasedgroup_systemuser";
        /// <summary>Parent: "SystemUser" Child: "Equipment" Lookup: "BusinessUnitId"</summary>
        public const string Rel1M_EquipmentSystemUser = "equipment_systemuser";
        /// <summary>Parent: "SystemUser" Child: "Resource" Lookup: "ResourceId"</summary>
        public const string Rel1M_SystemUserResources = "systemuser_resources";
        /// <summary>Parent: "SystemUser" Child: "EntitlementEntityAllocationTypeMapping" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkEntitlementEntityAllocationTypeMappingCreatedBy = "lk_entitlemententityallocationtypemapping_createdby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementEntityAllocationTypeMapping" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkEntitlementEntityAllocationTypeMappingCreatedOnBehalfBy = "lk_entitlemententityallocationtypemapping_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementEntityAllocationTypeMapping" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkEntitlementEntityAllocationTypeMappingModifiedBy = "lk_entitlemententityallocationtypemapping_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementEntityAllocationTypeMapping" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkEntitlementEntityAllocationTypeMappingModifiedOnBehalfBy = "lk_entitlemententityallocationtypemapping_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "EntitlementEntityAllocationTypeMapping" Lookup: ""</summary>
        public const string Rel1M_UserEntitlementEntityAllocationTypeMapping = "user_entitlemententityallocationtypemapping";
        /// <summary>Parent: "SystemUser" Child: "MsdynCallablecontext" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynCallablecontextCreatedBy = "lk_msdyn_callablecontext_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCallablecontext" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynCallablecontextCreatedOnBehalfBy = "lk_msdyn_callablecontext_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCallablecontext" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynCallablecontextModifiedBy = "lk_msdyn_callablecontext_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCallablecontext" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynCallablecontextModifiedOnBehalfBy = "lk_msdyn_callablecontext_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCallablecontext" Lookup: ""</summary>
        public const string Rel1M_UserMsdynCallablecontext = "user_msdyn_callablecontext";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookactivity" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPlaybookactivityCreatedBy = "lk_msdyn_playbookactivity_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookactivity" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPlaybookactivityCreatedOnBehalfBy = "lk_msdyn_playbookactivity_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookactivity" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPlaybookactivityModifiedBy = "lk_msdyn_playbookactivity_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookactivity" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPlaybookactivityModifiedOnBehalfBy = "lk_msdyn_playbookactivity_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookactivity" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPlaybookactivity = "user_msdyn_playbookactivity";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookactivityattribute" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPlaybookactivityattributeCreatedBy = "lk_msdyn_playbookactivityattribute_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookactivityattribute" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPlaybookactivityattributeCreatedOnBehalfBy = "lk_msdyn_playbookactivityattribute_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookactivityattribute" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPlaybookactivityattributeModifiedBy = "lk_msdyn_playbookactivityattribute_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookactivityattribute" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPlaybookactivityattributeModifiedOnBehalfBy = "lk_msdyn_playbookactivityattribute_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookactivityattribute" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPlaybookactivityattribute = "user_msdyn_playbookactivityattribute";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookcategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPlaybookcategoryCreatedBy = "lk_msdyn_playbookcategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookcategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPlaybookcategoryCreatedOnBehalfBy = "lk_msdyn_playbookcategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookcategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPlaybookcategoryModifiedBy = "lk_msdyn_playbookcategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookcategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPlaybookcategoryModifiedOnBehalfBy = "lk_msdyn_playbookcategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookcategory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPlaybookcategory = "user_msdyn_playbookcategory";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookinstance" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPlaybookinstanceCreatedBy = "lk_msdyn_playbookinstance_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookinstance" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPlaybookinstanceCreatedOnBehalfBy = "lk_msdyn_playbookinstance_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookinstance" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPlaybookinstanceModifiedBy = "lk_msdyn_playbookinstance_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookinstance" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPlaybookinstanceModifiedOnBehalfBy = "lk_msdyn_playbookinstance_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybookinstance" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPlaybookinstance = "user_msdyn_playbookinstance";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybooktemplate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPlaybooktemplateCreatedBy = "lk_msdyn_playbooktemplate_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybooktemplate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPlaybooktemplateCreatedOnBehalfBy = "lk_msdyn_playbooktemplate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybooktemplate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPlaybooktemplateModifiedBy = "lk_msdyn_playbooktemplate_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybooktemplate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPlaybooktemplateModifiedOnBehalfBy = "lk_msdyn_playbooktemplate_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPlaybooktemplate" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPlaybooktemplate = "user_msdyn_playbooktemplate";
        /// <summary>Parent: "SystemUser" Child: "CompetitorAddress" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCompetitorAddressBaseCreatedBy = "lk_competitoraddressbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "CompetitorAddress" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCompetitorAddressCreatedOnBehalfBy = "lk_competitoraddress_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CompetitorAddress" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCompetitorAddressBaseModifiedBy = "lk_competitoraddressbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "CompetitorAddress" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCompetitorAddressModifiedOnBehalfBy = "lk_competitoraddress_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DisCount" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkDisCountBaseCreatedBy = "lk_discountbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "DisCount" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkDisCountCreatedOnBehalfBy = "lk_discount_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DisCount" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkDisCountBaseModifiedBy = "lk_discountbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "DisCount" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkDisCountModifiedOnBehalfBy = "lk_discount_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DisCountType" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkDisCountTypeBaseCreatedBy = "lk_discounttypebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "DisCountType" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkDisCountTypeCreatedOnBehalfBy = "lk_discounttype_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DisCountType" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkDisCountTypeBaseModifiedBy = "lk_discounttypebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "DisCountType" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkDisCountTypeModifiedOnBehalfBy = "lk_discounttype_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Invoice" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkInvoicebaseCreatedBy = "lk_invoicebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Invoice" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkInvoiceCreatedOnBehalfBy = "lk_invoice_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Invoice" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkInvoicebaseModifiedBy = "lk_invoicebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Invoice" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkInvoiceModifiedOnBehalfBy = "lk_invoice_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Invoice" Lookup: ""</summary>
        public const string Rel1M_SystemUserInvoices = "system_user_invoices";
        /// <summary>Parent: "SystemUser" Child: "InvoiceDetail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkInvoicedetailbaseCreatedBy = "lk_invoicedetailbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "InvoiceDetail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkInvoicedetailCreatedOnBehalfBy = "lk_invoicedetail_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "InvoiceDetail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkInvoicedetailbaseModifiedBy = "lk_invoicedetailbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "InvoiceDetail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkInvoicedetailModifiedOnBehalfBy = "lk_invoicedetail_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "InvoiceDetail" Lookup: ""</summary>
        public const string Rel1M_UserInvoicedetail = "user_invoicedetail";
        /// <summary>Parent: "SystemUser" Child: "LeadToOpportunitySalesProcess" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkLeadtoopportunitysalesprocessCreatedBy = "lk_leadtoopportunitysalesprocess_createdby";
        /// <summary>Parent: "SystemUser" Child: "LeadToOpportunitySalesProcess" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkLeadtoopportunitysalesprocessCreatedOnBehalfBy = "lk_leadtoopportunitysalesprocess_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "LeadToOpportunitySalesProcess" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkLeadtoopportunitysalesprocessModifiedBy = "lk_leadtoopportunitysalesprocess_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "LeadToOpportunitySalesProcess" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkLeadtoopportunitysalesprocessModifiedOnBehalfBy = "lk_leadtoopportunitysalesprocess_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Opportunity" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkOpportunitybaseCreatedBy = "lk_opportunitybase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Opportunity" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkOpportunityCreatedOnBehalfBy = "lk_opportunity_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Opportunity" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkOpportunitybaseModifiedBy = "lk_opportunitybase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Opportunity" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkOpportunityModifiedOnBehalfBy = "lk_opportunity_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Opportunity" Lookup: ""</summary>
        public const string Rel1M_OpportunityOwningUser = "opportunity_owning_user";
        /// <summary>Parent: "SystemUser" Child: "OpportunityClose" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkOpportunitycloseCreatedBy = "lk_opportunityclose_createdby";
        /// <summary>Parent: "SystemUser" Child: "OpportunityClose" Lookup: ""</summary>
        public const string Rel1M_UserOpportunityclose = "user_opportunityclose";
        /// <summary>Parent: "SystemUser" Child: "OpportunityClose" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkOpportunitycloseModifiedOnBehalfBy = "lk_opportunityclose_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "OpportunityClose" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkOpportunitycloseCreatedOnBehalfBy = "lk_opportunityclose_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "OpportunityClose" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkOpportunitycloseModifiedBy = "lk_opportunityclose_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "OpportunityProduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkOpportunityproductbaseCreatedBy = "lk_opportunityproductbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "OpportunityProduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkOpportunityproductCreatedOnBehalfBy = "lk_opportunityproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "OpportunityProduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkOpportunityproductbaseModifiedBy = "lk_opportunityproductbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "OpportunityProduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkOpportunityproductModifiedOnBehalfBy = "lk_opportunityproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "OpportunityProduct" Lookup: ""</summary>
        public const string Rel1M_UserOpportunityproduct = "user_opportunityproduct";
        /// <summary>Parent: "SystemUser" Child: "OpportunitySalesProcess" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkOpportunitysalesprocessCreatedBy = "lk_opportunitysalesprocess_createdby";
        /// <summary>Parent: "SystemUser" Child: "OpportunitySalesProcess" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkOpportunitysalesprocessCreatedOnBehalfBy = "lk_opportunitysalesprocess_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "OpportunitySalesProcess" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkOpportunitysalesprocessModifiedBy = "lk_opportunitysalesprocess_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "OpportunitySalesProcess" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkOpportunitysalesprocessModifiedOnBehalfBy = "lk_opportunitysalesprocess_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "OrderClose" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkOrdercloseCreatedBy = "lk_orderclose_createdby";
        /// <summary>Parent: "SystemUser" Child: "OrderClose" Lookup: ""</summary>
        public const string Rel1M_UserOrderclose = "user_orderclose";
        /// <summary>Parent: "SystemUser" Child: "OrderClose" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkOrdercloseModifiedOnBehalfBy = "lk_orderclose_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "OrderClose" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkOrdercloseCreatedOnBehalfBy = "lk_orderclose_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "OrderClose" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkOrdercloseModifiedBy = "lk_orderclose_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Quote" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkQuotebaseCreatedBy = "lk_quotebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Quote" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkQuoteCreatedOnBehalfBy = "lk_quote_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Quote" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkQuotebaseModifiedBy = "lk_quotebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Quote" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkQuoteModifiedOnBehalfBy = "lk_quote_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Quote" Lookup: ""</summary>
        public const string Rel1M_SystemUserQuotes = "system_user_quotes";
        /// <summary>Parent: "SystemUser" Child: "QuoteClose" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkQuotecloseCreatedBy = "lk_quoteclose_createdby";
        /// <summary>Parent: "SystemUser" Child: "QuoteClose" Lookup: ""</summary>
        public const string Rel1M_UserQuoteclose = "user_quoteclose";
        /// <summary>Parent: "SystemUser" Child: "QuoteClose" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkQuotecloseModifiedOnBehalfBy = "lk_quoteclose_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "QuoteClose" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkQuotecloseCreatedOnBehalfBy = "lk_quoteclose_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "QuoteClose" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkQuotecloseModifiedBy = "lk_quoteclose_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "QuoteDetail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkQuotedetailbaseCreatedBy = "lk_quotedetailbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "QuoteDetail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkQuotedetailCreatedOnBehalfBy = "lk_quotedetail_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "QuoteDetail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkQuotedetailbaseModifiedBy = "lk_quotedetailbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "QuoteDetail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkQuotedetailModifiedOnBehalfBy = "lk_quotedetail_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "QuoteDetail" Lookup: ""</summary>
        public const string Rel1M_UserQuotedetail = "user_quotedetail";
        /// <summary>Parent: "SystemUser" Child: "SalesLiterature" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSalesliteraturebaseCreatedBy = "lk_salesliteraturebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "SalesLiterature" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSalesliteratureCreatedOnBehalfBy = "lk_salesliterature_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SalesLiterature" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSalesliteraturebaseModifiedBy = "lk_salesliteraturebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SalesLiterature" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSalesliteratureModifiedOnBehalfBy = "lk_salesliterature_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SalesLiteratureItem" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSalesliteratureitembaseCreatedBy = "lk_salesliteratureitembase_createdby";
        /// <summary>Parent: "SystemUser" Child: "SalesLiteratureItem" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSalesliteratureitemCreatedOnBehalfBy = "lk_salesliteratureitem_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SalesLiteratureItem" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSalesliteratureitembaseModifiedBy = "lk_salesliteratureitembase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SalesLiteratureItem" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSalesliteratureitemModifiedOnBehalfBy = "lk_salesliteratureitem_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SalesOrder" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSalesorderbaseCreatedBy = "lk_salesorderbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "SalesOrder" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSalesorderCreatedOnBehalfBy = "lk_salesorder_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SalesOrder" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSalesorderbaseModifiedBy = "lk_salesorderbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SalesOrder" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSalesorderModifiedOnBehalfBy = "lk_salesorder_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SalesOrder" Lookup: ""</summary>
        public const string Rel1M_SystemUserOrders = "system_user_orders";
        /// <summary>Parent: "SystemUser" Child: "SalesOrderDetail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSalesorderdetailbaseCreatedBy = "lk_salesorderdetailbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "SalesOrderDetail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSalesorderdetailCreatedOnBehalfBy = "lk_salesorderdetail_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SalesOrderDetail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSalesorderdetailbaseModifiedBy = "lk_salesorderdetailbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SalesOrderDetail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSalesorderdetailModifiedOnBehalfBy = "lk_salesorderdetail_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SalesOrderDetail" Lookup: ""</summary>
        public const string Rel1M_UserSalesorderdetail = "user_salesorderdetail";
        /// <summary>Parent: "SystemUser" Child: "Competitor" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCompetitorbaseCreatedBy = "lk_competitorbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Competitor" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCompetitorCreatedOnBehalfBy = "lk_competitor_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Competitor" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCompetitorbaseModifiedBy = "lk_competitorbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Competitor" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCompetitorModifiedOnBehalfBy = "lk_competitor_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "InvoiceDetail" Lookup: "SalesRepId"</summary>
        public const string Rel1M_SystemUserInvoicedetail = "system_user_invoicedetail";
        /// <summary>Parent: "SystemUser" Child: "QuoteDetail" Lookup: "SalesRepId"</summary>
        public const string Rel1M_SystemUserQuotedetail = "system_user_quotedetail";
        /// <summary>Parent: "SystemUser" Child: "SalesOrderDetail" Lookup: "SalesRepId"</summary>
        public const string Rel1M_SystemUserSalesorderdetail = "system_user_salesorderdetail";
        /// <summary>Parent: "SystemUser" Child: "SalesLiterature" Lookup: "EmployeeContactId"</summary>
        public const string Rel1M_SystemUserSalesLiterature = "system_user_sales_literature";
        /// <summary>Parent: "SystemUser" Child: "AdminsettingsEntity" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkAdminsettingsEntityCreatedBy = "lk_adminsettingsentity_createdby";
        /// <summary>Parent: "SystemUser" Child: "AdminsettingsEntity" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkAdminsettingsEntityCreatedOnBehalfBy = "lk_adminsettingsentity_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AdminsettingsEntity" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkAdminsettingsEntityModifiedBy = "lk_adminsettingsentity_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "AdminsettingsEntity" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkAdminsettingsEntityModifiedOnBehalfBy = "lk_adminsettingsentity_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AdminsettingsEntity" Lookup: ""</summary>
        public const string Rel1M_UserAdminsettingsEntity = "user_adminsettingsentity";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastdefinition" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynForecastdefinitionCreatedBy = "lk_msdyn_forecastdefinition_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastdefinition" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynForecastdefinitionCreatedOnBehalfBy = "lk_msdyn_forecastdefinition_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastdefinition" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynForecastdefinitionModifiedBy = "lk_msdyn_forecastdefinition_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastdefinition" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynForecastdefinitionModifiedOnBehalfBy = "lk_msdyn_forecastdefinition_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastdefinition" Lookup: ""</summary>
        public const string Rel1M_UserMsdynForecastdefinition = "user_msdyn_forecastdefinition";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastinstance" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynForecastinstanceCreatedBy = "lk_msdyn_forecastinstance_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastinstance" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynForecastinstanceCreatedOnBehalfBy = "lk_msdyn_forecastinstance_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastinstance" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynForecastinstanceModifiedBy = "lk_msdyn_forecastinstance_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastinstance" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynForecastinstanceModifiedOnBehalfBy = "lk_msdyn_forecastinstance_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastinstance" Lookup: ""</summary>
        public const string Rel1M_UserMsdynForecastinstance = "user_msdyn_forecastinstance";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastrecurrence" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynForecastrecurrenceCreatedBy = "lk_msdyn_forecastrecurrence_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastrecurrence" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynForecastrecurrenceCreatedOnBehalfBy = "lk_msdyn_forecastrecurrence_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastrecurrence" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynForecastrecurrenceModifiedBy = "lk_msdyn_forecastrecurrence_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastrecurrence" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynForecastrecurrenceModifiedOnBehalfBy = "lk_msdyn_forecastrecurrence_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynForecastrecurrence" Lookup: ""</summary>
        public const string Rel1M_UserMsdynForecastrecurrence = "user_msdyn_forecastrecurrence";
        /// <summary>Parent: "SystemUser" Child: "MsdynRelationshipinsightsunifiedconfig" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRelationshipinsightsunifiedconfigCreatedBy = "lk_msdyn_relationshipinsightsunifiedconfig_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRelationshipinsightsunifiedconfig" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRelationshipinsightsunifiedconfigCreatedOnBehalfBy = "lk_msdyn_relationshipinsightsunifiedconfig_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRelationshipinsightsunifiedconfig" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRelationshipinsightsunifiedconfigModifiedBy = "lk_msdyn_relationshipinsightsunifiedconfig_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRelationshipinsightsunifiedconfig" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRelationshipinsightsunifiedconfigModifiedOnBehalfBy = "lk_msdyn_relationshipinsightsunifiedconfig_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRelationshipinsightsunifiedconfig" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRelationshipinsightsunifiedconfig = "user_msdyn_relationshipinsightsunifiedconfig";
        /// <summary>Parent: "SystemUser" Child: "MsdynSiconfig" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynSiconfigCreatedBy = "lk_msdyn_siconfig_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSiconfig" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynSiconfigCreatedOnBehalfBy = "lk_msdyn_siconfig_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSiconfig" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynSiconfigModifiedBy = "lk_msdyn_siconfig_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSiconfig" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynSiconfigModifiedOnBehalfBy = "lk_msdyn_siconfig_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSiconfig" Lookup: ""</summary>
        public const string Rel1M_UserMsdynSiconfig = "user_msdyn_siconfig";
        /// <summary>Parent: "SystemUser" Child: "MsdynUntrackedappointment" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynUntrackedappointmentCreatedBy = "lk_msdyn_untrackedappointment_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUntrackedappointment" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynUntrackedappointmentCreatedOnBehalfBy = "lk_msdyn_untrackedappointment_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUntrackedappointment" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynUntrackedappointmentModifiedBy = "lk_msdyn_untrackedappointment_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUntrackedappointment" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynUntrackedappointmentModifiedOnBehalfBy = "lk_msdyn_untrackedappointment_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUntrackedappointment" Lookup: ""</summary>
        public const string Rel1M_UserMsdynUntrackedappointment = "user_msdyn_untrackedappointment";
        /// <summary>Parent: "SystemUser" Child: "MsdynNotesanalysisconfig" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynNotesanalysisconfigCreatedBy = "lk_msdyn_notesanalysisconfig_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynNotesanalysisconfig" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynNotesanalysisconfigCreatedOnBehalfBy = "lk_msdyn_notesanalysisconfig_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynNotesanalysisconfig" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynNotesanalysisconfigModifiedBy = "lk_msdyn_notesanalysisconfig_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynNotesanalysisconfig" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynNotesanalysisconfigModifiedOnBehalfBy = "lk_msdyn_notesanalysisconfig_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynNotesanalysisconfig" Lookup: ""</summary>
        public const string Rel1M_UserMsdynNotesanalysisconfig = "user_msdyn_notesanalysisconfig";
        /// <summary>Parent: "SystemUser" Child: "MsdynIcebreakersconfig" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIcebreakersconfigCreatedBy = "lk_msdyn_icebreakersconfig_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIcebreakersconfig" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIcebreakersconfigCreatedOnBehalfBy = "lk_msdyn_icebreakersconfig_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIcebreakersconfig" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIcebreakersconfigModifiedBy = "lk_msdyn_icebreakersconfig_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIcebreakersconfig" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIcebreakersconfigModifiedOnBehalfBy = "lk_msdyn_icebreakersconfig_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIcebreakersconfig" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIcebreakersconfig = "user_msdyn_icebreakersconfig";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostAlBum" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPostalBumCreatedBy = "lk_msdyn_postalbum_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostAlBum" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPostalBumCreatedOnBehalfBy = "lk_msdyn_postalbum_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostAlBum" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPostalBumModifiedBy = "lk_msdyn_postalbum_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostAlBum" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPostalBumModifiedOnBehalfBy = "lk_msdyn_postalbum_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostAlBum" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPostalBum = "user_msdyn_postalbum";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostConfig" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPostconfigCreatedBy = "lk_msdyn_postconfig_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostConfig" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPostconfigCreatedOnBehalfBy = "lk_msdyn_postconfig_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostConfig" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPostconfigModifiedBy = "lk_msdyn_postconfig_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostConfig" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPostconfigModifiedOnBehalfBy = "lk_msdyn_postconfig_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostRuleConfig" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPostruleconfigCreatedBy = "lk_msdyn_postruleconfig_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostRuleConfig" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPostruleconfigCreatedOnBehalfBy = "lk_msdyn_postruleconfig_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostRuleConfig" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPostruleconfigModifiedBy = "lk_msdyn_postruleconfig_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostRuleConfig" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPostruleconfigModifiedOnBehalfBy = "lk_msdyn_postruleconfig_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWallsavedquery" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWallsavedqueryCreatedBy = "lk_msdyn_wallsavedquery_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWallsavedquery" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWallsavedqueryCreatedOnBehalfBy = "lk_msdyn_wallsavedquery_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWallsavedquery" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWallsavedqueryModifiedBy = "lk_msdyn_wallsavedquery_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWallsavedquery" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWallsavedqueryModifiedOnBehalfBy = "lk_msdyn_wallsavedquery_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWallsavedqueryUserSettings" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWallsavedqueryUserSettingsCreatedBy = "lk_msdyn_wallsavedqueryusersettings_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWallsavedqueryUserSettings" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWallsavedqueryUserSettingsCreatedOnBehalfBy = "lk_msdyn_wallsavedqueryusersettings_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWallsavedqueryUserSettings" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWallsavedqueryUserSettingsModifiedBy = "lk_msdyn_wallsavedqueryusersettings_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWallsavedqueryUserSettings" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWallsavedqueryUserSettingsModifiedOnBehalfBy = "lk_msdyn_wallsavedqueryusersettings_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWallsavedqueryUserSettings" Lookup: ""</summary>
        public const string Rel1M_UserMsdynWallsavedqueryUserSettings = "user_msdyn_wallsavedqueryusersettings";
        /// <summary>Parent: "SystemUser" Child: "MsdynWallsavedqueryUserSettings" Lookup: "MsdynUserId"</summary>
        public const string Rel1M_MsdynSystemUserWallsavedqueryUserSettingsUserId = "msdyn_systemuser_wallsavedqueryusersettings_userid";
        /// <summary>Parent: "SystemUser" Child: "MsfpEMailTemplate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsfpEMailTemplateCreatedBy = "lk_msfp_emailtemplate_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsfpEMailTemplate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsfpEMailTemplateCreatedOnBehalfBy = "lk_msfp_emailtemplate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpEMailTemplate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsfpEMailTemplateModifiedBy = "lk_msfp_emailtemplate_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsfpEMailTemplate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsfpEMailTemplateModifiedOnBehalfBy = "lk_msfp_emailtemplate_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpEMailTemplate" Lookup: ""</summary>
        public const string Rel1M_UserMsfpEMailTemplate = "user_msfp_emailtemplate";
        /// <summary>Parent: "SystemUser" Child: "MsfpQuestion" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsfpQuestionCreatedBy = "lk_msfp_question_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsfpQuestion" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsfpQuestionCreatedOnBehalfBy = "lk_msfp_question_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpQuestion" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsfpQuestionModifiedBy = "lk_msfp_question_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsfpQuestion" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsfpQuestionModifiedOnBehalfBy = "lk_msfp_question_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpQuestion" Lookup: ""</summary>
        public const string Rel1M_UserMsfpQuestion = "user_msfp_question";
        /// <summary>Parent: "SystemUser" Child: "MsfpQuestionresponse" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsfpQuestionresponseCreatedBy = "lk_msfp_questionresponse_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsfpQuestionresponse" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsfpQuestionresponseCreatedOnBehalfBy = "lk_msfp_questionresponse_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpQuestionresponse" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsfpQuestionresponseModifiedBy = "lk_msfp_questionresponse_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsfpQuestionresponse" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsfpQuestionresponseModifiedOnBehalfBy = "lk_msfp_questionresponse_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpQuestionresponse" Lookup: ""</summary>
        public const string Rel1M_UserMsfpQuestionresponse = "user_msfp_questionresponse";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurvey" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsfpSurveyCreatedBy = "lk_msfp_survey_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurvey" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsfpSurveyCreatedOnBehalfBy = "lk_msfp_survey_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurvey" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsfpSurveyModifiedBy = "lk_msfp_survey_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurvey" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsfpSurveyModifiedOnBehalfBy = "lk_msfp_survey_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurvey" Lookup: ""</summary>
        public const string Rel1M_UserMsfpSurvey = "user_msfp_survey";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurveyinvite" Lookup: "CreatedBy"</summary>
        public const string Rel1M_MsfpSurveyinviteSystemUserCreatedBy = "msfp_surveyinvite_systemuser_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurveyinvite" Lookup: ""</summary>
        public const string Rel1M_MsfpSurveyinviteSystemUserOwningUser = "msfp_surveyinvite_systemuser_owninguser";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurveyinvite" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_MsfpSurveyinviteSystemUserModifiedOnBehalfBy = "msfp_surveyinvite_systemuser_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurveyinvite" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_MsfpSurveyinviteSystemUserCreatedOnBehalfBy = "msfp_surveyinvite_systemuser_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurveyinvite" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_MsfpSurveyinviteSystemUserModifiedBy = "msfp_surveyinvite_systemuser_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurveyresponse" Lookup: "CreatedBy"</summary>
        public const string Rel1M_MsfpSurveyresponseSystemUserCreatedBy = "msfp_surveyresponse_systemuser_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurveyresponse" Lookup: ""</summary>
        public const string Rel1M_MsfpSurveyresponseSystemUserOwningUser = "msfp_surveyresponse_systemuser_owninguser";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurveyresponse" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_MsfpSurveyresponseSystemUserModifiedOnBehalfBy = "msfp_surveyresponse_systemuser_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurveyresponse" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_MsfpSurveyresponseSystemUserCreatedOnBehalfBy = "msfp_surveyresponse_systemuser_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpSurveyresponse" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_MsfpSurveyresponseSystemUserModifiedBy = "msfp_surveyresponse_systemuser_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsfpUnsubscribedrecipient" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsfpUnsubscribedrecipientCreatedBy = "lk_msfp_unsubscribedrecipient_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsfpUnsubscribedrecipient" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsfpUnsubscribedrecipientCreatedOnBehalfBy = "lk_msfp_unsubscribedrecipient_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpUnsubscribedrecipient" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsfpUnsubscribedrecipientModifiedBy = "lk_msfp_unsubscribedrecipient_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsfpUnsubscribedrecipient" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsfpUnsubscribedrecipientModifiedOnBehalfBy = "lk_msfp_unsubscribedrecipient_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsfpUnsubscribedrecipient" Lookup: ""</summary>
        public const string Rel1M_UserMsfpUnsubscribedrecipient = "user_msfp_unsubscribedrecipient";
        /// <summary>Parent: "SystemUser" Child: "MsdynTeamsCollaboration" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTeamscollaborationCreatedBy = "lk_msdyn_teamscollaboration_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTeamsCollaboration" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTeamscollaborationCreatedOnBehalfBy = "lk_msdyn_teamscollaboration_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTeamsCollaboration" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTeamscollaborationModifiedBy = "lk_msdyn_teamscollaboration_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTeamsCollaboration" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTeamscollaborationModifiedOnBehalfBy = "lk_msdyn_teamscollaboration_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynActual" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynActualCreatedBy = "lk_msdyn_actual_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynActual" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynActualCreatedOnBehalfBy = "lk_msdyn_actual_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynActual" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynActualModifiedBy = "lk_msdyn_actual_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynActual" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynActualModifiedOnBehalfBy = "lk_msdyn_actual_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynActual" Lookup: ""</summary>
        public const string Rel1M_UserMsdynActual = "user_msdyn_actual";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookableresourceassociation" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBookableresourceassociationCreatedBy = "lk_msdyn_bookableresourceassociation_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookableresourceassociation" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookableresourceassociationCreatedOnBehalfBy = "lk_msdyn_bookableresourceassociation_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookableresourceassociation" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBookableresourceassociationModifiedBy = "lk_msdyn_bookableresourceassociation_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookableresourceassociation" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookableresourceassociationModifiedOnBehalfBy = "lk_msdyn_bookableresourceassociation_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookableresourceassociation" Lookup: ""</summary>
        public const string Rel1M_UserMsdynBookableresourceassociation = "user_msdyn_bookableresourceassociation";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingalert" Lookup: "CreatedBy"</summary>
        public const string Rel1M_MsdynBookingalertSystemUserCreatedBy = "msdyn_bookingalert_systemuser_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingalert" Lookup: ""</summary>
        public const string Rel1M_MsdynBookingalertSystemUserOwningUser = "msdyn_bookingalert_systemuser_owninguser";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingalert" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_MsdynBookingalertSystemUserModifiedOnBehalfBy = "msdyn_bookingalert_systemuser_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingalert" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_MsdynBookingalertSystemUserCreatedOnBehalfBy = "msdyn_bookingalert_systemuser_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingalert" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_MsdynBookingalertSystemUserModifiedBy = "msdyn_bookingalert_systemuser_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingalertStatus" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBookingalertStatusCreatedBy = "lk_msdyn_bookingalertstatus_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingalertStatus" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookingalertStatusCreatedOnBehalfBy = "lk_msdyn_bookingalertstatus_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingalertStatus" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBookingalertStatusModifiedBy = "lk_msdyn_bookingalertstatus_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingalertStatus" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookingalertStatusModifiedOnBehalfBy = "lk_msdyn_bookingalertstatus_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingalertStatus" Lookup: ""</summary>
        public const string Rel1M_UserMsdynBookingalertStatus = "user_msdyn_bookingalertstatus";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingchange" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBookingchangeCreatedBy = "lk_msdyn_bookingchange_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingchange" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookingchangeCreatedOnBehalfBy = "lk_msdyn_bookingchange_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingchange" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBookingchangeModifiedBy = "lk_msdyn_bookingchange_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingchange" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookingchangeModifiedOnBehalfBy = "lk_msdyn_bookingchange_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingchange" Lookup: ""</summary>
        public const string Rel1M_UserMsdynBookingchange = "user_msdyn_bookingchange";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingrule" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBookingruleCreatedBy = "lk_msdyn_bookingrule_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingrule" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookingruleCreatedOnBehalfBy = "lk_msdyn_bookingrule_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingrule" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBookingruleModifiedBy = "lk_msdyn_bookingrule_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingrule" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookingruleModifiedOnBehalfBy = "lk_msdyn_bookingrule_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingrule" Lookup: ""</summary>
        public const string Rel1M_UserMsdynBookingrule = "user_msdyn_bookingrule";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingsetupmetadata" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBookingsetupmetadataCreatedBy = "lk_msdyn_bookingsetupmetadata_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingsetupmetadata" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookingsetupmetadataCreatedOnBehalfBy = "lk_msdyn_bookingsetupmetadata_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingsetupmetadata" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBookingsetupmetadataModifiedBy = "lk_msdyn_bookingsetupmetadata_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingsetupmetadata" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookingsetupmetadataModifiedOnBehalfBy = "lk_msdyn_bookingsetupmetadata_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingsetupmetadata" Lookup: ""</summary>
        public const string Rel1M_UserMsdynBookingsetupmetadata = "user_msdyn_bookingsetupmetadata";
        /// <summary>Parent: "SystemUser" Child: "MsdynBusinessClosure" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBusinessClosureCreatedBy = "lk_msdyn_businessclosure_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBusinessClosure" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBusinessClosureCreatedOnBehalfBy = "lk_msdyn_businessclosure_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBusinessClosure" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBusinessClosureModifiedBy = "lk_msdyn_businessclosure_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBusinessClosure" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBusinessClosureModifiedOnBehalfBy = "lk_msdyn_businessclosure_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBusinessClosure" Lookup: ""</summary>
        public const string Rel1M_UserMsdynBusinessClosure = "user_msdyn_businessclosure";
        /// <summary>Parent: "SystemUser" Child: "MsdynClientextension" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynClientextensionCreatedBy = "lk_msdyn_clientextension_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynClientextension" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynClientextensionCreatedOnBehalfBy = "lk_msdyn_clientextension_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynClientextension" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynClientextensionModifiedBy = "lk_msdyn_clientextension_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynClientextension" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynClientextensionModifiedOnBehalfBy = "lk_msdyn_clientextension_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynClientextension" Lookup: ""</summary>
        public const string Rel1M_UserMsdynClientextension = "user_msdyn_clientextension";
        /// <summary>Parent: "SystemUser" Child: "MsdynConfiguration" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynConfigurationCreatedBy = "lk_msdyn_configuration_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynConfiguration" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynConfigurationCreatedOnBehalfBy = "lk_msdyn_configuration_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynConfiguration" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynConfigurationModifiedBy = "lk_msdyn_configuration_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynConfiguration" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynConfigurationModifiedOnBehalfBy = "lk_msdyn_configuration_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynConfiguration" Lookup: ""</summary>
        public const string Rel1M_UserMsdynConfiguration = "user_msdyn_configuration";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrganizationalunit" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOrganizationalunitCreatedBy = "lk_msdyn_organizationalunit_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrganizationalunit" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrganizationalunitCreatedOnBehalfBy = "lk_msdyn_organizationalunit_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrganizationalunit" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOrganizationalunitModifiedBy = "lk_msdyn_organizationalunit_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrganizationalunit" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrganizationalunitModifiedOnBehalfBy = "lk_msdyn_organizationalunit_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPriority" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPriorityCreatedBy = "lk_msdyn_priority_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPriority" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPriorityCreatedOnBehalfBy = "lk_msdyn_priority_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPriority" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPriorityModifiedBy = "lk_msdyn_priority_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPriority" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPriorityModifiedOnBehalfBy = "lk_msdyn_priority_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPriority" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPriority = "user_msdyn_priority";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementcharacteristic" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRequirementcharacteristicCreatedBy = "lk_msdyn_requirementcharacteristic_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementcharacteristic" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementcharacteristicCreatedOnBehalfBy = "lk_msdyn_requirementcharacteristic_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementcharacteristic" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRequirementcharacteristicModifiedBy = "lk_msdyn_requirementcharacteristic_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementcharacteristic" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementcharacteristicModifiedOnBehalfBy = "lk_msdyn_requirementcharacteristic_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementcharacteristic" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRequirementcharacteristic = "user_msdyn_requirementcharacteristic";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementgroup" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRequirementgroupCreatedBy = "lk_msdyn_requirementgroup_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementgroup" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementgroupCreatedOnBehalfBy = "lk_msdyn_requirementgroup_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementgroup" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRequirementgroupModifiedBy = "lk_msdyn_requirementgroup_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementgroup" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementgroupModifiedOnBehalfBy = "lk_msdyn_requirementgroup_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementgroup" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRequirementgroup = "user_msdyn_requirementgroup";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementorganizationunit" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRequirementorganizationunitCreatedBy = "lk_msdyn_requirementorganizationunit_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementorganizationunit" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementorganizationunitCreatedOnBehalfBy = "lk_msdyn_requirementorganizationunit_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementorganizationunit" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRequirementorganizationunitModifiedBy = "lk_msdyn_requirementorganizationunit_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementorganizationunit" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementorganizationunitModifiedOnBehalfBy = "lk_msdyn_requirementorganizationunit_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementorganizationunit" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRequirementorganizationunit = "user_msdyn_requirementorganizationunit";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementrelationship" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRequirementrelationshipCreatedBy = "lk_msdyn_requirementrelationship_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementrelationship" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementrelationshipCreatedOnBehalfBy = "lk_msdyn_requirementrelationship_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementrelationship" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRequirementrelationshipModifiedBy = "lk_msdyn_requirementrelationship_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementrelationship" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementrelationshipModifiedOnBehalfBy = "lk_msdyn_requirementrelationship_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementrelationship" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRequirementrelationship = "user_msdyn_requirementrelationship";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementresourcecategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRequirementresourcecategoryCreatedBy = "lk_msdyn_requirementresourcecategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementresourcecategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementresourcecategoryCreatedOnBehalfBy = "lk_msdyn_requirementresourcecategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementresourcecategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRequirementresourcecategoryModifiedBy = "lk_msdyn_requirementresourcecategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementresourcecategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementresourcecategoryModifiedOnBehalfBy = "lk_msdyn_requirementresourcecategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementresourcecategory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRequirementresourcecategory = "user_msdyn_requirementresourcecategory";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementresourcepreference" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRequirementresourcepreferenceCreatedBy = "lk_msdyn_requirementresourcepreference_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementresourcepreference" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementresourcepreferenceCreatedOnBehalfBy = "lk_msdyn_requirementresourcepreference_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementresourcepreference" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRequirementresourcepreferenceModifiedBy = "lk_msdyn_requirementresourcepreference_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementresourcepreference" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementresourcepreferenceModifiedOnBehalfBy = "lk_msdyn_requirementresourcepreference_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementresourcepreference" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRequirementresourcepreference = "user_msdyn_requirementresourcepreference";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementStatus" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRequirementStatusCreatedBy = "lk_msdyn_requirementstatus_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementStatus" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementStatusCreatedOnBehalfBy = "lk_msdyn_requirementstatus_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementStatus" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRequirementStatusModifiedBy = "lk_msdyn_requirementstatus_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementStatus" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRequirementStatusModifiedOnBehalfBy = "lk_msdyn_requirementstatus_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRequirementStatus" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRequirementStatus = "user_msdyn_requirementstatus";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequirement" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynResourcerequirementCreatedBy = "lk_msdyn_resourcerequirement_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequirement" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourcerequirementCreatedOnBehalfBy = "lk_msdyn_resourcerequirement_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequirement" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynResourcerequirementModifiedBy = "lk_msdyn_resourcerequirement_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequirement" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourcerequirementModifiedOnBehalfBy = "lk_msdyn_resourcerequirement_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequirement" Lookup: ""</summary>
        public const string Rel1M_UserMsdynResourcerequirement = "user_msdyn_resourcerequirement";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequirementdetail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynResourcerequirementdetailCreatedBy = "lk_msdyn_resourcerequirementdetail_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequirementdetail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourcerequirementdetailCreatedOnBehalfBy = "lk_msdyn_resourcerequirementdetail_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequirementdetail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynResourcerequirementdetailModifiedBy = "lk_msdyn_resourcerequirementdetail_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequirementdetail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourcerequirementdetailModifiedOnBehalfBy = "lk_msdyn_resourcerequirementdetail_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequirementdetail" Lookup: ""</summary>
        public const string Rel1M_UserMsdynResourcerequirementdetail = "user_msdyn_resourcerequirementdetail";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceTerritory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynResourceTerritoryCreatedBy = "lk_msdyn_resourceterritory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceTerritory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourceTerritoryCreatedOnBehalfBy = "lk_msdyn_resourceterritory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceTerritory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynResourceTerritoryModifiedBy = "lk_msdyn_resourceterritory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceTerritory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourceTerritoryModifiedOnBehalfBy = "lk_msdyn_resourceterritory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceTerritory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynResourceTerritory = "user_msdyn_resourceterritory";
        /// <summary>Parent: "SystemUser" Child: "MsdynScheduleboardsetting" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynScheduleboardsettingCreatedBy = "lk_msdyn_scheduleboardsetting_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynScheduleboardsetting" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynScheduleboardsettingCreatedOnBehalfBy = "lk_msdyn_scheduleboardsetting_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynScheduleboardsetting" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynScheduleboardsettingModifiedBy = "lk_msdyn_scheduleboardsetting_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynScheduleboardsetting" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynScheduleboardsettingModifiedOnBehalfBy = "lk_msdyn_scheduleboardsetting_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynScheduleboardsetting" Lookup: ""</summary>
        public const string Rel1M_UserMsdynScheduleboardsetting = "user_msdyn_scheduleboardsetting";
        /// <summary>Parent: "SystemUser" Child: "MsdynSchedulingparameter" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynSchedulingparameterCreatedBy = "lk_msdyn_schedulingparameter_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSchedulingparameter" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynSchedulingparameterCreatedOnBehalfBy = "lk_msdyn_schedulingparameter_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSchedulingparameter" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynSchedulingparameterModifiedBy = "lk_msdyn_schedulingparameter_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSchedulingparameter" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynSchedulingparameterModifiedOnBehalfBy = "lk_msdyn_schedulingparameter_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSystemUserSchedulersetting" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynSystemUserSchedulersettingCreatedBy = "lk_msdyn_systemuserschedulersetting_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSystemUserSchedulersetting" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynSystemUserSchedulersettingCreatedOnBehalfBy = "lk_msdyn_systemuserschedulersetting_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSystemUserSchedulersetting" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynSystemUserSchedulersettingModifiedBy = "lk_msdyn_systemuserschedulersetting_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSystemUserSchedulersetting" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynSystemUserSchedulersettingModifiedOnBehalfBy = "lk_msdyn_systemuserschedulersetting_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSystemUserSchedulersetting" Lookup: ""</summary>
        public const string Rel1M_UserMsdynSystemUserSchedulersetting = "user_msdyn_systemuserschedulersetting";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimegroup" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTimegroupCreatedBy = "lk_msdyn_timegroup_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimegroup" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTimegroupCreatedOnBehalfBy = "lk_msdyn_timegroup_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimegroup" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTimegroupModifiedBy = "lk_msdyn_timegroup_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimegroup" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTimegroupModifiedOnBehalfBy = "lk_msdyn_timegroup_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimegroup" Lookup: ""</summary>
        public const string Rel1M_UserMsdynTimegroup = "user_msdyn_timegroup";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimegroupdetail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTimegroupdetailCreatedBy = "lk_msdyn_timegroupdetail_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimegroupdetail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTimegroupdetailCreatedOnBehalfBy = "lk_msdyn_timegroupdetail_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimegroupdetail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTimegroupdetailModifiedBy = "lk_msdyn_timegroupdetail_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimegroupdetail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTimegroupdetailModifiedOnBehalfBy = "lk_msdyn_timegroupdetail_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimegroupdetail" Lookup: ""</summary>
        public const string Rel1M_UserMsdynTimegroupdetail = "user_msdyn_timegroupdetail";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionorigin" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTransactionoriginCreatedBy = "lk_msdyn_transactionorigin_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionorigin" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactionoriginCreatedOnBehalfBy = "lk_msdyn_transactionorigin_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionorigin" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTransactionoriginModifiedBy = "lk_msdyn_transactionorigin_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionorigin" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactionoriginModifiedOnBehalfBy = "lk_msdyn_transactionorigin_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionorigin" Lookup: ""</summary>
        public const string Rel1M_UserMsdynTransactionorigin = "user_msdyn_transactionorigin";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkhourtemplate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWorkhourtemplateCreatedBy = "lk_msdyn_workhourtemplate_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkhourtemplate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkhourtemplateCreatedOnBehalfBy = "lk_msdyn_workhourtemplate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkhourtemplate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWorkhourtemplateModifiedBy = "lk_msdyn_workhourtemplate_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkhourtemplate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkhourtemplateModifiedOnBehalfBy = "lk_msdyn_workhourtemplate_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkhourtemplate" Lookup: ""</summary>
        public const string Rel1M_UserMsdynWorkhourtemplate = "user_msdyn_workhourtemplate";
        /// <summary>Parent: "SystemUser" Child: "MsdynSystemUserSchedulersetting" Lookup: "MsdynUser"</summary>
        public const string Rel1M_MsdynSystemUserMsdynSystemUserSchedulersettingUser = "msdyn_systemuser_msdyn_systemuserschedulersetting_User";
        /// <summary>Parent: "SystemUser" Child: "MsdynAccountPriceList" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAccountPriceListCreatedBy = "lk_msdyn_accountpricelist_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAccountPriceList" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAccountPriceListCreatedOnBehalfBy = "lk_msdyn_accountpricelist_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAccountPriceList" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAccountPriceListModifiedBy = "lk_msdyn_accountpricelist_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAccountPriceList" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAccountPriceListModifiedOnBehalfBy = "lk_msdyn_accountpricelist_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAccountPriceList" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAccountPriceList = "user_msdyn_accountpricelist";
        /// <summary>Parent: "SystemUser" Child: "MsdynApproval" Lookup: "CreatedBy"</summary>
        public const string Rel1M_MsdynApprovalSystemUserCreatedBy = "msdyn_approval_systemuser_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynApproval" Lookup: ""</summary>
        public const string Rel1M_MsdynApprovalSystemUserOwningUser = "msdyn_approval_systemuser_owninguser";
        /// <summary>Parent: "SystemUser" Child: "MsdynApproval" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_MsdynApprovalSystemUserModifiedOnBehalfBy = "msdyn_approval_systemuser_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynApproval" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_MsdynApprovalSystemUserCreatedOnBehalfBy = "msdyn_approval_systemuser_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynApproval" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_MsdynApprovalSystemUserModifiedBy = "msdyn_approval_systemuser_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBatchjob" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBatchjobCreatedBy = "lk_msdyn_batchjob_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBatchjob" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBatchjobCreatedOnBehalfBy = "lk_msdyn_batchjob_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBatchjob" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBatchjobModifiedBy = "lk_msdyn_batchjob_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBatchjob" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBatchjobModifiedOnBehalfBy = "lk_msdyn_batchjob_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf665e73aa18c247d886bfc50499c73b82" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBpf665e73aa18c247d886bfc50499c73b82CreatedBy = "lk_msdyn_bpf_665e73aa18c247d886bfc50499c73b82_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf665e73aa18c247d886bfc50499c73b82" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpf665e73aa18c247d886bfc50499c73b82CreatedOnBehalfBy = "lk_msdyn_bpf_665e73aa18c247d886bfc50499c73b82_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf665e73aa18c247d886bfc50499c73b82" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBpf665e73aa18c247d886bfc50499c73b82ModifiedBy = "lk_msdyn_bpf_665e73aa18c247d886bfc50499c73b82_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf665e73aa18c247d886bfc50499c73b82" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpf665e73aa18c247d886bfc50499c73b82ModifiedOnBehalfBy = "lk_msdyn_bpf_665e73aa18c247d886bfc50499c73b82_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpfD8f9dc7f099f44db9d641dd81fbd470d" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBpfD8f9dc7f099f44db9d641dd81fbd470dCreatedBy = "lk_msdyn_bpf_d8f9dc7f099f44db9d641dd81fbd470d_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpfD8f9dc7f099f44db9d641dd81fbd470d" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpfD8f9dc7f099f44db9d641dd81fbd470dCreatedOnBehalfBy = "lk_msdyn_bpf_d8f9dc7f099f44db9d641dd81fbd470d_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpfD8f9dc7f099f44db9d641dd81fbd470d" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBpfD8f9dc7f099f44db9d641dd81fbd470dModifiedBy = "lk_msdyn_bpf_d8f9dc7f099f44db9d641dd81fbd470d_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpfD8f9dc7f099f44db9d641dd81fbd470d" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpfD8f9dc7f099f44db9d641dd81fbd470dModifiedOnBehalfBy = "lk_msdyn_bpf_d8f9dc7f099f44db9d641dd81fbd470d_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCharacteristicreqforteammember" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynCharacteristicreqforteammemberCreatedBy = "lk_msdyn_characteristicreqforteammember_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCharacteristicreqforteammember" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynCharacteristicreqforteammemberCreatedOnBehalfBy = "lk_msdyn_characteristicreqforteammember_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCharacteristicreqforteammember" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynCharacteristicreqforteammemberModifiedBy = "lk_msdyn_characteristicreqforteammember_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCharacteristicreqforteammember" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynCharacteristicreqforteammemberModifiedOnBehalfBy = "lk_msdyn_characteristicreqforteammember_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCharacteristicreqforteammember" Lookup: ""</summary>
        public const string Rel1M_UserMsdynCharacteristicreqforteammember = "user_msdyn_characteristicreqforteammember";
        /// <summary>Parent: "SystemUser" Child: "MsdynContactPriceList" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynContactPriceListCreatedBy = "lk_msdyn_contactpricelist_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynContactPriceList" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynContactPriceListCreatedOnBehalfBy = "lk_msdyn_contactpricelist_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynContactPriceList" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynContactPriceListModifiedBy = "lk_msdyn_contactpricelist_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynContactPriceList" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynContactPriceListModifiedOnBehalfBy = "lk_msdyn_contactpricelist_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynContactPriceList" Lookup: ""</summary>
        public const string Rel1M_UserMsdynContactPriceList = "user_msdyn_contactpricelist";
        /// <summary>Parent: "SystemUser" Child: "MsdynContractlineinvoiceschedule" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynContractlineinvoicescheduleCreatedBy = "lk_msdyn_contractlineinvoiceschedule_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynContractlineinvoiceschedule" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynContractlineinvoicescheduleCreatedOnBehalfBy = "lk_msdyn_contractlineinvoiceschedule_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynContractlineinvoiceschedule" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynContractlineinvoicescheduleModifiedBy = "lk_msdyn_contractlineinvoiceschedule_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynContractlineinvoiceschedule" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynContractlineinvoicescheduleModifiedOnBehalfBy = "lk_msdyn_contractlineinvoiceschedule_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynContractlinescheduleofvalue" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynContractlinescheduleofvalueCreatedBy = "lk_msdyn_contractlinescheduleofvalue_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynContractlinescheduleofvalue" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynContractlinescheduleofvalueCreatedOnBehalfBy = "lk_msdyn_contractlinescheduleofvalue_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynContractlinescheduleofvalue" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynContractlinescheduleofvalueModifiedBy = "lk_msdyn_contractlinescheduleofvalue_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynContractlinescheduleofvalue" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynContractlinescheduleofvalueModifiedOnBehalfBy = "lk_msdyn_contractlinescheduleofvalue_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynContractlinescheduleofvalue" Lookup: ""</summary>
        public const string Rel1M_UserMsdynContractlinescheduleofvalue = "user_msdyn_contractlinescheduleofvalue";
        /// <summary>Parent: "SystemUser" Child: "MsdynDataexport" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynDataexportCreatedBy = "lk_msdyn_dataexport_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDataexport" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynDataexportCreatedOnBehalfBy = "lk_msdyn_dataexport_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDataexport" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynDataexportModifiedBy = "lk_msdyn_dataexport_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDataexport" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynDataexportModifiedOnBehalfBy = "lk_msdyn_dataexport_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDataexport" Lookup: ""</summary>
        public const string Rel1M_UserMsdynDataexport = "user_msdyn_dataexport";
        /// <summary>Parent: "SystemUser" Child: "MsdynDelegation" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynDelegationCreatedBy = "lk_msdyn_delegation_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDelegation" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynDelegationCreatedOnBehalfBy = "lk_msdyn_delegation_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDelegation" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynDelegationModifiedBy = "lk_msdyn_delegation_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDelegation" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynDelegationModifiedOnBehalfBy = "lk_msdyn_delegation_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDelegation" Lookup: ""</summary>
        public const string Rel1M_UserMsdynDelegation = "user_msdyn_delegation";
        /// <summary>Parent: "SystemUser" Child: "MsdynDimension" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynDimensionCreatedBy = "lk_msdyn_dimension_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDimension" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynDimensionCreatedOnBehalfBy = "lk_msdyn_dimension_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDimension" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynDimensionModifiedBy = "lk_msdyn_dimension_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDimension" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynDimensionModifiedOnBehalfBy = "lk_msdyn_dimension_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDimension" Lookup: ""</summary>
        public const string Rel1M_UserMsdynDimension = "user_msdyn_dimension";
        /// <summary>Parent: "SystemUser" Child: "MsdynDimensionfieldName" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynDimensionfieldNameCreatedBy = "lk_msdyn_dimensionfieldname_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDimensionfieldName" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynDimensionfieldNameCreatedOnBehalfBy = "lk_msdyn_dimensionfieldname_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDimensionfieldName" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynDimensionfieldNameModifiedBy = "lk_msdyn_dimensionfieldname_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynDimensionfieldName" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynDimensionfieldNameModifiedOnBehalfBy = "lk_msdyn_dimensionfieldname_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEstimate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynEstimateCreatedBy = "lk_msdyn_estimate_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEstimate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynEstimateCreatedOnBehalfBy = "lk_msdyn_estimate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEstimate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynEstimateModifiedBy = "lk_msdyn_estimate_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEstimate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynEstimateModifiedOnBehalfBy = "lk_msdyn_estimate_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEstimate" Lookup: ""</summary>
        public const string Rel1M_UserMsdynEstimate = "user_msdyn_estimate";
        /// <summary>Parent: "SystemUser" Child: "MsdynEstimateline" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynEstimatelineCreatedBy = "lk_msdyn_estimateline_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEstimateline" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynEstimatelineCreatedOnBehalfBy = "lk_msdyn_estimateline_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEstimateline" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynEstimatelineModifiedBy = "lk_msdyn_estimateline_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEstimateline" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynEstimatelineModifiedOnBehalfBy = "lk_msdyn_estimateline_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEstimateline" Lookup: ""</summary>
        public const string Rel1M_UserMsdynEstimateline = "user_msdyn_estimateline";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpense" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynExpenseCreatedBy = "lk_msdyn_expense_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpense" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynExpenseCreatedOnBehalfBy = "lk_msdyn_expense_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpense" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynExpenseModifiedBy = "lk_msdyn_expense_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpense" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynExpenseModifiedOnBehalfBy = "lk_msdyn_expense_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpense" Lookup: ""</summary>
        public const string Rel1M_UserMsdynExpense = "user_msdyn_expense";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpensecategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynExpensecategoryCreatedBy = "lk_msdyn_expensecategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpensecategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynExpensecategoryCreatedOnBehalfBy = "lk_msdyn_expensecategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpensecategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynExpensecategoryModifiedBy = "lk_msdyn_expensecategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpensecategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynExpensecategoryModifiedOnBehalfBy = "lk_msdyn_expensecategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpensereceipt" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynExpensereceiptCreatedBy = "lk_msdyn_expensereceipt_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpensereceipt" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynExpensereceiptCreatedOnBehalfBy = "lk_msdyn_expensereceipt_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpensereceipt" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynExpensereceiptModifiedBy = "lk_msdyn_expensereceipt_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpensereceipt" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynExpensereceiptModifiedOnBehalfBy = "lk_msdyn_expensereceipt_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpensereceipt" Lookup: ""</summary>
        public const string Rel1M_UserMsdynExpensereceipt = "user_msdyn_expensereceipt";
        /// <summary>Parent: "SystemUser" Child: "MsdynFact" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynFactCreatedBy = "lk_msdyn_fact_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFact" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFactCreatedOnBehalfBy = "lk_msdyn_fact_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFact" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynFactModifiedBy = "lk_msdyn_fact_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFact" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFactModifiedOnBehalfBy = "lk_msdyn_fact_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFact" Lookup: ""</summary>
        public const string Rel1M_UserMsdynFact = "user_msdyn_fact";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldcomputation" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynFieldcomputationCreatedBy = "lk_msdyn_fieldcomputation_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldcomputation" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFieldcomputationCreatedOnBehalfBy = "lk_msdyn_fieldcomputation_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldcomputation" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynFieldcomputationModifiedBy = "lk_msdyn_fieldcomputation_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldcomputation" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFieldcomputationModifiedOnBehalfBy = "lk_msdyn_fieldcomputation_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldcomputation" Lookup: ""</summary>
        public const string Rel1M_UserMsdynFieldcomputation = "user_msdyn_fieldcomputation";
        /// <summary>Parent: "SystemUser" Child: "MsdynFindworkevent" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynFindworkeventCreatedBy = "lk_msdyn_findworkevent_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFindworkevent" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFindworkeventCreatedOnBehalfBy = "lk_msdyn_findworkevent_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFindworkevent" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynFindworkeventModifiedBy = "lk_msdyn_findworkevent_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFindworkevent" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFindworkeventModifiedOnBehalfBy = "lk_msdyn_findworkevent_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFindworkevent" Lookup: ""</summary>
        public const string Rel1M_UserMsdynFindworkevent = "user_msdyn_findworkevent";
        /// <summary>Parent: "SystemUser" Child: "MsdynIntegrationjob" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIntegrationjobCreatedBy = "lk_msdyn_integrationjob_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIntegrationjob" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIntegrationjobCreatedOnBehalfBy = "lk_msdyn_integrationjob_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIntegrationjob" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIntegrationjobModifiedBy = "lk_msdyn_integrationjob_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIntegrationjob" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIntegrationjobModifiedOnBehalfBy = "lk_msdyn_integrationjob_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIntegrationjob" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIntegrationjob = "user_msdyn_integrationjob";
        /// <summary>Parent: "SystemUser" Child: "MsdynIntegrationjobdetail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIntegrationjobdetailCreatedBy = "lk_msdyn_integrationjobdetail_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIntegrationjobdetail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIntegrationjobdetailCreatedOnBehalfBy = "lk_msdyn_integrationjobdetail_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIntegrationjobdetail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIntegrationjobdetailModifiedBy = "lk_msdyn_integrationjobdetail_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIntegrationjobdetail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIntegrationjobdetailModifiedOnBehalfBy = "lk_msdyn_integrationjobdetail_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIntegrationjobdetail" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIntegrationjobdetail = "user_msdyn_integrationjobdetail";
        /// <summary>Parent: "SystemUser" Child: "MsdynInvoicefrequency" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynInvoicefrequencyCreatedBy = "lk_msdyn_invoicefrequency_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInvoicefrequency" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInvoicefrequencyCreatedOnBehalfBy = "lk_msdyn_invoicefrequency_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInvoicefrequency" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynInvoicefrequencyModifiedBy = "lk_msdyn_invoicefrequency_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInvoicefrequency" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInvoicefrequencyModifiedOnBehalfBy = "lk_msdyn_invoicefrequency_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInvoicefrequencydetail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynInvoicefrequencydetailCreatedBy = "lk_msdyn_invoicefrequencydetail_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInvoicefrequencydetail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInvoicefrequencydetailCreatedOnBehalfBy = "lk_msdyn_invoicefrequencydetail_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInvoicefrequencydetail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynInvoicefrequencydetailModifiedBy = "lk_msdyn_invoicefrequencydetail_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInvoicefrequencydetail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInvoicefrequencydetailModifiedOnBehalfBy = "lk_msdyn_invoicefrequencydetail_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInvoicelinetransaction" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynInvoicelinetransactionCreatedBy = "lk_msdyn_invoicelinetransaction_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInvoicelinetransaction" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInvoicelinetransactionCreatedOnBehalfBy = "lk_msdyn_invoicelinetransaction_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInvoicelinetransaction" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynInvoicelinetransactionModifiedBy = "lk_msdyn_invoicelinetransaction_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInvoicelinetransaction" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInvoicelinetransactionModifiedOnBehalfBy = "lk_msdyn_invoicelinetransaction_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInvoicelinetransaction" Lookup: ""</summary>
        public const string Rel1M_UserMsdynInvoicelinetransaction = "user_msdyn_invoicelinetransaction";
        /// <summary>Parent: "SystemUser" Child: "MsdynJournal" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynJournalCreatedBy = "lk_msdyn_journal_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynJournal" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynJournalCreatedOnBehalfBy = "lk_msdyn_journal_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynJournal" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynJournalModifiedBy = "lk_msdyn_journal_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynJournal" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynJournalModifiedOnBehalfBy = "lk_msdyn_journal_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynJournal" Lookup: ""</summary>
        public const string Rel1M_UserMsdynJournal = "user_msdyn_journal";
        /// <summary>Parent: "SystemUser" Child: "MsdynJournalline" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynJournallineCreatedBy = "lk_msdyn_journalline_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynJournalline" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynJournallineCreatedOnBehalfBy = "lk_msdyn_journalline_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynJournalline" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynJournallineModifiedBy = "lk_msdyn_journalline_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynJournalline" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynJournallineModifiedOnBehalfBy = "lk_msdyn_journalline_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynJournalline" Lookup: ""</summary>
        public const string Rel1M_UserMsdynJournalline = "user_msdyn_journalline";
        /// <summary>Parent: "SystemUser" Child: "MsdynMlresultcache" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynMlresultcacheCreatedBy = "lk_msdyn_mlresultcache_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynMlresultcache" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynMlresultcacheCreatedOnBehalfBy = "lk_msdyn_mlresultcache_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynMlresultcache" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynMlresultcacheModifiedBy = "lk_msdyn_mlresultcache_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynMlresultcache" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynMlresultcacheModifiedOnBehalfBy = "lk_msdyn_mlresultcache_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylineresourcecategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylineresourcecategoryCreatedBy = "lk_msdyn_opportunitylineresourcecategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylineresourcecategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylineresourcecategoryCreatedOnBehalfBy = "lk_msdyn_opportunitylineresourcecategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylineresourcecategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylineresourcecategoryModifiedBy = "lk_msdyn_opportunitylineresourcecategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylineresourcecategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylineresourcecategoryModifiedOnBehalfBy = "lk_msdyn_opportunitylineresourcecategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylineresourcecategory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOpportunitylineresourcecategory = "user_msdyn_opportunitylineresourcecategory";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransaction" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylinetransactionCreatedBy = "lk_msdyn_opportunitylinetransaction_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransaction" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylinetransactionCreatedOnBehalfBy = "lk_msdyn_opportunitylinetransaction_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransaction" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylinetransactionModifiedBy = "lk_msdyn_opportunitylinetransaction_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransaction" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylinetransactionModifiedOnBehalfBy = "lk_msdyn_opportunitylinetransaction_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransaction" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOpportunitylinetransaction = "user_msdyn_opportunitylinetransaction";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransactioncategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylinetransactioncategoryCreatedBy = "lk_msdyn_opportunitylinetransactioncategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransactioncategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylinetransactioncategoryCreatedOnBehalfBy = "lk_msdyn_opportunitylinetransactioncategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransactioncategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylinetransactioncategoryModifiedBy = "lk_msdyn_opportunitylinetransactioncategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransactioncategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylinetransactioncategoryModifiedOnBehalfBy = "lk_msdyn_opportunitylinetransactioncategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransactioncategory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOpportunitylinetransactioncategory = "user_msdyn_opportunitylinetransactioncategory";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransactionclassificatio" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylinetransactionclassificatioCreatedBy = "lk_msdyn_opportunitylinetransactionclassificatio_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransactionclassificatio" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylinetransactionclassificatioCreatedOnBehalfBy = "lk_msdyn_opportunitylinetransactionclassificatio_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransactionclassificatio" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylinetransactionclassificatioModifiedBy = "lk_msdyn_opportunitylinetransactionclassificatio_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransactionclassificatio" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOpportunitylinetransactionclassificatioModifiedOnBehalfBy = "lk_msdyn_opportunitylinetransactionclassificatio_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunitylinetransactionclassificatio" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOpportunitylinetransactionclassificatio = "user_msdyn_opportunitylinetransactionclassificatio";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunityPriceList" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOpportunityPriceListCreatedBy = "lk_msdyn_opportunitypricelist_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunityPriceList" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOpportunityPriceListCreatedOnBehalfBy = "lk_msdyn_opportunitypricelist_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunityPriceList" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOpportunityPriceListModifiedBy = "lk_msdyn_opportunitypricelist_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunityPriceList" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOpportunityPriceListModifiedOnBehalfBy = "lk_msdyn_opportunitypricelist_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOpportunityPriceList" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOpportunityPriceList = "user_msdyn_opportunitypricelist";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlineresourcecategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOrderlineresourcecategoryCreatedBy = "lk_msdyn_orderlineresourcecategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlineresourcecategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderlineresourcecategoryCreatedOnBehalfBy = "lk_msdyn_orderlineresourcecategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlineresourcecategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOrderlineresourcecategoryModifiedBy = "lk_msdyn_orderlineresourcecategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlineresourcecategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderlineresourcecategoryModifiedOnBehalfBy = "lk_msdyn_orderlineresourcecategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlineresourcecategory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOrderlineresourcecategory = "user_msdyn_orderlineresourcecategory";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransaction" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOrderlinetransactionCreatedBy = "lk_msdyn_orderlinetransaction_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransaction" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderlinetransactionCreatedOnBehalfBy = "lk_msdyn_orderlinetransaction_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransaction" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOrderlinetransactionModifiedBy = "lk_msdyn_orderlinetransaction_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransaction" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderlinetransactionModifiedOnBehalfBy = "lk_msdyn_orderlinetransaction_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransaction" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOrderlinetransaction = "user_msdyn_orderlinetransaction";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactioncategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOrderlinetransactioncategoryCreatedBy = "lk_msdyn_orderlinetransactioncategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactioncategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderlinetransactioncategoryCreatedOnBehalfBy = "lk_msdyn_orderlinetransactioncategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactioncategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOrderlinetransactioncategoryModifiedBy = "lk_msdyn_orderlinetransactioncategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactioncategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderlinetransactioncategoryModifiedOnBehalfBy = "lk_msdyn_orderlinetransactioncategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactioncategory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOrderlinetransactioncategory = "user_msdyn_orderlinetransactioncategory";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactionclassification" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOrderlinetransactionclassificationCreatedBy = "lk_msdyn_orderlinetransactionclassification_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactionclassification" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderlinetransactionclassificationCreatedOnBehalfBy = "lk_msdyn_orderlinetransactionclassification_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactionclassification" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOrderlinetransactionclassificationModifiedBy = "lk_msdyn_orderlinetransactionclassification_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactionclassification" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderlinetransactionclassificationModifiedOnBehalfBy = "lk_msdyn_orderlinetransactionclassification_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderlinetransactionclassification" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOrderlinetransactionclassification = "user_msdyn_orderlinetransactionclassification";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderPriceList" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOrderPriceListCreatedBy = "lk_msdyn_orderpricelist_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderPriceList" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderPriceListCreatedOnBehalfBy = "lk_msdyn_orderpricelist_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderPriceList" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOrderPriceListModifiedBy = "lk_msdyn_orderpricelist_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderPriceList" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderPriceListModifiedOnBehalfBy = "lk_msdyn_orderpricelist_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderPriceList" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOrderPriceList = "user_msdyn_orderpricelist";
        /// <summary>Parent: "SystemUser" Child: "MsdynProcessnotes" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynProcessnotesCreatedBy = "lk_msdyn_processnotes_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProcessnotes" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProcessnotesCreatedOnBehalfBy = "lk_msdyn_processnotes_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProcessnotes" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynProcessnotesModifiedBy = "lk_msdyn_processnotes_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProcessnotes" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProcessnotesModifiedOnBehalfBy = "lk_msdyn_processnotes_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProject" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynProjectCreatedBy = "lk_msdyn_project_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProject" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectCreatedOnBehalfBy = "lk_msdyn_project_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProject" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynProjectModifiedBy = "lk_msdyn_project_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProject" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectModifiedOnBehalfBy = "lk_msdyn_project_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProject" Lookup: ""</summary>
        public const string Rel1M_UserMsdynProject = "user_msdyn_project";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectapproval" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynProjectapprovalCreatedBy = "lk_msdyn_projectapproval_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectapproval" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectapprovalCreatedOnBehalfBy = "lk_msdyn_projectapproval_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectapproval" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynProjectapprovalModifiedBy = "lk_msdyn_projectapproval_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectapproval" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectapprovalModifiedOnBehalfBy = "lk_msdyn_projectapproval_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectapproval" Lookup: ""</summary>
        public const string Rel1M_UserMsdynProjectapproval = "user_msdyn_projectapproval";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectparameter" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynProjectparameterCreatedBy = "lk_msdyn_projectparameter_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectparameter" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectparameterCreatedOnBehalfBy = "lk_msdyn_projectparameter_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectparameter" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynProjectparameterModifiedBy = "lk_msdyn_projectparameter_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectparameter" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectparameterModifiedOnBehalfBy = "lk_msdyn_projectparameter_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectparameterPriceList" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynProjectparameterPriceListCreatedBy = "lk_msdyn_projectparameterpricelist_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectparameterPriceList" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectparameterPriceListCreatedOnBehalfBy = "lk_msdyn_projectparameterpricelist_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectparameterPriceList" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynProjectparameterPriceListModifiedBy = "lk_msdyn_projectparameterpricelist_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectparameterPriceList" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectparameterPriceListModifiedOnBehalfBy = "lk_msdyn_projectparameterpricelist_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectPriceList" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynProjectPriceListCreatedBy = "lk_msdyn_projectpricelist_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectPriceList" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectPriceListCreatedOnBehalfBy = "lk_msdyn_projectpricelist_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectPriceList" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynProjectPriceListModifiedBy = "lk_msdyn_projectpricelist_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectPriceList" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectPriceListModifiedOnBehalfBy = "lk_msdyn_projectpricelist_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectPriceList" Lookup: ""</summary>
        public const string Rel1M_UserMsdynProjectPriceList = "user_msdyn_projectpricelist";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttask" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynProjecttaskCreatedBy = "lk_msdyn_projecttask_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttask" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjecttaskCreatedOnBehalfBy = "lk_msdyn_projecttask_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttask" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynProjecttaskModifiedBy = "lk_msdyn_projecttask_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttask" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjecttaskModifiedOnBehalfBy = "lk_msdyn_projecttask_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttask" Lookup: ""</summary>
        public const string Rel1M_UserMsdynProjecttask = "user_msdyn_projecttask";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttaskdependency" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynProjecttaskdependencyCreatedBy = "lk_msdyn_projecttaskdependency_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttaskdependency" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjecttaskdependencyCreatedOnBehalfBy = "lk_msdyn_projecttaskdependency_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttaskdependency" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynProjecttaskdependencyModifiedBy = "lk_msdyn_projecttaskdependency_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttaskdependency" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjecttaskdependencyModifiedOnBehalfBy = "lk_msdyn_projecttaskdependency_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttaskdependency" Lookup: ""</summary>
        public const string Rel1M_UserMsdynProjecttaskdependency = "user_msdyn_projecttaskdependency";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttaskStatusUser" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynProjecttaskStatusUserCreatedBy = "lk_msdyn_projecttaskstatususer_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttaskStatusUser" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjecttaskStatusUserCreatedOnBehalfBy = "lk_msdyn_projecttaskstatususer_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttaskStatusUser" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynProjecttaskStatusUserModifiedBy = "lk_msdyn_projecttaskstatususer_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttaskStatusUser" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjecttaskStatusUserModifiedOnBehalfBy = "lk_msdyn_projecttaskstatususer_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttaskStatusUser" Lookup: ""</summary>
        public const string Rel1M_UserMsdynProjecttaskStatusUser = "user_msdyn_projecttaskstatususer";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectteam" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynProjectteamCreatedBy = "lk_msdyn_projectteam_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectteam" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectteamCreatedOnBehalfBy = "lk_msdyn_projectteam_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectteam" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynProjectteamModifiedBy = "lk_msdyn_projectteam_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectteam" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectteamModifiedOnBehalfBy = "lk_msdyn_projectteam_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectteam" Lookup: ""</summary>
        public const string Rel1M_UserMsdynProjectteam = "user_msdyn_projectteam";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectteammembersignup" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynProjectteammembersignupCreatedBy = "lk_msdyn_projectteammembersignup_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectteammembersignup" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectteammembersignupCreatedOnBehalfBy = "lk_msdyn_projectteammembersignup_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectteammembersignup" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynProjectteammembersignupModifiedBy = "lk_msdyn_projectteammembersignup_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectteammembersignup" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjectteammembersignupModifiedOnBehalfBy = "lk_msdyn_projectteammembersignup_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttransactioncategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynProjecttransactioncategoryCreatedBy = "lk_msdyn_projecttransactioncategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttransactioncategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjecttransactioncategoryCreatedOnBehalfBy = "lk_msdyn_projecttransactioncategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttransactioncategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynProjecttransactioncategoryModifiedBy = "lk_msdyn_projecttransactioncategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttransactioncategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProjecttransactioncategoryModifiedOnBehalfBy = "lk_msdyn_projecttransactioncategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjecttransactioncategory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynProjecttransactioncategory = "user_msdyn_projecttransactioncategory";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineanalyticsbreakdown" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuotelineanalyticsbreakdownCreatedBy = "lk_msdyn_quotelineanalyticsbreakdown_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineanalyticsbreakdown" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelineanalyticsbreakdownCreatedOnBehalfBy = "lk_msdyn_quotelineanalyticsbreakdown_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineanalyticsbreakdown" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuotelineanalyticsbreakdownModifiedBy = "lk_msdyn_quotelineanalyticsbreakdown_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineanalyticsbreakdown" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelineanalyticsbreakdownModifiedOnBehalfBy = "lk_msdyn_quotelineanalyticsbreakdown_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineanalyticsbreakdown" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuotelineanalyticsbreakdown = "user_msdyn_quotelineanalyticsbreakdown";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineinvoiceschedule" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuotelineinvoicescheduleCreatedBy = "lk_msdyn_quotelineinvoiceschedule_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineinvoiceschedule" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelineinvoicescheduleCreatedOnBehalfBy = "lk_msdyn_quotelineinvoiceschedule_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineinvoiceschedule" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuotelineinvoicescheduleModifiedBy = "lk_msdyn_quotelineinvoiceschedule_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineinvoiceschedule" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelineinvoicescheduleModifiedOnBehalfBy = "lk_msdyn_quotelineinvoiceschedule_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineresourcecategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuotelineresourcecategoryCreatedBy = "lk_msdyn_quotelineresourcecategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineresourcecategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelineresourcecategoryCreatedOnBehalfBy = "lk_msdyn_quotelineresourcecategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineresourcecategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuotelineresourcecategoryModifiedBy = "lk_msdyn_quotelineresourcecategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineresourcecategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelineresourcecategoryModifiedOnBehalfBy = "lk_msdyn_quotelineresourcecategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelineresourcecategory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuotelineresourcecategory = "user_msdyn_quotelineresourcecategory";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinescheduleofvalue" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuotelinescheduleofvalueCreatedBy = "lk_msdyn_quotelinescheduleofvalue_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinescheduleofvalue" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelinescheduleofvalueCreatedOnBehalfBy = "lk_msdyn_quotelinescheduleofvalue_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinescheduleofvalue" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuotelinescheduleofvalueModifiedBy = "lk_msdyn_quotelinescheduleofvalue_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinescheduleofvalue" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelinescheduleofvalueModifiedOnBehalfBy = "lk_msdyn_quotelinescheduleofvalue_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinescheduleofvalue" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuotelinescheduleofvalue = "user_msdyn_quotelinescheduleofvalue";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransaction" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuotelinetransactionCreatedBy = "lk_msdyn_quotelinetransaction_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransaction" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelinetransactionCreatedOnBehalfBy = "lk_msdyn_quotelinetransaction_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransaction" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuotelinetransactionModifiedBy = "lk_msdyn_quotelinetransaction_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransaction" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelinetransactionModifiedOnBehalfBy = "lk_msdyn_quotelinetransaction_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransaction" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuotelinetransaction = "user_msdyn_quotelinetransaction";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactioncategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuotelinetransactioncategoryCreatedBy = "lk_msdyn_quotelinetransactioncategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactioncategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelinetransactioncategoryCreatedOnBehalfBy = "lk_msdyn_quotelinetransactioncategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactioncategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuotelinetransactioncategoryModifiedBy = "lk_msdyn_quotelinetransactioncategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactioncategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelinetransactioncategoryModifiedOnBehalfBy = "lk_msdyn_quotelinetransactioncategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactioncategory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuotelinetransactioncategory = "user_msdyn_quotelinetransactioncategory";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactionclassification" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuotelinetransactionclassificationCreatedBy = "lk_msdyn_quotelinetransactionclassification_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactionclassification" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelinetransactionclassificationCreatedOnBehalfBy = "lk_msdyn_quotelinetransactionclassification_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactionclassification" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuotelinetransactionclassificationModifiedBy = "lk_msdyn_quotelinetransactionclassification_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactionclassification" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotelinetransactionclassificationModifiedOnBehalfBy = "lk_msdyn_quotelinetransactionclassification_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotelinetransactionclassification" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuotelinetransactionclassification = "user_msdyn_quotelinetransactionclassification";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotePriceList" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuotePriceListCreatedBy = "lk_msdyn_quotepricelist_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotePriceList" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotePriceListCreatedOnBehalfBy = "lk_msdyn_quotepricelist_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotePriceList" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuotePriceListModifiedBy = "lk_msdyn_quotepricelist_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotePriceList" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotePriceListModifiedOnBehalfBy = "lk_msdyn_quotepricelist_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotePriceList" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuotePriceList = "user_msdyn_quotepricelist";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceassignment" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynResourceassignmentCreatedBy = "lk_msdyn_resourceassignment_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceassignment" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourceassignmentCreatedOnBehalfBy = "lk_msdyn_resourceassignment_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceassignment" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynResourceassignmentModifiedBy = "lk_msdyn_resourceassignment_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceassignment" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourceassignmentModifiedOnBehalfBy = "lk_msdyn_resourceassignment_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceassignment" Lookup: ""</summary>
        public const string Rel1M_UserMsdynResourceassignment = "user_msdyn_resourceassignment";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceassignmentdetail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynResourceassignmentdetailCreatedBy = "lk_msdyn_resourceassignmentdetail_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceassignmentdetail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourceassignmentdetailCreatedOnBehalfBy = "lk_msdyn_resourceassignmentdetail_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceassignmentdetail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynResourceassignmentdetailModifiedBy = "lk_msdyn_resourceassignmentdetail_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceassignmentdetail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourceassignmentdetailModifiedOnBehalfBy = "lk_msdyn_resourceassignmentdetail_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourceassignmentdetail" Lookup: ""</summary>
        public const string Rel1M_UserMsdynResourceassignmentdetail = "user_msdyn_resourceassignmentdetail";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcecategorymarkupPricelevel" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynResourcecategorymarkupPricelevelCreatedBy = "lk_msdyn_resourcecategorymarkuppricelevel_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcecategorymarkupPricelevel" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourcecategorymarkupPricelevelCreatedOnBehalfBy = "lk_msdyn_resourcecategorymarkuppricelevel_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcecategorymarkupPricelevel" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynResourcecategorymarkupPricelevelModifiedBy = "lk_msdyn_resourcecategorymarkuppricelevel_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcecategorymarkupPricelevel" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourcecategorymarkupPricelevelModifiedOnBehalfBy = "lk_msdyn_resourcecategorymarkuppricelevel_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcecategoryPricelevel" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynResourcecategoryPricelevelCreatedBy = "lk_msdyn_resourcecategorypricelevel_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcecategoryPricelevel" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourcecategoryPricelevelCreatedOnBehalfBy = "lk_msdyn_resourcecategorypricelevel_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcecategoryPricelevel" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynResourcecategoryPricelevelModifiedBy = "lk_msdyn_resourcecategorypricelevel_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcecategoryPricelevel" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourcecategoryPricelevelModifiedOnBehalfBy = "lk_msdyn_resourcecategorypricelevel_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequest" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynResourcerequestCreatedBy = "lk_msdyn_resourcerequest_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequest" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourcerequestCreatedOnBehalfBy = "lk_msdyn_resourcerequest_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequest" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynResourcerequestModifiedBy = "lk_msdyn_resourcerequest_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequest" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourcerequestModifiedOnBehalfBy = "lk_msdyn_resourcerequest_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequest" Lookup: ""</summary>
        public const string Rel1M_UserMsdynResourcerequest = "user_msdyn_resourcerequest";
        /// <summary>Parent: "SystemUser" Child: "MsdynRolecompetencyrequirement" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRolecompetencyrequirementCreatedBy = "lk_msdyn_rolecompetencyrequirement_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRolecompetencyrequirement" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRolecompetencyrequirementCreatedOnBehalfBy = "lk_msdyn_rolecompetencyrequirement_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRolecompetencyrequirement" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRolecompetencyrequirementModifiedBy = "lk_msdyn_rolecompetencyrequirement_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRolecompetencyrequirement" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRolecompetencyrequirementModifiedOnBehalfBy = "lk_msdyn_rolecompetencyrequirement_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRolecompetencyrequirement" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRolecompetencyrequirement = "user_msdyn_rolecompetencyrequirement";
        /// <summary>Parent: "SystemUser" Child: "MsdynRoleutilization" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRoleutilizationCreatedBy = "lk_msdyn_roleutilization_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRoleutilization" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRoleutilizationCreatedOnBehalfBy = "lk_msdyn_roleutilization_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRoleutilization" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRoleutilizationModifiedBy = "lk_msdyn_roleutilization_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRoleutilization" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRoleutilizationModifiedOnBehalfBy = "lk_msdyn_roleutilization_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRoleutilization" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRoleutilization = "user_msdyn_roleutilization";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeentry" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTimeentryCreatedBy = "lk_msdyn_timeentry_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeentry" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTimeentryCreatedOnBehalfBy = "lk_msdyn_timeentry_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeentry" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTimeentryModifiedBy = "lk_msdyn_timeentry_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeentry" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTimeentryModifiedOnBehalfBy = "lk_msdyn_timeentry_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeentry" Lookup: ""</summary>
        public const string Rel1M_UserMsdynTimeentry = "user_msdyn_timeentry";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeoffcalendar" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTimeoffcalendarCreatedBy = "lk_msdyn_timeoffcalendar_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeoffcalendar" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTimeoffcalendarCreatedOnBehalfBy = "lk_msdyn_timeoffcalendar_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeoffcalendar" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTimeoffcalendarModifiedBy = "lk_msdyn_timeoffcalendar_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeoffcalendar" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTimeoffcalendarModifiedOnBehalfBy = "lk_msdyn_timeoffcalendar_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeoffcalendar" Lookup: ""</summary>
        public const string Rel1M_UserMsdynTimeoffcalendar = "user_msdyn_timeoffcalendar";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryCreatedBy = "lk_msdyn_transactioncategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryCreatedOnBehalfBy = "lk_msdyn_transactioncategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryModifiedBy = "lk_msdyn_transactioncategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryModifiedOnBehalfBy = "lk_msdyn_transactioncategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategoryclassification" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryclassificationCreatedBy = "lk_msdyn_transactioncategoryclassification_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategoryclassification" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryclassificationCreatedOnBehalfBy = "lk_msdyn_transactioncategoryclassification_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategoryclassification" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryclassificationModifiedBy = "lk_msdyn_transactioncategoryclassification_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategoryclassification" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryclassificationModifiedOnBehalfBy = "lk_msdyn_transactioncategoryclassification_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategoryhierarchyelement" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryhierarchyelementCreatedBy = "lk_msdyn_transactioncategoryhierarchyelement_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategoryhierarchyelement" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryhierarchyelementCreatedOnBehalfBy = "lk_msdyn_transactioncategoryhierarchyelement_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategoryhierarchyelement" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryhierarchyelementModifiedBy = "lk_msdyn_transactioncategoryhierarchyelement_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategoryhierarchyelement" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryhierarchyelementModifiedOnBehalfBy = "lk_msdyn_transactioncategoryhierarchyelement_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategoryPricelevel" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryPricelevelCreatedBy = "lk_msdyn_transactioncategorypricelevel_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategoryPricelevel" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryPricelevelCreatedOnBehalfBy = "lk_msdyn_transactioncategorypricelevel_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategoryPricelevel" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryPricelevelModifiedBy = "lk_msdyn_transactioncategorypricelevel_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactioncategoryPricelevel" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactioncategoryPricelevelModifiedOnBehalfBy = "lk_msdyn_transactioncategorypricelevel_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionconnection" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTransactionconnectionCreatedBy = "lk_msdyn_transactionconnection_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionconnection" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactionconnectionCreatedOnBehalfBy = "lk_msdyn_transactionconnection_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionconnection" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTransactionconnectionModifiedBy = "lk_msdyn_transactionconnection_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionconnection" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactionconnectionModifiedOnBehalfBy = "lk_msdyn_transactionconnection_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionconnection" Lookup: ""</summary>
        public const string Rel1M_UserMsdynTransactionconnection = "user_msdyn_transactionconnection";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionType" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTransactionTypeCreatedBy = "lk_msdyn_transactiontype_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionType" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactionTypeCreatedOnBehalfBy = "lk_msdyn_transactiontype_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionType" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTransactionTypeModifiedBy = "lk_msdyn_transactiontype_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTransactionType" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTransactionTypeModifiedOnBehalfBy = "lk_msdyn_transactiontype_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUserWorkhistory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynUserWorkhistoryCreatedBy = "lk_msdyn_userworkhistory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUserWorkhistory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynUserWorkhistoryCreatedOnBehalfBy = "lk_msdyn_userworkhistory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUserWorkhistory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynUserWorkhistoryModifiedBy = "lk_msdyn_userworkhistory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUserWorkhistory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynUserWorkhistoryModifiedOnBehalfBy = "lk_msdyn_userworkhistory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUserWorkhistory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynUserWorkhistory = "user_msdyn_userworkhistory";
        /// <summary>Parent: "SystemUser" Child: "Opportunity" Lookup: "MsdynAccountManagerId"</summary>
        public const string Rel1M_MsdynAccountManagerOpportunity = "msdyn_accountmanager_opportunity";
        /// <summary>Parent: "SystemUser" Child: "Quote" Lookup: "MsdynAccountManagerId"</summary>
        public const string Rel1M_MsdynAccountManagerQuote = "msdyn_accountmanager_quote";
        /// <summary>Parent: "SystemUser" Child: "SalesOrder" Lookup: "MsdynAccountManagerId"</summary>
        public const string Rel1M_MsdynAccountManagerSalesorder = "msdyn_accountmanager_salesorder";
        /// <summary>Parent: "SystemUser" Child: "MsdynExpense" Lookup: "MsdynManager"</summary>
        public const string Rel1M_MsdynSystemUserMsdynExpenseManager = "msdyn_systemuser_msdyn_expense_manager";
        /// <summary>Parent: "SystemUser" Child: "MsdynProject" Lookup: "MsdynProjectmanager"</summary>
        public const string Rel1M_MsdynSystemUserMsdynProjectProjectmanager = "msdyn_systemuser_msdyn_project_projectmanager";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectapproval" Lookup: "MsdynApprovedBy"</summary>
        public const string Rel1M_MsdynSystemUserMsdynProjectapprovalApprovedBy = "msdyn_systemuser_msdyn_projectapproval_ApprovedBy";
        /// <summary>Parent: "SystemUser" Child: "MsdynProjectapproval" Lookup: "MsdynManager"</summary>
        public const string Rel1M_MsdynSystemUserMsdynProjectapprovalManager = "msdyn_systemuser_msdyn_projectapproval_Manager";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequest" Lookup: "MsdynClaimedby"</summary>
        public const string Rel1M_MsdynSystemUserMsdynResourcerequestClaimedby = "msdyn_systemuser_msdyn_resourcerequest_claimedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcerequest" Lookup: "MsdynRequestedby"</summary>
        public const string Rel1M_MsdynSystemUserMsdynResourcerequestRequestedby = "msdyn_systemuser_msdyn_resourcerequest_requestedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeentry" Lookup: "MsdynManager"</summary>
        public const string Rel1M_MsdynSystemUserMsdynTimeentryManager = "msdyn_systemuser_msdyn_timeentry_manager";
        /// <summary>Parent: "SystemUser" Child: "Msdyn3dmodel" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdyn3dmodelCreatedBy = "lk_msdyn_3dmodel_createdby";
        /// <summary>Parent: "SystemUser" Child: "Msdyn3dmodel" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdyn3dmodelCreatedOnBehalfBy = "lk_msdyn_3dmodel_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Msdyn3dmodel" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdyn3dmodelModifiedBy = "lk_msdyn_3dmodel_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Msdyn3dmodel" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdyn3dmodelModifiedOnBehalfBy = "lk_msdyn_3dmodel_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysiscomponent" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAnalysiscomponentCreatedBy = "lk_msdyn_analysiscomponent_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysiscomponent" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAnalysiscomponentCreatedOnBehalfBy = "lk_msdyn_analysiscomponent_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysiscomponent" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAnalysiscomponentModifiedBy = "lk_msdyn_analysiscomponent_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysiscomponent" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAnalysiscomponentModifiedOnBehalfBy = "lk_msdyn_analysiscomponent_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysiscomponent" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAnalysiscomponent = "user_msdyn_analysiscomponent";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisjob" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAnalysisjobCreatedBy = "lk_msdyn_analysisjob_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisjob" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAnalysisjobCreatedOnBehalfBy = "lk_msdyn_analysisjob_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisjob" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAnalysisjobModifiedBy = "lk_msdyn_analysisjob_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisjob" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAnalysisjobModifiedOnBehalfBy = "lk_msdyn_analysisjob_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisjob" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAnalysisjob = "user_msdyn_analysisjob";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisresult" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAnalysisresultCreatedBy = "lk_msdyn_analysisresult_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisresult" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAnalysisresultCreatedOnBehalfBy = "lk_msdyn_analysisresult_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisresult" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAnalysisresultModifiedBy = "lk_msdyn_analysisresult_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisresult" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAnalysisresultModifiedOnBehalfBy = "lk_msdyn_analysisresult_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisresult" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAnalysisresult = "user_msdyn_analysisresult";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisresultdetail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAnalysisresultdetailCreatedBy = "lk_msdyn_analysisresultdetail_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisresultdetail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAnalysisresultdetailCreatedOnBehalfBy = "lk_msdyn_analysisresultdetail_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisresultdetail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAnalysisresultdetailModifiedBy = "lk_msdyn_analysisresultdetail_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisresultdetail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAnalysisresultdetailModifiedOnBehalfBy = "lk_msdyn_analysisresultdetail_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAnalysisresultdetail" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAnalysisresultdetail = "user_msdyn_analysisresultdetail";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthrule" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynSolutionhealthruleCreatedBy = "lk_msdyn_solutionhealthrule_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthrule" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynSolutionhealthruleCreatedOnBehalfBy = "lk_msdyn_solutionhealthrule_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthrule" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynSolutionhealthruleModifiedBy = "lk_msdyn_solutionhealthrule_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthrule" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynSolutionhealthruleModifiedOnBehalfBy = "lk_msdyn_solutionhealthrule_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthrule" Lookup: ""</summary>
        public const string Rel1M_UserMsdynSolutionhealthrule = "user_msdyn_solutionhealthrule";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthruleargument" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynSolutionhealthruleargumentCreatedBy = "lk_msdyn_solutionhealthruleargument_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthruleargument" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynSolutionhealthruleargumentCreatedOnBehalfBy = "lk_msdyn_solutionhealthruleargument_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthruleargument" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynSolutionhealthruleargumentModifiedBy = "lk_msdyn_solutionhealthruleargument_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthruleargument" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynSolutionhealthruleargumentModifiedOnBehalfBy = "lk_msdyn_solutionhealthruleargument_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthruleargument" Lookup: ""</summary>
        public const string Rel1M_UserMsdynSolutionhealthruleargument = "user_msdyn_solutionhealthruleargument";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthruleset" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynSolutionhealthrulesetCreatedBy = "lk_msdyn_solutionhealthruleset_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthruleset" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynSolutionhealthrulesetCreatedOnBehalfBy = "lk_msdyn_solutionhealthruleset_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthruleset" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynSolutionhealthrulesetModifiedBy = "lk_msdyn_solutionhealthruleset_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynSolutionhealthruleset" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynSolutionhealthrulesetModifiedOnBehalfBy = "lk_msdyn_solutionhealthruleset_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreement" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAgreementCreatedBy = "lk_msdyn_agreement_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreement" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementCreatedOnBehalfBy = "lk_msdyn_agreement_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreement" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAgreementModifiedBy = "lk_msdyn_agreement_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreement" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementModifiedOnBehalfBy = "lk_msdyn_agreement_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreement" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAgreement = "user_msdyn_agreement";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingdate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingdateCreatedBy = "lk_msdyn_agreementbookingdate_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingdate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingdateCreatedOnBehalfBy = "lk_msdyn_agreementbookingdate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingdate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingdateModifiedBy = "lk_msdyn_agreementbookingdate_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingdate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingdateModifiedOnBehalfBy = "lk_msdyn_agreementbookingdate_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingdate" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAgreementbookingdate = "user_msdyn_agreementbookingdate";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingincident" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingincidentCreatedBy = "lk_msdyn_agreementbookingincident_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingincident" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingincidentCreatedOnBehalfBy = "lk_msdyn_agreementbookingincident_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingincident" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingincidentModifiedBy = "lk_msdyn_agreementbookingincident_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingincident" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingincidentModifiedOnBehalfBy = "lk_msdyn_agreementbookingincident_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingincident" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAgreementbookingincident = "user_msdyn_agreementbookingincident";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingproduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingproductCreatedBy = "lk_msdyn_agreementbookingproduct_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingproduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingproductCreatedOnBehalfBy = "lk_msdyn_agreementbookingproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingproduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingproductModifiedBy = "lk_msdyn_agreementbookingproduct_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingproduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingproductModifiedOnBehalfBy = "lk_msdyn_agreementbookingproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingproduct" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAgreementbookingproduct = "user_msdyn_agreementbookingproduct";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingservice" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingserviceCreatedBy = "lk_msdyn_agreementbookingservice_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingservice" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingserviceCreatedOnBehalfBy = "lk_msdyn_agreementbookingservice_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingservice" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingserviceModifiedBy = "lk_msdyn_agreementbookingservice_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingservice" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingserviceModifiedOnBehalfBy = "lk_msdyn_agreementbookingservice_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingservice" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAgreementbookingservice = "user_msdyn_agreementbookingservice";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingservicetask" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingservicetaskCreatedBy = "lk_msdyn_agreementbookingservicetask_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingservicetask" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingservicetaskCreatedOnBehalfBy = "lk_msdyn_agreementbookingservicetask_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingservicetask" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingservicetaskModifiedBy = "lk_msdyn_agreementbookingservicetask_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingservicetask" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingservicetaskModifiedOnBehalfBy = "lk_msdyn_agreementbookingservicetask_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingservicetask" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAgreementbookingservicetask = "user_msdyn_agreementbookingservicetask";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingsetup" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingsetupCreatedBy = "lk_msdyn_agreementbookingsetup_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingsetup" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingsetupCreatedOnBehalfBy = "lk_msdyn_agreementbookingsetup_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingsetup" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingsetupModifiedBy = "lk_msdyn_agreementbookingsetup_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingsetup" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementbookingsetupModifiedOnBehalfBy = "lk_msdyn_agreementbookingsetup_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementbookingsetup" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAgreementbookingsetup = "user_msdyn_agreementbookingsetup";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoicedate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAgreementinvoicedateCreatedBy = "lk_msdyn_agreementinvoicedate_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoicedate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementinvoicedateCreatedOnBehalfBy = "lk_msdyn_agreementinvoicedate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoicedate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAgreementinvoicedateModifiedBy = "lk_msdyn_agreementinvoicedate_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoicedate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementinvoicedateModifiedOnBehalfBy = "lk_msdyn_agreementinvoicedate_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoicedate" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAgreementinvoicedate = "user_msdyn_agreementinvoicedate";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoiceproduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAgreementinvoiceproductCreatedBy = "lk_msdyn_agreementinvoiceproduct_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoiceproduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementinvoiceproductCreatedOnBehalfBy = "lk_msdyn_agreementinvoiceproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoiceproduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAgreementinvoiceproductModifiedBy = "lk_msdyn_agreementinvoiceproduct_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoiceproduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementinvoiceproductModifiedOnBehalfBy = "lk_msdyn_agreementinvoiceproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoiceproduct" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAgreementinvoiceproduct = "user_msdyn_agreementinvoiceproduct";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoicesetup" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAgreementinvoicesetupCreatedBy = "lk_msdyn_agreementinvoicesetup_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoicesetup" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementinvoicesetupCreatedOnBehalfBy = "lk_msdyn_agreementinvoicesetup_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoicesetup" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAgreementinvoicesetupModifiedBy = "lk_msdyn_agreementinvoicesetup_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoicesetup" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementinvoicesetupModifiedOnBehalfBy = "lk_msdyn_agreementinvoicesetup_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementinvoicesetup" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAgreementinvoicesetup = "user_msdyn_agreementinvoicesetup";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementsubStatus" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynAgreementsubStatusCreatedBy = "lk_msdyn_agreementsubstatus_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementsubStatus" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementsubStatusCreatedOnBehalfBy = "lk_msdyn_agreementsubstatus_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementsubStatus" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynAgreementsubStatusModifiedBy = "lk_msdyn_agreementsubstatus_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementsubStatus" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynAgreementsubStatusModifiedOnBehalfBy = "lk_msdyn_agreementsubstatus_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynAgreementsubStatus" Lookup: ""</summary>
        public const string Rel1M_UserMsdynAgreementsubStatus = "user_msdyn_agreementsubstatus";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingjournal" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBookingjournalCreatedBy = "lk_msdyn_bookingjournal_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingjournal" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookingjournalCreatedOnBehalfBy = "lk_msdyn_bookingjournal_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingjournal" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBookingjournalModifiedBy = "lk_msdyn_bookingjournal_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingjournal" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookingjournalModifiedOnBehalfBy = "lk_msdyn_bookingjournal_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingjournal" Lookup: ""</summary>
        public const string Rel1M_UserMsdynBookingjournal = "user_msdyn_bookingjournal";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingtimestamp" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBookingtimestampCreatedBy = "lk_msdyn_bookingtimestamp_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingtimestamp" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookingtimestampCreatedOnBehalfBy = "lk_msdyn_bookingtimestamp_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingtimestamp" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBookingtimestampModifiedBy = "lk_msdyn_bookingtimestamp_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingtimestamp" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBookingtimestampModifiedOnBehalfBy = "lk_msdyn_bookingtimestamp_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBookingtimestamp" Lookup: ""</summary>
        public const string Rel1M_UserMsdynBookingtimestamp = "user_msdyn_bookingtimestamp";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf2c5fe86acc8b414b8322ae571000c799" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBpf2c5fe86acc8b414b8322ae571000c799CreatedBy = "lk_msdyn_bpf_2c5fe86acc8b414b8322ae571000c799_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf2c5fe86acc8b414b8322ae571000c799" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpf2c5fe86acc8b414b8322ae571000c799CreatedOnBehalfBy = "lk_msdyn_bpf_2c5fe86acc8b414b8322ae571000c799_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf2c5fe86acc8b414b8322ae571000c799" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBpf2c5fe86acc8b414b8322ae571000c799ModifiedBy = "lk_msdyn_bpf_2c5fe86acc8b414b8322ae571000c799_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf2c5fe86acc8b414b8322ae571000c799" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpf2c5fe86acc8b414b8322ae571000c799ModifiedOnBehalfBy = "lk_msdyn_bpf_2c5fe86acc8b414b8322ae571000c799_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf989e9b1857e24af18787d5143b67523b" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBpf989e9b1857e24af18787d5143b67523bCreatedBy = "lk_msdyn_bpf_989e9b1857e24af18787d5143b67523b_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf989e9b1857e24af18787d5143b67523b" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpf989e9b1857e24af18787d5143b67523bCreatedOnBehalfBy = "lk_msdyn_bpf_989e9b1857e24af18787d5143b67523b_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf989e9b1857e24af18787d5143b67523b" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBpf989e9b1857e24af18787d5143b67523bModifiedBy = "lk_msdyn_bpf_989e9b1857e24af18787d5143b67523b_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf989e9b1857e24af18787d5143b67523b" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpf989e9b1857e24af18787d5143b67523bModifiedOnBehalfBy = "lk_msdyn_bpf_989e9b1857e24af18787d5143b67523b_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpfBaa0a411a239410cb8bded8b5fdd88e3" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBpfBaa0a411a239410cb8bded8b5fdd88e3CreatedBy = "lk_msdyn_bpf_baa0a411a239410cb8bded8b5fdd88e3_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpfBaa0a411a239410cb8bded8b5fdd88e3" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpfBaa0a411a239410cb8bded8b5fdd88e3CreatedOnBehalfBy = "lk_msdyn_bpf_baa0a411a239410cb8bded8b5fdd88e3_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpfBaa0a411a239410cb8bded8b5fdd88e3" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBpfBaa0a411a239410cb8bded8b5fdd88e3ModifiedBy = "lk_msdyn_bpf_baa0a411a239410cb8bded8b5fdd88e3_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpfBaa0a411a239410cb8bded8b5fdd88e3" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpfBaa0a411a239410cb8bded8b5fdd88e3ModifiedOnBehalfBy = "lk_msdyn_bpf_baa0a411a239410cb8bded8b5fdd88e3_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpfD3d97bac8c294105840e99e37a9d1c39" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBpfD3d97bac8c294105840e99e37a9d1c39CreatedBy = "lk_msdyn_bpf_d3d97bac8c294105840e99e37a9d1c39_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpfD3d97bac8c294105840e99e37a9d1c39" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpfD3d97bac8c294105840e99e37a9d1c39CreatedOnBehalfBy = "lk_msdyn_bpf_d3d97bac8c294105840e99e37a9d1c39_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpfD3d97bac8c294105840e99e37a9d1c39" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBpfD3d97bac8c294105840e99e37a9d1c39ModifiedBy = "lk_msdyn_bpf_d3d97bac8c294105840e99e37a9d1c39_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpfD3d97bac8c294105840e99e37a9d1c39" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpfD3d97bac8c294105840e99e37a9d1c39ModifiedOnBehalfBy = "lk_msdyn_bpf_d3d97bac8c294105840e99e37a9d1c39_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCustomerAsset" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynCustomerAssetCreatedBy = "lk_msdyn_customerasset_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCustomerAsset" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynCustomerAssetCreatedOnBehalfBy = "lk_msdyn_customerasset_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCustomerAsset" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynCustomerAssetModifiedBy = "lk_msdyn_customerasset_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCustomerAsset" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynCustomerAssetModifiedOnBehalfBy = "lk_msdyn_customerasset_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCustomerAsset" Lookup: ""</summary>
        public const string Rel1M_UserMsdynCustomerAsset = "user_msdyn_customerasset";
        /// <summary>Parent: "SystemUser" Child: "MsdynCustomerAssetcategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynCustomerAssetcategoryCreatedBy = "lk_msdyn_customerassetcategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCustomerAssetcategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynCustomerAssetcategoryCreatedOnBehalfBy = "lk_msdyn_customerassetcategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCustomerAssetcategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynCustomerAssetcategoryModifiedBy = "lk_msdyn_customerassetcategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCustomerAssetcategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynCustomerAssetcategoryModifiedOnBehalfBy = "lk_msdyn_customerassetcategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynCustomerAssetcategory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynCustomerAssetcategory = "user_msdyn_customerassetcategory";
        /// <summary>Parent: "SystemUser" Child: "MsdynEntitlementapplication" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynEntitlementapplicationCreatedBy = "lk_msdyn_entitlementapplication_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEntitlementapplication" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynEntitlementapplicationCreatedOnBehalfBy = "lk_msdyn_entitlementapplication_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEntitlementapplication" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynEntitlementapplicationModifiedBy = "lk_msdyn_entitlementapplication_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEntitlementapplication" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynEntitlementapplicationModifiedOnBehalfBy = "lk_msdyn_entitlementapplication_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEntitlementapplication" Lookup: ""</summary>
        public const string Rel1M_UserMsdynEntitlementapplication = "user_msdyn_entitlementapplication";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldservicePriceListitem" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynFieldservicePriceListitemCreatedBy = "lk_msdyn_fieldservicepricelistitem_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldservicePriceListitem" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFieldservicePriceListitemCreatedOnBehalfBy = "lk_msdyn_fieldservicepricelistitem_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldservicePriceListitem" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynFieldservicePriceListitemModifiedBy = "lk_msdyn_fieldservicepricelistitem_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldservicePriceListitem" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFieldservicePriceListitemModifiedOnBehalfBy = "lk_msdyn_fieldservicepricelistitem_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldservicesetting" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynFieldservicesettingCreatedBy = "lk_msdyn_fieldservicesetting_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldservicesetting" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFieldservicesettingCreatedOnBehalfBy = "lk_msdyn_fieldservicesetting_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldservicesetting" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynFieldservicesettingModifiedBy = "lk_msdyn_fieldservicesetting_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldservicesetting" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFieldservicesettingModifiedOnBehalfBy = "lk_msdyn_fieldservicesetting_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldservicesetting" Lookup: ""</summary>
        public const string Rel1M_UserMsdynFieldservicesetting = "user_msdyn_fieldservicesetting";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldserviceslaConfiguration" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynFieldserviceslaConfigurationCreatedBy = "lk_msdyn_fieldserviceslaconfiguration_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldserviceslaConfiguration" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFieldserviceslaConfigurationCreatedOnBehalfBy = "lk_msdyn_fieldserviceslaconfiguration_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldserviceslaConfiguration" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynFieldserviceslaConfigurationModifiedBy = "lk_msdyn_fieldserviceslaconfiguration_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldserviceslaConfiguration" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFieldserviceslaConfigurationModifiedOnBehalfBy = "lk_msdyn_fieldserviceslaconfiguration_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldserviceslaConfiguration" Lookup: ""</summary>
        public const string Rel1M_UserMsdynFieldserviceslaConfiguration = "user_msdyn_fieldserviceslaconfiguration";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldserviceSystemJob" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynFieldserviceSystemJobCreatedBy = "lk_msdyn_fieldservicesystemjob_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldserviceSystemJob" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFieldserviceSystemJobCreatedOnBehalfBy = "lk_msdyn_fieldservicesystemjob_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldserviceSystemJob" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynFieldserviceSystemJobModifiedBy = "lk_msdyn_fieldservicesystemjob_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldserviceSystemJob" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynFieldserviceSystemJobModifiedOnBehalfBy = "lk_msdyn_fieldservicesystemjob_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentType" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeCreatedBy = "lk_msdyn_incidenttype_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentType" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeCreatedOnBehalfBy = "lk_msdyn_incidenttype_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentType" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeModifiedBy = "lk_msdyn_incidenttype_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentType" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeModifiedOnBehalfBy = "lk_msdyn_incidenttype_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentType" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIncidentType = "user_msdyn_incidenttype";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeCharacteristic" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeCharacteristicCreatedBy = "lk_msdyn_incidenttypecharacteristic_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeCharacteristic" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeCharacteristicCreatedOnBehalfBy = "lk_msdyn_incidenttypecharacteristic_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeCharacteristic" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeCharacteristicModifiedBy = "lk_msdyn_incidenttypecharacteristic_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeCharacteristic" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeCharacteristicModifiedOnBehalfBy = "lk_msdyn_incidenttypecharacteristic_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeCharacteristic" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIncidentTypeCharacteristic = "user_msdyn_incidenttypecharacteristic";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeProduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeProductCreatedBy = "lk_msdyn_incidenttypeproduct_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeProduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeProductCreatedOnBehalfBy = "lk_msdyn_incidenttypeproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeProduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeProductModifiedBy = "lk_msdyn_incidenttypeproduct_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeProduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeProductModifiedOnBehalfBy = "lk_msdyn_incidenttypeproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeProduct" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIncidentTypeProduct = "user_msdyn_incidenttypeproduct";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeService" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeServiceCreatedBy = "lk_msdyn_incidenttypeservice_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeService" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeServiceCreatedOnBehalfBy = "lk_msdyn_incidenttypeservice_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeService" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeServiceModifiedBy = "lk_msdyn_incidenttypeservice_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeService" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeServiceModifiedOnBehalfBy = "lk_msdyn_incidenttypeservice_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeService" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIncidentTypeService = "user_msdyn_incidenttypeservice";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeServicetask" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeServicetaskCreatedBy = "lk_msdyn_incidenttypeservicetask_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeServicetask" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeServicetaskCreatedOnBehalfBy = "lk_msdyn_incidenttypeservicetask_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeServicetask" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeServicetaskModifiedBy = "lk_msdyn_incidenttypeservicetask_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeServicetask" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeServicetaskModifiedOnBehalfBy = "lk_msdyn_incidenttypeservicetask_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeServicetask" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIncidentTypeServicetask = "user_msdyn_incidenttypeservicetask";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeSsetup" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeSsetupCreatedBy = "lk_msdyn_incidenttypessetup_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeSsetup" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeSsetupCreatedOnBehalfBy = "lk_msdyn_incidenttypessetup_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeSsetup" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeSsetupModifiedBy = "lk_msdyn_incidenttypessetup_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeSsetup" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeSsetupModifiedOnBehalfBy = "lk_msdyn_incidenttypessetup_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeSsetup" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIncidentTypeSsetup = "user_msdyn_incidenttypessetup";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeRequirementgroup" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeRequirementgroupCreatedBy = "lk_msdyn_incidenttype_requirementgroup_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeRequirementgroup" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeRequirementgroupCreatedOnBehalfBy = "lk_msdyn_incidenttype_requirementgroup_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeRequirementgroup" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeRequirementgroupModifiedBy = "lk_msdyn_incidenttype_requirementgroup_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeRequirementgroup" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIncidentTypeRequirementgroupModifiedOnBehalfBy = "lk_msdyn_incidenttype_requirementgroup_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIncidentTypeRequirementgroup" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIncidentTypeRequirementgroup = "user_msdyn_incidenttype_requirementgroup";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryadjustment" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynInventoryadjustmentCreatedBy = "lk_msdyn_inventoryadjustment_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryadjustment" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInventoryadjustmentCreatedOnBehalfBy = "lk_msdyn_inventoryadjustment_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryadjustment" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynInventoryadjustmentModifiedBy = "lk_msdyn_inventoryadjustment_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryadjustment" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInventoryadjustmentModifiedOnBehalfBy = "lk_msdyn_inventoryadjustment_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryadjustment" Lookup: ""</summary>
        public const string Rel1M_UserMsdynInventoryadjustment = "user_msdyn_inventoryadjustment";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryadjustmentproduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynInventoryadjustmentproductCreatedBy = "lk_msdyn_inventoryadjustmentproduct_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryadjustmentproduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInventoryadjustmentproductCreatedOnBehalfBy = "lk_msdyn_inventoryadjustmentproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryadjustmentproduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynInventoryadjustmentproductModifiedBy = "lk_msdyn_inventoryadjustmentproduct_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryadjustmentproduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInventoryadjustmentproductModifiedOnBehalfBy = "lk_msdyn_inventoryadjustmentproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryadjustmentproduct" Lookup: ""</summary>
        public const string Rel1M_UserMsdynInventoryadjustmentproduct = "user_msdyn_inventoryadjustmentproduct";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryjournal" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynInventoryjournalCreatedBy = "lk_msdyn_inventoryjournal_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryjournal" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInventoryjournalCreatedOnBehalfBy = "lk_msdyn_inventoryjournal_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryjournal" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynInventoryjournalModifiedBy = "lk_msdyn_inventoryjournal_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryjournal" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInventoryjournalModifiedOnBehalfBy = "lk_msdyn_inventoryjournal_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventoryjournal" Lookup: ""</summary>
        public const string Rel1M_UserMsdynInventoryjournal = "user_msdyn_inventoryjournal";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventorytransfer" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynInventorytransferCreatedBy = "lk_msdyn_inventorytransfer_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventorytransfer" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInventorytransferCreatedOnBehalfBy = "lk_msdyn_inventorytransfer_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventorytransfer" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynInventorytransferModifiedBy = "lk_msdyn_inventorytransfer_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventorytransfer" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynInventorytransferModifiedOnBehalfBy = "lk_msdyn_inventorytransfer_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynInventorytransfer" Lookup: ""</summary>
        public const string Rel1M_UserMsdynInventorytransfer = "user_msdyn_inventorytransfer";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingdate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingdateCreatedBy = "lk_msdyn_orderinvoicingdate_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingdate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingdateCreatedOnBehalfBy = "lk_msdyn_orderinvoicingdate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingdate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingdateModifiedBy = "lk_msdyn_orderinvoicingdate_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingdate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingdateModifiedOnBehalfBy = "lk_msdyn_orderinvoicingdate_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingdate" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOrderinvoicingdate = "user_msdyn_orderinvoicingdate";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingproduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingproductCreatedBy = "lk_msdyn_orderinvoicingproduct_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingproduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingproductCreatedOnBehalfBy = "lk_msdyn_orderinvoicingproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingproduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingproductModifiedBy = "lk_msdyn_orderinvoicingproduct_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingproduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingproductModifiedOnBehalfBy = "lk_msdyn_orderinvoicingproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingproduct" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOrderinvoicingproduct = "user_msdyn_orderinvoicingproduct";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingsetup" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingsetupCreatedBy = "lk_msdyn_orderinvoicingsetup_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingsetup" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingsetupCreatedOnBehalfBy = "lk_msdyn_orderinvoicingsetup_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingsetup" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingsetupModifiedBy = "lk_msdyn_orderinvoicingsetup_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingsetup" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingsetupModifiedOnBehalfBy = "lk_msdyn_orderinvoicingsetup_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingsetup" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOrderinvoicingsetup = "user_msdyn_orderinvoicingsetup";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingsetupdate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingsetupdateCreatedBy = "lk_msdyn_orderinvoicingsetupdate_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingsetupdate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingsetupdateCreatedOnBehalfBy = "lk_msdyn_orderinvoicingsetupdate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingsetupdate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingsetupdateModifiedBy = "lk_msdyn_orderinvoicingsetupdate_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingsetupdate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynOrderinvoicingsetupdateModifiedOnBehalfBy = "lk_msdyn_orderinvoicingsetupdate_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynOrderinvoicingsetupdate" Lookup: ""</summary>
        public const string Rel1M_UserMsdynOrderinvoicingsetupdate = "user_msdyn_orderinvoicingsetupdate";
        /// <summary>Parent: "SystemUser" Child: "MsdynPayment" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPaymentCreatedBy = "lk_msdyn_payment_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPayment" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPaymentCreatedOnBehalfBy = "lk_msdyn_payment_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPayment" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPaymentModifiedBy = "lk_msdyn_payment_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPayment" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPaymentModifiedOnBehalfBy = "lk_msdyn_payment_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPayment" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPayment = "user_msdyn_payment";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentdetail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPaymentdetailCreatedBy = "lk_msdyn_paymentdetail_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentdetail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPaymentdetailCreatedOnBehalfBy = "lk_msdyn_paymentdetail_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentdetail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPaymentdetailModifiedBy = "lk_msdyn_paymentdetail_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentdetail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPaymentdetailModifiedOnBehalfBy = "lk_msdyn_paymentdetail_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentdetail" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPaymentdetail = "user_msdyn_paymentdetail";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentMethod" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPaymentMethodCreatedBy = "lk_msdyn_paymentmethod_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentMethod" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPaymentMethodCreatedOnBehalfBy = "lk_msdyn_paymentmethod_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentMethod" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPaymentMethodModifiedBy = "lk_msdyn_paymentmethod_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentMethod" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPaymentMethodModifiedOnBehalfBy = "lk_msdyn_paymentmethod_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentMethod" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPaymentMethod = "user_msdyn_paymentmethod";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentterm" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPaymenttermCreatedBy = "lk_msdyn_paymentterm_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentterm" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPaymenttermCreatedOnBehalfBy = "lk_msdyn_paymentterm_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentterm" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPaymenttermModifiedBy = "lk_msdyn_paymentterm_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentterm" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPaymenttermModifiedOnBehalfBy = "lk_msdyn_paymentterm_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPaymentterm" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPaymentterm = "user_msdyn_paymentterm";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostalCode" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPostalCodeCreatedBy = "lk_msdyn_postalcode_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostalCode" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPostalCodeCreatedOnBehalfBy = "lk_msdyn_postalcode_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostalCode" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPostalCodeModifiedBy = "lk_msdyn_postalcode_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostalCode" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPostalCodeModifiedOnBehalfBy = "lk_msdyn_postalcode_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPostalCode" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPostalCode = "user_msdyn_postalcode";
        /// <summary>Parent: "SystemUser" Child: "MsdynProductinventory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynProductinventoryCreatedBy = "lk_msdyn_productinventory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProductinventory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProductinventoryCreatedOnBehalfBy = "lk_msdyn_productinventory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProductinventory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynProductinventoryModifiedBy = "lk_msdyn_productinventory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynProductinventory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynProductinventoryModifiedOnBehalfBy = "lk_msdyn_productinventory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorder" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderCreatedBy = "lk_msdyn_purchaseorder_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorder" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderCreatedOnBehalfBy = "lk_msdyn_purchaseorder_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorder" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderModifiedBy = "lk_msdyn_purchaseorder_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorder" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderModifiedOnBehalfBy = "lk_msdyn_purchaseorder_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorder" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPurchaseorder = "user_msdyn_purchaseorder";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderbill" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderbillCreatedBy = "lk_msdyn_purchaseorderbill_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderbill" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderbillCreatedOnBehalfBy = "lk_msdyn_purchaseorderbill_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderbill" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderbillModifiedBy = "lk_msdyn_purchaseorderbill_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderbill" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderbillModifiedOnBehalfBy = "lk_msdyn_purchaseorderbill_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderbill" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPurchaseorderbill = "user_msdyn_purchaseorderbill";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderproduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderproductCreatedBy = "lk_msdyn_purchaseorderproduct_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderproduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderproductCreatedOnBehalfBy = "lk_msdyn_purchaseorderproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderproduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderproductModifiedBy = "lk_msdyn_purchaseorderproduct_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderproduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderproductModifiedOnBehalfBy = "lk_msdyn_purchaseorderproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderproduct" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPurchaseorderproduct = "user_msdyn_purchaseorderproduct";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderreceipt" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderreceiptCreatedBy = "lk_msdyn_purchaseorderreceipt_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderreceipt" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderreceiptCreatedOnBehalfBy = "lk_msdyn_purchaseorderreceipt_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderreceipt" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderreceiptModifiedBy = "lk_msdyn_purchaseorderreceipt_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderreceipt" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderreceiptModifiedOnBehalfBy = "lk_msdyn_purchaseorderreceipt_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderreceipt" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPurchaseorderreceipt = "user_msdyn_purchaseorderreceipt";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderreceiptproduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderreceiptproductCreatedBy = "lk_msdyn_purchaseorderreceiptproduct_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderreceiptproduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderreceiptproductCreatedOnBehalfBy = "lk_msdyn_purchaseorderreceiptproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderreceiptproduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderreceiptproductModifiedBy = "lk_msdyn_purchaseorderreceiptproduct_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderreceiptproduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPurchaseorderreceiptproductModifiedOnBehalfBy = "lk_msdyn_purchaseorderreceiptproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderreceiptproduct" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPurchaseorderreceiptproduct = "user_msdyn_purchaseorderreceiptproduct";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseordersubStatus" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynPurchaseordersubStatusCreatedBy = "lk_msdyn_purchaseordersubstatus_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseordersubStatus" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPurchaseordersubStatusCreatedOnBehalfBy = "lk_msdyn_purchaseordersubstatus_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseordersubStatus" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynPurchaseordersubStatusModifiedBy = "lk_msdyn_purchaseordersubstatus_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseordersubStatus" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynPurchaseordersubStatusModifiedOnBehalfBy = "lk_msdyn_purchaseordersubstatus_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseordersubStatus" Lookup: ""</summary>
        public const string Rel1M_UserMsdynPurchaseordersubStatus = "user_msdyn_purchaseordersubstatus";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingincident" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingincidentCreatedBy = "lk_msdyn_quotebookingincident_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingincident" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingincidentCreatedOnBehalfBy = "lk_msdyn_quotebookingincident_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingincident" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingincidentModifiedBy = "lk_msdyn_quotebookingincident_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingincident" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingincidentModifiedOnBehalfBy = "lk_msdyn_quotebookingincident_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingincident" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuotebookingincident = "user_msdyn_quotebookingincident";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingproduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingproductCreatedBy = "lk_msdyn_quotebookingproduct_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingproduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingproductCreatedOnBehalfBy = "lk_msdyn_quotebookingproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingproduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingproductModifiedBy = "lk_msdyn_quotebookingproduct_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingproduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingproductModifiedOnBehalfBy = "lk_msdyn_quotebookingproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingproduct" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuotebookingproduct = "user_msdyn_quotebookingproduct";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingservice" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingserviceCreatedBy = "lk_msdyn_quotebookingservice_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingservice" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingserviceCreatedOnBehalfBy = "lk_msdyn_quotebookingservice_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingservice" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingserviceModifiedBy = "lk_msdyn_quotebookingservice_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingservice" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingserviceModifiedOnBehalfBy = "lk_msdyn_quotebookingservice_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingservice" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuotebookingservice = "user_msdyn_quotebookingservice";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingservicetask" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingservicetaskCreatedBy = "lk_msdyn_quotebookingservicetask_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingservicetask" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingservicetaskCreatedOnBehalfBy = "lk_msdyn_quotebookingservicetask_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingservicetask" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingservicetaskModifiedBy = "lk_msdyn_quotebookingservicetask_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingservicetask" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingservicetaskModifiedOnBehalfBy = "lk_msdyn_quotebookingservicetask_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingservicetask" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuotebookingservicetask = "user_msdyn_quotebookingservicetask";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingsetup" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingsetupCreatedBy = "lk_msdyn_quotebookingsetup_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingsetup" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingsetupCreatedOnBehalfBy = "lk_msdyn_quotebookingsetup_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingsetup" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingsetupModifiedBy = "lk_msdyn_quotebookingsetup_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingsetup" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuotebookingsetupModifiedOnBehalfBy = "lk_msdyn_quotebookingsetup_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuotebookingsetup" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuotebookingsetup = "user_msdyn_quotebookingsetup";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuoteinvoicingproduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuoteinvoicingproductCreatedBy = "lk_msdyn_quoteinvoicingproduct_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuoteinvoicingproduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuoteinvoicingproductCreatedOnBehalfBy = "lk_msdyn_quoteinvoicingproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuoteinvoicingproduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuoteinvoicingproductModifiedBy = "lk_msdyn_quoteinvoicingproduct_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuoteinvoicingproduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuoteinvoicingproductModifiedOnBehalfBy = "lk_msdyn_quoteinvoicingproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuoteinvoicingproduct" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuoteinvoicingproduct = "user_msdyn_quoteinvoicingproduct";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuoteinvoicingsetup" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynQuoteinvoicingsetupCreatedBy = "lk_msdyn_quoteinvoicingsetup_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuoteinvoicingsetup" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuoteinvoicingsetupCreatedOnBehalfBy = "lk_msdyn_quoteinvoicingsetup_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuoteinvoicingsetup" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynQuoteinvoicingsetupModifiedBy = "lk_msdyn_quoteinvoicingsetup_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuoteinvoicingsetup" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynQuoteinvoicingsetupModifiedOnBehalfBy = "lk_msdyn_quoteinvoicingsetup_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynQuoteinvoicingsetup" Lookup: ""</summary>
        public const string Rel1M_UserMsdynQuoteinvoicingsetup = "user_msdyn_quoteinvoicingsetup";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcepayType" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynResourcepayTypeCreatedBy = "lk_msdyn_resourcepaytype_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcepayType" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourcepayTypeCreatedOnBehalfBy = "lk_msdyn_resourcepaytype_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcepayType" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynResourcepayTypeModifiedBy = "lk_msdyn_resourcepaytype_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcepayType" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynResourcepayTypeModifiedOnBehalfBy = "lk_msdyn_resourcepaytype_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynResourcepayType" Lookup: ""</summary>
        public const string Rel1M_UserMsdynResourcepayType = "user_msdyn_resourcepaytype";
        /// <summary>Parent: "SystemUser" Child: "MsdynRma" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRmaCreatedBy = "lk_msdyn_rma_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRma" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRmaCreatedOnBehalfBy = "lk_msdyn_rma_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRma" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRmaModifiedBy = "lk_msdyn_rma_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRma" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRmaModifiedOnBehalfBy = "lk_msdyn_rma_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRma" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRma = "user_msdyn_rma";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmaproduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRmaproductCreatedBy = "lk_msdyn_rmaproduct_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmaproduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRmaproductCreatedOnBehalfBy = "lk_msdyn_rmaproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmaproduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRmaproductModifiedBy = "lk_msdyn_rmaproduct_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmaproduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRmaproductModifiedOnBehalfBy = "lk_msdyn_rmaproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmaproduct" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRmaproduct = "user_msdyn_rmaproduct";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmareceipt" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRmareceiptCreatedBy = "lk_msdyn_rmareceipt_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmareceipt" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRmareceiptCreatedOnBehalfBy = "lk_msdyn_rmareceipt_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmareceipt" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRmareceiptModifiedBy = "lk_msdyn_rmareceipt_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmareceipt" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRmareceiptModifiedOnBehalfBy = "lk_msdyn_rmareceipt_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmareceipt" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRmareceipt = "user_msdyn_rmareceipt";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmareceiptproduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRmareceiptproductCreatedBy = "lk_msdyn_rmareceiptproduct_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmareceiptproduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRmareceiptproductCreatedOnBehalfBy = "lk_msdyn_rmareceiptproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmareceiptproduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRmareceiptproductModifiedBy = "lk_msdyn_rmareceiptproduct_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmareceiptproduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRmareceiptproductModifiedOnBehalfBy = "lk_msdyn_rmareceiptproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmareceiptproduct" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRmareceiptproduct = "user_msdyn_rmareceiptproduct";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmasubStatus" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRmasubStatusCreatedBy = "lk_msdyn_rmasubstatus_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmasubStatus" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRmasubStatusCreatedOnBehalfBy = "lk_msdyn_rmasubstatus_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmasubStatus" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRmasubStatusModifiedBy = "lk_msdyn_rmasubstatus_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmasubStatus" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRmasubStatusModifiedOnBehalfBy = "lk_msdyn_rmasubstatus_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmasubStatus" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRmasubStatus = "user_msdyn_rmasubstatus";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtv" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRtvCreatedBy = "lk_msdyn_rtv_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtv" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRtvCreatedOnBehalfBy = "lk_msdyn_rtv_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtv" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRtvModifiedBy = "lk_msdyn_rtv_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtv" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRtvModifiedOnBehalfBy = "lk_msdyn_rtv_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtv" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRtv = "user_msdyn_rtv";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtvproduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRtvproductCreatedBy = "lk_msdyn_rtvproduct_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtvproduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRtvproductCreatedOnBehalfBy = "lk_msdyn_rtvproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtvproduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRtvproductModifiedBy = "lk_msdyn_rtvproduct_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtvproduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRtvproductModifiedOnBehalfBy = "lk_msdyn_rtvproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtvproduct" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRtvproduct = "user_msdyn_rtvproduct";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtvsubStatus" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynRtvsubStatusCreatedBy = "lk_msdyn_rtvsubstatus_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtvsubStatus" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRtvsubStatusCreatedOnBehalfBy = "lk_msdyn_rtvsubstatus_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtvsubStatus" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynRtvsubStatusModifiedBy = "lk_msdyn_rtvsubstatus_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtvsubStatus" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynRtvsubStatusModifiedOnBehalfBy = "lk_msdyn_rtvsubstatus_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtvsubStatus" Lookup: ""</summary>
        public const string Rel1M_UserMsdynRtvsubStatus = "user_msdyn_rtvsubstatus";
        /// <summary>Parent: "SystemUser" Child: "MsdynServicetaskType" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynServicetaskTypeCreatedBy = "lk_msdyn_servicetasktype_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynServicetaskType" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynServicetaskTypeCreatedOnBehalfBy = "lk_msdyn_servicetasktype_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynServicetaskType" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynServicetaskTypeModifiedBy = "lk_msdyn_servicetasktype_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynServicetaskType" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynServicetaskTypeModifiedOnBehalfBy = "lk_msdyn_servicetasktype_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynServicetaskType" Lookup: ""</summary>
        public const string Rel1M_UserMsdynServicetaskType = "user_msdyn_servicetasktype";
        /// <summary>Parent: "SystemUser" Child: "MsdynShipvia" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynShipviaCreatedBy = "lk_msdyn_shipvia_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynShipvia" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynShipviaCreatedOnBehalfBy = "lk_msdyn_shipvia_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynShipvia" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynShipviaModifiedBy = "lk_msdyn_shipvia_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynShipvia" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynShipviaModifiedOnBehalfBy = "lk_msdyn_shipvia_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynShipvia" Lookup: ""</summary>
        public const string Rel1M_UserMsdynShipvia = "user_msdyn_shipvia";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCode" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTaxCodeCreatedBy = "lk_msdyn_taxcode_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCode" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTaxCodeCreatedOnBehalfBy = "lk_msdyn_taxcode_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCode" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTaxCodeModifiedBy = "lk_msdyn_taxcode_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCode" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTaxCodeModifiedOnBehalfBy = "lk_msdyn_taxcode_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCode" Lookup: ""</summary>
        public const string Rel1M_UserMsdynTaxCode = "user_msdyn_taxcode";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCodeDetail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTaxCodeDetailCreatedBy = "lk_msdyn_taxcodedetail_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCodeDetail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTaxCodeDetailCreatedOnBehalfBy = "lk_msdyn_taxcodedetail_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCodeDetail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTaxCodeDetailModifiedBy = "lk_msdyn_taxcodedetail_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCodeDetail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTaxCodeDetailModifiedOnBehalfBy = "lk_msdyn_taxcodedetail_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTaxCodeDetail" Lookup: ""</summary>
        public const string Rel1M_UserMsdynTaxCodeDetail = "user_msdyn_taxcodedetail";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeoffrequest" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynTimeoffrequestCreatedBy = "lk_msdyn_timeoffrequest_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeoffrequest" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTimeoffrequestCreatedOnBehalfBy = "lk_msdyn_timeoffrequest_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeoffrequest" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynTimeoffrequestModifiedBy = "lk_msdyn_timeoffrequest_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeoffrequest" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynTimeoffrequestModifiedOnBehalfBy = "lk_msdyn_timeoffrequest_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeoffrequest" Lookup: ""</summary>
        public const string Rel1M_UserMsdynTimeoffrequest = "user_msdyn_timeoffrequest";
        /// <summary>Parent: "SystemUser" Child: "MsdynUniqueNumber" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynUniqueNumberCreatedBy = "lk_msdyn_uniquenumber_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUniqueNumber" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynUniqueNumberCreatedOnBehalfBy = "lk_msdyn_uniquenumber_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUniqueNumber" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynUniqueNumberModifiedBy = "lk_msdyn_uniquenumber_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynUniqueNumber" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynUniqueNumberModifiedOnBehalfBy = "lk_msdyn_uniquenumber_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWarehouse" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWarehouseCreatedBy = "lk_msdyn_warehouse_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWarehouse" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWarehouseCreatedOnBehalfBy = "lk_msdyn_warehouse_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWarehouse" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWarehouseModifiedBy = "lk_msdyn_warehouse_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWarehouse" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWarehouseModifiedOnBehalfBy = "lk_msdyn_warehouse_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWarehouse" Lookup: ""</summary>
        public const string Rel1M_UserMsdynWarehouse = "user_msdyn_warehouse";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorder" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderCreatedBy = "lk_msdyn_workorder_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorder" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderCreatedOnBehalfBy = "lk_msdyn_workorder_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorder" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderModifiedBy = "lk_msdyn_workorder_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorder" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderModifiedOnBehalfBy = "lk_msdyn_workorder_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorder" Lookup: ""</summary>
        public const string Rel1M_UserMsdynWorkorder = "user_msdyn_workorder";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderCharacteristic" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderCharacteristicCreatedBy = "lk_msdyn_workordercharacteristic_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderCharacteristic" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderCharacteristicCreatedOnBehalfBy = "lk_msdyn_workordercharacteristic_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderCharacteristic" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderCharacteristicModifiedBy = "lk_msdyn_workordercharacteristic_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderCharacteristic" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderCharacteristicModifiedOnBehalfBy = "lk_msdyn_workordercharacteristic_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderCharacteristic" Lookup: ""</summary>
        public const string Rel1M_UserMsdynWorkorderCharacteristic = "user_msdyn_workordercharacteristic";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderDetailsGenerationqueue" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderDetailsGenerationqueueCreatedBy = "lk_msdyn_workorderdetailsgenerationqueue_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderDetailsGenerationqueue" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderDetailsGenerationqueueCreatedOnBehalfBy = "lk_msdyn_workorderdetailsgenerationqueue_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderDetailsGenerationqueue" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderDetailsGenerationqueueModifiedBy = "lk_msdyn_workorderdetailsgenerationqueue_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderDetailsGenerationqueue" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderDetailsGenerationqueueModifiedOnBehalfBy = "lk_msdyn_workorderdetailsgenerationqueue_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderIncident" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderIncidentCreatedBy = "lk_msdyn_workorderincident_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderIncident" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderIncidentCreatedOnBehalfBy = "lk_msdyn_workorderincident_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderIncident" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderIncidentModifiedBy = "lk_msdyn_workorderincident_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderIncident" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderIncidentModifiedOnBehalfBy = "lk_msdyn_workorderincident_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderIncident" Lookup: ""</summary>
        public const string Rel1M_UserMsdynWorkorderIncident = "user_msdyn_workorderincident";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderProduct" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderProductCreatedBy = "lk_msdyn_workorderproduct_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderProduct" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderProductCreatedOnBehalfBy = "lk_msdyn_workorderproduct_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderProduct" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderProductModifiedBy = "lk_msdyn_workorderproduct_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderProduct" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderProductModifiedOnBehalfBy = "lk_msdyn_workorderproduct_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderProduct" Lookup: ""</summary>
        public const string Rel1M_UserMsdynWorkorderProduct = "user_msdyn_workorderproduct";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderResourcerestriction" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderResourcerestrictionCreatedBy = "lk_msdyn_workorderresourcerestriction_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderResourcerestriction" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderResourcerestrictionCreatedOnBehalfBy = "lk_msdyn_workorderresourcerestriction_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderResourcerestriction" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderResourcerestrictionModifiedBy = "lk_msdyn_workorderresourcerestriction_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderResourcerestriction" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderResourcerestrictionModifiedOnBehalfBy = "lk_msdyn_workorderresourcerestriction_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderResourcerestriction" Lookup: ""</summary>
        public const string Rel1M_UserMsdynWorkorderResourcerestriction = "user_msdyn_workorderresourcerestriction";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderService" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderServiceCreatedBy = "lk_msdyn_workorderservice_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderService" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderServiceCreatedOnBehalfBy = "lk_msdyn_workorderservice_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderService" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderServiceModifiedBy = "lk_msdyn_workorderservice_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderService" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderServiceModifiedOnBehalfBy = "lk_msdyn_workorderservice_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderService" Lookup: ""</summary>
        public const string Rel1M_UserMsdynWorkorderService = "user_msdyn_workorderservice";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderServicetask" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderServicetaskCreatedBy = "lk_msdyn_workorderservicetask_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderServicetask" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderServicetaskCreatedOnBehalfBy = "lk_msdyn_workorderservicetask_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderServicetask" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderServicetaskModifiedBy = "lk_msdyn_workorderservicetask_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderServicetask" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderServicetaskModifiedOnBehalfBy = "lk_msdyn_workorderservicetask_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderServicetask" Lookup: ""</summary>
        public const string Rel1M_UserMsdynWorkorderServicetask = "user_msdyn_workorderservicetask";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderSubStatus" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderSubStatusCreatedBy = "lk_msdyn_workordersubstatus_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderSubStatus" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderSubStatusCreatedOnBehalfBy = "lk_msdyn_workordersubstatus_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderSubStatus" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderSubStatusModifiedBy = "lk_msdyn_workordersubstatus_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderSubStatus" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderSubStatusModifiedOnBehalfBy = "lk_msdyn_workordersubstatus_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderSubStatus" Lookup: ""</summary>
        public const string Rel1M_UserMsdynWorkorderSubStatus = "user_msdyn_workordersubstatus";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderType" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderTypeCreatedBy = "lk_msdyn_workordertype_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderType" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderTypeCreatedOnBehalfBy = "lk_msdyn_workordertype_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderType" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynWorkorderTypeModifiedBy = "lk_msdyn_workordertype_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderType" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynWorkorderTypeModifiedOnBehalfBy = "lk_msdyn_workordertype_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorderType" Lookup: ""</summary>
        public const string Rel1M_UserMsdynWorkorderType = "user_msdyn_workordertype";
        /// <summary>Parent: "SystemUser" Child: "MsdynFieldserviceSystemJob" Lookup: "MsdynOwnerId"</summary>
        public const string Rel1M_MsdynSystemUserMsdynFieldserviceSystemJobOwnerId = "msdyn_systemuser_msdyn_fieldservicesystemjob_OwnerId";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorder" Lookup: "MsdynApprovedRejectedBy"</summary>
        public const string Rel1M_MsdynSystemUserMsdynPurchaseorderApprovedRejectedBy = "msdyn_systemuser_msdyn_purchaseorder_ApprovedRejectedBy";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorder" Lookup: "MsdynOrderedBy"</summary>
        public const string Rel1M_MsdynSystemUserMsdynPurchaseorderOrderedBy = "msdyn_systemuser_msdyn_purchaseorder_OrderedBy";
        /// <summary>Parent: "SystemUser" Child: "MsdynPurchaseorderreceipt" Lookup: "MsdynReceivedBy"</summary>
        public const string Rel1M_MsdynSystemUserMsdynPurchaseorderreceiptReceivedBy = "msdyn_systemuser_msdyn_purchaseorderreceipt_ReceivedBy";
        /// <summary>Parent: "SystemUser" Child: "MsdynRma" Lookup: "MsdynApprovedBy"</summary>
        public const string Rel1M_MsdynSystemUserMsdynRmaApprovedBy = "msdyn_systemuser_msdyn_rma_ApprovedBy";
        /// <summary>Parent: "SystemUser" Child: "MsdynRmareceipt" Lookup: "MsdynReceivedBy"</summary>
        public const string Rel1M_MsdynSystemUserMsdynRmareceiptReceivedBy = "msdyn_systemuser_msdyn_rmareceipt_ReceivedBy";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtv" Lookup: "MsdynApprovedDeclinedBy"</summary>
        public const string Rel1M_MsdynSystemUserMsdynRtvApprovedDeclinedBy = "msdyn_systemuser_msdyn_rtv_ApprovedDeclinedBy";
        /// <summary>Parent: "SystemUser" Child: "MsdynRtv" Lookup: "MsdynReturnedBy"</summary>
        public const string Rel1M_MsdynSystemUserMsdynRtvReturnedBy = "msdyn_systemuser_msdyn_rtv_ReturnedBy";
        /// <summary>Parent: "SystemUser" Child: "MsdynTimeoffrequest" Lookup: "MsdynApprovedby"</summary>
        public const string Rel1M_MsdynSystemUserMsdynTimeoffrequestApprovedby = "msdyn_systemuser_msdyn_timeoffrequest_Approvedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynWorkorder" Lookup: "MsdynClosedBy"</summary>
        public const string Rel1M_MsdynSystemUserMsdynWorkorderClosedBy = "msdyn_systemuser_msdyn_workorder_ClosedBy";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotalert" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIotalertCreatedBy = "lk_msdyn_iotalert_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotalert" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotalertCreatedOnBehalfBy = "lk_msdyn_iotalert_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotalert" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIotalertModifiedBy = "lk_msdyn_iotalert_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotalert" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotalertModifiedOnBehalfBy = "lk_msdyn_iotalert_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotalert" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIotalert = "user_msdyn_iotalert";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevice" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIotdeviceCreatedBy = "lk_msdyn_iotdevice_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevice" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdeviceCreatedOnBehalfBy = "lk_msdyn_iotdevice_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevice" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIotdeviceModifiedBy = "lk_msdyn_iotdevice_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevice" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdeviceModifiedOnBehalfBy = "lk_msdyn_iotdevice_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevice" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIotdevice = "user_msdyn_iotdevice";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIotdevicecategoryCreatedBy = "lk_msdyn_iotdevicecategory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdevicecategoryCreatedOnBehalfBy = "lk_msdyn_iotdevicecategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIotdevicecategoryModifiedBy = "lk_msdyn_iotdevicecategory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdevicecategoryModifiedOnBehalfBy = "lk_msdyn_iotdevicecategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecategory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIotdevicecategory = "user_msdyn_iotdevicecategory";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecommand" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIotdevicecommandCreatedBy = "lk_msdyn_iotdevicecommand_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecommand" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdevicecommandCreatedOnBehalfBy = "lk_msdyn_iotdevicecommand_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecommand" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIotdevicecommandModifiedBy = "lk_msdyn_iotdevicecommand_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecommand" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdevicecommandModifiedOnBehalfBy = "lk_msdyn_iotdevicecommand_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecommand" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIotdevicecommand = "user_msdyn_iotdevicecommand";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecommanddefinition" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIotdevicecommanddefinitionCreatedBy = "lk_msdyn_iotdevicecommanddefinition_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecommanddefinition" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdevicecommanddefinitionCreatedOnBehalfBy = "lk_msdyn_iotdevicecommanddefinition_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecommanddefinition" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIotdevicecommanddefinitionModifiedBy = "lk_msdyn_iotdevicecommanddefinition_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecommanddefinition" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdevicecommanddefinitionModifiedOnBehalfBy = "lk_msdyn_iotdevicecommanddefinition_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicecommanddefinition" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIotdevicecommanddefinition = "user_msdyn_iotdevicecommanddefinition";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicedatahistory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIotdevicedatahistoryCreatedBy = "lk_msdyn_iotdevicedatahistory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicedatahistory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdevicedatahistoryCreatedOnBehalfBy = "lk_msdyn_iotdevicedatahistory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicedatahistory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIotdevicedatahistoryModifiedBy = "lk_msdyn_iotdevicedatahistory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicedatahistory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdevicedatahistoryModifiedOnBehalfBy = "lk_msdyn_iotdevicedatahistory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdevicedatahistory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIotdevicedatahistory = "user_msdyn_iotdevicedatahistory";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdeviceproperty" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIotdevicepropertyCreatedBy = "lk_msdyn_iotdeviceproperty_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdeviceproperty" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdevicepropertyCreatedOnBehalfBy = "lk_msdyn_iotdeviceproperty_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdeviceproperty" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIotdevicepropertyModifiedBy = "lk_msdyn_iotdeviceproperty_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdeviceproperty" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdevicepropertyModifiedOnBehalfBy = "lk_msdyn_iotdeviceproperty_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdeviceproperty" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIotdeviceproperty = "user_msdyn_iotdeviceproperty";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdeviceregistrationhistory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIotdeviceregistrationhistoryCreatedBy = "lk_msdyn_iotdeviceregistrationhistory_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdeviceregistrationhistory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdeviceregistrationhistoryCreatedOnBehalfBy = "lk_msdyn_iotdeviceregistrationhistory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdeviceregistrationhistory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIotdeviceregistrationhistoryModifiedBy = "lk_msdyn_iotdeviceregistrationhistory_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdeviceregistrationhistory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotdeviceregistrationhistoryModifiedOnBehalfBy = "lk_msdyn_iotdeviceregistrationhistory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotdeviceregistrationhistory" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIotdeviceregistrationhistory = "user_msdyn_iotdeviceregistrationhistory";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotpropertydefinition" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIotpropertydefinitionCreatedBy = "lk_msdyn_iotpropertydefinition_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotpropertydefinition" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotpropertydefinitionCreatedOnBehalfBy = "lk_msdyn_iotpropertydefinition_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotpropertydefinition" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIotpropertydefinitionModifiedBy = "lk_msdyn_iotpropertydefinition_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotpropertydefinition" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotpropertydefinitionModifiedOnBehalfBy = "lk_msdyn_iotpropertydefinition_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotpropertydefinition" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIotpropertydefinition = "user_msdyn_iotpropertydefinition";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotsettings" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynIotsettingsCreatedBy = "lk_msdyn_iotsettings_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotsettings" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotsettingsCreatedOnBehalfBy = "lk_msdyn_iotsettings_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotsettings" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynIotsettingsModifiedBy = "lk_msdyn_iotsettings_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotsettings" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynIotsettingsModifiedOnBehalfBy = "lk_msdyn_iotsettings_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynIotsettings" Lookup: ""</summary>
        public const string Rel1M_UserMsdynIotsettings = "user_msdyn_iotsettings";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf477c16f59170487b8b4dc895c5dcd09b" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynBpf477c16f59170487b8b4dc895c5dcd09bCreatedBy = "lk_msdyn_bpf_477c16f59170487b8b4dc895c5dcd09b_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf477c16f59170487b8b4dc895c5dcd09b" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpf477c16f59170487b8b4dc895c5dcd09bCreatedOnBehalfBy = "lk_msdyn_bpf_477c16f59170487b8b4dc895c5dcd09b_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf477c16f59170487b8b4dc895c5dcd09b" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynBpf477c16f59170487b8b4dc895c5dcd09bModifiedBy = "lk_msdyn_bpf_477c16f59170487b8b4dc895c5dcd09b_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynBpf477c16f59170487b8b4dc895c5dcd09b" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynBpf477c16f59170487b8b4dc895c5dcd09bModifiedOnBehalfBy = "lk_msdyn_bpf_477c16f59170487b8b4dc895c5dcd09b_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEntityConfiguration" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynEntityConfigurationCreatedBy = "lk_msdyn_entityconfiguration_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEntityConfiguration" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynEntityConfigurationCreatedOnBehalfBy = "lk_msdyn_entityconfiguration_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEntityConfiguration" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynEntityConfigurationModifiedBy = "lk_msdyn_entityconfiguration_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEntityConfiguration" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynEntityConfigurationModifiedOnBehalfBy = "lk_msdyn_entityconfiguration_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynEntityConfiguration" Lookup: ""</summary>
        public const string Rel1M_UserMsdynEntityConfiguration = "user_msdyn_entityconfiguration";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofence" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynGeofenceCreatedBy = "lk_msdyn_geofence_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofence" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynGeofenceCreatedOnBehalfBy = "lk_msdyn_geofence_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofence" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynGeofenceModifiedBy = "lk_msdyn_geofence_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofence" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynGeofenceModifiedOnBehalfBy = "lk_msdyn_geofence_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofence" Lookup: ""</summary>
        public const string Rel1M_UserMsdynGeofence = "user_msdyn_geofence";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofenceevent" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynGeofenceeventCreatedBy = "lk_msdyn_geofenceevent_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofenceevent" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynGeofenceeventCreatedOnBehalfBy = "lk_msdyn_geofenceevent_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofenceevent" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynGeofenceeventModifiedBy = "lk_msdyn_geofenceevent_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofenceevent" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynGeofenceeventModifiedOnBehalfBy = "lk_msdyn_geofenceevent_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofenceevent" Lookup: ""</summary>
        public const string Rel1M_UserMsdynGeofenceevent = "user_msdyn_geofenceevent";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofencingsettings" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynGeofencingsettingsCreatedBy = "lk_msdyn_geofencingsettings_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofencingsettings" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynGeofencingsettingsCreatedOnBehalfBy = "lk_msdyn_geofencingsettings_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofencingsettings" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynGeofencingsettingsModifiedBy = "lk_msdyn_geofencingsettings_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofencingsettings" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynGeofencingsettingsModifiedOnBehalfBy = "lk_msdyn_geofencingsettings_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynGeofencingsettings" Lookup: ""</summary>
        public const string Rel1M_UserMsdynGeofencingsettings = "user_msdyn_geofencingsettings";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmMarketingSitemap" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynsmMarketingSitemapCreatedBy = "lk_msdynsm_marketingsitemap_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmMarketingSitemap" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynsmMarketingSitemapCreatedOnBehalfBy = "lk_msdynsm_marketingsitemap_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmMarketingSitemap" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynsmMarketingSitemapModifiedBy = "lk_msdynsm_marketingsitemap_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmMarketingSitemap" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynsmMarketingSitemapModifiedOnBehalfBy = "lk_msdynsm_marketingsitemap_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmSalessitemap" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynsmSalessitemapCreatedBy = "lk_msdynsm_salessitemap_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmSalessitemap" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynsmSalessitemapCreatedOnBehalfBy = "lk_msdynsm_salessitemap_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmSalessitemap" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynsmSalessitemapModifiedBy = "lk_msdynsm_salessitemap_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmSalessitemap" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynsmSalessitemapModifiedOnBehalfBy = "lk_msdynsm_salessitemap_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmServicessitemap" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynsmServicessitemapCreatedBy = "lk_msdynsm_servicessitemap_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmServicessitemap" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynsmServicessitemapCreatedOnBehalfBy = "lk_msdynsm_servicessitemap_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmServicessitemap" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynsmServicessitemapModifiedBy = "lk_msdynsm_servicessitemap_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmServicessitemap" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynsmServicessitemapModifiedOnBehalfBy = "lk_msdynsm_servicessitemap_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmSettingssitemap" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMsdynsmSettingssitemapCreatedBy = "lk_msdynsm_settingssitemap_createdby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmSettingssitemap" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynsmSettingssitemapCreatedOnBehalfBy = "lk_msdynsm_settingssitemap_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmSettingssitemap" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMsdynsmSettingssitemapModifiedBy = "lk_msdynsm_settingssitemap_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MsdynsmSettingssitemap" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMsdynsmSettingssitemapModifiedOnBehalfBy = "lk_msdynsm_settingssitemap_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PrincipalObjectAttributeAccess" Lookup: "PrincipalId"</summary>
        public const string Rel1M_SystemUserPrincipalobjectattributeaccessPrincipalId = "systemuser_principalobjectattributeaccess_principalid";
        /// <summary>Parent: "SystemUser" Child: "ExchangeSyncIdMapping" Lookup: ""</summary>
        public const string Rel1M_UserExchangeSyncidmapping = "user_exchangesyncidmapping";
        /// <summary>Parent: "SystemUser" Child: "Theme" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkThemeCreatedBy = "lk_theme_createdby";
        /// <summary>Parent: "SystemUser" Child: "Theme" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkThemeCreatedOnBehalfBy = "lk_theme_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Theme" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkThemeModifiedBy = "lk_theme_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Theme" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkThemeModifiedOnBehalfBy = "lk_theme_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "UserMapping" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkUserMappingCreatedBy = "lk_usermapping_createdby";
        /// <summary>Parent: "SystemUser" Child: "UserMapping" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkUserMappingCreatedOnBehalfBy = "lk_usermapping_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "UserMapping" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkUserMappingModifiedBy = "lk_usermapping_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "UserMapping" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkUserMappingModifiedOnBehalfBy = "lk_usermapping_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "InteractionForEMail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkInteractionforeMailCreatedBy = "lk_interactionforemail_createdby";
        /// <summary>Parent: "SystemUser" Child: "InteractionForEMail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkInteractionforeMailCreatedOnBehalfBy = "lk_interactionforemail_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "InteractionForEMail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkInteractionforeMailModifiedBy = "lk_interactionforemail_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "InteractionForEMail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkInteractionforeMailModifiedOnBehalfBy = "lk_interactionforemail_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "InteractionForEMail" Lookup: ""</summary>
        public const string Rel1M_UserInteractionforeMail = "user_interactionforemail";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticle" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkKnowledgearticleCreatedBy = "lk_knowledgearticle_createdby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticle" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkKnowledgearticleCreatedOnBehalfBy = "lk_knowledgearticle_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticle" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkKnowledgearticleModifiedBy = "lk_knowledgearticle_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticle" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkKnowledgearticleModifiedOnBehalfBy = "lk_knowledgearticle_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticle" Lookup: ""</summary>
        public const string Rel1M_UserKnowledgearticle = "user_knowledgearticle";
        /// <summary>Parent: "SystemUser" Child: "SharePointSite" Lookup: ""</summary>
        public const string Rel1M_UserSharepointsite = "user_sharepointsite";
        /// <summary>Parent: "SystemUser" Child: "SharePointDocumentLocation" Lookup: ""</summary>
        public const string Rel1M_UserSharepointdocumentlocation = "user_sharepointdocumentlocation";
        /// <summary>Parent: "SystemUser" Child: "Goal" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkGoalCreatedBy = "lk_goal_createdby";
        /// <summary>Parent: "SystemUser" Child: "Goal" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkGoalCreatedOnBehalfBy = "lk_goal_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Goal" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkGoalModifiedBy = "lk_goal_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Goal" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkGoalModifiedOnBehalfBy = "lk_goal_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Goal" Lookup: ""</summary>
        public const string Rel1M_UserGoal = "user_goal";
        /// <summary>Parent: "SystemUser" Child: "Goal" Lookup: "GoalOwnerId"</summary>
        public const string Rel1M_UserGoalGoalOwner = "user_goal_goalowner";
        /// <summary>Parent: "SystemUser" Child: "Metric" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMetricCreatedBy = "lk_metric_createdby";
        /// <summary>Parent: "SystemUser" Child: "Metric" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMetricCreatedOnBehalfBy = "lk_metric_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Metric" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMetricModifiedBy = "lk_metric_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Metric" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMetricModifiedOnBehalfBy = "lk_metric_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "RollupField" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkRollupfieldCreatedBy = "lk_rollupfield_createdby";
        /// <summary>Parent: "SystemUser" Child: "RollupField" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkRollupfieldCreatedOnBehalfBy = "lk_rollupfield_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "RollupField" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkRollupfieldModifiedBy = "lk_rollupfield_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "RollupField" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkRollupfieldModifiedOnBehalfBy = "lk_rollupfield_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "GoalRollupQuery" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkGoalrollupqueryCreatedBy = "lk_goalrollupquery_createdby";
        /// <summary>Parent: "SystemUser" Child: "GoalRollupQuery" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkGoalrollupqueryCreatedOnBehalfBy = "lk_goalrollupquery_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "GoalRollupQuery" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkGoalrollupqueryModifiedBy = "lk_goalrollupquery_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "GoalRollupQuery" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkGoalrollupqueryModifiedOnBehalfBy = "lk_goalrollupquery_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "EMailServerProfile" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkEMailServerprofileCreatedOnBehalfBy = "lk_emailserverprofile_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "EMailServerProfile" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkEMailServerprofileModifiedOnBehalfBy = "lk_emailserverprofile_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MailBox" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMailBoxCreatedBy = "lk_mailbox_createdby";
        /// <summary>Parent: "SystemUser" Child: "MailBox" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMailBoxCreatedOnBehalfBy = "lk_mailbox_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MailBox" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMailBoxModifiedBy = "lk_mailbox_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MailBox" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMailBoxModifiedOnBehalfBy = "lk_mailbox_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MailBox" Lookup: ""</summary>
        public const string Rel1M_UserMailBox = "user_mailbox";
        /// <summary>Parent: "SystemUser" Child: "MailBox" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_MailBoxRegardingSystemUser = "mailbox_regarding_systemuser";
        /// <summary>Parent: "SystemUser" Child: "Post" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkPostModifiedOnBehalfBy = "lk_post_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Position" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkPositionCreatedBy = "lk_position_createdby";
        /// <summary>Parent: "SystemUser" Child: "Position" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPositionCreatedOnBehalfBy = "lk_position_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Position" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkPositionModifiedBy = "lk_position_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Position" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkPositionModifiedOnBehalfBy = "lk_position_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Solution" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSolutionCreatedBy = "lk_solution_createdby";
        /// <summary>Parent: "SystemUser" Child: "Solution" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSolutionModifiedBy = "lk_solution_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Publisher" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkPublisherCreatedBy = "lk_publisher_createdby";
        /// <summary>Parent: "SystemUser" Child: "Publisher" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkPublisherModifiedBy = "lk_publisher_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "OfficeGraphDocument" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkOfficegraphdocumentCreatedOnBehalfBy = "lk_officegraphdocument_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "OfficeGraphDocument" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkOfficegraphdocumentModifiedOnBehalfBy = "lk_officegraphdocument_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SimilarityRule" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSimilarityruleCreatedOnBehalfBy = "lk_similarityrule_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SimilarityRule" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSimilarityruleModifiedOnBehalfBy = "lk_similarityrule_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "RecommendedDocument" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkRecommendeddocumentCreatedBy = "lk_recommendeddocument_createdby";
        /// <summary>Parent: "SystemUser" Child: "RecommendedDocument" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkRecommendeddocumentCreatedOnBehalfBy = "lk_recommendeddocument_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "RecommendedDocument" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkRecommendeddocumentModifiedBy = "lk_recommendeddocument_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "RecommendedDocument" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkRecommendeddocumentModifiedOnBehalfBy = "lk_recommendeddocument_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeBaseRecord" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkKnowledgeBaseRecordCreatedBy = "lk_KnowledgeBaseRecord_createdby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeBaseRecord" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkKnowledgeBaseRecordCreatedOnBehalfBy = "lk_KnowledgeBaseRecord_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeBaseRecord" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkKnowledgeBaseRecordModifiedBy = "lk_KnowledgeBaseRecord_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeBaseRecord" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkKnowledgeBaseRecordModifiedOnBehalfBy = "lk_KnowledgeBaseRecord_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "LookUpMapping" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkLookupmappingModifiedBy = "lk_lookupmapping_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "UserSettings" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkUserSettingsCreatedOnBehalfBy = "lk_usersettings_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KbArticleTemplate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkKbarticletemplatebaseModifiedBy = "lk_kbarticletemplatebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Fax" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkFaxModifiedBy = "lk_fax_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ProcessSession" Lookup: "CompletedBy"</summary>
        public const string Rel1M_LkProcesssessionCompletedby = "lk_processsession_completedby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageProcessingStepSecureConfig" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_ModifiedBySdkMessageProcessingStepSecureConfig = "modifiedby_sdkmessageprocessingstepsecureconfig";
        /// <summary>Parent: "SystemUser" Child: "BusinessUnit" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkBusinessUnitCreatedOnBehalfBy = "lk_businessunit_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DuplicateRule" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkDuplicateruleCreatedOnBehalfBy = "lk_duplicaterule_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessage" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSdkMessageModifiedOnBehalfBy = "lk_sdkmessage_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TranslationProcess" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkTranslationprocessModifiedOnBehalfBy = "lk_translationprocess_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ActionCard" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkActioncardbaseCreatedOnBehalfBy = "lk_actioncardbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageFilter" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSdkMessageFilterCreatedOnBehalfBy = "lk_sdkmessagefilter_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SLA" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSlabaseModifiedOnBehalfBy = "lk_slabase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Feedback" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkFeedbackModifiedBy = "lk_feedback_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Template" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkTemplatebaseModifiedBy = "lk_templatebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "WebWizard" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkWebwizardCreatedOnBehalfBy = "lk_webwizard_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KbArticleTemplate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkKbarticletemplateModifiedOnBehalfBy = "lk_kbarticletemplate_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SLAKPIInstance" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSlakpiinstancebaseCreatedBy = "lk_slakpiinstancebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "ACIViewMapper" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkACIViewMapperCreatedBy = "lk_ACIViewMapper_createdby";
        /// <summary>Parent: "SystemUser" Child: "UserQueryVisualization" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkUserQueryvisualizationModifiedBy = "lk_userqueryvisualization_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "RecurringAppointmentMaster" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkRecurringappointmentmasterCreatedOnBehalfBy = "lk_recurringappointmentmaster_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "LookUpMapping" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkLookupmappingCreatedOnBehalfBy = "lk_lookupmapping_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MobileOfflineProfileItem" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMobileOfflineProfileItemCreatedBy = "lk_MobileOfflineProfileItem_createdby";
        /// <summary>Parent: "SystemUser" Child: "RecurringAppointmentMaster" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkRecurringappointmentmasterModifiedBy = "lk_recurringappointmentmaster_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Fax" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkFaxCreatedBy = "lk_fax_createdby";
        /// <summary>Parent: "SystemUser" Child: "Letter" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkLetterModifiedOnBehalfBy = "lk_letter_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TransformationMapping" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkTransformationmappingCreatedBy = "lk_transformationmapping_createdby";
        /// <summary>Parent: "SystemUser" Child: "ReportCategory" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkReportcategorybaseCreatedBy = "lk_reportcategorybase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Letter" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkLetterCreatedBy = "lk_letter_createdby";
        /// <summary>Parent: "SystemUser" Child: "CustomControlResource" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCustomcontrolresourceModifiedBy = "lk_customcontrolresource_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ExpiredProcess" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkExpiredprocessCreatedOnBehalfBy = "lk_expiredprocess_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AppModuleComponent" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkAppmodulecomponentModifiedBy = "lk_appmodulecomponent_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Calendar" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCalendarModifiedBy = "lk_calendar_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "DuplicateRule" Lookup: ""</summary>
        public const string Rel1M_SystemUserDuplicateRules = "SystemUser_DuplicateRules";
        /// <summary>Parent: "SystemUser" Child: "PluginType" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPluginTypeCreatedOnBehalfBy = "lk_plugintype_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MobileOfflineProfileItem" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMobileofflineprofileitemCreatedOnBehalfBy = "lk_mobileofflineprofileitem_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Fax" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkFaxCreatedOnBehalfBy = "lk_fax_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TimeZoneDefinition" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkTimezonedefinitionModifiedBy = "lk_timezonedefinition_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ColumnMapping" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkColumnmappingCreatedBy = "lk_columnmapping_createdby";
        /// <summary>Parent: "SystemUser" Child: "ReportCategory" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkReportcategorybaseModifiedBy = "lk_reportcategorybase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SharePointSite" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSharepointsitebaseCreatedOnBehalfBy = "lk_sharepointsitebase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "WorkflowLog" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkWorkflowlogModifiedBy = "lk_workflowlog_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SyncError" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSyncerrorbaseCreatedOnBehalfBy = "lk_syncerrorbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BulkDeleteOperation" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkBulkdeleteoperationModifiedOnBehalfBy = "lk_bulkdeleteoperation_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ServiceEndpoint" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkServiceendpointbaseCreatedOnBehalfBy = "lk_serviceendpointbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SolutionComponent" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSolutioncomponentbaseCreatedOnBehalfBy = "lk_solutioncomponentbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PluginType" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkPluginTypeModifiedOnBehalfBy = "lk_plugintype_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "LookUpMapping" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkLookupmappingModifiedOnBehalfBy = "lk_lookupmapping_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PhoneCall" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkPhoneCallModifiedBy = "lk_phonecall_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SLA" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSlabaseModifiedBy = "lk_slabase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "WorkflowLog" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkWorkflowlogModifiedOnBehalfBy = "lk_workflowlog_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportFile" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkImportFilebaseCreatedOnBehalfBy = "lk_importfilebase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "FieldSecurityProfile" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkFieldsecurityprofileCreatedOnBehalfBy = "lk_fieldsecurityprofile_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportMap" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkImportMapbaseCreatedBy = "lk_importmapbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "PostFollow" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkPostFollowCreatedBy = "lk_PostFollow_createdby";
        /// <summary>Parent: "SystemUser" Child: "PostFollow" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SystemUserPostFollows = "systemuser_PostFollows";
        /// <summary>Parent: "SystemUser" Child: "PostRegarding" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SystemUserPostRegardings = "systemuser_PostRegardings";
        /// <summary>Parent: "SystemUser" Child: "Post" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkPostCreatedBy = "lk_post_createdby";
        /// <summary>Parent: "SystemUser" Child: "Post" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPostCreatedOnBehalfBy = "lk_post_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Post" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkPostModifiedBy = "lk_post_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "PostComment" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkPostcommentCreatedBy = "lk_postcomment_createdby";
        /// <summary>Parent: "SystemUser" Child: "PostFollow" Lookup: ""</summary>
        public const string Rel1M_UserOwnerPostfollows = "user_owner_postfollows";
        /// <summary>Parent: "SystemUser" Child: "PostFollow" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPostfollowCreatedOnBehalfBy = "lk_postfollow_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PostComment" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPostcommentCreatedOnBehalfBy = "lk_postcomment_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PostLike" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPostlikeCreatedOnBehalfBy = "lk_postlike_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PostLike" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkPostlikeCreatedBy = "lk_postlike_createdby";
        /// <summary>Parent: "SystemUser" Child: "QueueItem" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkQueueitemModifiedOnBehalfBy = "lk_queueitem_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SocialActivity" Lookup: ""</summary>
        public const string Rel1M_UserSocialactivity = "user_socialactivity";
        /// <summary>Parent: "SystemUser" Child: "TranslationProcess" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkTranslationprocessCreatedOnBehalfBy = "lk_translationprocess_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageProcessingStepSecureConfig" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSdkMessageProcessingStepSecureConfigModifiedOnBehalfBy = "lk_sdkmessageprocessingstepsecureconfig_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CallbackRegistration" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCallbackregistrationCreatedOnBehalfBy = "lk_callbackregistration_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Feedback" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkFeedbackModifiedOnBehalfBy = "lk_feedback_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "WorkflowLog" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkWorkflowlogCreatedOnBehalfBy = "lk_workflowlog_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Role" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkRoleCreatedOnBehalfBy = "lk_role_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TransactionCurrency" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkTransactioncurrencyModifiedOnBehalfBy = "lk_transactioncurrency_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Role" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkRolebaseModifiedBy = "lk_rolebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "NavigationSetting" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkNavigationsettingCreatedBy = "lk_navigationsetting_createdby";
        /// <summary>Parent: "SystemUser" Child: "Subject" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSubjectModifiedOnBehalfBy = "lk_subject_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DuplicateRule" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkDuplicateruleModifiedOnBehalfBy = "lk_duplicaterule_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Task" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkTaskModifiedOnBehalfBy = "lk_task_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Subject" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSubjectbaseModifiedBy = "lk_subjectbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MailBoxTrackingFolder" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMailBoxtrackingfolderModifiedBy = "lk_mailboxtrackingfolder_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageProcessingStep" Lookup: "ImpersonatingUserId"</summary>
        public const string Rel1M_ImpersonatingUserIdSdkMessageProcessingStep = "impersonatinguserid_sdkmessageprocessingstep";
        /// <summary>Parent: "SystemUser" Child: "KbArticle" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkKbarticleCreatedOnBehalfBy = "lk_kbarticle_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Calendar" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCalendarCreatedOnBehalfBy = "lk_calendar_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BusinessUnitNewsArticle" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkBusinessUnitnewsarticlebaseModifiedBy = "lk_businessunitnewsarticlebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "UserQueryVisualization" Lookup: ""</summary>
        public const string Rel1M_UserUserQueryvisualizations = "user_userqueryvisualizations";
        /// <summary>Parent: "SystemUser" Child: "TraceLog" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkTraceLogCreatedOnBehalfBy = "lk_tracelog_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "QueueItem" Lookup: "WorkerId"</summary>
        public const string Rel1M_LkQueueitembaseWorkerId = "lk_queueitembase_workerid";
        /// <summary>Parent: "SystemUser" Child: "MobileOfflineProfileItem" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMobileofflineprofileitemModifiedBy = "lk_mobileofflineprofileitem_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "CustomerAddress" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCustomerAddressBaseModifiedBy = "lk_customeraddressbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ActivityPointer" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkActivitypointerModifiedBy = "lk_activitypointer_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "CustomerAddress" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCustomerAddressBaseCreatedBy = "lk_customeraddressbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "SyncError" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSyncerrorbaseModifiedOnBehalfBy = "lk_syncerrorbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BulkDeleteFailure" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SystemUserBulkDeleteFailures = "SystemUser_BulkDeleteFailures";
        /// <summary>Parent: "SystemUser" Child: "Team" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkTeambaseModifiedBy = "lk_teambase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Workflow" Lookup: "CreatedBy"</summary>
        public const string Rel1M_WorkflowCreatedBy = "workflow_createdby";
        /// <summary>Parent: "SystemUser" Child: "Queue" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkQueueModifiedOnBehalfBy = "lk_queue_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CustomerAddress" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCustomerAddressModifiedOnBehalfBy = "lk_customeraddress_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Role" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkRolebaseCreatedBy = "lk_rolebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "ReportCategory" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkReportcategoryModifiedOnBehalfBy = "lk_reportcategory_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TransformationMapping" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkTransformationmappingModifiedBy = "lk_transformationmapping_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "DuplicateRuleCondition" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkDuplicateruleconditionModifiedOnBehalfBy = "lk_duplicaterulecondition_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PickListMapping" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkPicklistmappingCreatedBy = "lk_picklistmapping_createdby";
        /// <summary>Parent: "SystemUser" Child: "SavedQueryVisualization" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSavedqueryvisualizationbaseModifiedBy = "lk_savedqueryvisualizationbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "KbArticleComment" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkKbarticlecommentbaseModifiedBy = "lk_kbarticlecommentbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ImportData" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkImportDatabaseModifiedBy = "lk_importdatabase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "EMail" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkEMailModifiedOnBehalfBy = "lk_email_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AsyncOperation" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkAsyncoperationCreatedOnBehalfBy = "lk_asyncoperation_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PluginAssembly" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkPluginAssemblyModifiedOnBehalfBy = "lk_pluginassembly_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Team" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkTeamCreatedOnBehalfBy = "lk_team_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportData" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkImportDataCreatedOnBehalfBy = "lk_importdata_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Connection" Lookup: "CreatedBy"</summary>
        public const string Rel1M_CreatedByConnection = "createdby_connection";
        /// <summary>Parent: "SystemUser" Child: "Workflow" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_WorkflowModifiedBy = "workflow_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "BusinessUnitNewsArticle" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkBusinessUnitnewsarticleCreatedOnBehalfBy = "lk_businessunitnewsarticle_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageProcessingStepImage" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSdkMessageProcessingStepImageModifiedOnBehalfBy = "lk_sdkmessageprocessingstepimage_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ProcessSession" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkProcesssessionbaseCreatedOnBehalfBy = "lk_processsessionbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AppModule" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkAppmoduleModifiedOnBehalfBy = "lk_appmodule_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CustomControlDefaultConfig" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCustomcontroldefaultconfigModifiedOnBehalfBy = "lk_customcontroldefaultconfig_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TraceLog" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkTraceLogModifiedBy = "lk_tracelog_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Appointment" Lookup: ""</summary>
        public const string Rel1M_UserAppointment = "user_appointment";
        /// <summary>Parent: "SystemUser" Child: "AppConfig" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkAppconfigCreatedOnBehalfBy = "lk_appconfig_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AppConfigInstance" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkAppconfiginstanceCreatedOnBehalfBy = "lk_appconfiginstance_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DisplayString" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkDisplayStringbaseModifiedBy = "lk_DisplayStringbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ImportLog" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkImportLogModifiedOnBehalfBy = "lk_importlog_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "NavigationSetting" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkNavigationsettingModifiedBy = "lk_navigationsetting_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "EMail" Lookup: "EMailSender"</summary>
        public const string Rel1M_SystemUserEMailEMailSender = "SystemUser_Email_EmailSender";
        /// <summary>Parent: "SystemUser" Child: "ActivityPointer" Lookup: ""</summary>
        public const string Rel1M_UserActivity = "user_activity";
        /// <summary>Parent: "SystemUser" Child: "MonthlyFiscalCalendar" Lookup: "SalesPersonId"</summary>
        public const string Rel1M_LkMonthlyfiscalcalendarSalespersonId = "lk_monthlyfiscalcalendar_salespersonid";
        /// <summary>Parent: "SystemUser" Child: "BusinessUnit" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkBusinessUnitModifiedOnBehalfBy = "lk_businessunit_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AsyncOperation" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkAsyncoperationModifiedOnBehalfBy = "lk_asyncoperation_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Team" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkTeambaseCreatedBy = "lk_teambase_createdby";
        /// <summary>Parent: "SystemUser" Child: "EMailServerProfile" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkEMailServerprofileModifiedBy = "lk_emailserverprofile_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "CallbackRegistration" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCallbackregistrationModifiedBy = "lk_callbackregistration_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ProcessTrigger" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkProcesstriggerbaseModifiedOnBehalfBy = "lk_processtriggerbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "WebWizard" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkWebwizardModifiedBy = "lk_webwizard_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MailMergeTemplate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMailMergetemplateModifiedOnBehalfBy = "lk_mailmergetemplate_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Connection" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkConnectionbaseModifiedOnBehalfBy = "lk_connectionbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "QueueItem" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkQueueitemCreatedOnBehalfBy = "lk_queueitem_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TeamTemplate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkTeamtemplateModifiedOnBehalfBy = "lk_teamtemplate_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DocumentTemplate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkDocumenttemplatebaseModifiedBy = "lk_documenttemplatebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "TransformationParameterMapping" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkTransformationparametermappingCreatedOnBehalfBy = "lk_transformationparametermapping_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "UserQuery" Lookup: ""</summary>
        public const string Rel1M_UserUserQuery = "user_userquery";
        /// <summary>Parent: "SystemUser" Child: "AppModule" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkAppmoduleCreatedBy = "lk_appmodule_createdby";
        /// <summary>Parent: "SystemUser" Child: "KbArticleComment" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkKbarticlecommentbaseCreatedBy = "lk_kbarticlecommentbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Workflow" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_WorkflowCreatedOnBehalfBy = "workflow_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "RecurrenceRule" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkRecurrenceruleModifiedBy = "lk_recurrencerule_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Category" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCategoryModifiedOnBehalfBy = "lk_category_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AppConfig" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkAppconfigModifiedBy = "lk_appconfig_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "BulkDeleteOperation" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkBulkdeleteoperationbaseCreatedBy = "lk_bulkdeleteoperationbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "AsyncOperation" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkAsyncoperationCreatedBy = "lk_asyncoperation_createdby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageFilter" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSdkMessageFilterModifiedOnBehalfBy = "lk_sdkmessagefilter_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "RecurringAppointmentMaster" Lookup: ""</summary>
        public const string Rel1M_UserRecurringappointmentmaster = "user_recurringappointmentmaster";
        /// <summary>Parent: "SystemUser" Child: "SLAItem" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSlaitembaseModifiedBy = "lk_slaitembase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "PublisherAddress" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkPublisherAddressBaseModifiedOnBehalfBy = "lk_publisheraddressbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DocumentTemplate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkDocumenttemplatebaseCreatedBy = "lk_documenttemplatebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "TransformationParameterMapping" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkTransformationparametermappingModifiedBy = "lk_transformationparametermapping_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SLA" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSlabaseCreatedBy = "lk_slabase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Organization" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkOrganizationbaseCreatedBy = "lk_organizationbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Report" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkReportModifiedOnBehalfBy = "lk_report_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CalendarRule" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCalendarruleModifiedBy = "lk_calendarrule_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "QuarterlyFiscalCalendar" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkQuarterlyfiscalcalendarModifiedBy = "lk_quarterlyfiscalcalendar_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ServiceEndpoint" Lookup: "CreatedBy"</summary>
        public const string Rel1M_CreatedByServiceendpoint = "createdby_serviceendpoint";
        /// <summary>Parent: "SystemUser" Child: "DuplicateRuleCondition" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkDuplicateruleconditionCreatedOnBehalfBy = "lk_duplicaterulecondition_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TransactionCurrency" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkTransactioncurrencybaseModifiedBy = "lk_transactioncurrencybase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "DisplayString" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkDisplayStringbaseCreatedBy = "lk_DisplayStringbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "SLAItem" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSlaitembaseModifiedOnBehalfBy = "lk_slaitembase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Annotation" Lookup: ""</summary>
        public const string Rel1M_AnnotationOwningUser = "annotation_owning_user";
        /// <summary>Parent: "SystemUser" Child: "Contact" Lookup: "PreferredSystemUserId"</summary>
        public const string Rel1M_SystemUserContactS = "system_user_contacts";
        /// <summary>Parent: "SystemUser" Child: "TransformationParameterMapping" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkTransformationparametermappingCreatedBy = "lk_transformationparametermapping_createdby";
        /// <summary>Parent: "SystemUser" Child: "PhoneCall" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPhoneCallCreatedOnBehalfBy = "lk_phonecall_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "EMail" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkEMailModifiedBy = "lk_email_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "UserSettings" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkUserSettingsbaseCreatedBy = "lk_usersettingsbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "TeamTemplate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkTeamtemplateCreatedOnBehalfBy = "lk_teamtemplate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AppModule" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkAppmoduleCreatedOnBehalfBy = "lk_appmodule_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportLog" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkImportLogbaseCreatedBy = "lk_importlogbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "SharePointDocumentLocation" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSharepointdocumentlocationbaseCreatedBy = "lk_sharepointdocumentlocationbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Account" Lookup: ""</summary>
        public const string Rel1M_UserAccountS = "user_accounts";
        /// <summary>Parent: "SystemUser" Child: "UserSettings" Lookup: "SystemUserId"</summary>
        public const string Rel1M_UserSettings = "user_settings";
        /// <summary>Parent: "SystemUser" Child: "PluginType" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_ModifiedByPluginType = "modifiedby_plugintype";
        /// <summary>Parent: "SystemUser" Child: "ImportEntityMapping" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkImportEntityMappingModifiedOnBehalfBy = "lk_importentitymapping_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SavedQuery" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSavedquerybaseCreatedBy = "lk_savedquerybase_createdby";
        /// <summary>Parent: "SystemUser" Child: "ActivityPointer" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkActivitypointerCreatedBy = "lk_activitypointer_createdby";
        /// <summary>Parent: "SystemUser" Child: "ColumnMapping" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkColumnmappingCreatedOnBehalfBy = "lk_columnmapping_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MobileOfflineProfileItemAssociation" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMobileofflineprofileitemassociationModifiedOnBehalfBy = "lk_mobileofflineprofileitemassociation_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Subject" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSubjectCreatedOnBehalfBy = "lk_subject_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AppConfigMaster" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkAppconfigmasterCreatedOnBehalfBy = "lk_appconfigmaster_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KbArticle" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkKbarticleModifiedOnBehalfBy = "lk_kbarticle_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageProcessingStepSecureConfig" Lookup: "CreatedBy"</summary>
        public const string Rel1M_CreatedBySdkMessageProcessingStepSecureConfig = "createdby_sdkmessageprocessingstepsecureconfig";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageProcessingStep" Lookup: "CreatedBy"</summary>
        public const string Rel1M_CreatedBySdkMessageProcessingStep = "createdby_sdkmessageprocessingstep";
        /// <summary>Parent: "SystemUser" Child: "AppConfig" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkAppconfigModifiedOnBehalfBy = "lk_appconfig_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "QuarterlyFiscalCalendar" Lookup: "SalesPersonId"</summary>
        public const string Rel1M_LkQuarterlyfiscalcalendarSalespersonId = "lk_quarterlyfiscalcalendar_salespersonid";
        /// <summary>Parent: "SystemUser" Child: "TransformationParameterMapping" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkTransformationparametermappingModifiedOnBehalfBy = "lk_transformationparametermapping_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CallbackRegistration" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCallbackregistrationCreatedBy = "lk_callbackregistration_createdby";
        /// <summary>Parent: "SystemUser" Child: "ImportEntityMapping" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkImportEntityMappingCreatedOnBehalfBy = "lk_importentitymapping_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ProcessSession" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SystemUserProcessSessions = "SystemUser_ProcessSessions";
        /// <summary>Parent: "SystemUser" Child: "Template" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkTemplatebaseCreatedOnBehalfBy = "lk_templatebase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "LookUpMapping" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkLookupmappingCreatedBy = "lk_lookupmapping_createdby";
        /// <summary>Parent: "SystemUser" Child: "MobileOfflineProfileItem" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMobileofflineprofileitemModifiedOnBehalfBy = "lk_mobileofflineprofileitem_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ProcessSession" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkProcesssessionbaseModifiedOnBehalfBy = "lk_processsessionbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ProcessSession" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkProcesssessionCreatedBy = "lk_processsession_createdby";
        /// <summary>Parent: "SystemUser" Child: "PersonalDocumentTemplate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkPersonaldocumenttemplatebaseCreatedBy = "lk_personaldocumenttemplatebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Publisher" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkPublisherbaseModifiedOnBehalfBy = "lk_publisherbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MobileOfflineProfile" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMobileOfflineProfileCreatedOnBehalfBy = "lk_MobileOfflineProfile_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TimeZoneRule" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkTimezoneruleCreatedBy = "lk_timezonerule_createdby";
        /// <summary>Parent: "SystemUser" Child: "Contact" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkContactBaseCreatedBy = "lk_contactbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "SLAKPIInstance" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSlakpiinstancebaseCreatedOnBehalfBy = "lk_slakpiinstancebase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Workflow" Lookup: ""</summary>
        public const string Rel1M_SystemUserWorkflow = "system_user_workflow";
        /// <summary>Parent: "SystemUser" Child: "DuplicateRule" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkDuplicaterulebaseCreatedBy = "lk_duplicaterulebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Appointment" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkAppointmentCreatedOnBehalfBy = "lk_appointment_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ConnectionRole" Lookup: "CreatedBy"</summary>
        public const string Rel1M_CreatedByConnectionRole = "createdby_connection_role";
        /// <summary>Parent: "SystemUser" Child: "AppConfigMaster" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkAppconfigmasterModifiedBy = "lk_appconfigmaster_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "NewProcess" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkNewprocessModifiedBy = "lk_newprocess_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ColumnMapping" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkColumnmappingModifiedOnBehalfBy = "lk_columnmapping_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TranslationProcess" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkTranslationprocessCreatedBy = "lk_translationprocess_createdby";
        /// <summary>Parent: "SystemUser" Child: "MonthlyFiscalCalendar" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMonthlyfiscalcalendarModifiedBy = "lk_monthlyfiscalcalendar_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ExpiredProcess" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkExpiredprocessModifiedBy = "lk_expiredprocess_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SocialProfile" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSocialProfileCreatedOnBehalfBy = "lk_SocialProfile_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportMap" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkImportMapCreatedOnBehalfBy = "lk_importmap_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Connection" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_ModifiedByConnection = "modifiedby_connection";
        /// <summary>Parent: "SystemUser" Child: "CalendarRule" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCalendarruleCreatedOnBehalfBy = "lk_calendarrule_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Import" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkImportCreatedOnBehalfBy = "lk_import_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SLAItem" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSlaitembaseCreatedOnBehalfBy = "lk_slaitembase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "NavigationSetting" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkNavigationsettingCreatedOnBehalfBy = "lk_navigationsetting_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SavedQuery" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSavedqueryModifiedOnBehalfBy = "lk_savedquery_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SolutionComponent" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSolutioncomponentbaseModifiedOnBehalfBy = "lk_solutioncomponentbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ConnectionRole" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkConnectionrolebaseCreatedOnBehalfBy = "lk_connectionrolebase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ActionCard" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkActioncardbaseCreatedBy = "lk_actioncardbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageProcessingStepSecureConfig" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSdkMessageProcessingStepSecureConfigCreatedOnBehalfBy = "lk_sdkmessageprocessingstepsecureconfig_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "WebResource" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkWebresourcebaseModifiedOnBehalfBy = "lk_webresourcebase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Letter" Lookup: ""</summary>
        public const string Rel1M_UserLetter = "user_letter";
        /// <summary>Parent: "SystemUser" Child: "TraceLog" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkTraceLogModifiedOnBehalfBy = "lk_tracelog_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TimeZoneDefinition" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkTimezonedefinitionCreatedBy = "lk_timezonedefinition_createdby";
        /// <summary>Parent: "SystemUser" Child: "ReportCategory" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkReportcategoryCreatedOnBehalfBy = "lk_reportcategory_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PluginType" Lookup: "CreatedBy"</summary>
        public const string Rel1M_CreatedByPluginType = "createdby_plugintype";
        /// <summary>Parent: "SystemUser" Child: "Organization" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkOrganizationCreatedOnBehalfBy = "lk_organization_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Calendar" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCalendarModifiedOnBehalfBy = "lk_calendar_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SLAKPIInstance" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSlakpiinstancebaseModifiedBy = "lk_slakpiinstancebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "PluginTraceLog" Lookup: "CreatedBy"</summary>
        public const string Rel1M_CreatedByPluginTraceLog = "createdby_plugintracelog";
        /// <summary>Parent: "SystemUser" Child: "AppConfigInstance" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkAppconfiginstanceModifiedBy = "lk_appconfiginstance_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "PickListMapping" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPicklistmappingCreatedOnBehalfBy = "lk_picklistmapping_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticleViews" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkKnowledgearticleviewsCreatedBy = "lk_knowledgearticleviews_createdby";
        /// <summary>Parent: "SystemUser" Child: "Import" Lookup: ""</summary>
        public const string Rel1M_SystemUserImportS = "SystemUser_Imports";
        /// <summary>Parent: "SystemUser" Child: "SdkMessage" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_ModifiedBySdkMessage = "modifiedby_sdkmessage";
        /// <summary>Parent: "SystemUser" Child: "OwnerMapping" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkOwnerMappingCreatedOnBehalfBy = "lk_ownermapping_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KbArticleComment" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkKbarticlecommentCreatedOnBehalfBy = "lk_kbarticlecomment_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "NavigationSetting" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkNavigationsettingModifiedOnBehalfBy = "lk_navigationsetting_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TimeZoneRule" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkTimezoneruleCreatedOnBehalfBy = "lk_timezonerule_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Template" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkTemplatebaseCreatedBy = "lk_templatebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "UserForm" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkUserFormbaseModifiedOnBehalfBy = "lk_userformbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MobileOfflineProfileItemAssociation" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMobileofflineprofileitemassociationCreatedOnBehalfBy = "lk_mobileofflineprofileitemassociation_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CustomerAddress" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCustomerAddressCreatedOnBehalfBy = "lk_customeraddress_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportFile" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkImportFilebaseModifiedBy = "lk_importfilebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Account" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkAccountBaseModifiedBy = "lk_accountbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "PersonalDocumentTemplate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkPersonaldocumenttemplatebaseModifiedOnBehalfBy = "lk_personaldocumenttemplatebase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Category" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCategoryCreatedBy = "lk_category_createdby";
        /// <summary>Parent: "SystemUser" Child: "CustomControlDefaultConfig" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCustomcontroldefaultconfigModifiedBy = "lk_customcontroldefaultconfig_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SocialProfile" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSocialProfileModifiedOnBehalfBy = "lk_SocialProfile_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Fax" Lookup: ""</summary>
        public const string Rel1M_UserFax = "user_fax";
        /// <summary>Parent: "SystemUser" Child: "ActivityPointer" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkActivitypointerModifiedOnBehalfBy = "lk_activitypointer_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Feedback" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkFeedbackCreatedOnBehalfBy = "lk_feedback_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AppModuleComponent" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkAppmodulecomponentCreatedBy = "lk_appmodulecomponent_createdby";
        /// <summary>Parent: "SystemUser" Child: "SharePointSite" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSharepointsitebaseModifiedBy = "lk_sharepointsitebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageProcessingStepImage" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSdkMessageProcessingStepImageCreatedOnBehalfBy = "lk_sdkmessageprocessingstepimage_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportLog" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkImportLogCreatedOnBehalfBy = "lk_importlog_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ProcessSession" Lookup: "ExecutedBy"</summary>
        public const string Rel1M_LkProcesssessionExecutedby = "lk_processsession_executedby";
        /// <summary>Parent: "SystemUser" Child: "CustomControl" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCustomcontrolModifiedBy = "lk_customcontrol_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "CustomControlResource" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCustomcontrolresourceCreatedOnBehalfBy = "lk_customcontrolresource_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DuplicateRecord" Lookup: "DuplicateRecordId"</summary>
        public const string Rel1M_SystemUserDuplicateMatchingRecord = "SystemUser_DuplicateMatchingRecord";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageProcessingStepImage" Lookup: "CreatedBy"</summary>
        public const string Rel1M_CreatedBySdkMessageProcessingStepImage = "createdby_sdkmessageprocessingstepimage";
        /// <summary>Parent: "SystemUser" Child: "Connection" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkConnectionbaseCreatedOnBehalfBy = "lk_connectionbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CustomControl" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCustomcontrolCreatedBy = "lk_customcontrol_createdby";
        /// <summary>Parent: "SystemUser" Child: "CustomControlResource" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCustomcontrolresourceModifiedOnBehalfBy = "lk_customcontrolresource_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TimeZoneRule" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkTimezoneruleModifiedBy = "lk_timezonerule_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ACIViewMapper" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkACIViewMapperCreatedOnBehalfBy = "lk_ACIViewMapper_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Audit" Lookup: "UserId"</summary>
        public const string Rel1M_LkAuditUserId = "lk_audit_userid";
        /// <summary>Parent: "SystemUser" Child: "Solution" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSolutionbaseCreatedOnBehalfBy = "lk_solutionbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "FixedMonthlyFiscalCalendar" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkFixedmonthlyfiscalcalendarModifiedOnBehalfBy = "lk_fixedmonthlyfiscalcalendar_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "OwnerMapping" Lookup: "TargetSystemUserId"</summary>
        public const string Rel1M_OwnerMappingSystemUser = "OwnerMapping_SystemUser";
        /// <summary>Parent: "SystemUser" Child: "ColumnMapping" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkColumnmappingModifiedBy = "lk_columnmapping_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "PublisherAddress" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkPublisherAddressBaseModifiedBy = "lk_publisheraddressbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Account" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkAccountBaseCreatedBy = "lk_accountbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "SavedQuery" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSavedquerybaseModifiedBy = "lk_savedquerybase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MobileOfflineProfile" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMobileOfflineProfileModifiedBy = "lk_MobileOfflineProfile_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "QuarterlyFiscalCalendar" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkQuarterlyfiscalcalendarCreatedBy = "lk_quarterlyfiscalcalendar_createdby";
        /// <summary>Parent: "SystemUser" Child: "TimeZoneDefinition" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkTimezonedefinitionModifiedOnBehalfBy = "lk_timezonedefinition_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Organization" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkOrganizationModifiedOnBehalfBy = "lk_organization_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Connection" Lookup: "Record1Id"</summary>
        public const string Rel1M_SystemUserConnections1 = "systemuser_connections1";
        /// <summary>Parent: "SystemUser" Child: "SiteMap" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSiteMapModifiedBy = "lk_SiteMap_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "DocumentTemplate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkDocumenttemplatebaseCreatedOnBehalfBy = "lk_documenttemplatebase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KbArticle" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkKbarticlebaseCreatedBy = "lk_kbarticlebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "EMailServerProfile" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkEMailServerprofileCreatedBy = "lk_emailserverprofile_createdby";
        /// <summary>Parent: "SystemUser" Child: "QuarterlyFiscalCalendar" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkQuarterlyfiscalcalendarModifiedOnBehalfBy = "lk_quarterlyfiscalcalendar_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportData" Lookup: ""</summary>
        public const string Rel1M_SystemUserImportData = "SystemUser_ImportData";
        /// <summary>Parent: "SystemUser" Child: "UserQuery" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkUserQueryModifiedBy = "lk_userquery_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MobileOfflineProfileItemAssociation" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMobileofflineprofileitemassociationModifiedBy = "lk_mobileofflineprofileitemassociation_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticleViews" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkKnowledgearticleviewsCreatedOnBehalfBy = "lk_knowledgearticleviews_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "WebWizard" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkWebwizardCreatedBy = "lk_webwizard_createdby";
        /// <summary>Parent: "SystemUser" Child: "ProcessTrigger" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkProcesstriggerbaseCreatedOnBehalfBy = "lk_processtriggerbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageProcessingStepImage" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_ModifiedBySdkMessageProcessingStepImage = "modifiedby_sdkmessageprocessingstepimage";
        /// <summary>Parent: "SystemUser" Child: "PhoneCall" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkPhoneCallModifiedOnBehalfBy = "lk_phonecall_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "WorkflowLog" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkWorkflowlogCreatedBy = "lk_workflowlog_createdby";
        /// <summary>Parent: "SystemUser" Child: "FixedMonthlyFiscalCalendar" Lookup: "SalesPersonId"</summary>
        public const string Rel1M_LkFixedmonthlyfiscalcalendarSalespersonId = "lk_fixedmonthlyfiscalcalendar_salespersonid";
        /// <summary>Parent: "SystemUser" Child: "QuarterlyFiscalCalendar" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkQuarterlyfiscalcalendarCreatedOnBehalfBy = "lk_quarterlyfiscalcalendar_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TeamTemplate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkTeamtemplateModifiedBy = "lk_teamtemplate_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "UserForm" Lookup: ""</summary>
        public const string Rel1M_UserUserForm = "user_userform";
        /// <summary>Parent: "SystemUser" Child: "ProcessSession" Lookup: "StartedBy"</summary>
        public const string Rel1M_LkProcesssessionStartedby = "lk_processsession_startedby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticleViews" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkKnowledgearticleviewsModifiedOnBehalfBy = "lk_knowledgearticleviews_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Role" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkRoleModifiedOnBehalfBy = "lk_role_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Report" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkReportbaseModifiedBy = "lk_reportbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "FixedMonthlyFiscalCalendar" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkFixedmonthlyfiscalcalendarCreatedBy = "lk_fixedmonthlyfiscalcalendar_createdby";
        /// <summary>Parent: "SystemUser" Child: "AppConfigMaster" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkAppconfigmasterCreatedBy = "lk_appconfigmaster_createdby";
        /// <summary>Parent: "SystemUser" Child: "BusinessUnit" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkBusinessUnitbaseModifiedBy = "lk_businessunitbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SocialProfile" Lookup: ""</summary>
        public const string Rel1M_SocialProfileOwningUser = "socialProfile_owning_user";
        /// <summary>Parent: "SystemUser" Child: "Task" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkTaskModifiedBy = "lk_task_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SLAItem" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSlaitembaseCreatedBy = "lk_slaitembase_createdby";
        /// <summary>Parent: "SystemUser" Child: "MailBoxTrackingFolder" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMailBoxtrackingfolderCreatedOnBehalfBy = "lk_mailboxtrackingfolder_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageProcessingStep" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_ModifiedBySdkMessageProcessingStep = "modifiedby_sdkmessageprocessingstep";
        /// <summary>Parent: "SystemUser" Child: "DuplicateRule" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkDuplicaterulebaseModifiedBy = "lk_duplicaterulebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "RecurrenceRule" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkRecurrencerulebaseCreatedOnBehalfBy = "lk_recurrencerulebase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Organization" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkOrganizationbaseModifiedBy = "lk_organizationbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MailBoxTrackingFolder" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMailBoxtrackingfolderModifiedOnBehalfBy = "lk_mailboxtrackingfolder_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Task" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkTaskCreatedBy = "lk_task_createdby";
        /// <summary>Parent: "SystemUser" Child: "MailBoxTrackingFolder" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMailBoxtrackingfolderCreatedBy = "lk_mailboxtrackingfolder_createdby";
        /// <summary>Parent: "SystemUser" Child: "PersonalDocumentTemplate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkPersonaldocumenttemplatebaseModifiedBy = "lk_personaldocumenttemplatebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ProcessTrigger" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkProcesstriggerbaseModifiedBy = "lk_processtriggerbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "UserQuery" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkUserQueryCreatedBy = "lk_userquery_createdby";
        /// <summary>Parent: "SystemUser" Child: "Contact" Lookup: ""</summary>
        public const string Rel1M_ContactOwningUser = "contact_owning_user";
        /// <summary>Parent: "SystemUser" Child: "MailMergeTemplate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMailMergetemplateCreatedOnBehalfBy = "lk_mailmergetemplate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportJob" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkImportJobbaseModifiedOnBehalfBy = "lk_importjobbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CustomControlDefaultConfig" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCustomcontroldefaultconfigCreatedBy = "lk_customcontroldefaultconfig_createdby";
        /// <summary>Parent: "SystemUser" Child: "SavedQuery" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSavedqueryCreatedOnBehalfBy = "lk_savedquery_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Account" Lookup: "PreferredSystemUserId"</summary>
        public const string Rel1M_SystemUserAccountS = "system_user_accounts";
        /// <summary>Parent: "SystemUser" Child: "CustomControl" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCustomcontrolModifiedOnBehalfBy = "lk_customcontrol_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Appointment" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkAppointmentModifiedOnBehalfBy = "lk_appointment_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "WebWizard" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkWebwizardModifiedOnBehalfBy = "lk_webwizard_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticleViews" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkKnowledgearticleviewsModifiedBy = "lk_knowledgearticleviews_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "AppConfigMaster" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkAppconfigmasterModifiedOnBehalfBy = "lk_appconfigmaster_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Import" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkImportBaseCreatedBy = "lk_importbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "ACIViewMapper" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkACIViewMapperModifiedOnBehalfBy = "lk_ACIViewMapper_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Solution" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSolutionbaseModifiedOnBehalfBy = "lk_solutionbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DisplayString" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkDisplayStringbaseModifiedOnBehalfBy = "lk_DisplayStringbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Annotation" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkAnnotationbaseModifiedBy = "lk_annotationbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "TimeZoneRule" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkTimezoneruleModifiedOnBehalfBy = "lk_timezonerule_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportJob" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkImportJobbaseCreatedBy = "lk_importjobbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Feedback" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkFeedbackCreatedBy = "lk_feedback_createdby";
        /// <summary>Parent: "SystemUser" Child: "TimeZoneLocalizedName" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkTimezonelocalizedNameModifiedBy = "lk_timezonelocalizedname_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "CalendarRule" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCalendarruleCreatedBy = "lk_calendarrule_createdby";
        /// <summary>Parent: "SystemUser" Child: "MailMergeTemplate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMailMergetemplatebaseCreatedBy = "lk_mailmergetemplatebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "PluginAssembly" Lookup: "CreatedBy"</summary>
        public const string Rel1M_CreatedByPluginAssembly = "createdby_pluginassembly";
        /// <summary>Parent: "SystemUser" Child: "AppConfigInstance" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkAppconfiginstanceModifiedOnBehalfBy = "lk_appconfiginstance_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "UserForm" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkUserFormModifiedBy = "lk_userform_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Publisher" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPublisherbaseCreatedOnBehalfBy = "lk_publisherbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "RecurrenceRule" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkRecurrenceruleCreatedBy = "lk_recurrencerule_createdby";
        /// <summary>Parent: "SystemUser" Child: "SLAKPIInstance" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSlakpiinstancebaseModifiedOnBehalfBy = "lk_slakpiinstancebase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportFile" Lookup: ""</summary>
        public const string Rel1M_SystemUserImportFiles = "SystemUser_ImportFiles";
        /// <summary>Parent: "SystemUser" Child: "ProcessSession" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkProcesssessionModifiedBy = "lk_processsession_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "TranslationProcess" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkTranslationprocessModifiedBy = "lk_translationprocess_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "AnnualFiscalCalendar" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkAnnualFiscalcalendarModifiedBy = "lk_annualfiscalcalendar_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Task" Lookup: ""</summary>
        public const string Rel1M_UserTask = "user_task";
        /// <summary>Parent: "SystemUser" Child: "RecurrenceRule" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkRecurrencerulebaseModifiedOnBehalfBy = "lk_recurrencerulebase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PhoneCall" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkPhoneCallCreatedBy = "lk_phonecall_createdby";
        /// <summary>Parent: "SystemUser" Child: "Template" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkTemplatebaseModifiedOnBehalfBy = "lk_templatebase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Fax" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkFaxModifiedOnBehalfBy = "lk_fax_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Contact" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkContactCreatedOnBehalfBy = "lk_contact_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CustomControlDefaultConfig" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCustomcontroldefaultconfigCreatedOnBehalfBy = "lk_customcontroldefaultconfig_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PublisherAddress" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPublisherAddressBaseCreatedOnBehalfBy = "lk_publisheraddressbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AnnualFiscalCalendar" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkAnnualFiscalcalendarModifiedOnBehalfBy = "lk_annualfiscalcalendar_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SemiAnnualFiscalCalendar" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSemiAnnualFiscalcalendarModifiedBy = "lk_semiannualfiscalcalendar_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SocialActivity" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSocialactivityCreatedBy = "lk_socialactivity_createdby";
        /// <summary>Parent: "SystemUser" Child: "SiteMap" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSiteMapCreatedBy = "lk_SiteMap_createdby";
        /// <summary>Parent: "SystemUser" Child: "SyncError" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSyncerrorbaseModifiedBy = "lk_syncerrorbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Calendar" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCalendarCreatedBy = "lk_calendar_createdby";
        /// <summary>Parent: "SystemUser" Child: "SemiAnnualFiscalCalendar" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSemiAnnualFiscalcalendarModifiedOnBehalfBy = "lk_semiannualfiscalcalendar_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "FixedMonthlyFiscalCalendar" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkFixedmonthlyfiscalcalendarModifiedBy = "lk_fixedmonthlyfiscalcalendar_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "DuplicateRecord" Lookup: "BaseRecordId"</summary>
        public const string Rel1M_SystemUserDuplicateBaseRecord = "SystemUser_DuplicateBaseRecord";
        /// <summary>Parent: "SystemUser" Child: "ImportEntityMapping" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkImportEntityMappingCreatedBy = "lk_importentitymapping_createdby";
        /// <summary>Parent: "SystemUser" Child: "QueueItem" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkQueueitembaseCreatedBy = "lk_queueitembase_createdby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessage" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSdkMessageCreatedOnBehalfBy = "lk_sdkmessage_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PluginTypeStatistic" Lookup: "CreatedBy"</summary>
        public const string Rel1M_CreatedByPluginTypeStatistic = "createdby_plugintypestatistic";
        /// <summary>Parent: "SystemUser" Child: "PickListMapping" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkPicklistmappingModifiedBy = "lk_picklistmapping_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Team" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkTeamModifiedOnBehalfBy = "lk_team_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BusinessUnitNewsArticle" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkBusinessUnitnewsarticleModifiedOnBehalfBy = "lk_businessunitnewsarticle_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportLog" Lookup: ""</summary>
        public const string Rel1M_SystemUserImportLogs = "SystemUser_ImportLogs";
        /// <summary>Parent: "SystemUser" Child: "PluginTypeStatistic" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkPluginTypeStatisticbaseModifiedOnBehalfBy = "lk_plugintypestatisticbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TraceLog" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkTraceLogCreatedBy = "lk_tracelog_createdby";
        /// <summary>Parent: "SystemUser" Child: "Team" Lookup: "AdministratorId"</summary>
        public const string Rel1M_LkTeambaseAdministratorId = "lk_teambase_administratorid";
        /// <summary>Parent: "SystemUser" Child: "SavedQueryVisualization" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSavedqueryvisualizationbaseCreatedBy = "lk_savedqueryvisualizationbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "KnowledgeArticle" Lookup: "PrimaryAuthorId"</summary>
        public const string Rel1M_KnowledgearticlePrimaryAuthorId = "knowledgearticle_primaryauthorid";
        /// <summary>Parent: "SystemUser" Child: "FixedMonthlyFiscalCalendar" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkFixedmonthlyfiscalcalendarCreatedOnBehalfBy = "lk_fixedmonthlyfiscalcalendar_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "EMail" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkEMailCreatedBy = "lk_email_createdby";
        /// <summary>Parent: "SystemUser" Child: "MonthlyFiscalCalendar" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMonthlyfiscalcalendarCreatedBy = "lk_monthlyfiscalcalendar_createdby";
        /// <summary>Parent: "SystemUser" Child: "Queue" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkQueuebaseCreatedBy = "lk_queuebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "AppModuleComponent" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkAppmodulecomponentCreatedOnBehalfBy = "lk_appmodulecomponent_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PersonalDocumentTemplate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPersonaldocumenttemplatebaseCreatedOnBehalfBy = "lk_personaldocumenttemplatebase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SavedQueryVisualization" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSavedqueryvisualizationbaseCreatedOnBehalfBy = "lk_savedqueryvisualizationbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "NewProcess" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkNewprocessCreatedBy = "lk_newprocess_createdby";
        /// <summary>Parent: "SystemUser" Child: "Category" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCategoryCreatedOnBehalfBy = "lk_category_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "NewProcess" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkNewprocessModifiedOnBehalfBy = "lk_newprocess_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Feedback" Lookup: "ClosedBy"</summary>
        public const string Rel1M_LkFeedbackClosedby = "lk_feedback_closedby";
        /// <summary>Parent: "SystemUser" Child: "SemiAnnualFiscalCalendar" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSemiAnnualFiscalcalendarCreatedBy = "lk_semiannualfiscalcalendar_createdby";
        /// <summary>Parent: "SystemUser" Child: "DuplicateRuleCondition" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkDuplicateruleconditionbaseModifiedBy = "lk_duplicateruleconditionbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Queue" Lookup: "PrimaryUserId"</summary>
        public const string Rel1M_QueuePrimaryUser = "queue_primary_user";
        /// <summary>Parent: "SystemUser" Child: "EMail" Lookup: ""</summary>
        public const string Rel1M_UserEMail = "user_email";
        /// <summary>Parent: "SystemUser" Child: "Report" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkReportbaseCreatedBy = "lk_reportbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Appointment" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkAppointmentCreatedBy = "lk_appointment_createdby";
        /// <summary>Parent: "SystemUser" Child: "Letter" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkLetterModifiedBy = "lk_letter_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "CustomControl" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkCustomcontrolCreatedOnBehalfBy = "lk_customcontrol_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "UserSettings" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkUserSettingsbaseModifiedBy = "lk_usersettingsbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "QueueItem" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkQueueitembaseModifiedBy = "lk_queueitembase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageProcessingStep" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSdkMessageProcessingStepModifiedOnBehalfBy = "lk_sdkmessageprocessingstep_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PluginAssembly" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_ModifiedByPluginAssembly = "modifiedby_pluginassembly";
        /// <summary>Parent: "SystemUser" Child: "SharePointDocumentLocation" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSharepointdocumentlocationbaseModifiedBy = "lk_sharepointdocumentlocationbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ActivityParty" Lookup: "PartyId"</summary>
        public const string Rel1M_SystemUserActivityParties = "system_user_activity_parties";
        /// <summary>Parent: "SystemUser" Child: "AnnualFiscalCalendar" Lookup: "SalesPersonId"</summary>
        public const string Rel1M_LkAnnualFiscalcalendarSalespersonId = "lk_annualfiscalcalendar_salespersonid";
        /// <summary>Parent: "SystemUser" Child: "AsyncOperation" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SystemUserAsyncOperations = "SystemUser_AsyncOperations";
        /// <summary>Parent: "SystemUser" Child: "PublisherAddress" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkPublisherAddressBaseCreatedBy = "lk_publisheraddressbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Import" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkImportModifiedOnBehalfBy = "lk_import_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Queue" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkQueuebaseModifiedBy = "lk_queuebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ImportMap" Lookup: ""</summary>
        public const string Rel1M_SystemUserImportMaps = "SystemUser_ImportMaps";
        /// <summary>Parent: "SystemUser" Child: "Workflow" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_WorkflowModifiedOnBehalfBy = "workflow_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Category" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkCategoryModifiedBy = "lk_category_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SiteMap" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSiteMapCreatedOnBehalfBy = "lk_SiteMap_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "WebResource" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_WebresourceModifiedBy = "webresource_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessage" Lookup: "CreatedBy"</summary>
        public const string Rel1M_CreatedBySdkMessage = "createdby_sdkmessage";
        /// <summary>Parent: "SystemUser" Child: "ImportLog" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkImportLogbaseModifiedBy = "lk_importlogbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ImportJob" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkImportJobbaseCreatedOnBehalfBy = "lk_importjobbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MonthlyFiscalCalendar" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMonthlyfiscalcalendarModifiedOnBehalfBy = "lk_monthlyfiscalcalendar_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TransactionCurrency" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkTransactioncurrencyCreatedOnBehalfBy = "lk_transactioncurrency_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BulkDeleteOperation" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkBulkdeleteoperationCreatedOnBehalfBy = "lk_bulkdeleteoperation_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PluginTypeStatistic" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_ModifiedByPluginTypeStatistic = "modifiedby_plugintypestatistic";
        /// <summary>Parent: "SystemUser" Child: "ActionCard" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkActioncardbaseModifiedOnBehalfBy = "lk_actioncardbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "RecurringAppointmentMaster" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkRecurringappointmentmasterCreatedBy = "lk_recurringappointmentmaster_createdby";
        /// <summary>Parent: "SystemUser" Child: "DisplayString" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkDisplayStringbaseCreatedOnBehalfBy = "lk_DisplayStringbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportData" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkImportDatabaseCreatedBy = "lk_importdatabase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Audit" Lookup: "CallingUserId"</summary>
        public const string Rel1M_LkAuditCallingUserId = "lk_audit_callinguserid";
        /// <summary>Parent: "SystemUser" Child: "CalendarRule" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCalendarruleModifiedOnBehalfBy = "lk_calendarrule_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportFile" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkImportFilebaseCreatedBy = "lk_importfilebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "ImportMap" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkImportMapModifiedOnBehalfBy = "lk_importmap_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ExpiredProcess" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkExpiredprocessModifiedOnBehalfBy = "lk_expiredprocess_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "UserQueryVisualization" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkUserQueryvisualizationbaseModifiedOnBehalfBy = "lk_userqueryvisualizationbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SemiAnnualFiscalCalendar" Lookup: "SalesPersonId"</summary>
        public const string Rel1M_LkSemiAnnualFiscalcalendarSalespersonId = "lk_semiannualfiscalcalendar_salespersonid";
        /// <summary>Parent: "SystemUser" Child: "Report" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkReportCreatedOnBehalfBy = "lk_report_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ProcessSession" Lookup: "CanceledBy"</summary>
        public const string Rel1M_LkProcesssessionCanceledby = "lk_processsession_canceledby";
        /// <summary>Parent: "SystemUser" Child: "SiteMap" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSiteMapModifiedOnBehalfBy = "lk_SiteMap_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SyncError" Lookup: ""</summary>
        public const string Rel1M_SystemUserSyncError = "SystemUser_SyncError";
        /// <summary>Parent: "SystemUser" Child: "SocialActivity" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkSocialactivityModifiedBy = "lk_socialactivity_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Account" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkAccountBaseModifiedOnBehalfBy = "lk_accountbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Subject" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSubjectbaseCreatedBy = "lk_subjectbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "MobileOfflineProfile" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkMobileOfflineProfileModifiedOnBehalfBy = "lk_MobileOfflineProfile_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CallbackRegistration" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkCallbackregistrationModifiedOnBehalfBy = "lk_callbackregistration_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Annotation" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkAnnotationbaseModifiedOnBehalfBy = "lk_annotationbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KbArticleTemplate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkKbarticletemplatebaseCreatedBy = "lk_kbarticletemplatebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Import" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkImportBaseModifiedBy = "lk_importbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "ConnectionRole" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_ModifiedByConnectionRole = "modifiedby_connection_role";
        /// <summary>Parent: "SystemUser" Child: "SharePointDocumentLocation" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSharepointdocumentlocationbaseCreatedOnBehalfBy = "lk_sharepointdocumentlocationbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MailMergeTemplate" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkMailMergetemplatebaseModifiedBy = "lk_mailmergetemplatebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "UserQuery" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkUserQueryCreatedOnBehalfBy = "lk_userquery_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TransactionCurrency" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkTransactioncurrencybaseCreatedBy = "lk_transactioncurrencybase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Queue" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkQueueCreatedOnBehalfBy = "lk_queue_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "MobileOfflineProfile" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMobileOfflineProfileCreatedBy = "lk_MobileOfflineProfile_createdby";
        /// <summary>Parent: "SystemUser" Child: "ServiceEndpoint" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_ModifiedByServiceendpoint = "modifiedby_serviceendpoint";
        /// <summary>Parent: "SystemUser" Child: "Appointment" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkAppointmentModifiedBy = "lk_appointment_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "PickListMapping" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkPicklistmappingModifiedOnBehalfBy = "lk_picklistmapping_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TransformationMapping" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkTransformationmappingCreatedOnBehalfBy = "lk_transformationmapping_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PluginTypeStatistic" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPluginTypeStatisticbaseCreatedOnBehalfBy = "lk_plugintypestatisticbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KbArticleTemplate" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkKbarticletemplateCreatedOnBehalfBy = "lk_kbarticletemplate_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportFile" Lookup: "RecordsOwnerId"</summary>
        public const string Rel1M_ImportFileSystemUser = "ImportFile_SystemUser";
        /// <summary>Parent: "SystemUser" Child: "ImportMap" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkImportMapbaseModifiedBy = "lk_importmapbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "UserForm" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkUserFormCreatedBy = "lk_userform_createdby";
        /// <summary>Parent: "SystemUser" Child: "ExpiredProcess" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkExpiredprocessCreatedBy = "lk_expiredprocess_createdby";
        /// <summary>Parent: "SystemUser" Child: "UserQueryVisualization" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkUserQueryvisualizationCreatedBy = "lk_userqueryvisualization_createdby";
        /// <summary>Parent: "SystemUser" Child: "ACIViewMapper" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkACIViewMapperModifiedBy = "lk_ACIViewMapper_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SLA" Lookup: ""</summary>
        public const string Rel1M_UserSlabase = "user_slabase";
        /// <summary>Parent: "SystemUser" Child: "Annotation" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkAnnotationbaseCreatedBy = "lk_annotationbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "WebResource" Lookup: "CreatedBy"</summary>
        public const string Rel1M_WebresourceCreatedBy = "webresource_createdby";
        /// <summary>Parent: "SystemUser" Child: "UserQueryVisualization" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkUserQueryvisualizationbaseCreatedOnBehalfBy = "lk_userqueryvisualizationbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "UserSettings" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkUserSettingsModifiedOnBehalfBy = "lk_usersettings_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AppConfigInstance" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkAppconfiginstanceCreatedBy = "lk_appconfiginstance_createdby";
        /// <summary>Parent: "SystemUser" Child: "AnnualFiscalCalendar" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkAnnualFiscalcalendarCreatedOnBehalfBy = "lk_annualfiscalcalendar_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "UserForm" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkUserFormbaseCreatedOnBehalfBy = "lk_userformbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "FieldSecurityProfile" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkFieldsecurityprofileCreatedBy = "lk_fieldsecurityprofile_createdby";
        /// <summary>Parent: "SystemUser" Child: "AsyncOperation" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkAsyncoperationModifiedBy = "lk_asyncoperation_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "PluginAssembly" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPluginAssemblyCreatedOnBehalfBy = "lk_pluginassembly_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportEntityMapping" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkImportEntityMappingModifiedBy = "lk_importentitymapping_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageProcessingStep" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSdkMessageProcessingStepCreatedOnBehalfBy = "lk_sdkmessageprocessingstep_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ActivityPointer" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkActivitypointerCreatedOnBehalfBy = "lk_activitypointer_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Contact" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkContactModifiedOnBehalfBy = "lk_contact_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SavedQueryVisualization" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSavedqueryvisualizationbaseModifiedOnBehalfBy = "lk_savedqueryvisualizationbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Account" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkAccountBaseCreatedOnBehalfBy = "lk_accountbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageFilter" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_ModifiedBySdkMessageFilter = "modifiedby_sdkmessagefilter";
        /// <summary>Parent: "SystemUser" Child: "Template" Lookup: ""</summary>
        public const string Rel1M_SystemUserEMailTemplates = "system_user_email_templates";
        /// <summary>Parent: "SystemUser" Child: "OwnerMapping" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkOwnerMappingModifiedOnBehalfBy = "lk_ownermapping_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AnnualFiscalCalendar" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkAnnualFiscalcalendarCreatedBy = "lk_annualfiscalcalendar_createdby";
        /// <summary>Parent: "SystemUser" Child: "EMail" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkEMailCreatedOnBehalfBy = "lk_email_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "RecurringAppointmentMaster" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkRecurringappointmentmasterModifiedOnBehalfBy = "lk_recurringappointmentmaster_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TimeZoneLocalizedName" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkTimezonelocalizedNameCreatedBy = "lk_timezonelocalizedname_createdby";
        /// <summary>Parent: "SystemUser" Child: "BulkDeleteOperation" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkBulkdeleteoperationbaseModifiedBy = "lk_bulkdeleteoperationbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SharePointSite" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSharepointsitebaseModifiedOnBehalfBy = "lk_sharepointsitebase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "OwnerMapping" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkOwnerMappingModifiedBy = "lk_ownermapping_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "SharePointSite" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSharepointsitebaseCreatedBy = "lk_sharepointsitebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "ActionCard" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkActioncardbaseModifiedBy = "lk_actioncardbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "WebResource" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkWebresourcebaseCreatedOnBehalfBy = "lk_webresourcebase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ConnectionRole" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkConnectionrolebaseModifiedOnBehalfBy = "lk_connectionrolebase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TimeZoneLocalizedName" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkTimezonelocalizedNameModifiedOnBehalfBy = "lk_timezonelocalizedname_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TransformationMapping" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkTransformationmappingModifiedOnBehalfBy = "lk_transformationmapping_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "DocumentTemplate" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkDocumenttemplatebaseModifiedOnBehalfBy = "lk_documenttemplatebase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PhoneCall" Lookup: ""</summary>
        public const string Rel1M_UserPhoneCall = "user_phonecall";
        /// <summary>Parent: "SystemUser" Child: "ServiceEndpoint" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkServiceendpointbaseModifiedOnBehalfBy = "lk_serviceendpointbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SLA" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSlabaseCreatedOnBehalfBy = "lk_slabase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportJob" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkImportJobbaseModifiedBy = "lk_importjobbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "MobileOfflineProfileItemAssociation" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkMobileOfflineProfileItemAssociationCreatedBy = "lk_MobileOfflineProfileItemAssociation_createdby";
        /// <summary>Parent: "SystemUser" Child: "ProcessTrigger" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkProcesstriggerbaseCreatedBy = "lk_processtriggerbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "TimeZoneDefinition" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkTimezonedefinitionCreatedOnBehalfBy = "lk_timezonedefinition_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "KbArticleComment" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkKbarticlecommentModifiedOnBehalfBy = "lk_kbarticlecomment_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TimeZoneLocalizedName" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkTimezonelocalizedNameCreatedOnBehalfBy = "lk_timezonelocalizedname_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "PrincipalObjectAttributeAccess" Lookup: "ObjectId"</summary>
        public const string Rel1M_SystemUserPrincipalobjectattributeaccess = "systemuser_principalobjectattributeaccess";
        /// <summary>Parent: "SystemUser" Child: "AsyncOperation" Lookup: ""</summary>
        public const string Rel1M_SystemUserAsyncoperation = "system_user_asyncoperation";
        /// <summary>Parent: "SystemUser" Child: "PluginTraceLog" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkPluginTraceLogbaseCreatedOnBehalfBy = "lk_plugintracelogbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "TeamTemplate" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkTeamtemplateCreatedBy = "lk_teamtemplate_createdby";
        /// <summary>Parent: "SystemUser" Child: "Annotation" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkAnnotationbaseCreatedOnBehalfBy = "lk_annotationbase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "FieldSecurityProfile" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkFieldsecurityprofileModifiedOnBehalfBy = "lk_fieldsecurityprofile_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AppModuleComponent" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkAppmodulecomponentModifiedOnBehalfBy = "lk_appmodulecomponent_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SemiAnnualFiscalCalendar" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSemiAnnualFiscalcalendarCreatedOnBehalfBy = "lk_semiannualfiscalcalendar_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "UserQuery" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkUserQueryModifiedOnBehalfBy = "lk_userquery_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "BusinessUnitNewsArticle" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkBusinessUnitnewsarticlebaseCreatedBy = "lk_businessunitnewsarticlebase_createdby";
        /// <summary>Parent: "SystemUser" Child: "Connection" Lookup: "Record2Id"</summary>
        public const string Rel1M_SystemUserConnections2 = "systemuser_connections2";
        /// <summary>Parent: "SystemUser" Child: "Task" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkTaskCreatedOnBehalfBy = "lk_task_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "Contact" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkContactBaseModifiedBy = "lk_contactbase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "Letter" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkLetterCreatedOnBehalfBy = "lk_letter_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "CustomControlResource" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkCustomcontrolresourceCreatedBy = "lk_customcontrolresource_createdby";
        /// <summary>Parent: "SystemUser" Child: "SocialActivity" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSocialactivitybaseModifiedOnBehalfBy = "lk_socialactivitybase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SocialActivity" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkSocialactivitybaseCreatedOnBehalfBy = "lk_socialactivitybase_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportFile" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkImportFilebaseModifiedOnBehalfBy = "lk_importfilebase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "FieldSecurityProfile" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkFieldsecurityprofileModifiedBy = "lk_fieldsecurityprofile_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "NewProcess" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkNewprocessCreatedOnBehalfBy = "lk_newprocess_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "AppConfig" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkAppconfigCreatedBy = "lk_appconfig_createdby";
        /// <summary>Parent: "SystemUser" Child: "BusinessUnit" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkBusinessUnitbaseCreatedBy = "lk_businessunitbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "MonthlyFiscalCalendar" Lookup: "CreatedOnBehalfBy"</summary>
        public const string Rel1M_LkMonthlyfiscalcalendarCreatedOnBehalfBy = "lk_monthlyfiscalcalendar_createdonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SharePointDocumentLocation" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkSharepointdocumentlocationbaseModifiedOnBehalfBy = "lk_sharepointdocumentlocationbase_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "ImportData" Lookup: "ModifiedOnBehalfBy"</summary>
        public const string Rel1M_LkImportDataModifiedOnBehalfBy = "lk_importdata_modifiedonbehalfby";
        /// <summary>Parent: "SystemUser" Child: "SyncError" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkSyncerrorbaseCreatedBy = "lk_syncerrorbase_createdby";
        /// <summary>Parent: "SystemUser" Child: "SdkMessageFilter" Lookup: "CreatedBy"</summary>
        public const string Rel1M_CreatedBySdkMessageFilter = "createdby_sdkmessagefilter";
        /// <summary>Parent: "SystemUser" Child: "KbArticle" Lookup: "ModifiedBy"</summary>
        public const string Rel1M_LkKbarticlebaseModifiedBy = "lk_kbarticlebase_modifiedby";
        /// <summary>Parent: "SystemUser" Child: "OwnerMapping" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkOwnerMappingCreatedBy = "lk_ownermapping_createdby";
        /// <summary>Parent: "SystemUser" Child: "SyncError" Lookup: "RegardingObjectId"</summary>
        public const string Rel1M_SystemUserSyncErrors = "SystemUser_SyncErrors";
        /// <summary>Parent: "SystemUser" Child: "DuplicateRuleCondition" Lookup: "CreatedBy"</summary>
        public const string Rel1M_LkDuplicateruleconditionbaseCreatedBy = "lk_duplicateruleconditionbase_createdby";

        #endregion Relationships
    }
}
